#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1307
#define SYMBOL_COUNT 196
#define ALIAS_COUNT 4
#define TOKEN_COUNT 90
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 33
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_package = 4,
  anon_sym_import = 5,
  anon_sym_DOT = 6,
  sym_blank_identifier = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_const = 10,
  anon_sym_COMMA = 11,
  anon_sym_EQ = 12,
  anon_sym_var = 13,
  anon_sym_func = 14,
  anon_sym_DOT_DOT_DOT = 15,
  anon_sym_type = 16,
  anon_sym_STAR = 17,
  anon_sym_LBRACK = 18,
  anon_sym_RBRACK = 19,
  anon_sym_struct = 20,
  anon_sym_LBRACE = 21,
  anon_sym_RBRACE = 22,
  anon_sym_interface = 23,
  anon_sym_map = 24,
  anon_sym_chan = 25,
  anon_sym_LT_DASH = 26,
  anon_sym_COLON_EQ = 27,
  anon_sym_PLUS_PLUS = 28,
  anon_sym_DASH_DASH = 29,
  anon_sym_STAR_EQ = 30,
  anon_sym_SLASH_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_AMP_EQ = 35,
  anon_sym_AMP_CARET_EQ = 36,
  anon_sym_PLUS_EQ = 37,
  anon_sym_DASH_EQ = 38,
  anon_sym_PIPE_EQ = 39,
  anon_sym_CARET_EQ = 40,
  anon_sym_COLON = 41,
  anon_sym_fallthrough = 42,
  anon_sym_break = 43,
  anon_sym_continue = 44,
  anon_sym_goto = 45,
  anon_sym_return = 46,
  anon_sym_go = 47,
  anon_sym_defer = 48,
  anon_sym_if = 49,
  anon_sym_else = 50,
  anon_sym_for = 51,
  anon_sym_range = 52,
  anon_sym_switch = 53,
  anon_sym_case = 54,
  anon_sym_default = 55,
  anon_sym_select = 56,
  anon_sym_new = 57,
  anon_sym_make = 58,
  anon_sym_PLUS = 59,
  anon_sym_DASH = 60,
  anon_sym_BANG = 61,
  anon_sym_CARET = 62,
  anon_sym_AMP = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_LT_LT = 66,
  anon_sym_GT_GT = 67,
  anon_sym_AMP_CARET = 68,
  anon_sym_PIPE = 69,
  anon_sym_EQ_EQ = 70,
  anon_sym_BANG_EQ = 71,
  anon_sym_LT = 72,
  anon_sym_LT_EQ = 73,
  anon_sym_GT = 74,
  anon_sym_GT_EQ = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  sym_raw_string_literal = 78,
  anon_sym_DQUOTE = 79,
  aux_sym_interpreted_string_literal_token1 = 80,
  sym_escape_sequence = 81,
  sym_int_literal = 82,
  sym_float_literal = 83,
  sym_imaginary_literal = 84,
  sym_rune_literal = 85,
  sym_nil = 86,
  sym_true = 87,
  sym_false = 88,
  sym_comment = 89,
  sym_source_file = 90,
  sym_package_clause = 91,
  sym_import_declaration = 92,
  sym_import_spec = 93,
  sym_dot = 94,
  sym_import_spec_list = 95,
  sym__declaration = 96,
  sym_const_declaration = 97,
  sym_const_spec = 98,
  sym_var_declaration = 99,
  sym_var_spec = 100,
  sym_function_declaration = 101,
  sym_method_declaration = 102,
  sym_parameter_list = 103,
  sym_parameter_declaration = 104,
  sym_variadic_parameter_declaration = 105,
  sym_type_alias = 106,
  sym_type_declaration = 107,
  sym_type_spec = 108,
  sym_expression_list = 109,
  sym_parenthesized_type = 110,
  sym__simple_type = 111,
  sym_pointer_type = 112,
  sym_array_type = 113,
  sym_implicit_length_array_type = 114,
  sym_slice_type = 115,
  sym_struct_type = 116,
  sym_field_declaration_list = 117,
  sym_field_declaration = 118,
  sym_interface_type = 119,
  sym_method_spec_list = 120,
  sym_method_spec = 121,
  sym_map_type = 122,
  sym_channel_type = 123,
  sym_function_type = 124,
  sym_block = 125,
  sym__statement_list = 126,
  sym__statement = 127,
  sym_empty_statement = 128,
  sym__simple_statement = 129,
  sym_send_statement = 130,
  sym_receive_statement = 131,
  sym_inc_statement = 132,
  sym_dec_statement = 133,
  sym_assignment_statement = 134,
  sym_short_var_declaration = 135,
  sym_labeled_statement = 136,
  sym_empty_labeled_statement = 137,
  sym_fallthrough_statement = 138,
  sym_break_statement = 139,
  sym_continue_statement = 140,
  sym_goto_statement = 141,
  sym_return_statement = 142,
  sym_go_statement = 143,
  sym_defer_statement = 144,
  sym_if_statement = 145,
  sym_for_statement = 146,
  sym_for_clause = 147,
  sym_range_clause = 148,
  sym_expression_switch_statement = 149,
  sym_expression_case = 150,
  sym_default_case = 151,
  sym_type_switch_statement = 152,
  sym__type_switch_header = 153,
  sym_type_case = 154,
  sym_select_statement = 155,
  sym_communication_case = 156,
  sym__expression = 157,
  sym_parenthesized_expression = 158,
  sym_call_expression = 159,
  sym_variadic_argument = 160,
  sym_special_argument_list = 161,
  sym_argument_list = 162,
  sym_selector_expression = 163,
  sym_index_expression = 164,
  sym_slice_expression = 165,
  sym_type_assertion_expression = 166,
  sym_type_conversion_expression = 167,
  sym_composite_literal = 168,
  sym_literal_value = 169,
  sym_keyed_element = 170,
  sym_element = 171,
  sym_func_literal = 172,
  sym_unary_expression = 173,
  sym_binary_expression = 174,
  sym_qualified_type = 175,
  sym_interpreted_string_literal = 176,
  aux_sym_source_file_repeat1 = 177,
  aux_sym_import_spec_list_repeat1 = 178,
  aux_sym_const_declaration_repeat1 = 179,
  aux_sym_const_spec_repeat1 = 180,
  aux_sym_var_declaration_repeat1 = 181,
  aux_sym_parameter_list_repeat1 = 182,
  aux_sym_type_declaration_repeat1 = 183,
  aux_sym_field_name_list_repeat1 = 184,
  aux_sym_expression_list_repeat1 = 185,
  aux_sym_field_declaration_list_repeat1 = 186,
  aux_sym_method_spec_list_repeat1 = 187,
  aux_sym__statement_list_repeat1 = 188,
  aux_sym_expression_switch_statement_repeat1 = 189,
  aux_sym_type_switch_statement_repeat1 = 190,
  aux_sym_type_case_repeat1 = 191,
  aux_sym_select_statement_repeat1 = 192,
  aux_sym_argument_list_repeat1 = 193,
  aux_sym_literal_value_repeat1 = 194,
  aux_sym_interpreted_string_literal_repeat1 = 195,
  alias_sym_field_identifier = 196,
  alias_sym_label_name = 197,
  alias_sym_package_identifier = 198,
  alias_sym_type_identifier = 199,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpreted_string_literal_token1] = "interpreted_string_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_spec_list] = "method_spec_list",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_field_name_list_repeat1] = "field_name_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_method_spec_list_repeat1] = "method_spec_list_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_name_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_update = 32,
  field_value = 33,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 6, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 3},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 19, .length = 3},
  [18] = {.index = 22, .length = 3},
  [19] = {.index = 25, .length = 3},
  [20] = {.index = 28, .length = 2},
  [21] = {.index = 30, .length = 2},
  [22] = {.index = 32, .length = 2},
  [23] = {.index = 34, .length = 2},
  [24] = {.index = 34, .length = 2},
  [25] = {.index = 36, .length = 2},
  [26] = {.index = 38, .length = 1},
  [27] = {.index = 8, .length = 1},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 2},
  [30] = {.index = 42, .length = 3},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 28, .length = 2},
  [33] = {.index = 48, .length = 4},
  [34] = {.index = 52, .length = 4},
  [35] = {.index = 56, .length = 4},
  [36] = {.index = 60, .length = 2},
  [37] = {.index = 62, .length = 2},
  [38] = {.index = 64, .length = 3},
  [39] = {.index = 67, .length = 2},
  [40] = {.index = 18, .length = 1},
  [41] = {.index = 69, .length = 2},
  [42] = {.index = 6, .length = 2},
  [43] = {.index = 69, .length = 2},
  [45] = {.index = 71, .length = 2},
  [46] = {.index = 73, .length = 4},
  [48] = {.index = 77, .length = 1},
  [49] = {.index = 78, .length = 1},
  [50] = {.index = 79, .length = 5},
  [51] = {.index = 84, .length = 3},
  [52] = {.index = 87, .length = 1},
  [53] = {.index = 88, .length = 2},
  [54] = {.index = 90, .length = 1},
  [55] = {.index = 91, .length = 2},
  [56] = {.index = 93, .length = 2},
  [57] = {.index = 93, .length = 2},
  [59] = {.index = 95, .length = 3},
  [60] = {.index = 15, .length = 3},
  [61] = {.index = 98, .length = 3},
  [62] = {.index = 101, .length = 2},
  [63] = {.index = 103, .length = 2},
  [64] = {.index = 105, .length = 1},
  [65] = {.index = 106, .length = 1},
  [66] = {.index = 107, .length = 2},
  [67] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 2},
  [71] = {.index = 115, .length = 2},
  [72] = {.index = 117, .length = 4},
  [73] = {.index = 121, .length = 1},
  [74] = {.index = 122, .length = 1},
  [75] = {.index = 123, .length = 1},
  [76] = {.index = 124, .length = 3},
  [77] = {.index = 127, .length = 1},
  [78] = {.index = 128, .length = 3},
  [79] = {.index = 131, .length = 3},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 2},
  [84] = {.index = 143, .length = 2},
  [85] = {.index = 145, .length = 1},
  [86] = {.index = 146, .length = 1},
  [87] = {.index = 147, .length = 3},
  [88] = {.index = 150, .length = 3},
  [89] = {.index = 153, .length = 2},
  [90] = {.index = 155, .length = 1},
  [91] = {.index = 156, .length = 4},
  [92] = {.index = 160, .length = 4},
  [93] = {.index = 164, .length = 2},
  [94] = {.index = 166, .length = 2},
  [95] = {.index = 168, .length = 2},
  [96] = {.index = 170, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_name, 0},
    {field_path, 1},
  [4] =
    {field_name, 0},
    {field_name, 1},
  [6] =
    {field_name, 0},
    {field_type, 1},
  [8] =
    {field_type, 0},
  [9] =
    {field_name, 1},
    {field_parameters, 2},
  [11] =
    {field_name, 0},
    {field_value, 2},
  [13] =
    {field_parameters, 1},
  [14] =
    {field_value, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
  [18] =
    {field_type, 1},
  [19] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [22] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [25] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [28] =
    {field_name, 0},
    {field_type, 2},
  [30] =
    {field_operand, 1},
    {field_operator, 0},
  [32] =
    {field_arguments, 1},
    {field_function, 0},
  [34] =
    {field_body, 1},
    {field_type, 0},
  [36] =
    {field_parameters, 1},
    {field_result, 2},
  [38] =
    {field_element, 2},
  [39] =
    {field_value, 2},
  [40] =
    {field_name, 2},
    {field_package, 0},
  [42] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [45] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [48] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [52] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [56] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [60] =
    {field_body, 2},
    {field_parameters, 1},
  [62] =
    {field_field, 2},
    {field_operand, 0},
  [64] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [67] =
    {field_element, 3},
    {field_length, 1},
  [69] =
    {field_tag, 1},
    {field_type, 0},
  [71] =
    {field_name, 0},
    {field_parameters, 1},
  [73] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [77] =
    {field_body, 1},
  [78] =
    {field_label, 0},
  [79] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [84] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [87] =
    {field_element, 3},
  [88] =
    {field_operand, 2},
    {field_type, 0},
  [90] =
    {field_operand, 0},
  [91] =
    {field_index, 2},
    {field_operand, 0},
  [93] =
    {field_tag, 2},
    {field_type, 1},
  [95] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [98] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [101] =
    {field_key, 2},
    {field_value, 4},
  [103] =
    {field_condition, 1},
    {field_consequence, 2},
  [105] =
    {field_right, 1},
  [106] =
    {field_body, 2},
  [107] =
    {field_left, 0},
    {field_right, 2},
  [109] =
    {field_channel, 0},
    {field_value, 2},
  [111] =
    {field_operand, 0},
    {field_type, 3},
  [113] =
    {field_end, 3},
    {field_operand, 0},
  [115] =
    {field_operand, 0},
    {field_start, 2},
  [117] =
    {field_name, 0},
    {field_name, 1},
    {field_tag, 3},
    {field_type, 2},
  [121] =
    {field_update, 2},
  [122] =
    {field_condition, 1},
  [123] =
    {field_initializer, 0},
  [124] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [127] =
    {field_right, 0},
  [128] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [131] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [134] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [137] =
    {field_condition, 1},
    {field_update, 3},
  [139] =
    {field_left, 0},
    {field_right, 3},
  [141] =
    {field_initializer, 0},
    {field_update, 3},
  [143] =
    {field_condition, 2},
    {field_initializer, 0},
  [145] =
    {field_initializer, 1},
  [146] =
    {field_communication, 1},
  [147] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [150] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [153] =
    {field_initializer, 1},
    {field_value, 3},
  [155] =
    {field_value, 0},
  [156] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [160] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [164] =
    {field_type, 1},
    {field_type, 2},
  [166] =
    {field_alias, 0},
    {field_value, 2},
  [168] =
    {field_initializer, 0},
    {field_value, 2},
  [170] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static TSSymbol ts_alias_sequences[97][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [1] = alias_sym_package_identifier,
  },
  [5] = {
    [0] = alias_sym_package_identifier,
  },
  [6] = {
    [0] = alias_sym_type_identifier,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [2] = alias_sym_field_identifier,
  },
  [20] = {
    [0] = alias_sym_type_identifier,
  },
  [23] = {
    [0] = alias_sym_type_identifier,
  },
  [27] = {
    [0] = alias_sym_type_identifier,
  },
  [29] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [40] = {
    [1] = alias_sym_type_identifier,
  },
  [41] = {
    [0] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = alias_sym_field_identifier,
  },
  [44] = {
    [1] = alias_sym_type_identifier,
  },
  [45] = {
    [0] = alias_sym_field_identifier,
  },
  [47] = {
    [1] = alias_sym_label_name,
  },
  [49] = {
    [0] = alias_sym_label_name,
  },
  [50] = {
    [2] = alias_sym_field_identifier,
  },
  [56] = {
    [1] = alias_sym_type_identifier,
  },
  [58] = {
    [1] = alias_sym_field_identifier,
  },
  [59] = {
    [0] = alias_sym_field_identifier,
  },
  [60] = {
    [0] = alias_sym_field_identifier,
  },
  [61] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [0] = alias_sym_field_identifier,
  },
  [72] = {
    [0] = alias_sym_field_identifier,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(60);
      if (lookahead == '!') ADVANCE(102);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(25);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(101);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '&') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(25);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(39);
      if (lookahead == '/') ADVANCE(13);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(16);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 2:
      if (lookahead == 0) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 3:
      if (lookahead == 0) ADVANCE(60);
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(23);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 4:
      if (lookahead == 0) ADVANCE(60);
      if (lookahead == '!') ADVANCE(102);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(25);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(65);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(135);
      if (lookahead != 0) ADVANCE(135);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(101);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '&') ADVANCE(105);
      if (lookahead == '\'') ADVANCE(25);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(17);
      if (lookahead == '/') ADVANCE(13);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(93);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(16);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(96);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      if (lookahead == '`') ADVANCE(28);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '%') ADVANCE(111);
      if (lookahead == '&') ADVANCE(106);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(73);
      if (lookahead == '+') ADVANCE(97);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(100);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead == ':') ADVANCE(22);
      if (lookahead == '<') ADVANCE(124);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(127);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == ')') ADVANCE(67);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(64);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(62);
      if (lookahead == '<') ADVANCE(125);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == ']') ADVANCE(75);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(77);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '%') ADVANCE(110);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '(') ADVANCE(66);
      if (lookahead == '*') ADVANCE(72);
      if (lookahead == '+') ADVANCE(95);
      if (lookahead == ',') ADVANCE(68);
      if (lookahead == '-') ADVANCE(98);
      if (lookahead == '.') ADVANCE(63);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == '<') ADVANCE(123);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(128);
      if (lookahead == '[') ADVANCE(74);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(76);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '/') ADVANCE(13);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(149);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(15);
      if (lookahead == '/') ADVANCE(151);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead == '/') ADVANCE(150);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(14);
      if (lookahead != 0) ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(78);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(147);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(18);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(71);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == '_') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 24:
      if (lookahead == 'U') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 25:
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(12);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 28:
      if (lookahead == '`') ADVANCE(133);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 30:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 31:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 32:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(29);
      if (lookahead == '_') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(12);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(34);
      END_STATE();
    case 37:
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          lookahead == 't' ||
          lookahead == 'v') ADVANCE(12);
      if (lookahead == 'U') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(51);
      if (lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(36);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(18);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(12);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(80);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(130);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '^') ADVANCE(117);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(130);
      if (lookahead == '^') ADVANCE(116);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(15);
      if (lookahead == '/') ADVANCE(151);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(15);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(91);
      if (lookahead == '|') ADVANCE(131);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(131);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(78);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(78);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(129);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(147);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(26);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(27);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(20);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(147);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(147);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(29);
      if (lookahead == '_') ADVANCE(44);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(151);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'm') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'p') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'v') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 't') ADVANCE(36);
      if (lookahead == 'w') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(44);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(45);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(47);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 29:
      if (lookahead == 'k') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'w') ADVANCE(55);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(57);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(64);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(65);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 49:
      if (lookahead == 'c') ADVANCE(76);
      END_STATE();
    case 50:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 57:
      if (lookahead == 'k') ADVANCE(81);
      END_STATE();
    case 58:
      if (lookahead == 'g') ADVANCE(82);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 66:
      if (lookahead == 'k') ADVANCE(89);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(91);
      END_STATE();
    case 71:
      if (lookahead == 'u') ADVANCE(92);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(98);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(103);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(106);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 97:
      if (lookahead == 'f') ADVANCE(108);
      END_STATE();
    case 98:
      if (lookahead == 'g') ADVANCE(109);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 100:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 103:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 120:
      if (lookahead == 'u') ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(123);
      END_STATE();
    case 122:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 124:
      if (lookahead == 'h') ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 6},
  [3] = {.lex_state = 6},
  [4] = {.lex_state = 6},
  [5] = {.lex_state = 6},
  [6] = {.lex_state = 6},
  [7] = {.lex_state = 6},
  [8] = {.lex_state = 6},
  [9] = {.lex_state = 6},
  [10] = {.lex_state = 6},
  [11] = {.lex_state = 6},
  [12] = {.lex_state = 6},
  [13] = {.lex_state = 6},
  [14] = {.lex_state = 6},
  [15] = {.lex_state = 6},
  [16] = {.lex_state = 6},
  [17] = {.lex_state = 6},
  [18] = {.lex_state = 6},
  [19] = {.lex_state = 6},
  [20] = {.lex_state = 6},
  [21] = {.lex_state = 6},
  [22] = {.lex_state = 6},
  [23] = {.lex_state = 6},
  [24] = {.lex_state = 6},
  [25] = {.lex_state = 6},
  [26] = {.lex_state = 1},
  [27] = {.lex_state = 6},
  [28] = {.lex_state = 6},
  [29] = {.lex_state = 6},
  [30] = {.lex_state = 6},
  [31] = {.lex_state = 6},
  [32] = {.lex_state = 6},
  [33] = {.lex_state = 6},
  [34] = {.lex_state = 6},
  [35] = {.lex_state = 6},
  [36] = {.lex_state = 6},
  [37] = {.lex_state = 6},
  [38] = {.lex_state = 6},
  [39] = {.lex_state = 6},
  [40] = {.lex_state = 6},
  [41] = {.lex_state = 6},
  [42] = {.lex_state = 6},
  [43] = {.lex_state = 6},
  [44] = {.lex_state = 6},
  [45] = {.lex_state = 6},
  [46] = {.lex_state = 6},
  [47] = {.lex_state = 6},
  [48] = {.lex_state = 6},
  [49] = {.lex_state = 6},
  [50] = {.lex_state = 6},
  [51] = {.lex_state = 6},
  [52] = {.lex_state = 6},
  [53] = {.lex_state = 6},
  [54] = {.lex_state = 6},
  [55] = {.lex_state = 6},
  [56] = {.lex_state = 6},
  [57] = {.lex_state = 6},
  [58] = {.lex_state = 6},
  [59] = {.lex_state = 6},
  [60] = {.lex_state = 6},
  [61] = {.lex_state = 6},
  [62] = {.lex_state = 6},
  [63] = {.lex_state = 6},
  [64] = {.lex_state = 6},
  [65] = {.lex_state = 6},
  [66] = {.lex_state = 6},
  [67] = {.lex_state = 6},
  [68] = {.lex_state = 6},
  [69] = {.lex_state = 6},
  [70] = {.lex_state = 6},
  [71] = {.lex_state = 6},
  [72] = {.lex_state = 6},
  [73] = {.lex_state = 6},
  [74] = {.lex_state = 6},
  [75] = {.lex_state = 6},
  [76] = {.lex_state = 6},
  [77] = {.lex_state = 6},
  [78] = {.lex_state = 6},
  [79] = {.lex_state = 6},
  [80] = {.lex_state = 6},
  [81] = {.lex_state = 6},
  [82] = {.lex_state = 6},
  [83] = {.lex_state = 6},
  [84] = {.lex_state = 6},
  [85] = {.lex_state = 6},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6},
  [88] = {.lex_state = 6},
  [89] = {.lex_state = 6},
  [90] = {.lex_state = 6},
  [91] = {.lex_state = 6},
  [92] = {.lex_state = 6},
  [93] = {.lex_state = 6},
  [94] = {.lex_state = 6},
  [95] = {.lex_state = 6},
  [96] = {.lex_state = 6},
  [97] = {.lex_state = 6},
  [98] = {.lex_state = 6},
  [99] = {.lex_state = 6},
  [100] = {.lex_state = 6},
  [101] = {.lex_state = 6},
  [102] = {.lex_state = 6},
  [103] = {.lex_state = 6},
  [104] = {.lex_state = 6},
  [105] = {.lex_state = 6},
  [106] = {.lex_state = 6},
  [107] = {.lex_state = 6},
  [108] = {.lex_state = 6},
  [109] = {.lex_state = 6},
  [110] = {.lex_state = 6},
  [111] = {.lex_state = 6},
  [112] = {.lex_state = 6},
  [113] = {.lex_state = 6},
  [114] = {.lex_state = 6},
  [115] = {.lex_state = 6},
  [116] = {.lex_state = 6},
  [117] = {.lex_state = 6},
  [118] = {.lex_state = 6},
  [119] = {.lex_state = 6},
  [120] = {.lex_state = 6},
  [121] = {.lex_state = 6},
  [122] = {.lex_state = 6},
  [123] = {.lex_state = 6},
  [124] = {.lex_state = 6},
  [125] = {.lex_state = 6},
  [126] = {.lex_state = 6},
  [127] = {.lex_state = 6},
  [128] = {.lex_state = 6},
  [129] = {.lex_state = 6},
  [130] = {.lex_state = 6},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 6},
  [175] = {.lex_state = 6},
  [176] = {.lex_state = 6},
  [177] = {.lex_state = 6},
  [178] = {.lex_state = 6},
  [179] = {.lex_state = 6},
  [180] = {.lex_state = 6},
  [181] = {.lex_state = 6},
  [182] = {.lex_state = 6},
  [183] = {.lex_state = 6},
  [184] = {.lex_state = 6},
  [185] = {.lex_state = 6},
  [186] = {.lex_state = 6},
  [187] = {.lex_state = 6},
  [188] = {.lex_state = 6},
  [189] = {.lex_state = 6},
  [190] = {.lex_state = 6},
  [191] = {.lex_state = 6},
  [192] = {.lex_state = 6},
  [193] = {.lex_state = 6},
  [194] = {.lex_state = 6},
  [195] = {.lex_state = 6},
  [196] = {.lex_state = 6},
  [197] = {.lex_state = 6},
  [198] = {.lex_state = 6},
  [199] = {.lex_state = 6},
  [200] = {.lex_state = 6},
  [201] = {.lex_state = 6},
  [202] = {.lex_state = 6},
  [203] = {.lex_state = 6},
  [204] = {.lex_state = 6},
  [205] = {.lex_state = 6},
  [206] = {.lex_state = 6},
  [207] = {.lex_state = 6},
  [208] = {.lex_state = 6},
  [209] = {.lex_state = 6},
  [210] = {.lex_state = 6},
  [211] = {.lex_state = 6},
  [212] = {.lex_state = 6},
  [213] = {.lex_state = 6},
  [214] = {.lex_state = 6},
  [215] = {.lex_state = 6},
  [216] = {.lex_state = 6},
  [217] = {.lex_state = 6},
  [218] = {.lex_state = 6},
  [219] = {.lex_state = 6},
  [220] = {.lex_state = 6},
  [221] = {.lex_state = 6},
  [222] = {.lex_state = 6},
  [223] = {.lex_state = 6},
  [224] = {.lex_state = 6},
  [225] = {.lex_state = 6},
  [226] = {.lex_state = 6},
  [227] = {.lex_state = 6},
  [228] = {.lex_state = 6},
  [229] = {.lex_state = 6},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 6},
  [232] = {.lex_state = 6},
  [233] = {.lex_state = 6},
  [234] = {.lex_state = 6},
  [235] = {.lex_state = 6},
  [236] = {.lex_state = 6},
  [237] = {.lex_state = 6},
  [238] = {.lex_state = 6},
  [239] = {.lex_state = 6},
  [240] = {.lex_state = 6},
  [241] = {.lex_state = 6},
  [242] = {.lex_state = 6},
  [243] = {.lex_state = 6},
  [244] = {.lex_state = 6},
  [245] = {.lex_state = 6},
  [246] = {.lex_state = 6},
  [247] = {.lex_state = 6},
  [248] = {.lex_state = 6},
  [249] = {.lex_state = 6},
  [250] = {.lex_state = 6},
  [251] = {.lex_state = 6},
  [252] = {.lex_state = 6},
  [253] = {.lex_state = 6},
  [254] = {.lex_state = 6},
  [255] = {.lex_state = 6},
  [256] = {.lex_state = 6},
  [257] = {.lex_state = 6},
  [258] = {.lex_state = 6},
  [259] = {.lex_state = 6},
  [260] = {.lex_state = 2},
  [261] = {.lex_state = 2},
  [262] = {.lex_state = 2},
  [263] = {.lex_state = 2},
  [264] = {.lex_state = 2},
  [265] = {.lex_state = 2},
  [266] = {.lex_state = 2},
  [267] = {.lex_state = 2},
  [268] = {.lex_state = 2},
  [269] = {.lex_state = 2},
  [270] = {.lex_state = 2},
  [271] = {.lex_state = 2},
  [272] = {.lex_state = 2},
  [273] = {.lex_state = 2},
  [274] = {.lex_state = 2},
  [275] = {.lex_state = 2},
  [276] = {.lex_state = 2},
  [277] = {.lex_state = 7},
  [278] = {.lex_state = 2},
  [279] = {.lex_state = 2},
  [280] = {.lex_state = 2},
  [281] = {.lex_state = 2},
  [282] = {.lex_state = 2},
  [283] = {.lex_state = 2},
  [284] = {.lex_state = 2},
  [285] = {.lex_state = 2},
  [286] = {.lex_state = 2},
  [287] = {.lex_state = 2},
  [288] = {.lex_state = 2},
  [289] = {.lex_state = 2},
  [290] = {.lex_state = 2},
  [291] = {.lex_state = 2},
  [292] = {.lex_state = 2},
  [293] = {.lex_state = 2},
  [294] = {.lex_state = 2},
  [295] = {.lex_state = 2},
  [296] = {.lex_state = 2},
  [297] = {.lex_state = 2},
  [298] = {.lex_state = 2},
  [299] = {.lex_state = 2},
  [300] = {.lex_state = 2},
  [301] = {.lex_state = 2},
  [302] = {.lex_state = 2},
  [303] = {.lex_state = 2},
  [304] = {.lex_state = 7},
  [305] = {.lex_state = 7},
  [306] = {.lex_state = 7},
  [307] = {.lex_state = 7},
  [308] = {.lex_state = 7},
  [309] = {.lex_state = 7},
  [310] = {.lex_state = 7},
  [311] = {.lex_state = 7},
  [312] = {.lex_state = 7},
  [313] = {.lex_state = 7},
  [314] = {.lex_state = 7},
  [315] = {.lex_state = 7},
  [316] = {.lex_state = 7},
  [317] = {.lex_state = 7},
  [318] = {.lex_state = 7},
  [319] = {.lex_state = 7},
  [320] = {.lex_state = 7},
  [321] = {.lex_state = 7},
  [322] = {.lex_state = 7},
  [323] = {.lex_state = 7},
  [324] = {.lex_state = 7},
  [325] = {.lex_state = 7},
  [326] = {.lex_state = 7},
  [327] = {.lex_state = 7},
  [328] = {.lex_state = 7},
  [329] = {.lex_state = 7},
  [330] = {.lex_state = 7},
  [331] = {.lex_state = 7},
  [332] = {.lex_state = 7},
  [333] = {.lex_state = 7},
  [334] = {.lex_state = 7},
  [335] = {.lex_state = 7},
  [336] = {.lex_state = 7},
  [337] = {.lex_state = 7},
  [338] = {.lex_state = 7},
  [339] = {.lex_state = 7},
  [340] = {.lex_state = 7},
  [341] = {.lex_state = 7},
  [342] = {.lex_state = 7},
  [343] = {.lex_state = 7},
  [344] = {.lex_state = 7},
  [345] = {.lex_state = 7},
  [346] = {.lex_state = 7},
  [347] = {.lex_state = 8},
  [348] = {.lex_state = 8},
  [349] = {.lex_state = 8},
  [350] = {.lex_state = 8},
  [351] = {.lex_state = 8},
  [352] = {.lex_state = 8},
  [353] = {.lex_state = 8},
  [354] = {.lex_state = 8},
  [355] = {.lex_state = 8},
  [356] = {.lex_state = 8},
  [357] = {.lex_state = 8},
  [358] = {.lex_state = 8},
  [359] = {.lex_state = 8},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 8},
  [362] = {.lex_state = 8},
  [363] = {.lex_state = 8},
  [364] = {.lex_state = 8},
  [365] = {.lex_state = 8},
  [366] = {.lex_state = 8},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 8},
  [370] = {.lex_state = 8},
  [371] = {.lex_state = 8},
  [372] = {.lex_state = 8},
  [373] = {.lex_state = 8},
  [374] = {.lex_state = 8},
  [375] = {.lex_state = 8},
  [376] = {.lex_state = 8},
  [377] = {.lex_state = 8},
  [378] = {.lex_state = 8},
  [379] = {.lex_state = 8},
  [380] = {.lex_state = 8},
  [381] = {.lex_state = 8},
  [382] = {.lex_state = 8},
  [383] = {.lex_state = 8},
  [384] = {.lex_state = 8},
  [385] = {.lex_state = 8},
  [386] = {.lex_state = 8},
  [387] = {.lex_state = 8},
  [388] = {.lex_state = 3},
  [389] = {.lex_state = 3},
  [390] = {.lex_state = 3},
  [391] = {.lex_state = 3},
  [392] = {.lex_state = 3},
  [393] = {.lex_state = 3},
  [394] = {.lex_state = 3},
  [395] = {.lex_state = 3},
  [396] = {.lex_state = 3},
  [397] = {.lex_state = 9},
  [398] = {.lex_state = 9},
  [399] = {.lex_state = 3},
  [400] = {.lex_state = 9},
  [401] = {.lex_state = 9},
  [402] = {.lex_state = 9},
  [403] = {.lex_state = 3},
  [404] = {.lex_state = 9},
  [405] = {.lex_state = 9},
  [406] = {.lex_state = 3},
  [407] = {.lex_state = 3},
  [408] = {.lex_state = 3},
  [409] = {.lex_state = 3},
  [410] = {.lex_state = 3},
  [411] = {.lex_state = 9},
  [412] = {.lex_state = 3},
  [413] = {.lex_state = 3},
  [414] = {.lex_state = 3},
  [415] = {.lex_state = 9},
  [416] = {.lex_state = 1},
  [417] = {.lex_state = 9},
  [418] = {.lex_state = 3},
  [419] = {.lex_state = 3},
  [420] = {.lex_state = 3},
  [421] = {.lex_state = 3},
  [422] = {.lex_state = 9},
  [423] = {.lex_state = 3},
  [424] = {.lex_state = 3},
  [425] = {.lex_state = 3},
  [426] = {.lex_state = 3},
  [427] = {.lex_state = 9},
  [428] = {.lex_state = 9},
  [429] = {.lex_state = 3},
  [430] = {.lex_state = 3},
  [431] = {.lex_state = 9},
  [432] = {.lex_state = 9},
  [433] = {.lex_state = 9},
  [434] = {.lex_state = 9},
  [435] = {.lex_state = 3},
  [436] = {.lex_state = 9},
  [437] = {.lex_state = 9},
  [438] = {.lex_state = 9},
  [439] = {.lex_state = 9},
  [440] = {.lex_state = 9},
  [441] = {.lex_state = 9},
  [442] = {.lex_state = 9},
  [443] = {.lex_state = 3},
  [444] = {.lex_state = 3},
  [445] = {.lex_state = 3},
  [446] = {.lex_state = 3},
  [447] = {.lex_state = 9},
  [448] = {.lex_state = 9},
  [449] = {.lex_state = 9},
  [450] = {.lex_state = 9},
  [451] = {.lex_state = 9},
  [452] = {.lex_state = 9},
  [453] = {.lex_state = 9},
  [454] = {.lex_state = 1},
  [455] = {.lex_state = 3},
  [456] = {.lex_state = 3},
  [457] = {.lex_state = 3},
  [458] = {.lex_state = 3},
  [459] = {.lex_state = 3},
  [460] = {.lex_state = 3},
  [461] = {.lex_state = 3},
  [462] = {.lex_state = 3},
  [463] = {.lex_state = 9},
  [464] = {.lex_state = 9},
  [465] = {.lex_state = 9},
  [466] = {.lex_state = 9},
  [467] = {.lex_state = 9},
  [468] = {.lex_state = 1},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 1},
  [471] = {.lex_state = 3},
  [472] = {.lex_state = 2},
  [473] = {.lex_state = 9},
  [474] = {.lex_state = 9},
  [475] = {.lex_state = 9},
  [476] = {.lex_state = 3},
  [477] = {.lex_state = 9},
  [478] = {.lex_state = 10},
  [479] = {.lex_state = 3},
  [480] = {.lex_state = 1},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 3},
  [483] = {.lex_state = 10},
  [484] = {.lex_state = 3},
  [485] = {.lex_state = 3},
  [486] = {.lex_state = 3},
  [487] = {.lex_state = 3},
  [488] = {.lex_state = 1},
  [489] = {.lex_state = 3},
  [490] = {.lex_state = 3},
  [491] = {.lex_state = 3},
  [492] = {.lex_state = 3},
  [493] = {.lex_state = 3},
  [494] = {.lex_state = 3},
  [495] = {.lex_state = 3},
  [496] = {.lex_state = 3},
  [497] = {.lex_state = 10},
  [498] = {.lex_state = 10},
  [499] = {.lex_state = 10},
  [500] = {.lex_state = 3},
  [501] = {.lex_state = 3},
  [502] = {.lex_state = 9},
  [503] = {.lex_state = 10},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 3},
  [506] = {.lex_state = 3},
  [507] = {.lex_state = 3},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 3},
  [511] = {.lex_state = 3},
  [512] = {.lex_state = 3},
  [513] = {.lex_state = 3},
  [514] = {.lex_state = 3},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 3},
  [517] = {.lex_state = 3},
  [518] = {.lex_state = 3},
  [519] = {.lex_state = 3},
  [520] = {.lex_state = 3},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 3},
  [524] = {.lex_state = 10},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 10},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 3},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 3},
  [531] = {.lex_state = 3},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 10},
  [534] = {.lex_state = 10},
  [535] = {.lex_state = 10},
  [536] = {.lex_state = 9},
  [537] = {.lex_state = 10},
  [538] = {.lex_state = 10},
  [539] = {.lex_state = 10},
  [540] = {.lex_state = 10},
  [541] = {.lex_state = 10},
  [542] = {.lex_state = 10},
  [543] = {.lex_state = 10},
  [544] = {.lex_state = 10},
  [545] = {.lex_state = 9},
  [546] = {.lex_state = 10},
  [547] = {.lex_state = 10},
  [548] = {.lex_state = 10},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 10},
  [551] = {.lex_state = 9},
  [552] = {.lex_state = 10},
  [553] = {.lex_state = 9},
  [554] = {.lex_state = 9},
  [555] = {.lex_state = 10},
  [556] = {.lex_state = 10},
  [557] = {.lex_state = 9},
  [558] = {.lex_state = 10},
  [559] = {.lex_state = 9},
  [560] = {.lex_state = 10},
  [561] = {.lex_state = 9},
  [562] = {.lex_state = 9},
  [563] = {.lex_state = 10},
  [564] = {.lex_state = 10},
  [565] = {.lex_state = 10},
  [566] = {.lex_state = 10},
  [567] = {.lex_state = 9},
  [568] = {.lex_state = 10},
  [569] = {.lex_state = 10},
  [570] = {.lex_state = 10},
  [571] = {.lex_state = 10},
  [572] = {.lex_state = 10},
  [573] = {.lex_state = 9},
  [574] = {.lex_state = 10},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 9},
  [580] = {.lex_state = 9},
  [581] = {.lex_state = 9},
  [582] = {.lex_state = 9},
  [583] = {.lex_state = 9},
  [584] = {.lex_state = 9},
  [585] = {.lex_state = 9},
  [586] = {.lex_state = 9},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 9},
  [589] = {.lex_state = 9},
  [590] = {.lex_state = 9},
  [591] = {.lex_state = 9},
  [592] = {.lex_state = 9},
  [593] = {.lex_state = 7},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 9},
  [596] = {.lex_state = 9},
  [597] = {.lex_state = 9},
  [598] = {.lex_state = 9},
  [599] = {.lex_state = 9},
  [600] = {.lex_state = 9},
  [601] = {.lex_state = 9},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 9},
  [606] = {.lex_state = 9},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 9},
  [609] = {.lex_state = 9},
  [610] = {.lex_state = 9},
  [611] = {.lex_state = 9},
  [612] = {.lex_state = 9},
  [613] = {.lex_state = 9},
  [614] = {.lex_state = 9},
  [615] = {.lex_state = 9},
  [616] = {.lex_state = 9},
  [617] = {.lex_state = 9},
  [618] = {.lex_state = 9},
  [619] = {.lex_state = 9},
  [620] = {.lex_state = 9},
  [621] = {.lex_state = 9},
  [622] = {.lex_state = 9},
  [623] = {.lex_state = 9},
  [624] = {.lex_state = 9},
  [625] = {.lex_state = 0},
  [626] = {.lex_state = 9},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 9},
  [629] = {.lex_state = 9},
  [630] = {.lex_state = 9},
  [631] = {.lex_state = 9},
  [632] = {.lex_state = 9},
  [633] = {.lex_state = 9},
  [634] = {.lex_state = 9},
  [635] = {.lex_state = 9},
  [636] = {.lex_state = 9},
  [637] = {.lex_state = 9},
  [638] = {.lex_state = 9},
  [639] = {.lex_state = 9},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 9},
  [642] = {.lex_state = 9},
  [643] = {.lex_state = 0},
  [644] = {.lex_state = 9},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 1},
  [647] = {.lex_state = 9},
  [648] = {.lex_state = 9},
  [649] = {.lex_state = 9},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 9},
  [653] = {.lex_state = 9},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 9},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 9},
  [658] = {.lex_state = 9},
  [659] = {.lex_state = 9},
  [660] = {.lex_state = 9},
  [661] = {.lex_state = 9},
  [662] = {.lex_state = 9},
  [663] = {.lex_state = 9},
  [664] = {.lex_state = 9},
  [665] = {.lex_state = 9},
  [666] = {.lex_state = 9},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 9},
  [669] = {.lex_state = 9},
  [670] = {.lex_state = 9},
  [671] = {.lex_state = 9},
  [672] = {.lex_state = 9},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 0},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 9},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 1},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 1},
  [751] = {.lex_state = 1},
  [752] = {.lex_state = 1},
  [753] = {.lex_state = 1},
  [754] = {.lex_state = 1},
  [755] = {.lex_state = 1},
  [756] = {.lex_state = 1},
  [757] = {.lex_state = 1},
  [758] = {.lex_state = 1},
  [759] = {.lex_state = 1},
  [760] = {.lex_state = 1},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 2},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 1},
  [779] = {.lex_state = 1},
  [780] = {.lex_state = 1},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 1},
  [783] = {.lex_state = 1},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 1},
  [786] = {.lex_state = 1},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 1},
  [789] = {.lex_state = 1},
  [790] = {.lex_state = 1},
  [791] = {.lex_state = 1},
  [792] = {.lex_state = 1},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 1},
  [796] = {.lex_state = 1},
  [797] = {.lex_state = 1},
  [798] = {.lex_state = 1},
  [799] = {.lex_state = 1},
  [800] = {.lex_state = 1},
  [801] = {.lex_state = 1},
  [802] = {.lex_state = 1},
  [803] = {.lex_state = 1},
  [804] = {.lex_state = 1},
  [805] = {.lex_state = 1},
  [806] = {.lex_state = 1},
  [807] = {.lex_state = 7},
  [808] = {.lex_state = 7},
  [809] = {.lex_state = 1},
  [810] = {.lex_state = 7},
  [811] = {.lex_state = 7},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 1},
  [814] = {.lex_state = 1},
  [815] = {.lex_state = 1},
  [816] = {.lex_state = 1},
  [817] = {.lex_state = 1},
  [818] = {.lex_state = 1},
  [819] = {.lex_state = 1},
  [820] = {.lex_state = 1},
  [821] = {.lex_state = 2},
  [822] = {.lex_state = 1},
  [823] = {.lex_state = 1},
  [824] = {.lex_state = 1},
  [825] = {.lex_state = 1},
  [826] = {.lex_state = 1},
  [827] = {.lex_state = 1},
  [828] = {.lex_state = 1},
  [829] = {.lex_state = 1},
  [830] = {.lex_state = 1},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 1},
  [833] = {.lex_state = 1},
  [834] = {.lex_state = 1},
  [835] = {.lex_state = 1},
  [836] = {.lex_state = 1},
  [837] = {.lex_state = 1},
  [838] = {.lex_state = 1},
  [839] = {.lex_state = 1},
  [840] = {.lex_state = 1},
  [841] = {.lex_state = 1},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 1},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 1},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 1},
  [849] = {.lex_state = 1},
  [850] = {.lex_state = 1},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 1},
  [853] = {.lex_state = 1},
  [854] = {.lex_state = 1},
  [855] = {.lex_state = 1},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 1},
  [858] = {.lex_state = 1},
  [859] = {.lex_state = 1},
  [860] = {.lex_state = 1},
  [861] = {.lex_state = 1},
  [862] = {.lex_state = 1},
  [863] = {.lex_state = 1},
  [864] = {.lex_state = 1},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 1},
  [867] = {.lex_state = 7},
  [868] = {.lex_state = 1},
  [869] = {.lex_state = 1},
  [870] = {.lex_state = 2},
  [871] = {.lex_state = 1},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 2},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 2},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 2},
  [900] = {.lex_state = 1},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 1},
  [903] = {.lex_state = 1},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 1},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 1},
  [917] = {.lex_state = 1},
  [918] = {.lex_state = 7},
  [919] = {.lex_state = 1},
  [920] = {.lex_state = 1},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 1},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 2},
  [931] = {.lex_state = 1},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 1},
  [934] = {.lex_state = 1},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 1},
  [937] = {.lex_state = 1},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 1},
  [940] = {.lex_state = 1},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 1},
  [943] = {.lex_state = 1},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 1},
  [946] = {.lex_state = 1},
  [947] = {.lex_state = 1},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 1},
  [950] = {.lex_state = 1},
  [951] = {.lex_state = 1},
  [952] = {.lex_state = 1},
  [953] = {.lex_state = 1},
  [954] = {.lex_state = 1},
  [955] = {.lex_state = 1},
  [956] = {.lex_state = 1},
  [957] = {.lex_state = 1},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 1},
  [960] = {.lex_state = 1},
  [961] = {.lex_state = 1},
  [962] = {.lex_state = 1},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 1},
  [965] = {.lex_state = 1},
  [966] = {.lex_state = 1},
  [967] = {.lex_state = 1},
  [968] = {.lex_state = 1},
  [969] = {.lex_state = 1},
  [970] = {.lex_state = 1},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 1},
  [973] = {.lex_state = 1},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 1},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 1},
  [978] = {.lex_state = 1},
  [979] = {.lex_state = 1},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 1},
  [982] = {.lex_state = 1},
  [983] = {.lex_state = 1},
  [984] = {.lex_state = 1},
  [985] = {.lex_state = 1},
  [986] = {.lex_state = 1},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 1},
  [990] = {.lex_state = 1},
  [991] = {.lex_state = 1},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 1},
  [994] = {.lex_state = 1},
  [995] = {.lex_state = 5},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 5},
  [1001] = {.lex_state = 5},
  [1002] = {.lex_state = 1},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 5},
  [1005] = {.lex_state = 1},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 1},
  [1008] = {.lex_state = 1},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 5},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 5},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 1},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 5},
  [1021] = {.lex_state = 5},
  [1022] = {.lex_state = 5},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 1},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 5},
  [1027] = {.lex_state = 1},
  [1028] = {.lex_state = 5},
  [1029] = {.lex_state = 5},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 5},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 1},
  [1040] = {.lex_state = 1},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 1},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 1},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 1},
  [1047] = {.lex_state = 5},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 1},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 1},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 1},
  [1054] = {.lex_state = 1},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 5},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 1},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 1},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 1},
  [1096] = {.lex_state = 1},
  [1097] = {.lex_state = 1},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 1},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 1},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 1},
  [1126] = {.lex_state = 1},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 1},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 1},
  [1166] = {.lex_state = 1},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 1},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 1},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 1},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 1},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1288),
    [sym_package_clause] = STATE(840),
    [sym_import_declaration] = STATE(840),
    [sym__declaration] = STATE(840),
    [sym_const_declaration] = STATE(840),
    [sym_var_declaration] = STATE(840),
    [sym_function_declaration] = STATE(840),
    [sym_method_declaration] = STATE(840),
    [sym_type_declaration] = STATE(840),
    [aux_sym_source_file_repeat1] = STATE(763),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_func] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1072),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1072),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(41),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_default] = ACTIONS(71),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1082),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1082),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(87),
    [anon_sym_default] = ACTIONS(87),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1078),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1078),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(91),
    [anon_sym_default] = ACTIONS(91),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1075),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1075),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(95),
    [anon_sym_default] = ACTIONS(95),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1070),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1070),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(99),
    [anon_sym_default] = ACTIONS(99),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_empty_labeled_statement] = STATE(1084),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(103),
    [anon_sym_default] = ACTIONS(103),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_empty_labeled_statement] = STATE(1091),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(107),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1237),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1237),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1299),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1299),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1229),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1229),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(113),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1272),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1272),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(115),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1232),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1232),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1292),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1292),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(119),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(919),
    [sym_const_declaration] = STATE(919),
    [sym_var_declaration] = STATE(919),
    [sym_type_declaration] = STATE(919),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(919),
    [sym__statement_list] = STATE(1243),
    [sym__statement] = STATE(919),
    [sym_empty_statement] = STATE(919),
    [sym__simple_statement] = STATE(919),
    [sym_send_statement] = STATE(919),
    [sym_inc_statement] = STATE(919),
    [sym_dec_statement] = STATE(919),
    [sym_assignment_statement] = STATE(919),
    [sym_short_var_declaration] = STATE(919),
    [sym_labeled_statement] = STATE(919),
    [sym_empty_labeled_statement] = STATE(1243),
    [sym_fallthrough_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_goto_statement] = STATE(919),
    [sym_return_statement] = STATE(919),
    [sym_go_statement] = STATE(919),
    [sym_defer_statement] = STATE(919),
    [sym_if_statement] = STATE(919),
    [sym_for_statement] = STATE(919),
    [sym_expression_switch_statement] = STATE(919),
    [sym_type_switch_statement] = STATE(919),
    [sym_select_statement] = STATE(919),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(979),
    [sym_const_declaration] = STATE(979),
    [sym_var_declaration] = STATE(979),
    [sym_type_declaration] = STATE(979),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(979),
    [sym__statement] = STATE(979),
    [sym_empty_statement] = STATE(979),
    [sym__simple_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(979),
    [sym_fallthrough_statement] = STATE(979),
    [sym_break_statement] = STATE(979),
    [sym_continue_statement] = STATE(979),
    [sym_goto_statement] = STATE(979),
    [sym_return_statement] = STATE(979),
    [sym_go_statement] = STATE(979),
    [sym_defer_statement] = STATE(979),
    [sym_if_statement] = STATE(979),
    [sym_for_statement] = STATE(979),
    [sym_expression_switch_statement] = STATE(979),
    [sym_type_switch_statement] = STATE(979),
    [sym_select_statement] = STATE(979),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(127),
    [anon_sym_default] = ACTIONS(127),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(982),
    [sym_const_declaration] = STATE(982),
    [sym_var_declaration] = STATE(982),
    [sym_type_declaration] = STATE(982),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(982),
    [sym__statement] = STATE(982),
    [sym_empty_statement] = STATE(982),
    [sym__simple_statement] = STATE(982),
    [sym_send_statement] = STATE(982),
    [sym_inc_statement] = STATE(982),
    [sym_dec_statement] = STATE(982),
    [sym_assignment_statement] = STATE(982),
    [sym_short_var_declaration] = STATE(982),
    [sym_labeled_statement] = STATE(982),
    [sym_fallthrough_statement] = STATE(982),
    [sym_break_statement] = STATE(982),
    [sym_continue_statement] = STATE(982),
    [sym_goto_statement] = STATE(982),
    [sym_return_statement] = STATE(982),
    [sym_go_statement] = STATE(982),
    [sym_defer_statement] = STATE(982),
    [sym_if_statement] = STATE(982),
    [sym_for_statement] = STATE(982),
    [sym_expression_switch_statement] = STATE(982),
    [sym_type_switch_statement] = STATE(982),
    [sym_select_statement] = STATE(982),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(979),
    [sym_const_declaration] = STATE(979),
    [sym_var_declaration] = STATE(979),
    [sym_type_declaration] = STATE(979),
    [sym_expression_list] = STATE(772),
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym_block] = STATE(979),
    [sym__statement] = STATE(979),
    [sym_empty_statement] = STATE(979),
    [sym__simple_statement] = STATE(979),
    [sym_send_statement] = STATE(979),
    [sym_inc_statement] = STATE(979),
    [sym_dec_statement] = STATE(979),
    [sym_assignment_statement] = STATE(979),
    [sym_short_var_declaration] = STATE(979),
    [sym_labeled_statement] = STATE(979),
    [sym_fallthrough_statement] = STATE(979),
    [sym_break_statement] = STATE(979),
    [sym_continue_statement] = STATE(979),
    [sym_goto_statement] = STATE(979),
    [sym_return_statement] = STATE(979),
    [sym_go_statement] = STATE(979),
    [sym_defer_statement] = STATE(979),
    [sym_if_statement] = STATE(979),
    [sym_for_statement] = STATE(979),
    [sym_expression_switch_statement] = STATE(979),
    [sym_type_switch_statement] = STATE(979),
    [sym_select_statement] = STATE(979),
    [sym__expression] = STATE(263),
    [sym_parenthesized_expression] = STATE(263),
    [sym_call_expression] = STATE(263),
    [sym_selector_expression] = STATE(263),
    [sym_index_expression] = STATE(263),
    [sym_slice_expression] = STATE(263),
    [sym_type_assertion_expression] = STATE(263),
    [sym_type_conversion_expression] = STATE(263),
    [sym_composite_literal] = STATE(263),
    [sym_func_literal] = STATE(263),
    [sym_unary_expression] = STATE(263),
    [sym_binary_expression] = STATE(263),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(263),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_type] = ACTIONS(31),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_fallthrough] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_goto] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_go] = ACTIONS(61),
    [anon_sym_defer] = ACTIONS(63),
    [anon_sym_if] = ACTIONS(65),
    [anon_sym_for] = ACTIONS(67),
    [anon_sym_switch] = ACTIONS(69),
    [anon_sym_select] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(83),
    [sym_float_literal] = ACTIONS(83),
    [sym_imaginary_literal] = ACTIONS(79),
    [sym_rune_literal] = ACTIONS(79),
    [sym_nil] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_expression_list] = STATE(771),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym_block] = STATE(953),
    [sym__simple_statement] = STATE(1247),
    [sym_send_statement] = STATE(1247),
    [sym_inc_statement] = STATE(1247),
    [sym_dec_statement] = STATE(1247),
    [sym_assignment_statement] = STATE(1247),
    [sym_short_var_declaration] = STATE(1247),
    [sym_for_clause] = STATE(1194),
    [sym_range_clause] = STATE(1194),
    [sym__expression] = STATE(277),
    [sym_parenthesized_expression] = STATE(277),
    [sym_call_expression] = STATE(277),
    [sym_selector_expression] = STATE(277),
    [sym_index_expression] = STATE(277),
    [sym_slice_expression] = STATE(277),
    [sym_type_assertion_expression] = STATE(277),
    [sym_type_conversion_expression] = STATE(277),
    [sym_composite_literal] = STATE(277),
    [sym_func_literal] = STATE(277),
    [sym_unary_expression] = STATE(277),
    [sym_binary_expression] = STATE(277),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(277),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_range] = ACTIONS(141),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(151),
    [sym_float_literal] = ACTIONS(151),
    [sym_imaginary_literal] = ACTIONS(147),
    [sym_rune_literal] = ACTIONS(147),
    [sym_nil] = ACTIONS(151),
    [sym_true] = ACTIONS(151),
    [sym_false] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_expression_list] = STATE(774),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1260),
    [sym_send_statement] = STATE(1260),
    [sym_inc_statement] = STATE(1260),
    [sym_dec_statement] = STATE(1260),
    [sym_assignment_statement] = STATE(1260),
    [sym_short_var_declaration] = STATE(1260),
    [sym__type_switch_header] = STATE(1256),
    [sym__expression] = STATE(305),
    [sym_parenthesized_expression] = STATE(305),
    [sym_call_expression] = STATE(305),
    [sym_selector_expression] = STATE(305),
    [sym_index_expression] = STATE(305),
    [sym_slice_expression] = STATE(305),
    [sym_type_assertion_expression] = STATE(305),
    [sym_type_conversion_expression] = STATE(305),
    [sym_composite_literal] = STATE(305),
    [sym_func_literal] = STATE(305),
    [sym_unary_expression] = STATE(305),
    [sym_binary_expression] = STATE(305),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(305),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(157),
    [sym_float_literal] = ACTIONS(157),
    [sym_imaginary_literal] = ACTIONS(155),
    [sym_rune_literal] = ACTIONS(155),
    [sym_nil] = ACTIONS(157),
    [sym_true] = ACTIONS(157),
    [sym_false] = ACTIONS(157),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(769),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1248),
    [sym_send_statement] = STATE(1248),
    [sym_inc_statement] = STATE(1248),
    [sym_dec_statement] = STATE(1248),
    [sym_assignment_statement] = STATE(1248),
    [sym_short_var_declaration] = STATE(1248),
    [sym__expression] = STATE(309),
    [sym_parenthesized_expression] = STATE(309),
    [sym_call_expression] = STATE(309),
    [sym_selector_expression] = STATE(309),
    [sym_index_expression] = STATE(309),
    [sym_slice_expression] = STATE(309),
    [sym_type_assertion_expression] = STATE(309),
    [sym_type_conversion_expression] = STATE(309),
    [sym_composite_literal] = STATE(309),
    [sym_func_literal] = STATE(309),
    [sym_unary_expression] = STATE(309),
    [sym_binary_expression] = STATE(309),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(309),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(159),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(163),
    [sym_float_literal] = ACTIONS(163),
    [sym_imaginary_literal] = ACTIONS(161),
    [sym_rune_literal] = ACTIONS(161),
    [sym_nil] = ACTIONS(163),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(769),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1257),
    [sym_send_statement] = STATE(1257),
    [sym_inc_statement] = STATE(1257),
    [sym_dec_statement] = STATE(1257),
    [sym_assignment_statement] = STATE(1257),
    [sym_short_var_declaration] = STATE(1257),
    [sym__expression] = STATE(309),
    [sym_parenthesized_expression] = STATE(309),
    [sym_call_expression] = STATE(309),
    [sym_selector_expression] = STATE(309),
    [sym_index_expression] = STATE(309),
    [sym_slice_expression] = STATE(309),
    [sym_type_assertion_expression] = STATE(309),
    [sym_type_conversion_expression] = STATE(309),
    [sym_composite_literal] = STATE(309),
    [sym_func_literal] = STATE(309),
    [sym_unary_expression] = STATE(309),
    [sym_binary_expression] = STATE(309),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(309),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(163),
    [sym_float_literal] = ACTIONS(163),
    [sym_imaginary_literal] = ACTIONS(161),
    [sym_rune_literal] = ACTIONS(161),
    [sym_nil] = ACTIONS(163),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(769),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1255),
    [sym_send_statement] = STATE(1255),
    [sym_inc_statement] = STATE(1255),
    [sym_dec_statement] = STATE(1255),
    [sym_assignment_statement] = STATE(1255),
    [sym_short_var_declaration] = STATE(1255),
    [sym__expression] = STATE(309),
    [sym_parenthesized_expression] = STATE(309),
    [sym_call_expression] = STATE(309),
    [sym_selector_expression] = STATE(309),
    [sym_index_expression] = STATE(309),
    [sym_slice_expression] = STATE(309),
    [sym_type_assertion_expression] = STATE(309),
    [sym_type_conversion_expression] = STATE(309),
    [sym_composite_literal] = STATE(309),
    [sym_func_literal] = STATE(309),
    [sym_unary_expression] = STATE(309),
    [sym_binary_expression] = STATE(309),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(309),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(167),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(163),
    [sym_float_literal] = ACTIONS(163),
    [sym_imaginary_literal] = ACTIONS(161),
    [sym_rune_literal] = ACTIONS(161),
    [sym_nil] = ACTIONS(163),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(769),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1268),
    [sym_send_statement] = STATE(1268),
    [sym_inc_statement] = STATE(1268),
    [sym_dec_statement] = STATE(1268),
    [sym_assignment_statement] = STATE(1268),
    [sym_short_var_declaration] = STATE(1268),
    [sym__expression] = STATE(309),
    [sym_parenthesized_expression] = STATE(309),
    [sym_call_expression] = STATE(309),
    [sym_selector_expression] = STATE(309),
    [sym_index_expression] = STATE(309),
    [sym_slice_expression] = STATE(309),
    [sym_type_assertion_expression] = STATE(309),
    [sym_type_conversion_expression] = STATE(309),
    [sym_composite_literal] = STATE(309),
    [sym_func_literal] = STATE(309),
    [sym_unary_expression] = STATE(309),
    [sym_binary_expression] = STATE(309),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(309),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(169),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(163),
    [sym_float_literal] = ACTIONS(163),
    [sym_imaginary_literal] = ACTIONS(161),
    [sym_rune_literal] = ACTIONS(161),
    [sym_nil] = ACTIONS(163),
    [sym_true] = ACTIONS(163),
    [sym_false] = ACTIONS(163),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(773),
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__simple_statement] = STATE(1261),
    [sym_send_statement] = STATE(1261),
    [sym_inc_statement] = STATE(1261),
    [sym_dec_statement] = STATE(1261),
    [sym_assignment_statement] = STATE(1261),
    [sym_short_var_declaration] = STATE(1261),
    [sym__expression] = STATE(304),
    [sym_parenthesized_expression] = STATE(304),
    [sym_call_expression] = STATE(304),
    [sym_selector_expression] = STATE(304),
    [sym_index_expression] = STATE(304),
    [sym_slice_expression] = STATE(304),
    [sym_type_assertion_expression] = STATE(304),
    [sym_type_conversion_expression] = STATE(304),
    [sym_composite_literal] = STATE(304),
    [sym_func_literal] = STATE(304),
    [sym_unary_expression] = STATE(304),
    [sym_binary_expression] = STATE(304),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(304),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(173),
    [sym_float_literal] = ACTIONS(173),
    [sym_imaginary_literal] = ACTIONS(171),
    [sym_rune_literal] = ACTIONS(171),
    [sym_nil] = ACTIONS(173),
    [sym_true] = ACTIONS(173),
    [sym_false] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(951),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LF] = ACTIONS(177),
    [anon_sym_SEMI] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(189),
    [anon_sym_case] = ACTIONS(179),
    [anon_sym_default] = ACTIONS(179),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(193),
    [anon_sym_DASH] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(193),
    [anon_sym_CARET] = ACTIONS(193),
    [anon_sym_AMP] = ACTIONS(193),
    [sym_raw_string_literal] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(195),
    [sym_rune_literal] = ACTIONS(195),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(199),
  },
  [27] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(211),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1138),
    [sym_element] = STATE(1138),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(231),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1059),
    [sym_element] = STATE(1059),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(235),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1121),
    [sym_element] = STATE(1121),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1144),
    [sym_element] = STATE(1144),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1060),
    [sym_element] = STATE(1060),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1101),
    [sym_element] = STATE(1101),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1117),
    [sym_element] = STATE(1117),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym_call_expression] = STATE(592),
    [sym_selector_expression] = STATE(592),
    [sym_index_expression] = STATE(592),
    [sym_slice_expression] = STATE(592),
    [sym_type_assertion_expression] = STATE(592),
    [sym_type_conversion_expression] = STATE(592),
    [sym_composite_literal] = STATE(592),
    [sym_literal_value] = STATE(1134),
    [sym_keyed_element] = STATE(1204),
    [sym_element] = STATE(1204),
    [sym_func_literal] = STATE(592),
    [sym_unary_expression] = STATE(592),
    [sym_binary_expression] = STATE(592),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(592),
    [sym_identifier] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(223),
    [sym_float_literal] = ACTIONS(223),
    [sym_imaginary_literal] = ACTIONS(219),
    [sym_rune_literal] = ACTIONS(219),
    [sym_nil] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_expression_list] = STATE(1196),
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym_send_statement] = STATE(1253),
    [sym_receive_statement] = STATE(1253),
    [sym__expression] = STATE(483),
    [sym_parenthesized_expression] = STATE(483),
    [sym_call_expression] = STATE(483),
    [sym_selector_expression] = STATE(483),
    [sym_index_expression] = STATE(483),
    [sym_slice_expression] = STATE(483),
    [sym_type_assertion_expression] = STATE(483),
    [sym_type_conversion_expression] = STATE(483),
    [sym_composite_literal] = STATE(483),
    [sym_func_literal] = STATE(483),
    [sym_unary_expression] = STATE(483),
    [sym_binary_expression] = STATE(483),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(483),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(279),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(283),
    [sym_float_literal] = ACTIONS(283),
    [sym_imaginary_literal] = ACTIONS(279),
    [sym_rune_literal] = ACTIONS(279),
    [sym_nil] = ACTIONS(283),
    [sym_true] = ACTIONS(283),
    [sym_false] = ACTIONS(283),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(287),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(299),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_call_expression] = STATE(562),
    [sym_variadic_argument] = STATE(1111),
    [sym_selector_expression] = STATE(562),
    [sym_index_expression] = STATE(562),
    [sym_slice_expression] = STATE(562),
    [sym_type_assertion_expression] = STATE(562),
    [sym_type_conversion_expression] = STATE(562),
    [sym_composite_literal] = STATE(562),
    [sym_func_literal] = STATE(562),
    [sym_unary_expression] = STATE(562),
    [sym_binary_expression] = STATE(562),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(562),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(301),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(303),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(305),
    [sym_float_literal] = ACTIONS(305),
    [sym_imaginary_literal] = ACTIONS(303),
    [sym_rune_literal] = ACTIONS(303),
    [sym_nil] = ACTIONS(305),
    [sym_true] = ACTIONS(305),
    [sym_false] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(309),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(631),
    [sym_parenthesized_expression] = STATE(631),
    [sym_call_expression] = STATE(631),
    [sym_selector_expression] = STATE(631),
    [sym_index_expression] = STATE(631),
    [sym_slice_expression] = STATE(631),
    [sym_type_assertion_expression] = STATE(631),
    [sym_type_conversion_expression] = STATE(631),
    [sym_composite_literal] = STATE(631),
    [sym_literal_value] = STATE(1208),
    [sym_func_literal] = STATE(631),
    [sym_unary_expression] = STATE(631),
    [sym_binary_expression] = STATE(631),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(631),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(317),
    [sym_float_literal] = ACTIONS(317),
    [sym_imaginary_literal] = ACTIONS(315),
    [sym_rune_literal] = ACTIONS(315),
    [sym_nil] = ACTIONS(317),
    [sym_true] = ACTIONS(317),
    [sym_false] = ACTIONS(317),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(319),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(573),
    [sym_parenthesized_expression] = STATE(573),
    [sym_call_expression] = STATE(573),
    [sym_variadic_argument] = STATE(1104),
    [sym_selector_expression] = STATE(573),
    [sym_index_expression] = STATE(573),
    [sym_slice_expression] = STATE(573),
    [sym_type_assertion_expression] = STATE(573),
    [sym_type_conversion_expression] = STATE(573),
    [sym_composite_literal] = STATE(573),
    [sym_func_literal] = STATE(573),
    [sym_unary_expression] = STATE(573),
    [sym_binary_expression] = STATE(573),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(573),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(327),
    [sym_float_literal] = ACTIONS(327),
    [sym_imaginary_literal] = ACTIONS(325),
    [sym_rune_literal] = ACTIONS(325),
    [sym_nil] = ACTIONS(327),
    [sym_true] = ACTIONS(327),
    [sym_false] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(637),
    [sym_parenthesized_expression] = STATE(637),
    [sym_call_expression] = STATE(637),
    [sym_selector_expression] = STATE(637),
    [sym_index_expression] = STATE(637),
    [sym_slice_expression] = STATE(637),
    [sym_type_assertion_expression] = STATE(637),
    [sym_type_conversion_expression] = STATE(637),
    [sym_composite_literal] = STATE(637),
    [sym_func_literal] = STATE(637),
    [sym_unary_expression] = STATE(637),
    [sym_binary_expression] = STATE(637),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(637),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(333),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(335),
    [sym_float_literal] = ACTIONS(335),
    [sym_imaginary_literal] = ACTIONS(333),
    [sym_rune_literal] = ACTIONS(333),
    [sym_nil] = ACTIONS(335),
    [sym_true] = ACTIONS(335),
    [sym_false] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(337),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(339),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(559),
    [sym_parenthesized_expression] = STATE(559),
    [sym_call_expression] = STATE(559),
    [sym_variadic_argument] = STATE(1120),
    [sym_selector_expression] = STATE(559),
    [sym_index_expression] = STATE(559),
    [sym_slice_expression] = STATE(559),
    [sym_type_assertion_expression] = STATE(559),
    [sym_type_conversion_expression] = STATE(559),
    [sym_composite_literal] = STATE(559),
    [sym_func_literal] = STATE(559),
    [sym_unary_expression] = STATE(559),
    [sym_binary_expression] = STATE(559),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(559),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(341),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(343),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(345),
    [sym_float_literal] = ACTIONS(345),
    [sym_imaginary_literal] = ACTIONS(343),
    [sym_rune_literal] = ACTIONS(343),
    [sym_nil] = ACTIONS(345),
    [sym_true] = ACTIONS(345),
    [sym_false] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(347),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(551),
    [sym_parenthesized_expression] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_variadic_argument] = STATE(1139),
    [sym_selector_expression] = STATE(551),
    [sym_index_expression] = STATE(551),
    [sym_slice_expression] = STATE(551),
    [sym_type_assertion_expression] = STATE(551),
    [sym_type_conversion_expression] = STATE(551),
    [sym_composite_literal] = STATE(551),
    [sym_func_literal] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_binary_expression] = STATE(551),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(551),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(349),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(351),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(353),
    [sym_float_literal] = ACTIONS(353),
    [sym_imaginary_literal] = ACTIONS(351),
    [sym_rune_literal] = ACTIONS(351),
    [sym_nil] = ACTIONS(353),
    [sym_true] = ACTIONS(353),
    [sym_false] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_variadic_argument] = STATE(1129),
    [sym_selector_expression] = STATE(557),
    [sym_index_expression] = STATE(557),
    [sym_slice_expression] = STATE(557),
    [sym_type_assertion_expression] = STATE(557),
    [sym_type_conversion_expression] = STATE(557),
    [sym_composite_literal] = STATE(557),
    [sym_func_literal] = STATE(557),
    [sym_unary_expression] = STATE(557),
    [sym_binary_expression] = STATE(557),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(557),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(355),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(359),
    [sym_float_literal] = ACTIONS(359),
    [sym_imaginary_literal] = ACTIONS(357),
    [sym_rune_literal] = ACTIONS(357),
    [sym_nil] = ACTIONS(359),
    [sym_true] = ACTIONS(359),
    [sym_false] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(595),
    [sym_parenthesized_expression] = STATE(595),
    [sym_call_expression] = STATE(595),
    [sym_selector_expression] = STATE(595),
    [sym_index_expression] = STATE(595),
    [sym_slice_expression] = STATE(595),
    [sym_type_assertion_expression] = STATE(595),
    [sym_type_conversion_expression] = STATE(595),
    [sym_composite_literal] = STATE(595),
    [sym_literal_value] = STATE(1209),
    [sym_func_literal] = STATE(595),
    [sym_unary_expression] = STATE(595),
    [sym_binary_expression] = STATE(595),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(595),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(363),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(365),
    [sym_float_literal] = ACTIONS(365),
    [sym_imaginary_literal] = ACTIONS(363),
    [sym_rune_literal] = ACTIONS(363),
    [sym_nil] = ACTIONS(365),
    [sym_true] = ACTIONS(365),
    [sym_false] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_expression_list] = STATE(1183),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_selector_expression] = STATE(554),
    [sym_index_expression] = STATE(554),
    [sym_slice_expression] = STATE(554),
    [sym_type_assertion_expression] = STATE(554),
    [sym_type_conversion_expression] = STATE(554),
    [sym_composite_literal] = STATE(554),
    [sym_func_literal] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(554),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_range] = ACTIONS(367),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(371),
    [sym_float_literal] = ACTIONS(371),
    [sym_imaginary_literal] = ACTIONS(369),
    [sym_rune_literal] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_expression_list] = STATE(1185),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_selector_expression] = STATE(554),
    [sym_index_expression] = STATE(554),
    [sym_slice_expression] = STATE(554),
    [sym_type_assertion_expression] = STATE(554),
    [sym_type_conversion_expression] = STATE(554),
    [sym_composite_literal] = STATE(554),
    [sym_func_literal] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(554),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_range] = ACTIONS(367),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(371),
    [sym_float_literal] = ACTIONS(371),
    [sym_imaginary_literal] = ACTIONS(369),
    [sym_rune_literal] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(373),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(377),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_expression_list] = STATE(1244),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(561),
    [sym_parenthesized_expression] = STATE(561),
    [sym_call_expression] = STATE(561),
    [sym_selector_expression] = STATE(561),
    [sym_index_expression] = STATE(561),
    [sym_slice_expression] = STATE(561),
    [sym_type_assertion_expression] = STATE(561),
    [sym_type_conversion_expression] = STATE(561),
    [sym_composite_literal] = STATE(561),
    [sym_func_literal] = STATE(561),
    [sym_unary_expression] = STATE(561),
    [sym_binary_expression] = STATE(561),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(561),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(383),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(389),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(391),
    [sym_float_literal] = ACTIONS(391),
    [sym_imaginary_literal] = ACTIONS(389),
    [sym_rune_literal] = ACTIONS(389),
    [sym_nil] = ACTIONS(391),
    [sym_true] = ACTIONS(391),
    [sym_false] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_call_expression] = STATE(567),
    [sym_variadic_argument] = STATE(1141),
    [sym_selector_expression] = STATE(567),
    [sym_index_expression] = STATE(567),
    [sym_slice_expression] = STATE(567),
    [sym_type_assertion_expression] = STATE(567),
    [sym_type_conversion_expression] = STATE(567),
    [sym_composite_literal] = STATE(567),
    [sym_func_literal] = STATE(567),
    [sym_unary_expression] = STATE(567),
    [sym_binary_expression] = STATE(567),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(567),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(393),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(395),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(397),
    [sym_float_literal] = ACTIONS(397),
    [sym_imaginary_literal] = ACTIONS(395),
    [sym_rune_literal] = ACTIONS(395),
    [sym_nil] = ACTIONS(397),
    [sym_true] = ACTIONS(397),
    [sym_false] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(536),
    [sym_parenthesized_expression] = STATE(536),
    [sym_call_expression] = STATE(536),
    [sym_variadic_argument] = STATE(1063),
    [sym_selector_expression] = STATE(536),
    [sym_index_expression] = STATE(536),
    [sym_slice_expression] = STATE(536),
    [sym_type_assertion_expression] = STATE(536),
    [sym_type_conversion_expression] = STATE(536),
    [sym_composite_literal] = STATE(536),
    [sym_func_literal] = STATE(536),
    [sym_unary_expression] = STATE(536),
    [sym_binary_expression] = STATE(536),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(536),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(399),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(401),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(403),
    [sym_float_literal] = ACTIONS(403),
    [sym_imaginary_literal] = ACTIONS(401),
    [sym_rune_literal] = ACTIONS(401),
    [sym_nil] = ACTIONS(403),
    [sym_true] = ACTIONS(403),
    [sym_false] = ACTIONS(403),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_expression_list] = STATE(1250),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_selector_expression] = STATE(554),
    [sym_index_expression] = STATE(554),
    [sym_slice_expression] = STATE(554),
    [sym_type_assertion_expression] = STATE(554),
    [sym_type_conversion_expression] = STATE(554),
    [sym_composite_literal] = STATE(554),
    [sym_func_literal] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(554),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(371),
    [sym_float_literal] = ACTIONS(371),
    [sym_imaginary_literal] = ACTIONS(369),
    [sym_rune_literal] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(608),
    [sym_parenthesized_expression] = STATE(608),
    [sym_call_expression] = STATE(608),
    [sym_selector_expression] = STATE(608),
    [sym_index_expression] = STATE(608),
    [sym_slice_expression] = STATE(608),
    [sym_type_assertion_expression] = STATE(608),
    [sym_type_conversion_expression] = STATE(608),
    [sym_composite_literal] = STATE(608),
    [sym_func_literal] = STATE(608),
    [sym_unary_expression] = STATE(608),
    [sym_binary_expression] = STATE(608),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(608),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(405),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(407),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(409),
    [sym_float_literal] = ACTIONS(409),
    [sym_imaginary_literal] = ACTIONS(407),
    [sym_rune_literal] = ACTIONS(407),
    [sym_nil] = ACTIONS(409),
    [sym_true] = ACTIONS(409),
    [sym_false] = ACTIONS(409),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_expression_list] = STATE(981),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(423),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_call_expression] = STATE(622),
    [sym_selector_expression] = STATE(622),
    [sym_index_expression] = STATE(622),
    [sym_slice_expression] = STATE(622),
    [sym_type_assertion_expression] = STATE(622),
    [sym_type_conversion_expression] = STATE(622),
    [sym_composite_literal] = STATE(622),
    [sym_func_literal] = STATE(622),
    [sym_unary_expression] = STATE(622),
    [sym_binary_expression] = STATE(622),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(622),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(429),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(431),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(433),
    [sym_float_literal] = ACTIONS(433),
    [sym_imaginary_literal] = ACTIONS(431),
    [sym_rune_literal] = ACTIONS(431),
    [sym_nil] = ACTIONS(433),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(435),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_expression_list] = STATE(933),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_expression_list] = STATE(934),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(663),
    [sym_parenthesized_expression] = STATE(663),
    [sym_call_expression] = STATE(663),
    [sym_selector_expression] = STATE(663),
    [sym_index_expression] = STATE(663),
    [sym_slice_expression] = STATE(663),
    [sym_type_assertion_expression] = STATE(663),
    [sym_type_conversion_expression] = STATE(663),
    [sym_composite_literal] = STATE(663),
    [sym_func_literal] = STATE(663),
    [sym_unary_expression] = STATE(663),
    [sym_binary_expression] = STATE(663),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(663),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_SEMI] = ACTIONS(439),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(443),
    [sym_float_literal] = ACTIONS(443),
    [sym_imaginary_literal] = ACTIONS(441),
    [sym_rune_literal] = ACTIONS(441),
    [sym_nil] = ACTIONS(443),
    [sym_true] = ACTIONS(443),
    [sym_false] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(620),
    [sym_parenthesized_expression] = STATE(620),
    [sym_call_expression] = STATE(620),
    [sym_selector_expression] = STATE(620),
    [sym_index_expression] = STATE(620),
    [sym_slice_expression] = STATE(620),
    [sym_type_assertion_expression] = STATE(620),
    [sym_type_conversion_expression] = STATE(620),
    [sym_composite_literal] = STATE(620),
    [sym_func_literal] = STATE(620),
    [sym_unary_expression] = STATE(620),
    [sym_binary_expression] = STATE(620),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(620),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(447),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(449),
    [sym_float_literal] = ACTIONS(449),
    [sym_imaginary_literal] = ACTIONS(447),
    [sym_rune_literal] = ACTIONS(447),
    [sym_nil] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_expression_list] = STATE(959),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(451),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_call_expression] = STATE(621),
    [sym_selector_expression] = STATE(621),
    [sym_index_expression] = STATE(621),
    [sym_slice_expression] = STATE(621),
    [sym_type_assertion_expression] = STATE(621),
    [sym_type_conversion_expression] = STATE(621),
    [sym_composite_literal] = STATE(621),
    [sym_func_literal] = STATE(621),
    [sym_unary_expression] = STATE(621),
    [sym_binary_expression] = STATE(621),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(621),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(453),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(455),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(457),
    [sym_float_literal] = ACTIONS(457),
    [sym_imaginary_literal] = ACTIONS(455),
    [sym_rune_literal] = ACTIONS(455),
    [sym_nil] = ACTIONS(457),
    [sym_true] = ACTIONS(457),
    [sym_false] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_expression_list] = STATE(814),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(628),
    [sym_parenthesized_expression] = STATE(628),
    [sym_call_expression] = STATE(628),
    [sym_selector_expression] = STATE(628),
    [sym_index_expression] = STATE(628),
    [sym_slice_expression] = STATE(628),
    [sym_type_assertion_expression] = STATE(628),
    [sym_type_conversion_expression] = STATE(628),
    [sym_composite_literal] = STATE(628),
    [sym_func_literal] = STATE(628),
    [sym_unary_expression] = STATE(628),
    [sym_binary_expression] = STATE(628),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(628),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(479),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(481),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(483),
    [sym_float_literal] = ACTIONS(483),
    [sym_imaginary_literal] = ACTIONS(481),
    [sym_rune_literal] = ACTIONS(481),
    [sym_nil] = ACTIONS(483),
    [sym_true] = ACTIONS(483),
    [sym_false] = ACTIONS(483),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(485),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(487),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(605),
    [sym_parenthesized_expression] = STATE(605),
    [sym_call_expression] = STATE(605),
    [sym_selector_expression] = STATE(605),
    [sym_index_expression] = STATE(605),
    [sym_slice_expression] = STATE(605),
    [sym_type_assertion_expression] = STATE(605),
    [sym_type_conversion_expression] = STATE(605),
    [sym_composite_literal] = STATE(605),
    [sym_func_literal] = STATE(605),
    [sym_unary_expression] = STATE(605),
    [sym_binary_expression] = STATE(605),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(605),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(489),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(493),
    [sym_float_literal] = ACTIONS(493),
    [sym_imaginary_literal] = ACTIONS(491),
    [sym_rune_literal] = ACTIONS(491),
    [sym_nil] = ACTIONS(493),
    [sym_true] = ACTIONS(493),
    [sym_false] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(600),
    [sym_parenthesized_expression] = STATE(600),
    [sym_call_expression] = STATE(600),
    [sym_selector_expression] = STATE(600),
    [sym_index_expression] = STATE(600),
    [sym_slice_expression] = STATE(600),
    [sym_type_assertion_expression] = STATE(600),
    [sym_type_conversion_expression] = STATE(600),
    [sym_composite_literal] = STATE(600),
    [sym_func_literal] = STATE(600),
    [sym_unary_expression] = STATE(600),
    [sym_binary_expression] = STATE(600),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(600),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(495),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(497),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(499),
    [sym_float_literal] = ACTIONS(499),
    [sym_imaginary_literal] = ACTIONS(497),
    [sym_rune_literal] = ACTIONS(497),
    [sym_nil] = ACTIONS(499),
    [sym_true] = ACTIONS(499),
    [sym_false] = ACTIONS(499),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(641),
    [sym_parenthesized_expression] = STATE(641),
    [sym_call_expression] = STATE(641),
    [sym_selector_expression] = STATE(641),
    [sym_index_expression] = STATE(641),
    [sym_slice_expression] = STATE(641),
    [sym_type_assertion_expression] = STATE(641),
    [sym_type_conversion_expression] = STATE(641),
    [sym_composite_literal] = STATE(641),
    [sym_func_literal] = STATE(641),
    [sym_unary_expression] = STATE(641),
    [sym_binary_expression] = STATE(641),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(641),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(501),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(505),
    [sym_float_literal] = ACTIONS(505),
    [sym_imaginary_literal] = ACTIONS(503),
    [sym_rune_literal] = ACTIONS(503),
    [sym_nil] = ACTIONS(505),
    [sym_true] = ACTIONS(505),
    [sym_false] = ACTIONS(505),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(507),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(509),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(616),
    [sym_parenthesized_expression] = STATE(616),
    [sym_call_expression] = STATE(616),
    [sym_selector_expression] = STATE(616),
    [sym_index_expression] = STATE(616),
    [sym_slice_expression] = STATE(616),
    [sym_type_assertion_expression] = STATE(616),
    [sym_type_conversion_expression] = STATE(616),
    [sym_composite_literal] = STATE(616),
    [sym_func_literal] = STATE(616),
    [sym_unary_expression] = STATE(616),
    [sym_binary_expression] = STATE(616),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(616),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(511),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(515),
    [sym_float_literal] = ACTIONS(515),
    [sym_imaginary_literal] = ACTIONS(513),
    [sym_rune_literal] = ACTIONS(513),
    [sym_nil] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_expression_list] = STATE(844),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(612),
    [sym_parenthesized_expression] = STATE(612),
    [sym_call_expression] = STATE(612),
    [sym_selector_expression] = STATE(612),
    [sym_index_expression] = STATE(612),
    [sym_slice_expression] = STATE(612),
    [sym_type_assertion_expression] = STATE(612),
    [sym_type_conversion_expression] = STATE(612),
    [sym_composite_literal] = STATE(612),
    [sym_func_literal] = STATE(612),
    [sym_unary_expression] = STATE(612),
    [sym_binary_expression] = STATE(612),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(612),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(517),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(519),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(521),
    [sym_float_literal] = ACTIONS(521),
    [sym_imaginary_literal] = ACTIONS(519),
    [sym_rune_literal] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_true] = ACTIONS(521),
    [sym_false] = ACTIONS(521),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(523),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_expression_list] = STATE(826),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_expression_list] = STATE(839),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_expression_list] = STATE(940),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_call_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_func_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_binary_expression] = STATE(614),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(525),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(527),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(529),
    [sym_float_literal] = ACTIONS(529),
    [sym_imaginary_literal] = ACTIONS(527),
    [sym_rune_literal] = ACTIONS(527),
    [sym_nil] = ACTIONS(529),
    [sym_true] = ACTIONS(529),
    [sym_false] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(642),
    [sym_parenthesized_expression] = STATE(642),
    [sym_call_expression] = STATE(642),
    [sym_selector_expression] = STATE(642),
    [sym_index_expression] = STATE(642),
    [sym_slice_expression] = STATE(642),
    [sym_type_assertion_expression] = STATE(642),
    [sym_type_conversion_expression] = STATE(642),
    [sym_composite_literal] = STATE(642),
    [sym_func_literal] = STATE(642),
    [sym_unary_expression] = STATE(642),
    [sym_binary_expression] = STATE(642),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(642),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_SEMI] = ACTIONS(531),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(533),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(535),
    [sym_float_literal] = ACTIONS(535),
    [sym_imaginary_literal] = ACTIONS(533),
    [sym_rune_literal] = ACTIONS(533),
    [sym_nil] = ACTIONS(535),
    [sym_true] = ACTIONS(535),
    [sym_false] = ACTIONS(535),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(537),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(609),
    [sym_parenthesized_expression] = STATE(609),
    [sym_call_expression] = STATE(609),
    [sym_selector_expression] = STATE(609),
    [sym_index_expression] = STATE(609),
    [sym_slice_expression] = STATE(609),
    [sym_type_assertion_expression] = STATE(609),
    [sym_type_conversion_expression] = STATE(609),
    [sym_composite_literal] = STATE(609),
    [sym_func_literal] = STATE(609),
    [sym_unary_expression] = STATE(609),
    [sym_binary_expression] = STATE(609),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(609),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(539),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(541),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(543),
    [sym_float_literal] = ACTIONS(543),
    [sym_imaginary_literal] = ACTIONS(541),
    [sym_rune_literal] = ACTIONS(541),
    [sym_nil] = ACTIONS(543),
    [sym_true] = ACTIONS(543),
    [sym_false] = ACTIONS(543),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(632),
    [sym_parenthesized_expression] = STATE(632),
    [sym_call_expression] = STATE(632),
    [sym_selector_expression] = STATE(632),
    [sym_index_expression] = STATE(632),
    [sym_slice_expression] = STATE(632),
    [sym_type_assertion_expression] = STATE(632),
    [sym_type_conversion_expression] = STATE(632),
    [sym_composite_literal] = STATE(632),
    [sym_func_literal] = STATE(632),
    [sym_unary_expression] = STATE(632),
    [sym_binary_expression] = STATE(632),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(632),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(547),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(549),
    [sym_float_literal] = ACTIONS(549),
    [sym_imaginary_literal] = ACTIONS(547),
    [sym_rune_literal] = ACTIONS(547),
    [sym_nil] = ACTIONS(549),
    [sym_true] = ACTIONS(549),
    [sym_false] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_expression_list] = STATE(819),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_expression_list] = STATE(816),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(637),
    [sym_parenthesized_expression] = STATE(637),
    [sym_call_expression] = STATE(637),
    [sym_selector_expression] = STATE(637),
    [sym_index_expression] = STATE(637),
    [sym_slice_expression] = STATE(637),
    [sym_type_assertion_expression] = STATE(637),
    [sym_type_conversion_expression] = STATE(637),
    [sym_composite_literal] = STATE(637),
    [sym_func_literal] = STATE(637),
    [sym_unary_expression] = STATE(637),
    [sym_binary_expression] = STATE(637),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(637),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(333),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(335),
    [sym_float_literal] = ACTIONS(335),
    [sym_imaginary_literal] = ACTIONS(333),
    [sym_rune_literal] = ACTIONS(333),
    [sym_nil] = ACTIONS(335),
    [sym_true] = ACTIONS(335),
    [sym_false] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(551),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(639),
    [sym_parenthesized_expression] = STATE(639),
    [sym_call_expression] = STATE(639),
    [sym_selector_expression] = STATE(639),
    [sym_index_expression] = STATE(639),
    [sym_slice_expression] = STATE(639),
    [sym_type_assertion_expression] = STATE(639),
    [sym_type_conversion_expression] = STATE(639),
    [sym_composite_literal] = STATE(639),
    [sym_func_literal] = STATE(639),
    [sym_unary_expression] = STATE(639),
    [sym_binary_expression] = STATE(639),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(639),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(553),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(555),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(557),
    [sym_float_literal] = ACTIONS(557),
    [sym_imaginary_literal] = ACTIONS(555),
    [sym_rune_literal] = ACTIONS(555),
    [sym_nil] = ACTIONS(557),
    [sym_true] = ACTIONS(557),
    [sym_false] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_expression_list] = STATE(1185),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_call_expression] = STATE(580),
    [sym_selector_expression] = STATE(580),
    [sym_index_expression] = STATE(580),
    [sym_slice_expression] = STATE(580),
    [sym_type_assertion_expression] = STATE(580),
    [sym_type_conversion_expression] = STATE(580),
    [sym_composite_literal] = STATE(580),
    [sym_func_literal] = STATE(580),
    [sym_unary_expression] = STATE(580),
    [sym_binary_expression] = STATE(580),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(580),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(561),
    [sym_float_literal] = ACTIONS(561),
    [sym_imaginary_literal] = ACTIONS(559),
    [sym_rune_literal] = ACTIONS(559),
    [sym_nil] = ACTIONS(561),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_expression_list] = STATE(1183),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym_call_expression] = STATE(580),
    [sym_selector_expression] = STATE(580),
    [sym_index_expression] = STATE(580),
    [sym_slice_expression] = STATE(580),
    [sym_type_assertion_expression] = STATE(580),
    [sym_type_conversion_expression] = STATE(580),
    [sym_composite_literal] = STATE(580),
    [sym_func_literal] = STATE(580),
    [sym_unary_expression] = STATE(580),
    [sym_binary_expression] = STATE(580),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(580),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(561),
    [sym_float_literal] = ACTIONS(561),
    [sym_imaginary_literal] = ACTIONS(559),
    [sym_rune_literal] = ACTIONS(559),
    [sym_nil] = ACTIONS(561),
    [sym_true] = ACTIONS(561),
    [sym_false] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(634),
    [sym_parenthesized_expression] = STATE(634),
    [sym_call_expression] = STATE(634),
    [sym_selector_expression] = STATE(634),
    [sym_index_expression] = STATE(634),
    [sym_slice_expression] = STATE(634),
    [sym_type_assertion_expression] = STATE(634),
    [sym_type_conversion_expression] = STATE(634),
    [sym_composite_literal] = STATE(634),
    [sym_func_literal] = STATE(634),
    [sym_unary_expression] = STATE(634),
    [sym_binary_expression] = STATE(634),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(634),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(563),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(567),
    [sym_float_literal] = ACTIONS(567),
    [sym_imaginary_literal] = ACTIONS(565),
    [sym_rune_literal] = ACTIONS(565),
    [sym_nil] = ACTIONS(567),
    [sym_true] = ACTIONS(567),
    [sym_false] = ACTIONS(567),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_expression_list] = STATE(837),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_expression_list] = STATE(833),
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(389),
    [sym_parenthesized_expression] = STATE(389),
    [sym_call_expression] = STATE(389),
    [sym_selector_expression] = STATE(389),
    [sym_index_expression] = STATE(389),
    [sym_slice_expression] = STATE(389),
    [sym_type_assertion_expression] = STATE(389),
    [sym_type_conversion_expression] = STATE(389),
    [sym_composite_literal] = STATE(389),
    [sym_func_literal] = STATE(389),
    [sym_unary_expression] = STATE(389),
    [sym_binary_expression] = STATE(389),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(389),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(477),
    [sym_float_literal] = ACTIONS(477),
    [sym_imaginary_literal] = ACTIONS(473),
    [sym_rune_literal] = ACTIONS(473),
    [sym_nil] = ACTIONS(477),
    [sym_true] = ACTIONS(477),
    [sym_false] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_expression_list] = STATE(1185),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(591),
    [sym_parenthesized_expression] = STATE(591),
    [sym_call_expression] = STATE(591),
    [sym_selector_expression] = STATE(591),
    [sym_index_expression] = STATE(591),
    [sym_slice_expression] = STATE(591),
    [sym_type_assertion_expression] = STATE(591),
    [sym_type_conversion_expression] = STATE(591),
    [sym_composite_literal] = STATE(591),
    [sym_func_literal] = STATE(591),
    [sym_unary_expression] = STATE(591),
    [sym_binary_expression] = STATE(591),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(591),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(569),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(571),
    [sym_float_literal] = ACTIONS(571),
    [sym_imaginary_literal] = ACTIONS(569),
    [sym_rune_literal] = ACTIONS(569),
    [sym_nil] = ACTIONS(571),
    [sym_true] = ACTIONS(571),
    [sym_false] = ACTIONS(571),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym_call_expression] = STATE(611),
    [sym_selector_expression] = STATE(611),
    [sym_index_expression] = STATE(611),
    [sym_slice_expression] = STATE(611),
    [sym_type_assertion_expression] = STATE(611),
    [sym_type_conversion_expression] = STATE(611),
    [sym_composite_literal] = STATE(611),
    [sym_func_literal] = STATE(611),
    [sym_unary_expression] = STATE(611),
    [sym_binary_expression] = STATE(611),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(611),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(573),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(577),
    [sym_float_literal] = ACTIONS(577),
    [sym_imaginary_literal] = ACTIONS(575),
    [sym_rune_literal] = ACTIONS(575),
    [sym_nil] = ACTIONS(577),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(579),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_expression_list] = STATE(943),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(597),
    [sym_parenthesized_expression] = STATE(597),
    [sym_call_expression] = STATE(597),
    [sym_selector_expression] = STATE(597),
    [sym_index_expression] = STATE(597),
    [sym_slice_expression] = STATE(597),
    [sym_type_assertion_expression] = STATE(597),
    [sym_type_conversion_expression] = STATE(597),
    [sym_composite_literal] = STATE(597),
    [sym_func_literal] = STATE(597),
    [sym_unary_expression] = STATE(597),
    [sym_binary_expression] = STATE(597),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(597),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(581),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(583),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(585),
    [sym_float_literal] = ACTIONS(585),
    [sym_imaginary_literal] = ACTIONS(583),
    [sym_rune_literal] = ACTIONS(583),
    [sym_nil] = ACTIONS(585),
    [sym_true] = ACTIONS(585),
    [sym_false] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(666),
    [sym_parenthesized_expression] = STATE(666),
    [sym_call_expression] = STATE(666),
    [sym_selector_expression] = STATE(666),
    [sym_index_expression] = STATE(666),
    [sym_slice_expression] = STATE(666),
    [sym_type_assertion_expression] = STATE(666),
    [sym_type_conversion_expression] = STATE(666),
    [sym_composite_literal] = STATE(666),
    [sym_func_literal] = STATE(666),
    [sym_unary_expression] = STATE(666),
    [sym_binary_expression] = STATE(666),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(666),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(587),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(591),
    [sym_float_literal] = ACTIONS(591),
    [sym_imaginary_literal] = ACTIONS(589),
    [sym_rune_literal] = ACTIONS(589),
    [sym_nil] = ACTIONS(591),
    [sym_true] = ACTIONS(591),
    [sym_false] = ACTIONS(591),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym_call_expression] = STATE(618),
    [sym_selector_expression] = STATE(618),
    [sym_index_expression] = STATE(618),
    [sym_slice_expression] = STATE(618),
    [sym_type_assertion_expression] = STATE(618),
    [sym_type_conversion_expression] = STATE(618),
    [sym_composite_literal] = STATE(618),
    [sym_func_literal] = STATE(618),
    [sym_unary_expression] = STATE(618),
    [sym_binary_expression] = STATE(618),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(618),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(597),
    [sym_float_literal] = ACTIONS(597),
    [sym_imaginary_literal] = ACTIONS(595),
    [sym_rune_literal] = ACTIONS(595),
    [sym_nil] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(579),
    [sym_parenthesized_expression] = STATE(579),
    [sym_call_expression] = STATE(579),
    [sym_variadic_argument] = STATE(1201),
    [sym_selector_expression] = STATE(579),
    [sym_index_expression] = STATE(579),
    [sym_slice_expression] = STATE(579),
    [sym_type_assertion_expression] = STATE(579),
    [sym_type_conversion_expression] = STATE(579),
    [sym_composite_literal] = STATE(579),
    [sym_func_literal] = STATE(579),
    [sym_unary_expression] = STATE(579),
    [sym_binary_expression] = STATE(579),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(579),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(297),
    [sym_float_literal] = ACTIONS(297),
    [sym_imaginary_literal] = ACTIONS(295),
    [sym_rune_literal] = ACTIONS(295),
    [sym_nil] = ACTIONS(297),
    [sym_true] = ACTIONS(297),
    [sym_false] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(624),
    [sym_parenthesized_expression] = STATE(624),
    [sym_call_expression] = STATE(624),
    [sym_selector_expression] = STATE(624),
    [sym_index_expression] = STATE(624),
    [sym_slice_expression] = STATE(624),
    [sym_type_assertion_expression] = STATE(624),
    [sym_type_conversion_expression] = STATE(624),
    [sym_composite_literal] = STATE(624),
    [sym_func_literal] = STATE(624),
    [sym_unary_expression] = STATE(624),
    [sym_binary_expression] = STATE(624),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(624),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(599),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(601),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(603),
    [sym_float_literal] = ACTIONS(603),
    [sym_imaginary_literal] = ACTIONS(601),
    [sym_rune_literal] = ACTIONS(601),
    [sym_nil] = ACTIONS(603),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(613),
    [sym_parenthesized_expression] = STATE(613),
    [sym_call_expression] = STATE(613),
    [sym_selector_expression] = STATE(613),
    [sym_index_expression] = STATE(613),
    [sym_slice_expression] = STATE(613),
    [sym_type_assertion_expression] = STATE(613),
    [sym_type_conversion_expression] = STATE(613),
    [sym_composite_literal] = STATE(613),
    [sym_func_literal] = STATE(613),
    [sym_unary_expression] = STATE(613),
    [sym_binary_expression] = STATE(613),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(613),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(605),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(607),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(609),
    [sym_float_literal] = ACTIONS(609),
    [sym_imaginary_literal] = ACTIONS(607),
    [sym_rune_literal] = ACTIONS(607),
    [sym_nil] = ACTIONS(609),
    [sym_true] = ACTIONS(609),
    [sym_false] = ACTIONS(609),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_expression_list] = STATE(967),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(611),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(623),
    [sym_parenthesized_expression] = STATE(623),
    [sym_call_expression] = STATE(623),
    [sym_selector_expression] = STATE(623),
    [sym_index_expression] = STATE(623),
    [sym_slice_expression] = STATE(623),
    [sym_type_assertion_expression] = STATE(623),
    [sym_type_conversion_expression] = STATE(623),
    [sym_composite_literal] = STATE(623),
    [sym_func_literal] = STATE(623),
    [sym_unary_expression] = STATE(623),
    [sym_binary_expression] = STATE(623),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(623),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_RBRACK] = ACTIONS(613),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(615),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(617),
    [sym_float_literal] = ACTIONS(617),
    [sym_imaginary_literal] = ACTIONS(615),
    [sym_rune_literal] = ACTIONS(615),
    [sym_nil] = ACTIONS(617),
    [sym_true] = ACTIONS(617),
    [sym_false] = ACTIONS(617),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_expression_list] = STATE(966),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_expression_list] = STATE(962),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(598),
    [sym_parenthesized_expression] = STATE(598),
    [sym_call_expression] = STATE(598),
    [sym_selector_expression] = STATE(598),
    [sym_index_expression] = STATE(598),
    [sym_slice_expression] = STATE(598),
    [sym_type_assertion_expression] = STATE(598),
    [sym_type_conversion_expression] = STATE(598),
    [sym_composite_literal] = STATE(598),
    [sym_func_literal] = STATE(598),
    [sym_unary_expression] = STATE(598),
    [sym_binary_expression] = STATE(598),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(598),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(621),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(623),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(625),
    [sym_float_literal] = ACTIONS(625),
    [sym_imaginary_literal] = ACTIONS(623),
    [sym_rune_literal] = ACTIONS(623),
    [sym_nil] = ACTIONS(625),
    [sym_true] = ACTIONS(625),
    [sym_false] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_expression_list] = STATE(1185),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_selector_expression] = STATE(554),
    [sym_index_expression] = STATE(554),
    [sym_slice_expression] = STATE(554),
    [sym_type_assertion_expression] = STATE(554),
    [sym_type_conversion_expression] = STATE(554),
    [sym_composite_literal] = STATE(554),
    [sym_func_literal] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(554),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(371),
    [sym_float_literal] = ACTIONS(371),
    [sym_imaginary_literal] = ACTIONS(369),
    [sym_rune_literal] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_expression_list] = STATE(961),
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(471),
    [sym_parenthesized_expression] = STATE(471),
    [sym_call_expression] = STATE(471),
    [sym_selector_expression] = STATE(471),
    [sym_index_expression] = STATE(471),
    [sym_slice_expression] = STATE(471),
    [sym_type_assertion_expression] = STATE(471),
    [sym_type_conversion_expression] = STATE(471),
    [sym_composite_literal] = STATE(471),
    [sym_func_literal] = STATE(471),
    [sym_unary_expression] = STATE(471),
    [sym_binary_expression] = STATE(471),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(471),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(195),
    [sym_float_literal] = ACTIONS(195),
    [sym_imaginary_literal] = ACTIONS(419),
    [sym_rune_literal] = ACTIONS(419),
    [sym_nil] = ACTIONS(195),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(619),
    [sym_parenthesized_expression] = STATE(619),
    [sym_call_expression] = STATE(619),
    [sym_selector_expression] = STATE(619),
    [sym_index_expression] = STATE(619),
    [sym_slice_expression] = STATE(619),
    [sym_type_assertion_expression] = STATE(619),
    [sym_type_conversion_expression] = STATE(619),
    [sym_composite_literal] = STATE(619),
    [sym_func_literal] = STATE(619),
    [sym_unary_expression] = STATE(619),
    [sym_binary_expression] = STATE(619),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(619),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_COLON] = ACTIONS(627),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(629),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(631),
    [sym_float_literal] = ACTIONS(631),
    [sym_imaginary_literal] = ACTIONS(629),
    [sym_rune_literal] = ACTIONS(629),
    [sym_nil] = ACTIONS(631),
    [sym_true] = ACTIONS(631),
    [sym_false] = ACTIONS(631),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_expression_list] = STATE(1183),
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym_call_expression] = STATE(554),
    [sym_selector_expression] = STATE(554),
    [sym_index_expression] = STATE(554),
    [sym_slice_expression] = STATE(554),
    [sym_type_assertion_expression] = STATE(554),
    [sym_type_conversion_expression] = STATE(554),
    [sym_composite_literal] = STATE(554),
    [sym_func_literal] = STATE(554),
    [sym_unary_expression] = STATE(554),
    [sym_binary_expression] = STATE(554),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(554),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(369),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(371),
    [sym_float_literal] = ACTIONS(371),
    [sym_imaginary_literal] = ACTIONS(369),
    [sym_rune_literal] = ACTIONS(369),
    [sym_nil] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(311),
    [sym_parenthesized_expression] = STATE(311),
    [sym_call_expression] = STATE(311),
    [sym_selector_expression] = STATE(311),
    [sym_index_expression] = STATE(311),
    [sym_slice_expression] = STATE(311),
    [sym_type_assertion_expression] = STATE(311),
    [sym_type_conversion_expression] = STATE(311),
    [sym_composite_literal] = STATE(311),
    [sym_func_literal] = STATE(311),
    [sym_unary_expression] = STATE(311),
    [sym_binary_expression] = STATE(311),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(311),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(633),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(635),
    [sym_float_literal] = ACTIONS(635),
    [sym_imaginary_literal] = ACTIONS(633),
    [sym_rune_literal] = ACTIONS(633),
    [sym_nil] = ACTIONS(635),
    [sym_true] = ACTIONS(635),
    [sym_false] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(653),
    [sym_parenthesized_expression] = STATE(653),
    [sym_call_expression] = STATE(653),
    [sym_selector_expression] = STATE(653),
    [sym_index_expression] = STATE(653),
    [sym_slice_expression] = STATE(653),
    [sym_type_assertion_expression] = STATE(653),
    [sym_type_conversion_expression] = STATE(653),
    [sym_composite_literal] = STATE(653),
    [sym_func_literal] = STATE(653),
    [sym_unary_expression] = STATE(653),
    [sym_binary_expression] = STATE(653),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(653),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(639),
    [sym_float_literal] = ACTIONS(639),
    [sym_imaginary_literal] = ACTIONS(637),
    [sym_rune_literal] = ACTIONS(637),
    [sym_nil] = ACTIONS(639),
    [sym_true] = ACTIONS(639),
    [sym_false] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_call_expression] = STATE(617),
    [sym_selector_expression] = STATE(617),
    [sym_index_expression] = STATE(617),
    [sym_slice_expression] = STATE(617),
    [sym_type_assertion_expression] = STATE(617),
    [sym_type_conversion_expression] = STATE(617),
    [sym_composite_literal] = STATE(617),
    [sym_func_literal] = STATE(617),
    [sym_unary_expression] = STATE(617),
    [sym_binary_expression] = STATE(617),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(617),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(645),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(647),
    [sym_float_literal] = ACTIONS(647),
    [sym_imaginary_literal] = ACTIONS(645),
    [sym_rune_literal] = ACTIONS(645),
    [sym_nil] = ACTIONS(647),
    [sym_true] = ACTIONS(647),
    [sym_false] = ACTIONS(647),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(588),
    [sym_parenthesized_expression] = STATE(588),
    [sym_call_expression] = STATE(588),
    [sym_selector_expression] = STATE(588),
    [sym_index_expression] = STATE(588),
    [sym_slice_expression] = STATE(588),
    [sym_type_assertion_expression] = STATE(588),
    [sym_type_conversion_expression] = STATE(588),
    [sym_composite_literal] = STATE(588),
    [sym_func_literal] = STATE(588),
    [sym_unary_expression] = STATE(588),
    [sym_binary_expression] = STATE(588),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(588),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(649),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(651),
    [sym_float_literal] = ACTIONS(651),
    [sym_imaginary_literal] = ACTIONS(649),
    [sym_rune_literal] = ACTIONS(649),
    [sym_nil] = ACTIONS(651),
    [sym_true] = ACTIONS(651),
    [sym_false] = ACTIONS(651),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(656),
    [sym_call_expression] = STATE(656),
    [sym_selector_expression] = STATE(656),
    [sym_index_expression] = STATE(656),
    [sym_slice_expression] = STATE(656),
    [sym_type_assertion_expression] = STATE(656),
    [sym_type_conversion_expression] = STATE(656),
    [sym_composite_literal] = STATE(656),
    [sym_func_literal] = STATE(656),
    [sym_unary_expression] = STATE(656),
    [sym_binary_expression] = STATE(656),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(656),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(653),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(655),
    [sym_float_literal] = ACTIONS(655),
    [sym_imaginary_literal] = ACTIONS(653),
    [sym_rune_literal] = ACTIONS(653),
    [sym_nil] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(615),
    [sym_parenthesized_expression] = STATE(615),
    [sym_call_expression] = STATE(615),
    [sym_selector_expression] = STATE(615),
    [sym_index_expression] = STATE(615),
    [sym_slice_expression] = STATE(615),
    [sym_type_assertion_expression] = STATE(615),
    [sym_type_conversion_expression] = STATE(615),
    [sym_composite_literal] = STATE(615),
    [sym_func_literal] = STATE(615),
    [sym_unary_expression] = STATE(615),
    [sym_binary_expression] = STATE(615),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(615),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(657),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(659),
    [sym_float_literal] = ACTIONS(659),
    [sym_imaginary_literal] = ACTIONS(657),
    [sym_rune_literal] = ACTIONS(657),
    [sym_nil] = ACTIONS(659),
    [sym_true] = ACTIONS(659),
    [sym_false] = ACTIONS(659),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym_call_expression] = STATE(596),
    [sym_selector_expression] = STATE(596),
    [sym_index_expression] = STATE(596),
    [sym_slice_expression] = STATE(596),
    [sym_type_assertion_expression] = STATE(596),
    [sym_type_conversion_expression] = STATE(596),
    [sym_composite_literal] = STATE(596),
    [sym_func_literal] = STATE(596),
    [sym_unary_expression] = STATE(596),
    [sym_binary_expression] = STATE(596),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(596),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(661),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(663),
    [sym_float_literal] = ACTIONS(663),
    [sym_imaginary_literal] = ACTIONS(661),
    [sym_rune_literal] = ACTIONS(661),
    [sym_nil] = ACTIONS(663),
    [sym_true] = ACTIONS(663),
    [sym_false] = ACTIONS(663),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(589),
    [sym_parenthesized_expression] = STATE(589),
    [sym_call_expression] = STATE(589),
    [sym_selector_expression] = STATE(589),
    [sym_index_expression] = STATE(589),
    [sym_slice_expression] = STATE(589),
    [sym_type_assertion_expression] = STATE(589),
    [sym_type_conversion_expression] = STATE(589),
    [sym_composite_literal] = STATE(589),
    [sym_func_literal] = STATE(589),
    [sym_unary_expression] = STATE(589),
    [sym_binary_expression] = STATE(589),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(589),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(667),
    [sym_float_literal] = ACTIONS(667),
    [sym_imaginary_literal] = ACTIONS(665),
    [sym_rune_literal] = ACTIONS(665),
    [sym_nil] = ACTIONS(667),
    [sym_true] = ACTIONS(667),
    [sym_false] = ACTIONS(667),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(654),
    [sym_parenthesized_expression] = STATE(654),
    [sym_call_expression] = STATE(654),
    [sym_selector_expression] = STATE(654),
    [sym_index_expression] = STATE(654),
    [sym_slice_expression] = STATE(654),
    [sym_type_assertion_expression] = STATE(654),
    [sym_type_conversion_expression] = STATE(654),
    [sym_composite_literal] = STATE(654),
    [sym_func_literal] = STATE(654),
    [sym_unary_expression] = STATE(654),
    [sym_binary_expression] = STATE(654),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(654),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(673),
    [sym_float_literal] = ACTIONS(673),
    [sym_imaginary_literal] = ACTIONS(671),
    [sym_rune_literal] = ACTIONS(671),
    [sym_nil] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(392),
    [sym_parenthesized_expression] = STATE(392),
    [sym_call_expression] = STATE(392),
    [sym_selector_expression] = STATE(392),
    [sym_index_expression] = STATE(392),
    [sym_slice_expression] = STATE(392),
    [sym_type_assertion_expression] = STATE(392),
    [sym_type_conversion_expression] = STATE(392),
    [sym_composite_literal] = STATE(392),
    [sym_func_literal] = STATE(392),
    [sym_unary_expression] = STATE(392),
    [sym_binary_expression] = STATE(392),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(392),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(677),
    [sym_float_literal] = ACTIONS(677),
    [sym_imaginary_literal] = ACTIONS(675),
    [sym_rune_literal] = ACTIONS(675),
    [sym_nil] = ACTIONS(677),
    [sym_true] = ACTIONS(677),
    [sym_false] = ACTIONS(677),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(391),
    [sym_parenthesized_expression] = STATE(391),
    [sym_call_expression] = STATE(391),
    [sym_selector_expression] = STATE(391),
    [sym_index_expression] = STATE(391),
    [sym_slice_expression] = STATE(391),
    [sym_type_assertion_expression] = STATE(391),
    [sym_type_conversion_expression] = STATE(391),
    [sym_composite_literal] = STATE(391),
    [sym_func_literal] = STATE(391),
    [sym_unary_expression] = STATE(391),
    [sym_binary_expression] = STATE(391),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(391),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(681),
    [sym_float_literal] = ACTIONS(681),
    [sym_imaginary_literal] = ACTIONS(679),
    [sym_rune_literal] = ACTIONS(679),
    [sym_nil] = ACTIONS(681),
    [sym_true] = ACTIONS(681),
    [sym_false] = ACTIONS(681),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(397),
    [sym_parenthesized_expression] = STATE(397),
    [sym_call_expression] = STATE(397),
    [sym_selector_expression] = STATE(397),
    [sym_index_expression] = STATE(397),
    [sym_slice_expression] = STATE(397),
    [sym_type_assertion_expression] = STATE(397),
    [sym_type_conversion_expression] = STATE(397),
    [sym_composite_literal] = STATE(397),
    [sym_func_literal] = STATE(397),
    [sym_unary_expression] = STATE(397),
    [sym_binary_expression] = STATE(397),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(397),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(685),
    [sym_float_literal] = ACTIONS(685),
    [sym_imaginary_literal] = ACTIONS(683),
    [sym_rune_literal] = ACTIONS(683),
    [sym_nil] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(393),
    [sym_parenthesized_expression] = STATE(393),
    [sym_call_expression] = STATE(393),
    [sym_selector_expression] = STATE(393),
    [sym_index_expression] = STATE(393),
    [sym_slice_expression] = STATE(393),
    [sym_type_assertion_expression] = STATE(393),
    [sym_type_conversion_expression] = STATE(393),
    [sym_composite_literal] = STATE(393),
    [sym_func_literal] = STATE(393),
    [sym_unary_expression] = STATE(393),
    [sym_binary_expression] = STATE(393),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(393),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(687),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(689),
    [sym_float_literal] = ACTIONS(689),
    [sym_imaginary_literal] = ACTIONS(687),
    [sym_rune_literal] = ACTIONS(687),
    [sym_nil] = ACTIONS(689),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(394),
    [sym_parenthesized_expression] = STATE(394),
    [sym_call_expression] = STATE(394),
    [sym_selector_expression] = STATE(394),
    [sym_index_expression] = STATE(394),
    [sym_slice_expression] = STATE(394),
    [sym_type_assertion_expression] = STATE(394),
    [sym_type_conversion_expression] = STATE(394),
    [sym_composite_literal] = STATE(394),
    [sym_func_literal] = STATE(394),
    [sym_unary_expression] = STATE(394),
    [sym_binary_expression] = STATE(394),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(394),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(693),
    [sym_float_literal] = ACTIONS(693),
    [sym_imaginary_literal] = ACTIONS(691),
    [sym_rune_literal] = ACTIONS(691),
    [sym_nil] = ACTIONS(693),
    [sym_true] = ACTIONS(693),
    [sym_false] = ACTIONS(693),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_call_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_func_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_binary_expression] = STATE(395),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(395),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(697),
    [sym_float_literal] = ACTIONS(697),
    [sym_imaginary_literal] = ACTIONS(695),
    [sym_rune_literal] = ACTIONS(695),
    [sym_nil] = ACTIONS(697),
    [sym_true] = ACTIONS(697),
    [sym_false] = ACTIONS(697),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(396),
    [sym_parenthesized_expression] = STATE(396),
    [sym_call_expression] = STATE(396),
    [sym_selector_expression] = STATE(396),
    [sym_index_expression] = STATE(396),
    [sym_slice_expression] = STATE(396),
    [sym_type_assertion_expression] = STATE(396),
    [sym_type_conversion_expression] = STATE(396),
    [sym_composite_literal] = STATE(396),
    [sym_func_literal] = STATE(396),
    [sym_unary_expression] = STATE(396),
    [sym_binary_expression] = STATE(396),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(396),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(699),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(701),
    [sym_float_literal] = ACTIONS(701),
    [sym_imaginary_literal] = ACTIONS(699),
    [sym_rune_literal] = ACTIONS(699),
    [sym_nil] = ACTIONS(701),
    [sym_true] = ACTIONS(701),
    [sym_false] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(599),
    [sym_parenthesized_expression] = STATE(599),
    [sym_call_expression] = STATE(599),
    [sym_selector_expression] = STATE(599),
    [sym_index_expression] = STATE(599),
    [sym_slice_expression] = STATE(599),
    [sym_type_assertion_expression] = STATE(599),
    [sym_type_conversion_expression] = STATE(599),
    [sym_composite_literal] = STATE(599),
    [sym_func_literal] = STATE(599),
    [sym_unary_expression] = STATE(599),
    [sym_binary_expression] = STATE(599),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(599),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(705),
    [sym_float_literal] = ACTIONS(705),
    [sym_imaginary_literal] = ACTIONS(703),
    [sym_rune_literal] = ACTIONS(703),
    [sym_nil] = ACTIONS(705),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(486),
    [sym_parenthesized_expression] = STATE(486),
    [sym_call_expression] = STATE(486),
    [sym_selector_expression] = STATE(486),
    [sym_index_expression] = STATE(486),
    [sym_slice_expression] = STATE(486),
    [sym_type_assertion_expression] = STATE(486),
    [sym_type_conversion_expression] = STATE(486),
    [sym_composite_literal] = STATE(486),
    [sym_func_literal] = STATE(486),
    [sym_unary_expression] = STATE(486),
    [sym_binary_expression] = STATE(486),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(486),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(709),
    [sym_float_literal] = ACTIONS(709),
    [sym_imaginary_literal] = ACTIONS(707),
    [sym_rune_literal] = ACTIONS(707),
    [sym_nil] = ACTIONS(709),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(399),
    [sym_parenthesized_expression] = STATE(399),
    [sym_call_expression] = STATE(399),
    [sym_selector_expression] = STATE(399),
    [sym_index_expression] = STATE(399),
    [sym_slice_expression] = STATE(399),
    [sym_type_assertion_expression] = STATE(399),
    [sym_type_conversion_expression] = STATE(399),
    [sym_composite_literal] = STATE(399),
    [sym_func_literal] = STATE(399),
    [sym_unary_expression] = STATE(399),
    [sym_binary_expression] = STATE(399),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(399),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(715),
    [sym_float_literal] = ACTIONS(715),
    [sym_imaginary_literal] = ACTIONS(713),
    [sym_rune_literal] = ACTIONS(713),
    [sym_nil] = ACTIONS(715),
    [sym_true] = ACTIONS(715),
    [sym_false] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(586),
    [sym_parenthesized_expression] = STATE(586),
    [sym_call_expression] = STATE(586),
    [sym_selector_expression] = STATE(586),
    [sym_index_expression] = STATE(586),
    [sym_slice_expression] = STATE(586),
    [sym_type_assertion_expression] = STATE(586),
    [sym_type_conversion_expression] = STATE(586),
    [sym_composite_literal] = STATE(586),
    [sym_func_literal] = STATE(586),
    [sym_unary_expression] = STATE(586),
    [sym_binary_expression] = STATE(586),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(586),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(717),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(719),
    [sym_float_literal] = ACTIONS(719),
    [sym_imaginary_literal] = ACTIONS(717),
    [sym_rune_literal] = ACTIONS(717),
    [sym_nil] = ACTIONS(719),
    [sym_true] = ACTIONS(719),
    [sym_false] = ACTIONS(719),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(585),
    [sym_parenthesized_expression] = STATE(585),
    [sym_call_expression] = STATE(585),
    [sym_selector_expression] = STATE(585),
    [sym_index_expression] = STATE(585),
    [sym_slice_expression] = STATE(585),
    [sym_type_assertion_expression] = STATE(585),
    [sym_type_conversion_expression] = STATE(585),
    [sym_composite_literal] = STATE(585),
    [sym_func_literal] = STATE(585),
    [sym_unary_expression] = STATE(585),
    [sym_binary_expression] = STATE(585),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(585),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(721),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(723),
    [sym_float_literal] = ACTIONS(723),
    [sym_imaginary_literal] = ACTIONS(721),
    [sym_rune_literal] = ACTIONS(721),
    [sym_nil] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(397),
    [sym_parenthesized_expression] = STATE(397),
    [sym_call_expression] = STATE(397),
    [sym_selector_expression] = STATE(397),
    [sym_index_expression] = STATE(397),
    [sym_slice_expression] = STATE(397),
    [sym_type_assertion_expression] = STATE(397),
    [sym_type_conversion_expression] = STATE(397),
    [sym_composite_literal] = STATE(397),
    [sym_func_literal] = STATE(397),
    [sym_unary_expression] = STATE(397),
    [sym_binary_expression] = STATE(397),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(397),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(685),
    [sym_float_literal] = ACTIONS(685),
    [sym_imaginary_literal] = ACTIONS(683),
    [sym_rune_literal] = ACTIONS(683),
    [sym_nil] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(482),
    [sym_parenthesized_expression] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_selector_expression] = STATE(482),
    [sym_index_expression] = STATE(482),
    [sym_slice_expression] = STATE(482),
    [sym_type_assertion_expression] = STATE(482),
    [sym_type_conversion_expression] = STATE(482),
    [sym_composite_literal] = STATE(482),
    [sym_func_literal] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(482),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(727),
    [sym_float_literal] = ACTIONS(727),
    [sym_imaginary_literal] = ACTIONS(725),
    [sym_rune_literal] = ACTIONS(725),
    [sym_nil] = ACTIONS(727),
    [sym_true] = ACTIONS(727),
    [sym_false] = ACTIONS(727),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(482),
    [sym_parenthesized_expression] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_selector_expression] = STATE(482),
    [sym_index_expression] = STATE(482),
    [sym_slice_expression] = STATE(482),
    [sym_type_assertion_expression] = STATE(482),
    [sym_type_conversion_expression] = STATE(482),
    [sym_composite_literal] = STATE(482),
    [sym_func_literal] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(482),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(727),
    [sym_float_literal] = ACTIONS(727),
    [sym_imaginary_literal] = ACTIONS(725),
    [sym_rune_literal] = ACTIONS(725),
    [sym_nil] = ACTIONS(727),
    [sym_true] = ACTIONS(727),
    [sym_false] = ACTIONS(727),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(660),
    [sym_parenthesized_expression] = STATE(660),
    [sym_call_expression] = STATE(660),
    [sym_selector_expression] = STATE(660),
    [sym_index_expression] = STATE(660),
    [sym_slice_expression] = STATE(660),
    [sym_type_assertion_expression] = STATE(660),
    [sym_type_conversion_expression] = STATE(660),
    [sym_composite_literal] = STATE(660),
    [sym_func_literal] = STATE(660),
    [sym_unary_expression] = STATE(660),
    [sym_binary_expression] = STATE(660),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(660),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(729),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(731),
    [sym_float_literal] = ACTIONS(731),
    [sym_imaginary_literal] = ACTIONS(729),
    [sym_rune_literal] = ACTIONS(729),
    [sym_nil] = ACTIONS(731),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(497),
    [sym_parenthesized_expression] = STATE(497),
    [sym_call_expression] = STATE(497),
    [sym_selector_expression] = STATE(497),
    [sym_index_expression] = STATE(497),
    [sym_slice_expression] = STATE(497),
    [sym_type_assertion_expression] = STATE(497),
    [sym_type_conversion_expression] = STATE(497),
    [sym_composite_literal] = STATE(497),
    [sym_func_literal] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(497),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(733),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(735),
    [sym_float_literal] = ACTIONS(735),
    [sym_imaginary_literal] = ACTIONS(733),
    [sym_rune_literal] = ACTIONS(733),
    [sym_nil] = ACTIONS(735),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(498),
    [sym_parenthesized_expression] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_selector_expression] = STATE(498),
    [sym_index_expression] = STATE(498),
    [sym_slice_expression] = STATE(498),
    [sym_type_assertion_expression] = STATE(498),
    [sym_type_conversion_expression] = STATE(498),
    [sym_composite_literal] = STATE(498),
    [sym_func_literal] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(498),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(737),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(739),
    [sym_float_literal] = ACTIONS(739),
    [sym_imaginary_literal] = ACTIONS(737),
    [sym_rune_literal] = ACTIONS(737),
    [sym_nil] = ACTIONS(739),
    [sym_true] = ACTIONS(739),
    [sym_false] = ACTIONS(739),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(499),
    [sym_parenthesized_expression] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_selector_expression] = STATE(499),
    [sym_index_expression] = STATE(499),
    [sym_slice_expression] = STATE(499),
    [sym_type_assertion_expression] = STATE(499),
    [sym_type_conversion_expression] = STATE(499),
    [sym_composite_literal] = STATE(499),
    [sym_func_literal] = STATE(499),
    [sym_unary_expression] = STATE(499),
    [sym_binary_expression] = STATE(499),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(499),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(743),
    [sym_float_literal] = ACTIONS(743),
    [sym_imaginary_literal] = ACTIONS(741),
    [sym_rune_literal] = ACTIONS(741),
    [sym_nil] = ACTIONS(743),
    [sym_true] = ACTIONS(743),
    [sym_false] = ACTIONS(743),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(503),
    [sym_parenthesized_expression] = STATE(503),
    [sym_call_expression] = STATE(503),
    [sym_selector_expression] = STATE(503),
    [sym_index_expression] = STATE(503),
    [sym_slice_expression] = STATE(503),
    [sym_type_assertion_expression] = STATE(503),
    [sym_type_conversion_expression] = STATE(503),
    [sym_composite_literal] = STATE(503),
    [sym_func_literal] = STATE(503),
    [sym_unary_expression] = STATE(503),
    [sym_binary_expression] = STATE(503),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(503),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(745),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(747),
    [sym_float_literal] = ACTIONS(747),
    [sym_imaginary_literal] = ACTIONS(745),
    [sym_rune_literal] = ACTIONS(745),
    [sym_nil] = ACTIONS(747),
    [sym_true] = ACTIONS(747),
    [sym_false] = ACTIONS(747),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(533),
    [sym_parenthesized_expression] = STATE(533),
    [sym_call_expression] = STATE(533),
    [sym_selector_expression] = STATE(533),
    [sym_index_expression] = STATE(533),
    [sym_slice_expression] = STATE(533),
    [sym_type_assertion_expression] = STATE(533),
    [sym_type_conversion_expression] = STATE(533),
    [sym_composite_literal] = STATE(533),
    [sym_func_literal] = STATE(533),
    [sym_unary_expression] = STATE(533),
    [sym_binary_expression] = STATE(533),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(533),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(749),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(751),
    [sym_float_literal] = ACTIONS(751),
    [sym_imaginary_literal] = ACTIONS(749),
    [sym_rune_literal] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_true] = ACTIONS(751),
    [sym_false] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(475),
    [sym_parenthesized_expression] = STATE(475),
    [sym_call_expression] = STATE(475),
    [sym_selector_expression] = STATE(475),
    [sym_index_expression] = STATE(475),
    [sym_slice_expression] = STATE(475),
    [sym_type_assertion_expression] = STATE(475),
    [sym_type_conversion_expression] = STATE(475),
    [sym_composite_literal] = STATE(475),
    [sym_func_literal] = STATE(475),
    [sym_unary_expression] = STATE(475),
    [sym_binary_expression] = STATE(475),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(475),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(753),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(755),
    [sym_imaginary_literal] = ACTIONS(753),
    [sym_rune_literal] = ACTIONS(753),
    [sym_nil] = ACTIONS(755),
    [sym_true] = ACTIONS(755),
    [sym_false] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_call_expression] = STATE(526),
    [sym_selector_expression] = STATE(526),
    [sym_index_expression] = STATE(526),
    [sym_slice_expression] = STATE(526),
    [sym_type_assertion_expression] = STATE(526),
    [sym_type_conversion_expression] = STATE(526),
    [sym_composite_literal] = STATE(526),
    [sym_func_literal] = STATE(526),
    [sym_unary_expression] = STATE(526),
    [sym_binary_expression] = STATE(526),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(526),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(759),
    [sym_float_literal] = ACTIONS(759),
    [sym_imaginary_literal] = ACTIONS(757),
    [sym_rune_literal] = ACTIONS(757),
    [sym_nil] = ACTIONS(759),
    [sym_true] = ACTIONS(759),
    [sym_false] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(477),
    [sym_parenthesized_expression] = STATE(477),
    [sym_call_expression] = STATE(477),
    [sym_selector_expression] = STATE(477),
    [sym_index_expression] = STATE(477),
    [sym_slice_expression] = STATE(477),
    [sym_type_assertion_expression] = STATE(477),
    [sym_type_conversion_expression] = STATE(477),
    [sym_composite_literal] = STATE(477),
    [sym_func_literal] = STATE(477),
    [sym_unary_expression] = STATE(477),
    [sym_binary_expression] = STATE(477),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(477),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(761),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(763),
    [sym_float_literal] = ACTIONS(763),
    [sym_imaginary_literal] = ACTIONS(761),
    [sym_rune_literal] = ACTIONS(761),
    [sym_nil] = ACTIONS(763),
    [sym_true] = ACTIONS(763),
    [sym_false] = ACTIONS(763),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(473),
    [sym_parenthesized_expression] = STATE(473),
    [sym_call_expression] = STATE(473),
    [sym_selector_expression] = STATE(473),
    [sym_index_expression] = STATE(473),
    [sym_slice_expression] = STATE(473),
    [sym_type_assertion_expression] = STATE(473),
    [sym_type_conversion_expression] = STATE(473),
    [sym_composite_literal] = STATE(473),
    [sym_func_literal] = STATE(473),
    [sym_unary_expression] = STATE(473),
    [sym_binary_expression] = STATE(473),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(473),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(765),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(767),
    [sym_float_literal] = ACTIONS(767),
    [sym_imaginary_literal] = ACTIONS(765),
    [sym_rune_literal] = ACTIONS(765),
    [sym_nil] = ACTIONS(767),
    [sym_true] = ACTIONS(767),
    [sym_false] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_func_literal] = STATE(474),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(771),
    [sym_float_literal] = ACTIONS(771),
    [sym_imaginary_literal] = ACTIONS(769),
    [sym_rune_literal] = ACTIONS(769),
    [sym_nil] = ACTIONS(771),
    [sym_true] = ACTIONS(771),
    [sym_false] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(658),
    [sym_parenthesized_expression] = STATE(658),
    [sym_call_expression] = STATE(658),
    [sym_selector_expression] = STATE(658),
    [sym_index_expression] = STATE(658),
    [sym_slice_expression] = STATE(658),
    [sym_type_assertion_expression] = STATE(658),
    [sym_type_conversion_expression] = STATE(658),
    [sym_composite_literal] = STATE(658),
    [sym_func_literal] = STATE(658),
    [sym_unary_expression] = STATE(658),
    [sym_binary_expression] = STATE(658),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(658),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(775),
    [sym_float_literal] = ACTIONS(775),
    [sym_imaginary_literal] = ACTIONS(773),
    [sym_rune_literal] = ACTIONS(773),
    [sym_nil] = ACTIONS(775),
    [sym_true] = ACTIONS(775),
    [sym_false] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_call_expression] = STATE(526),
    [sym_selector_expression] = STATE(526),
    [sym_index_expression] = STATE(526),
    [sym_slice_expression] = STATE(526),
    [sym_type_assertion_expression] = STATE(526),
    [sym_type_conversion_expression] = STATE(526),
    [sym_composite_literal] = STATE(526),
    [sym_func_literal] = STATE(526),
    [sym_unary_expression] = STATE(526),
    [sym_binary_expression] = STATE(526),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(526),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(759),
    [sym_float_literal] = ACTIONS(759),
    [sym_imaginary_literal] = ACTIONS(757),
    [sym_rune_literal] = ACTIONS(757),
    [sym_nil] = ACTIONS(759),
    [sym_true] = ACTIONS(759),
    [sym_false] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(355),
    [sym_parenthesized_expression] = STATE(355),
    [sym_call_expression] = STATE(355),
    [sym_selector_expression] = STATE(355),
    [sym_index_expression] = STATE(355),
    [sym_slice_expression] = STATE(355),
    [sym_type_assertion_expression] = STATE(355),
    [sym_type_conversion_expression] = STATE(355),
    [sym_composite_literal] = STATE(355),
    [sym_func_literal] = STATE(355),
    [sym_unary_expression] = STATE(355),
    [sym_binary_expression] = STATE(355),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(355),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(795),
    [sym_float_literal] = ACTIONS(795),
    [sym_imaginary_literal] = ACTIONS(791),
    [sym_rune_literal] = ACTIONS(791),
    [sym_nil] = ACTIONS(795),
    [sym_true] = ACTIONS(795),
    [sym_false] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(354),
    [sym_parenthesized_expression] = STATE(354),
    [sym_call_expression] = STATE(354),
    [sym_selector_expression] = STATE(354),
    [sym_index_expression] = STATE(354),
    [sym_slice_expression] = STATE(354),
    [sym_type_assertion_expression] = STATE(354),
    [sym_type_conversion_expression] = STATE(354),
    [sym_composite_literal] = STATE(354),
    [sym_func_literal] = STATE(354),
    [sym_unary_expression] = STATE(354),
    [sym_binary_expression] = STATE(354),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(354),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(797),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(799),
    [sym_float_literal] = ACTIONS(799),
    [sym_imaginary_literal] = ACTIONS(797),
    [sym_rune_literal] = ACTIONS(797),
    [sym_nil] = ACTIONS(799),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(353),
    [sym_parenthesized_expression] = STATE(353),
    [sym_call_expression] = STATE(353),
    [sym_selector_expression] = STATE(353),
    [sym_index_expression] = STATE(353),
    [sym_slice_expression] = STATE(353),
    [sym_type_assertion_expression] = STATE(353),
    [sym_type_conversion_expression] = STATE(353),
    [sym_composite_literal] = STATE(353),
    [sym_func_literal] = STATE(353),
    [sym_unary_expression] = STATE(353),
    [sym_binary_expression] = STATE(353),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(353),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(801),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(803),
    [sym_float_literal] = ACTIONS(803),
    [sym_imaginary_literal] = ACTIONS(801),
    [sym_rune_literal] = ACTIONS(801),
    [sym_nil] = ACTIONS(803),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(352),
    [sym_parenthesized_expression] = STATE(352),
    [sym_call_expression] = STATE(352),
    [sym_selector_expression] = STATE(352),
    [sym_index_expression] = STATE(352),
    [sym_slice_expression] = STATE(352),
    [sym_type_assertion_expression] = STATE(352),
    [sym_type_conversion_expression] = STATE(352),
    [sym_composite_literal] = STATE(352),
    [sym_func_literal] = STATE(352),
    [sym_unary_expression] = STATE(352),
    [sym_binary_expression] = STATE(352),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(352),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(805),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(807),
    [sym_float_literal] = ACTIONS(807),
    [sym_imaginary_literal] = ACTIONS(805),
    [sym_rune_literal] = ACTIONS(805),
    [sym_nil] = ACTIONS(807),
    [sym_true] = ACTIONS(807),
    [sym_false] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(648),
    [sym_parenthesized_expression] = STATE(648),
    [sym_call_expression] = STATE(648),
    [sym_selector_expression] = STATE(648),
    [sym_index_expression] = STATE(648),
    [sym_slice_expression] = STATE(648),
    [sym_type_assertion_expression] = STATE(648),
    [sym_type_conversion_expression] = STATE(648),
    [sym_composite_literal] = STATE(648),
    [sym_func_literal] = STATE(648),
    [sym_unary_expression] = STATE(648),
    [sym_binary_expression] = STATE(648),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(648),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(811),
    [sym_float_literal] = ACTIONS(811),
    [sym_imaginary_literal] = ACTIONS(809),
    [sym_rune_literal] = ACTIONS(809),
    [sym_nil] = ACTIONS(811),
    [sym_true] = ACTIONS(811),
    [sym_false] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(348),
    [sym_parenthesized_expression] = STATE(348),
    [sym_call_expression] = STATE(348),
    [sym_selector_expression] = STATE(348),
    [sym_index_expression] = STATE(348),
    [sym_slice_expression] = STATE(348),
    [sym_type_assertion_expression] = STATE(348),
    [sym_type_conversion_expression] = STATE(348),
    [sym_composite_literal] = STATE(348),
    [sym_func_literal] = STATE(348),
    [sym_unary_expression] = STATE(348),
    [sym_binary_expression] = STATE(348),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(348),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(813),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(815),
    [sym_float_literal] = ACTIONS(815),
    [sym_imaginary_literal] = ACTIONS(813),
    [sym_rune_literal] = ACTIONS(813),
    [sym_nil] = ACTIONS(815),
    [sym_true] = ACTIONS(815),
    [sym_false] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(610),
    [sym_parenthesized_expression] = STATE(610),
    [sym_call_expression] = STATE(610),
    [sym_selector_expression] = STATE(610),
    [sym_index_expression] = STATE(610),
    [sym_slice_expression] = STATE(610),
    [sym_type_assertion_expression] = STATE(610),
    [sym_type_conversion_expression] = STATE(610),
    [sym_composite_literal] = STATE(610),
    [sym_func_literal] = STATE(610),
    [sym_unary_expression] = STATE(610),
    [sym_binary_expression] = STATE(610),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(610),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(817),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(819),
    [sym_float_literal] = ACTIONS(819),
    [sym_imaginary_literal] = ACTIONS(817),
    [sym_rune_literal] = ACTIONS(817),
    [sym_nil] = ACTIONS(819),
    [sym_true] = ACTIONS(819),
    [sym_false] = ACTIONS(819),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_parenthesized_type] = STATE(1305),
    [sym__simple_type] = STATE(1305),
    [sym_pointer_type] = STATE(1305),
    [sym_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1202),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_interface_type] = STATE(1305),
    [sym_map_type] = STATE(1123),
    [sym_channel_type] = STATE(1305),
    [sym_function_type] = STATE(1305),
    [sym__expression] = STATE(526),
    [sym_parenthesized_expression] = STATE(526),
    [sym_call_expression] = STATE(526),
    [sym_selector_expression] = STATE(526),
    [sym_index_expression] = STATE(526),
    [sym_slice_expression] = STATE(526),
    [sym_type_assertion_expression] = STATE(526),
    [sym_type_conversion_expression] = STATE(526),
    [sym_composite_literal] = STATE(526),
    [sym_func_literal] = STATE(526),
    [sym_unary_expression] = STATE(526),
    [sym_binary_expression] = STATE(526),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(526),
    [sym_identifier] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(267),
    [anon_sym_func] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(275),
    [anon_sym_make] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [sym_raw_string_literal] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(281),
    [sym_int_literal] = ACTIONS(759),
    [sym_float_literal] = ACTIONS(759),
    [sym_imaginary_literal] = ACTIONS(757),
    [sym_rune_literal] = ACTIONS(757),
    [sym_nil] = ACTIONS(759),
    [sym_true] = ACTIONS(759),
    [sym_false] = ACTIONS(759),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(349),
    [sym_parenthesized_expression] = STATE(349),
    [sym_call_expression] = STATE(349),
    [sym_selector_expression] = STATE(349),
    [sym_index_expression] = STATE(349),
    [sym_slice_expression] = STATE(349),
    [sym_type_assertion_expression] = STATE(349),
    [sym_type_conversion_expression] = STATE(349),
    [sym_composite_literal] = STATE(349),
    [sym_func_literal] = STATE(349),
    [sym_unary_expression] = STATE(349),
    [sym_binary_expression] = STATE(349),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(349),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(823),
    [sym_float_literal] = ACTIONS(823),
    [sym_imaginary_literal] = ACTIONS(821),
    [sym_rune_literal] = ACTIONS(821),
    [sym_nil] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(511),
    [sym_parenthesized_expression] = STATE(511),
    [sym_call_expression] = STATE(511),
    [sym_selector_expression] = STATE(511),
    [sym_index_expression] = STATE(511),
    [sym_slice_expression] = STATE(511),
    [sym_type_assertion_expression] = STATE(511),
    [sym_type_conversion_expression] = STATE(511),
    [sym_composite_literal] = STATE(511),
    [sym_func_literal] = STATE(511),
    [sym_unary_expression] = STATE(511),
    [sym_binary_expression] = STATE(511),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(511),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(825),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(827),
    [sym_float_literal] = ACTIONS(827),
    [sym_imaginary_literal] = ACTIONS(825),
    [sym_rune_literal] = ACTIONS(825),
    [sym_nil] = ACTIONS(827),
    [sym_true] = ACTIONS(827),
    [sym_false] = ACTIONS(827),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(510),
    [sym_parenthesized_expression] = STATE(510),
    [sym_call_expression] = STATE(510),
    [sym_selector_expression] = STATE(510),
    [sym_index_expression] = STATE(510),
    [sym_slice_expression] = STATE(510),
    [sym_type_assertion_expression] = STATE(510),
    [sym_type_conversion_expression] = STATE(510),
    [sym_composite_literal] = STATE(510),
    [sym_func_literal] = STATE(510),
    [sym_unary_expression] = STATE(510),
    [sym_binary_expression] = STATE(510),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(510),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(831),
    [sym_float_literal] = ACTIONS(831),
    [sym_imaginary_literal] = ACTIONS(829),
    [sym_rune_literal] = ACTIONS(829),
    [sym_nil] = ACTIONS(831),
    [sym_true] = ACTIONS(831),
    [sym_false] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(349),
    [sym_parenthesized_expression] = STATE(349),
    [sym_call_expression] = STATE(349),
    [sym_selector_expression] = STATE(349),
    [sym_index_expression] = STATE(349),
    [sym_slice_expression] = STATE(349),
    [sym_type_assertion_expression] = STATE(349),
    [sym_type_conversion_expression] = STATE(349),
    [sym_composite_literal] = STATE(349),
    [sym_func_literal] = STATE(349),
    [sym_unary_expression] = STATE(349),
    [sym_binary_expression] = STATE(349),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(349),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(823),
    [sym_float_literal] = ACTIONS(823),
    [sym_imaginary_literal] = ACTIONS(821),
    [sym_rune_literal] = ACTIONS(821),
    [sym_nil] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_selector_expression] = STATE(659),
    [sym_index_expression] = STATE(659),
    [sym_slice_expression] = STATE(659),
    [sym_type_assertion_expression] = STATE(659),
    [sym_type_conversion_expression] = STATE(659),
    [sym_composite_literal] = STATE(659),
    [sym_func_literal] = STATE(659),
    [sym_unary_expression] = STATE(659),
    [sym_binary_expression] = STATE(659),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(659),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(833),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(835),
    [sym_float_literal] = ACTIONS(835),
    [sym_imaginary_literal] = ACTIONS(833),
    [sym_rune_literal] = ACTIONS(833),
    [sym_nil] = ACTIONS(835),
    [sym_true] = ACTIONS(835),
    [sym_false] = ACTIONS(835),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_parenthesized_type] = STATE(1236),
    [sym__simple_type] = STATE(1236),
    [sym_pointer_type] = STATE(1236),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1236),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1236),
    [sym_function_type] = STATE(1236),
    [sym__expression] = STATE(399),
    [sym_parenthesized_expression] = STATE(399),
    [sym_call_expression] = STATE(399),
    [sym_selector_expression] = STATE(399),
    [sym_index_expression] = STATE(399),
    [sym_slice_expression] = STATE(399),
    [sym_type_assertion_expression] = STATE(399),
    [sym_type_conversion_expression] = STATE(399),
    [sym_composite_literal] = STATE(399),
    [sym_func_literal] = STATE(399),
    [sym_unary_expression] = STATE(399),
    [sym_binary_expression] = STATE(399),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(399),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(715),
    [sym_float_literal] = ACTIONS(715),
    [sym_imaginary_literal] = ACTIONS(713),
    [sym_rune_literal] = ACTIONS(713),
    [sym_nil] = ACTIONS(715),
    [sym_true] = ACTIONS(715),
    [sym_false] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(308),
    [sym_parenthesized_expression] = STATE(308),
    [sym_call_expression] = STATE(308),
    [sym_selector_expression] = STATE(308),
    [sym_index_expression] = STATE(308),
    [sym_slice_expression] = STATE(308),
    [sym_type_assertion_expression] = STATE(308),
    [sym_type_conversion_expression] = STATE(308),
    [sym_composite_literal] = STATE(308),
    [sym_func_literal] = STATE(308),
    [sym_unary_expression] = STATE(308),
    [sym_binary_expression] = STATE(308),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(308),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(839),
    [sym_float_literal] = ACTIONS(839),
    [sym_imaginary_literal] = ACTIONS(837),
    [sym_rune_literal] = ACTIONS(837),
    [sym_nil] = ACTIONS(839),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(665),
    [sym_parenthesized_expression] = STATE(665),
    [sym_call_expression] = STATE(665),
    [sym_selector_expression] = STATE(665),
    [sym_index_expression] = STATE(665),
    [sym_slice_expression] = STATE(665),
    [sym_type_assertion_expression] = STATE(665),
    [sym_type_conversion_expression] = STATE(665),
    [sym_composite_literal] = STATE(665),
    [sym_func_literal] = STATE(665),
    [sym_unary_expression] = STATE(665),
    [sym_binary_expression] = STATE(665),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(665),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(843),
    [sym_float_literal] = ACTIONS(843),
    [sym_imaginary_literal] = ACTIONS(841),
    [sym_rune_literal] = ACTIONS(841),
    [sym_nil] = ACTIONS(843),
    [sym_true] = ACTIONS(843),
    [sym_false] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(308),
    [sym_parenthesized_expression] = STATE(308),
    [sym_call_expression] = STATE(308),
    [sym_selector_expression] = STATE(308),
    [sym_index_expression] = STATE(308),
    [sym_slice_expression] = STATE(308),
    [sym_type_assertion_expression] = STATE(308),
    [sym_type_conversion_expression] = STATE(308),
    [sym_composite_literal] = STATE(308),
    [sym_func_literal] = STATE(308),
    [sym_unary_expression] = STATE(308),
    [sym_binary_expression] = STATE(308),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(308),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(839),
    [sym_float_literal] = ACTIONS(839),
    [sym_imaginary_literal] = ACTIONS(837),
    [sym_rune_literal] = ACTIONS(837),
    [sym_nil] = ACTIONS(839),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(680),
    [sym_parenthesized_expression] = STATE(680),
    [sym_call_expression] = STATE(680),
    [sym_selector_expression] = STATE(680),
    [sym_index_expression] = STATE(680),
    [sym_slice_expression] = STATE(680),
    [sym_type_assertion_expression] = STATE(680),
    [sym_type_conversion_expression] = STATE(680),
    [sym_composite_literal] = STATE(680),
    [sym_func_literal] = STATE(680),
    [sym_unary_expression] = STATE(680),
    [sym_binary_expression] = STATE(680),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(680),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(845),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(847),
    [sym_float_literal] = ACTIONS(847),
    [sym_imaginary_literal] = ACTIONS(845),
    [sym_rune_literal] = ACTIONS(845),
    [sym_nil] = ACTIONS(847),
    [sym_true] = ACTIONS(847),
    [sym_false] = ACTIONS(847),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(670),
    [sym_parenthesized_expression] = STATE(670),
    [sym_call_expression] = STATE(670),
    [sym_selector_expression] = STATE(670),
    [sym_index_expression] = STATE(670),
    [sym_slice_expression] = STATE(670),
    [sym_type_assertion_expression] = STATE(670),
    [sym_type_conversion_expression] = STATE(670),
    [sym_composite_literal] = STATE(670),
    [sym_func_literal] = STATE(670),
    [sym_unary_expression] = STATE(670),
    [sym_binary_expression] = STATE(670),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(670),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(849),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(851),
    [sym_float_literal] = ACTIONS(851),
    [sym_imaginary_literal] = ACTIONS(849),
    [sym_rune_literal] = ACTIONS(849),
    [sym_nil] = ACTIONS(851),
    [sym_true] = ACTIONS(851),
    [sym_false] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(629),
    [sym_parenthesized_expression] = STATE(629),
    [sym_call_expression] = STATE(629),
    [sym_selector_expression] = STATE(629),
    [sym_index_expression] = STATE(629),
    [sym_slice_expression] = STATE(629),
    [sym_type_assertion_expression] = STATE(629),
    [sym_type_conversion_expression] = STATE(629),
    [sym_composite_literal] = STATE(629),
    [sym_func_literal] = STATE(629),
    [sym_unary_expression] = STATE(629),
    [sym_binary_expression] = STATE(629),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(629),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(853),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(855),
    [sym_float_literal] = ACTIONS(855),
    [sym_imaginary_literal] = ACTIONS(853),
    [sym_rune_literal] = ACTIONS(853),
    [sym_nil] = ACTIONS(855),
    [sym_true] = ACTIONS(855),
    [sym_false] = ACTIONS(855),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(482),
    [sym_parenthesized_expression] = STATE(482),
    [sym_call_expression] = STATE(482),
    [sym_selector_expression] = STATE(482),
    [sym_index_expression] = STATE(482),
    [sym_slice_expression] = STATE(482),
    [sym_type_assertion_expression] = STATE(482),
    [sym_type_conversion_expression] = STATE(482),
    [sym_composite_literal] = STATE(482),
    [sym_func_literal] = STATE(482),
    [sym_unary_expression] = STATE(482),
    [sym_binary_expression] = STATE(482),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(482),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(727),
    [sym_float_literal] = ACTIONS(727),
    [sym_imaginary_literal] = ACTIONS(725),
    [sym_rune_literal] = ACTIONS(725),
    [sym_nil] = ACTIONS(727),
    [sym_true] = ACTIONS(727),
    [sym_false] = ACTIONS(727),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(638),
    [sym_parenthesized_expression] = STATE(638),
    [sym_call_expression] = STATE(638),
    [sym_selector_expression] = STATE(638),
    [sym_index_expression] = STATE(638),
    [sym_slice_expression] = STATE(638),
    [sym_type_assertion_expression] = STATE(638),
    [sym_type_conversion_expression] = STATE(638),
    [sym_composite_literal] = STATE(638),
    [sym_func_literal] = STATE(638),
    [sym_unary_expression] = STATE(638),
    [sym_binary_expression] = STATE(638),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(638),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(857),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(859),
    [sym_float_literal] = ACTIONS(859),
    [sym_imaginary_literal] = ACTIONS(857),
    [sym_rune_literal] = ACTIONS(857),
    [sym_nil] = ACTIONS(859),
    [sym_true] = ACTIONS(859),
    [sym_false] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(644),
    [sym_parenthesized_expression] = STATE(644),
    [sym_call_expression] = STATE(644),
    [sym_selector_expression] = STATE(644),
    [sym_index_expression] = STATE(644),
    [sym_slice_expression] = STATE(644),
    [sym_type_assertion_expression] = STATE(644),
    [sym_type_conversion_expression] = STATE(644),
    [sym_composite_literal] = STATE(644),
    [sym_func_literal] = STATE(644),
    [sym_unary_expression] = STATE(644),
    [sym_binary_expression] = STATE(644),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(644),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(861),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(863),
    [sym_float_literal] = ACTIONS(863),
    [sym_imaginary_literal] = ACTIONS(861),
    [sym_rune_literal] = ACTIONS(861),
    [sym_nil] = ACTIONS(863),
    [sym_true] = ACTIONS(863),
    [sym_false] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(671),
    [sym_parenthesized_expression] = STATE(671),
    [sym_call_expression] = STATE(671),
    [sym_selector_expression] = STATE(671),
    [sym_index_expression] = STATE(671),
    [sym_slice_expression] = STATE(671),
    [sym_type_assertion_expression] = STATE(671),
    [sym_type_conversion_expression] = STATE(671),
    [sym_composite_literal] = STATE(671),
    [sym_func_literal] = STATE(671),
    [sym_unary_expression] = STATE(671),
    [sym_binary_expression] = STATE(671),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(671),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(867),
    [sym_float_literal] = ACTIONS(867),
    [sym_imaginary_literal] = ACTIONS(865),
    [sym_rune_literal] = ACTIONS(865),
    [sym_nil] = ACTIONS(867),
    [sym_true] = ACTIONS(867),
    [sym_false] = ACTIONS(867),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(669),
    [sym_parenthesized_expression] = STATE(669),
    [sym_call_expression] = STATE(669),
    [sym_selector_expression] = STATE(669),
    [sym_index_expression] = STATE(669),
    [sym_slice_expression] = STATE(669),
    [sym_type_assertion_expression] = STATE(669),
    [sym_type_conversion_expression] = STATE(669),
    [sym_composite_literal] = STATE(669),
    [sym_func_literal] = STATE(669),
    [sym_unary_expression] = STATE(669),
    [sym_binary_expression] = STATE(669),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(669),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(869),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(871),
    [sym_float_literal] = ACTIONS(871),
    [sym_imaginary_literal] = ACTIONS(869),
    [sym_rune_literal] = ACTIONS(869),
    [sym_nil] = ACTIONS(871),
    [sym_true] = ACTIONS(871),
    [sym_false] = ACTIONS(871),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym_call_expression] = STATE(626),
    [sym_selector_expression] = STATE(626),
    [sym_index_expression] = STATE(626),
    [sym_slice_expression] = STATE(626),
    [sym_type_assertion_expression] = STATE(626),
    [sym_type_conversion_expression] = STATE(626),
    [sym_composite_literal] = STATE(626),
    [sym_func_literal] = STATE(626),
    [sym_unary_expression] = STATE(626),
    [sym_binary_expression] = STATE(626),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(626),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(425),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(427),
    [sym_float_literal] = ACTIONS(427),
    [sym_imaginary_literal] = ACTIONS(425),
    [sym_rune_literal] = ACTIONS(425),
    [sym_nil] = ACTIONS(427),
    [sym_true] = ACTIONS(427),
    [sym_false] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(484),
    [sym_parenthesized_expression] = STATE(484),
    [sym_call_expression] = STATE(484),
    [sym_selector_expression] = STATE(484),
    [sym_index_expression] = STATE(484),
    [sym_slice_expression] = STATE(484),
    [sym_type_assertion_expression] = STATE(484),
    [sym_type_conversion_expression] = STATE(484),
    [sym_composite_literal] = STATE(484),
    [sym_func_literal] = STATE(484),
    [sym_unary_expression] = STATE(484),
    [sym_binary_expression] = STATE(484),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(484),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(873),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(875),
    [sym_float_literal] = ACTIONS(875),
    [sym_imaginary_literal] = ACTIONS(873),
    [sym_rune_literal] = ACTIONS(873),
    [sym_nil] = ACTIONS(875),
    [sym_true] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(489),
    [sym_parenthesized_expression] = STATE(489),
    [sym_call_expression] = STATE(489),
    [sym_selector_expression] = STATE(489),
    [sym_index_expression] = STATE(489),
    [sym_slice_expression] = STATE(489),
    [sym_type_assertion_expression] = STATE(489),
    [sym_type_conversion_expression] = STATE(489),
    [sym_composite_literal] = STATE(489),
    [sym_func_literal] = STATE(489),
    [sym_unary_expression] = STATE(489),
    [sym_binary_expression] = STATE(489),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(489),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(879),
    [sym_float_literal] = ACTIONS(879),
    [sym_imaginary_literal] = ACTIONS(877),
    [sym_rune_literal] = ACTIONS(877),
    [sym_nil] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(490),
    [sym_parenthesized_expression] = STATE(490),
    [sym_call_expression] = STATE(490),
    [sym_selector_expression] = STATE(490),
    [sym_index_expression] = STATE(490),
    [sym_slice_expression] = STATE(490),
    [sym_type_assertion_expression] = STATE(490),
    [sym_type_conversion_expression] = STATE(490),
    [sym_composite_literal] = STATE(490),
    [sym_func_literal] = STATE(490),
    [sym_unary_expression] = STATE(490),
    [sym_binary_expression] = STATE(490),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(490),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(881),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(883),
    [sym_float_literal] = ACTIONS(883),
    [sym_imaginary_literal] = ACTIONS(881),
    [sym_rune_literal] = ACTIONS(881),
    [sym_nil] = ACTIONS(883),
    [sym_true] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(491),
    [sym_parenthesized_expression] = STATE(491),
    [sym_call_expression] = STATE(491),
    [sym_selector_expression] = STATE(491),
    [sym_index_expression] = STATE(491),
    [sym_slice_expression] = STATE(491),
    [sym_type_assertion_expression] = STATE(491),
    [sym_type_conversion_expression] = STATE(491),
    [sym_composite_literal] = STATE(491),
    [sym_func_literal] = STATE(491),
    [sym_unary_expression] = STATE(491),
    [sym_binary_expression] = STATE(491),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(491),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(885),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(887),
    [sym_float_literal] = ACTIONS(887),
    [sym_imaginary_literal] = ACTIONS(885),
    [sym_rune_literal] = ACTIONS(885),
    [sym_nil] = ACTIONS(887),
    [sym_true] = ACTIONS(887),
    [sym_false] = ACTIONS(887),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(492),
    [sym_parenthesized_expression] = STATE(492),
    [sym_call_expression] = STATE(492),
    [sym_selector_expression] = STATE(492),
    [sym_index_expression] = STATE(492),
    [sym_slice_expression] = STATE(492),
    [sym_type_assertion_expression] = STATE(492),
    [sym_type_conversion_expression] = STATE(492),
    [sym_composite_literal] = STATE(492),
    [sym_func_literal] = STATE(492),
    [sym_unary_expression] = STATE(492),
    [sym_binary_expression] = STATE(492),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(492),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(889),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(891),
    [sym_float_literal] = ACTIONS(891),
    [sym_imaginary_literal] = ACTIONS(889),
    [sym_rune_literal] = ACTIONS(889),
    [sym_nil] = ACTIONS(891),
    [sym_true] = ACTIONS(891),
    [sym_false] = ACTIONS(891),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(633),
    [sym_parenthesized_expression] = STATE(633),
    [sym_call_expression] = STATE(633),
    [sym_selector_expression] = STATE(633),
    [sym_index_expression] = STATE(633),
    [sym_slice_expression] = STATE(633),
    [sym_type_assertion_expression] = STATE(633),
    [sym_type_conversion_expression] = STATE(633),
    [sym_composite_literal] = STATE(633),
    [sym_func_literal] = STATE(633),
    [sym_unary_expression] = STATE(633),
    [sym_binary_expression] = STATE(633),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(633),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(895),
    [sym_float_literal] = ACTIONS(895),
    [sym_imaginary_literal] = ACTIONS(893),
    [sym_rune_literal] = ACTIONS(893),
    [sym_nil] = ACTIONS(895),
    [sym_true] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(672),
    [sym_parenthesized_expression] = STATE(672),
    [sym_call_expression] = STATE(672),
    [sym_selector_expression] = STATE(672),
    [sym_index_expression] = STATE(672),
    [sym_slice_expression] = STATE(672),
    [sym_type_assertion_expression] = STATE(672),
    [sym_type_conversion_expression] = STATE(672),
    [sym_composite_literal] = STATE(672),
    [sym_func_literal] = STATE(672),
    [sym_unary_expression] = STATE(672),
    [sym_binary_expression] = STATE(672),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(672),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(897),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(899),
    [sym_float_literal] = ACTIONS(899),
    [sym_imaginary_literal] = ACTIONS(897),
    [sym_rune_literal] = ACTIONS(897),
    [sym_nil] = ACTIONS(899),
    [sym_true] = ACTIONS(899),
    [sym_false] = ACTIONS(899),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(657),
    [sym_parenthesized_expression] = STATE(657),
    [sym_call_expression] = STATE(657),
    [sym_selector_expression] = STATE(657),
    [sym_index_expression] = STATE(657),
    [sym_slice_expression] = STATE(657),
    [sym_type_assertion_expression] = STATE(657),
    [sym_type_conversion_expression] = STATE(657),
    [sym_composite_literal] = STATE(657),
    [sym_func_literal] = STATE(657),
    [sym_unary_expression] = STATE(657),
    [sym_binary_expression] = STATE(657),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(657),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(903),
    [sym_float_literal] = ACTIONS(903),
    [sym_imaginary_literal] = ACTIONS(901),
    [sym_rune_literal] = ACTIONS(901),
    [sym_nil] = ACTIONS(903),
    [sym_true] = ACTIONS(903),
    [sym_false] = ACTIONS(903),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(664),
    [sym_parenthesized_expression] = STATE(664),
    [sym_call_expression] = STATE(664),
    [sym_selector_expression] = STATE(664),
    [sym_index_expression] = STATE(664),
    [sym_slice_expression] = STATE(664),
    [sym_type_assertion_expression] = STATE(664),
    [sym_type_conversion_expression] = STATE(664),
    [sym_composite_literal] = STATE(664),
    [sym_func_literal] = STATE(664),
    [sym_unary_expression] = STATE(664),
    [sym_binary_expression] = STATE(664),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(664),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(907),
    [sym_float_literal] = ACTIONS(907),
    [sym_imaginary_literal] = ACTIONS(905),
    [sym_rune_literal] = ACTIONS(905),
    [sym_nil] = ACTIONS(907),
    [sym_true] = ACTIONS(907),
    [sym_false] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(661),
    [sym_parenthesized_expression] = STATE(661),
    [sym_call_expression] = STATE(661),
    [sym_selector_expression] = STATE(661),
    [sym_index_expression] = STATE(661),
    [sym_slice_expression] = STATE(661),
    [sym_type_assertion_expression] = STATE(661),
    [sym_type_conversion_expression] = STATE(661),
    [sym_composite_literal] = STATE(661),
    [sym_func_literal] = STATE(661),
    [sym_unary_expression] = STATE(661),
    [sym_binary_expression] = STATE(661),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(661),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(909),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(911),
    [sym_float_literal] = ACTIONS(911),
    [sym_imaginary_literal] = ACTIONS(909),
    [sym_rune_literal] = ACTIONS(909),
    [sym_nil] = ACTIONS(911),
    [sym_true] = ACTIONS(911),
    [sym_false] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(630),
    [sym_parenthesized_expression] = STATE(630),
    [sym_call_expression] = STATE(630),
    [sym_selector_expression] = STATE(630),
    [sym_index_expression] = STATE(630),
    [sym_slice_expression] = STATE(630),
    [sym_type_assertion_expression] = STATE(630),
    [sym_type_conversion_expression] = STATE(630),
    [sym_composite_literal] = STATE(630),
    [sym_func_literal] = STATE(630),
    [sym_unary_expression] = STATE(630),
    [sym_binary_expression] = STATE(630),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(630),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(913),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(915),
    [sym_float_literal] = ACTIONS(915),
    [sym_imaginary_literal] = ACTIONS(913),
    [sym_rune_literal] = ACTIONS(913),
    [sym_nil] = ACTIONS(915),
    [sym_true] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(264),
    [sym_parenthesized_expression] = STATE(264),
    [sym_call_expression] = STATE(264),
    [sym_selector_expression] = STATE(264),
    [sym_index_expression] = STATE(264),
    [sym_slice_expression] = STATE(264),
    [sym_type_assertion_expression] = STATE(264),
    [sym_type_conversion_expression] = STATE(264),
    [sym_composite_literal] = STATE(264),
    [sym_func_literal] = STATE(264),
    [sym_unary_expression] = STATE(264),
    [sym_binary_expression] = STATE(264),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(264),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(921),
    [sym_float_literal] = ACTIONS(921),
    [sym_imaginary_literal] = ACTIONS(919),
    [sym_rune_literal] = ACTIONS(919),
    [sym_nil] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_parenthesized_type] = STATE(1301),
    [sym__simple_type] = STATE(1301),
    [sym_pointer_type] = STATE(1301),
    [sym_array_type] = STATE(1080),
    [sym_implicit_length_array_type] = STATE(1169),
    [sym_slice_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_interface_type] = STATE(1301),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1301),
    [sym_function_type] = STATE(1301),
    [sym__expression] = STATE(496),
    [sym_parenthesized_expression] = STATE(496),
    [sym_call_expression] = STATE(496),
    [sym_selector_expression] = STATE(496),
    [sym_index_expression] = STATE(496),
    [sym_slice_expression] = STATE(496),
    [sym_type_assertion_expression] = STATE(496),
    [sym_type_conversion_expression] = STATE(496),
    [sym_composite_literal] = STATE(496),
    [sym_func_literal] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_qualified_type] = STATE(1080),
    [sym_interpreted_string_literal] = STATE(496),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(411),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_STAR] = ACTIONS(413),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(415),
    [anon_sym_new] = ACTIONS(191),
    [anon_sym_make] = ACTIONS(191),
    [anon_sym_PLUS] = ACTIONS(417),
    [anon_sym_DASH] = ACTIONS(417),
    [anon_sym_BANG] = ACTIONS(417),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(417),
    [sym_raw_string_literal] = ACTIONS(923),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_int_literal] = ACTIONS(925),
    [sym_float_literal] = ACTIONS(925),
    [sym_imaginary_literal] = ACTIONS(923),
    [sym_rune_literal] = ACTIONS(923),
    [sym_nil] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(649),
    [sym_parenthesized_expression] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_selector_expression] = STATE(649),
    [sym_index_expression] = STATE(649),
    [sym_slice_expression] = STATE(649),
    [sym_type_assertion_expression] = STATE(649),
    [sym_type_conversion_expression] = STATE(649),
    [sym_composite_literal] = STATE(649),
    [sym_func_literal] = STATE(649),
    [sym_unary_expression] = STATE(649),
    [sym_binary_expression] = STATE(649),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(649),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(927),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(929),
    [sym_float_literal] = ACTIONS(929),
    [sym_imaginary_literal] = ACTIONS(927),
    [sym_rune_literal] = ACTIONS(927),
    [sym_nil] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(308),
    [sym_parenthesized_expression] = STATE(308),
    [sym_call_expression] = STATE(308),
    [sym_selector_expression] = STATE(308),
    [sym_index_expression] = STATE(308),
    [sym_slice_expression] = STATE(308),
    [sym_type_assertion_expression] = STATE(308),
    [sym_type_conversion_expression] = STATE(308),
    [sym_composite_literal] = STATE(308),
    [sym_func_literal] = STATE(308),
    [sym_unary_expression] = STATE(308),
    [sym_binary_expression] = STATE(308),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(308),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(837),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(839),
    [sym_float_literal] = ACTIONS(839),
    [sym_imaginary_literal] = ACTIONS(837),
    [sym_rune_literal] = ACTIONS(837),
    [sym_nil] = ACTIONS(839),
    [sym_true] = ACTIONS(839),
    [sym_false] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(351),
    [sym_parenthesized_expression] = STATE(351),
    [sym_call_expression] = STATE(351),
    [sym_selector_expression] = STATE(351),
    [sym_index_expression] = STATE(351),
    [sym_slice_expression] = STATE(351),
    [sym_type_assertion_expression] = STATE(351),
    [sym_type_conversion_expression] = STATE(351),
    [sym_composite_literal] = STATE(351),
    [sym_func_literal] = STATE(351),
    [sym_unary_expression] = STATE(351),
    [sym_binary_expression] = STATE(351),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(351),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(933),
    [sym_float_literal] = ACTIONS(933),
    [sym_imaginary_literal] = ACTIONS(931),
    [sym_rune_literal] = ACTIONS(931),
    [sym_nil] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(270),
    [sym_parenthesized_expression] = STATE(270),
    [sym_call_expression] = STATE(270),
    [sym_selector_expression] = STATE(270),
    [sym_index_expression] = STATE(270),
    [sym_slice_expression] = STATE(270),
    [sym_type_assertion_expression] = STATE(270),
    [sym_type_conversion_expression] = STATE(270),
    [sym_composite_literal] = STATE(270),
    [sym_func_literal] = STATE(270),
    [sym_unary_expression] = STATE(270),
    [sym_binary_expression] = STATE(270),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(270),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(937),
    [sym_float_literal] = ACTIONS(937),
    [sym_imaginary_literal] = ACTIONS(935),
    [sym_rune_literal] = ACTIONS(935),
    [sym_nil] = ACTIONS(937),
    [sym_true] = ACTIONS(937),
    [sym_false] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(502),
    [sym_parenthesized_expression] = STATE(502),
    [sym_call_expression] = STATE(502),
    [sym_selector_expression] = STATE(502),
    [sym_index_expression] = STATE(502),
    [sym_slice_expression] = STATE(502),
    [sym_type_assertion_expression] = STATE(502),
    [sym_type_conversion_expression] = STATE(502),
    [sym_composite_literal] = STATE(502),
    [sym_func_literal] = STATE(502),
    [sym_unary_expression] = STATE(502),
    [sym_binary_expression] = STATE(502),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(502),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(941),
    [sym_float_literal] = ACTIONS(941),
    [sym_imaginary_literal] = ACTIONS(939),
    [sym_rune_literal] = ACTIONS(939),
    [sym_nil] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(397),
    [sym_parenthesized_expression] = STATE(397),
    [sym_call_expression] = STATE(397),
    [sym_selector_expression] = STATE(397),
    [sym_index_expression] = STATE(397),
    [sym_slice_expression] = STATE(397),
    [sym_type_assertion_expression] = STATE(397),
    [sym_type_conversion_expression] = STATE(397),
    [sym_composite_literal] = STATE(397),
    [sym_func_literal] = STATE(397),
    [sym_unary_expression] = STATE(397),
    [sym_binary_expression] = STATE(397),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(397),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(685),
    [sym_float_literal] = ACTIONS(685),
    [sym_imaginary_literal] = ACTIONS(683),
    [sym_rune_literal] = ACTIONS(683),
    [sym_nil] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(581),
    [sym_parenthesized_expression] = STATE(581),
    [sym_call_expression] = STATE(581),
    [sym_selector_expression] = STATE(581),
    [sym_index_expression] = STATE(581),
    [sym_slice_expression] = STATE(581),
    [sym_type_assertion_expression] = STATE(581),
    [sym_type_conversion_expression] = STATE(581),
    [sym_composite_literal] = STATE(581),
    [sym_func_literal] = STATE(581),
    [sym_unary_expression] = STATE(581),
    [sym_binary_expression] = STATE(581),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(581),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(945),
    [sym_float_literal] = ACTIONS(945),
    [sym_imaginary_literal] = ACTIONS(943),
    [sym_rune_literal] = ACTIONS(943),
    [sym_nil] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(635),
    [sym_parenthesized_expression] = STATE(635),
    [sym_call_expression] = STATE(635),
    [sym_selector_expression] = STATE(635),
    [sym_index_expression] = STATE(635),
    [sym_slice_expression] = STATE(635),
    [sym_type_assertion_expression] = STATE(635),
    [sym_type_conversion_expression] = STATE(635),
    [sym_composite_literal] = STATE(635),
    [sym_func_literal] = STATE(635),
    [sym_unary_expression] = STATE(635),
    [sym_binary_expression] = STATE(635),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(635),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(949),
    [sym_float_literal] = ACTIONS(949),
    [sym_imaginary_literal] = ACTIONS(947),
    [sym_rune_literal] = ACTIONS(947),
    [sym_nil] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(265),
    [sym_parenthesized_expression] = STATE(265),
    [sym_call_expression] = STATE(265),
    [sym_selector_expression] = STATE(265),
    [sym_index_expression] = STATE(265),
    [sym_slice_expression] = STATE(265),
    [sym_type_assertion_expression] = STATE(265),
    [sym_type_conversion_expression] = STATE(265),
    [sym_composite_literal] = STATE(265),
    [sym_func_literal] = STATE(265),
    [sym_unary_expression] = STATE(265),
    [sym_binary_expression] = STATE(265),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(265),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(953),
    [sym_float_literal] = ACTIONS(953),
    [sym_imaginary_literal] = ACTIONS(951),
    [sym_rune_literal] = ACTIONS(951),
    [sym_nil] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(268),
    [sym_parenthesized_expression] = STATE(268),
    [sym_call_expression] = STATE(268),
    [sym_selector_expression] = STATE(268),
    [sym_index_expression] = STATE(268),
    [sym_slice_expression] = STATE(268),
    [sym_type_assertion_expression] = STATE(268),
    [sym_type_conversion_expression] = STATE(268),
    [sym_composite_literal] = STATE(268),
    [sym_func_literal] = STATE(268),
    [sym_unary_expression] = STATE(268),
    [sym_binary_expression] = STATE(268),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(268),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(957),
    [sym_float_literal] = ACTIONS(957),
    [sym_imaginary_literal] = ACTIONS(955),
    [sym_rune_literal] = ACTIONS(955),
    [sym_nil] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(267),
    [sym_parenthesized_expression] = STATE(267),
    [sym_call_expression] = STATE(267),
    [sym_selector_expression] = STATE(267),
    [sym_index_expression] = STATE(267),
    [sym_slice_expression] = STATE(267),
    [sym_type_assertion_expression] = STATE(267),
    [sym_type_conversion_expression] = STATE(267),
    [sym_composite_literal] = STATE(267),
    [sym_func_literal] = STATE(267),
    [sym_unary_expression] = STATE(267),
    [sym_binary_expression] = STATE(267),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(267),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(961),
    [sym_float_literal] = ACTIONS(961),
    [sym_imaginary_literal] = ACTIONS(959),
    [sym_rune_literal] = ACTIONS(959),
    [sym_nil] = ACTIONS(961),
    [sym_true] = ACTIONS(961),
    [sym_false] = ACTIONS(961),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(266),
    [sym_parenthesized_expression] = STATE(266),
    [sym_call_expression] = STATE(266),
    [sym_selector_expression] = STATE(266),
    [sym_index_expression] = STATE(266),
    [sym_slice_expression] = STATE(266),
    [sym_type_assertion_expression] = STATE(266),
    [sym_type_conversion_expression] = STATE(266),
    [sym_composite_literal] = STATE(266),
    [sym_func_literal] = STATE(266),
    [sym_unary_expression] = STATE(266),
    [sym_binary_expression] = STATE(266),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(266),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(965),
    [sym_float_literal] = ACTIONS(965),
    [sym_imaginary_literal] = ACTIONS(963),
    [sym_rune_literal] = ACTIONS(963),
    [sym_nil] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(582),
    [sym_parenthesized_expression] = STATE(582),
    [sym_call_expression] = STATE(582),
    [sym_selector_expression] = STATE(582),
    [sym_index_expression] = STATE(582),
    [sym_slice_expression] = STATE(582),
    [sym_type_assertion_expression] = STATE(582),
    [sym_type_conversion_expression] = STATE(582),
    [sym_composite_literal] = STATE(582),
    [sym_func_literal] = STATE(582),
    [sym_unary_expression] = STATE(582),
    [sym_binary_expression] = STATE(582),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(582),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(969),
    [sym_float_literal] = ACTIONS(969),
    [sym_imaginary_literal] = ACTIONS(967),
    [sym_rune_literal] = ACTIONS(967),
    [sym_nil] = ACTIONS(969),
    [sym_true] = ACTIONS(969),
    [sym_false] = ACTIONS(969),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(601),
    [sym_parenthesized_expression] = STATE(601),
    [sym_call_expression] = STATE(601),
    [sym_selector_expression] = STATE(601),
    [sym_index_expression] = STATE(601),
    [sym_slice_expression] = STATE(601),
    [sym_type_assertion_expression] = STATE(601),
    [sym_type_conversion_expression] = STATE(601),
    [sym_composite_literal] = STATE(601),
    [sym_func_literal] = STATE(601),
    [sym_unary_expression] = STATE(601),
    [sym_binary_expression] = STATE(601),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(601),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(973),
    [sym_float_literal] = ACTIONS(973),
    [sym_imaginary_literal] = ACTIONS(971),
    [sym_rune_literal] = ACTIONS(971),
    [sym_nil] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(583),
    [sym_parenthesized_expression] = STATE(583),
    [sym_call_expression] = STATE(583),
    [sym_selector_expression] = STATE(583),
    [sym_index_expression] = STATE(583),
    [sym_slice_expression] = STATE(583),
    [sym_type_assertion_expression] = STATE(583),
    [sym_type_conversion_expression] = STATE(583),
    [sym_composite_literal] = STATE(583),
    [sym_func_literal] = STATE(583),
    [sym_unary_expression] = STATE(583),
    [sym_binary_expression] = STATE(583),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(583),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(977),
    [sym_float_literal] = ACTIONS(977),
    [sym_imaginary_literal] = ACTIONS(975),
    [sym_rune_literal] = ACTIONS(975),
    [sym_nil] = ACTIONS(977),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(590),
    [sym_parenthesized_expression] = STATE(590),
    [sym_call_expression] = STATE(590),
    [sym_selector_expression] = STATE(590),
    [sym_index_expression] = STATE(590),
    [sym_slice_expression] = STATE(590),
    [sym_type_assertion_expression] = STATE(590),
    [sym_type_conversion_expression] = STATE(590),
    [sym_composite_literal] = STATE(590),
    [sym_func_literal] = STATE(590),
    [sym_unary_expression] = STATE(590),
    [sym_binary_expression] = STATE(590),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(590),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(981),
    [sym_float_literal] = ACTIONS(981),
    [sym_imaginary_literal] = ACTIONS(979),
    [sym_rune_literal] = ACTIONS(979),
    [sym_nil] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(655),
    [sym_parenthesized_expression] = STATE(655),
    [sym_call_expression] = STATE(655),
    [sym_selector_expression] = STATE(655),
    [sym_index_expression] = STATE(655),
    [sym_slice_expression] = STATE(655),
    [sym_type_assertion_expression] = STATE(655),
    [sym_type_conversion_expression] = STATE(655),
    [sym_composite_literal] = STATE(655),
    [sym_func_literal] = STATE(655),
    [sym_unary_expression] = STATE(655),
    [sym_binary_expression] = STATE(655),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(655),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(985),
    [sym_float_literal] = ACTIONS(985),
    [sym_imaginary_literal] = ACTIONS(983),
    [sym_rune_literal] = ACTIONS(983),
    [sym_nil] = ACTIONS(985),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(398),
    [sym_parenthesized_expression] = STATE(398),
    [sym_call_expression] = STATE(398),
    [sym_selector_expression] = STATE(398),
    [sym_index_expression] = STATE(398),
    [sym_slice_expression] = STATE(398),
    [sym_type_assertion_expression] = STATE(398),
    [sym_type_conversion_expression] = STATE(398),
    [sym_composite_literal] = STATE(398),
    [sym_func_literal] = STATE(398),
    [sym_unary_expression] = STATE(398),
    [sym_binary_expression] = STATE(398),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(398),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(641),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(643),
    [sym_float_literal] = ACTIONS(643),
    [sym_imaginary_literal] = ACTIONS(641),
    [sym_rune_literal] = ACTIONS(641),
    [sym_nil] = ACTIONS(643),
    [sym_true] = ACTIONS(643),
    [sym_false] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(310),
    [sym_parenthesized_expression] = STATE(310),
    [sym_call_expression] = STATE(310),
    [sym_selector_expression] = STATE(310),
    [sym_index_expression] = STATE(310),
    [sym_slice_expression] = STATE(310),
    [sym_type_assertion_expression] = STATE(310),
    [sym_type_conversion_expression] = STATE(310),
    [sym_composite_literal] = STATE(310),
    [sym_func_literal] = STATE(310),
    [sym_unary_expression] = STATE(310),
    [sym_binary_expression] = STATE(310),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(310),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(989),
    [sym_float_literal] = ACTIONS(989),
    [sym_imaginary_literal] = ACTIONS(987),
    [sym_rune_literal] = ACTIONS(987),
    [sym_nil] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(668),
    [sym_parenthesized_expression] = STATE(668),
    [sym_call_expression] = STATE(668),
    [sym_selector_expression] = STATE(668),
    [sym_index_expression] = STATE(668),
    [sym_slice_expression] = STATE(668),
    [sym_type_assertion_expression] = STATE(668),
    [sym_type_conversion_expression] = STATE(668),
    [sym_composite_literal] = STATE(668),
    [sym_func_literal] = STATE(668),
    [sym_unary_expression] = STATE(668),
    [sym_binary_expression] = STATE(668),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(668),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(993),
    [sym_float_literal] = ACTIONS(993),
    [sym_imaginary_literal] = ACTIONS(991),
    [sym_rune_literal] = ACTIONS(991),
    [sym_nil] = ACTIONS(993),
    [sym_true] = ACTIONS(993),
    [sym_false] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(312),
    [sym_parenthesized_expression] = STATE(312),
    [sym_call_expression] = STATE(312),
    [sym_selector_expression] = STATE(312),
    [sym_index_expression] = STATE(312),
    [sym_slice_expression] = STATE(312),
    [sym_type_assertion_expression] = STATE(312),
    [sym_type_conversion_expression] = STATE(312),
    [sym_composite_literal] = STATE(312),
    [sym_func_literal] = STATE(312),
    [sym_unary_expression] = STATE(312),
    [sym_binary_expression] = STATE(312),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(312),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(997),
    [sym_float_literal] = ACTIONS(997),
    [sym_imaginary_literal] = ACTIONS(995),
    [sym_rune_literal] = ACTIONS(995),
    [sym_nil] = ACTIONS(997),
    [sym_true] = ACTIONS(997),
    [sym_false] = ACTIONS(997),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(313),
    [sym_parenthesized_expression] = STATE(313),
    [sym_call_expression] = STATE(313),
    [sym_selector_expression] = STATE(313),
    [sym_index_expression] = STATE(313),
    [sym_slice_expression] = STATE(313),
    [sym_type_assertion_expression] = STATE(313),
    [sym_type_conversion_expression] = STATE(313),
    [sym_composite_literal] = STATE(313),
    [sym_func_literal] = STATE(313),
    [sym_unary_expression] = STATE(313),
    [sym_binary_expression] = STATE(313),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(313),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(1001),
    [sym_float_literal] = ACTIONS(1001),
    [sym_imaginary_literal] = ACTIONS(999),
    [sym_rune_literal] = ACTIONS(999),
    [sym_nil] = ACTIONS(1001),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_parenthesized_type] = STATE(1303),
    [sym__simple_type] = STATE(1303),
    [sym_pointer_type] = STATE(1303),
    [sym_array_type] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(1188),
    [sym_slice_type] = STATE(1127),
    [sym_struct_type] = STATE(1127),
    [sym_interface_type] = STATE(1303),
    [sym_map_type] = STATE(1127),
    [sym_channel_type] = STATE(1303),
    [sym_function_type] = STATE(1303),
    [sym__expression] = STATE(314),
    [sym_parenthesized_expression] = STATE(314),
    [sym_call_expression] = STATE(314),
    [sym_selector_expression] = STATE(314),
    [sym_index_expression] = STATE(314),
    [sym_slice_expression] = STATE(314),
    [sym_type_assertion_expression] = STATE(314),
    [sym_type_conversion_expression] = STATE(314),
    [sym_composite_literal] = STATE(314),
    [sym_func_literal] = STATE(314),
    [sym_unary_expression] = STATE(314),
    [sym_binary_expression] = STATE(314),
    [sym_qualified_type] = STATE(1127),
    [sym_interpreted_string_literal] = STATE(314),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_func] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(137),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(143),
    [anon_sym_make] = ACTIONS(143),
    [anon_sym_PLUS] = ACTIONS(145),
    [anon_sym_DASH] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(145),
    [anon_sym_CARET] = ACTIONS(145),
    [anon_sym_AMP] = ACTIONS(145),
    [sym_raw_string_literal] = ACTIONS(1003),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [sym_int_literal] = ACTIONS(1005),
    [sym_float_literal] = ACTIONS(1005),
    [sym_imaginary_literal] = ACTIONS(1003),
    [sym_rune_literal] = ACTIONS(1003),
    [sym_nil] = ACTIONS(1005),
    [sym_true] = ACTIONS(1005),
    [sym_false] = ACTIONS(1005),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_parenthesized_type] = STATE(1304),
    [sym__simple_type] = STATE(1304),
    [sym_pointer_type] = STATE(1304),
    [sym_array_type] = STATE(1150),
    [sym_implicit_length_array_type] = STATE(1162),
    [sym_slice_type] = STATE(1150),
    [sym_struct_type] = STATE(1150),
    [sym_interface_type] = STATE(1304),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1304),
    [sym_function_type] = STATE(1304),
    [sym__expression] = STATE(349),
    [sym_parenthesized_expression] = STATE(349),
    [sym_call_expression] = STATE(349),
    [sym_selector_expression] = STATE(349),
    [sym_index_expression] = STATE(349),
    [sym_slice_expression] = STATE(349),
    [sym_type_assertion_expression] = STATE(349),
    [sym_type_conversion_expression] = STATE(349),
    [sym_composite_literal] = STATE(349),
    [sym_func_literal] = STATE(349),
    [sym_unary_expression] = STATE(349),
    [sym_binary_expression] = STATE(349),
    [sym_qualified_type] = STATE(1150),
    [sym_interpreted_string_literal] = STATE(349),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_func] = ACTIONS(781),
    [anon_sym_STAR] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(785),
    [anon_sym_new] = ACTIONS(787),
    [anon_sym_make] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(789),
    [anon_sym_CARET] = ACTIONS(789),
    [anon_sym_AMP] = ACTIONS(789),
    [sym_raw_string_literal] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [sym_int_literal] = ACTIONS(823),
    [sym_float_literal] = ACTIONS(823),
    [sym_imaginary_literal] = ACTIONS(821),
    [sym_rune_literal] = ACTIONS(821),
    [sym_nil] = ACTIONS(823),
    [sym_true] = ACTIONS(823),
    [sym_false] = ACTIONS(823),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(636),
    [sym_parenthesized_expression] = STATE(636),
    [sym_call_expression] = STATE(636),
    [sym_selector_expression] = STATE(636),
    [sym_index_expression] = STATE(636),
    [sym_slice_expression] = STATE(636),
    [sym_type_assertion_expression] = STATE(636),
    [sym_type_conversion_expression] = STATE(636),
    [sym_composite_literal] = STATE(636),
    [sym_func_literal] = STATE(636),
    [sym_unary_expression] = STATE(636),
    [sym_binary_expression] = STATE(636),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(636),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(1009),
    [sym_float_literal] = ACTIONS(1009),
    [sym_imaginary_literal] = ACTIONS(1007),
    [sym_rune_literal] = ACTIONS(1007),
    [sym_nil] = ACTIONS(1009),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(647),
    [sym_parenthesized_expression] = STATE(647),
    [sym_call_expression] = STATE(647),
    [sym_selector_expression] = STATE(647),
    [sym_index_expression] = STATE(647),
    [sym_slice_expression] = STATE(647),
    [sym_type_assertion_expression] = STATE(647),
    [sym_type_conversion_expression] = STATE(647),
    [sym_composite_literal] = STATE(647),
    [sym_func_literal] = STATE(647),
    [sym_unary_expression] = STATE(647),
    [sym_binary_expression] = STATE(647),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(647),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_BANG] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [sym_raw_string_literal] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(1013),
    [sym_float_literal] = ACTIONS(1013),
    [sym_imaginary_literal] = ACTIONS(1011),
    [sym_rune_literal] = ACTIONS(1011),
    [sym_nil] = ACTIONS(1013),
    [sym_true] = ACTIONS(1013),
    [sym_false] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_parenthesized_type] = STATE(1302),
    [sym__simple_type] = STATE(1302),
    [sym_pointer_type] = STATE(1302),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1302),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1302),
    [sym_function_type] = STATE(1302),
    [sym__expression] = STATE(264),
    [sym_parenthesized_expression] = STATE(264),
    [sym_call_expression] = STATE(264),
    [sym_selector_expression] = STATE(264),
    [sym_index_expression] = STATE(264),
    [sym_slice_expression] = STATE(264),
    [sym_type_assertion_expression] = STATE(264),
    [sym_type_conversion_expression] = STATE(264),
    [sym_composite_literal] = STATE(264),
    [sym_func_literal] = STATE(264),
    [sym_unary_expression] = STATE(264),
    [sym_binary_expression] = STATE(264),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(264),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(921),
    [sym_float_literal] = ACTIONS(921),
    [sym_imaginary_literal] = ACTIONS(919),
    [sym_rune_literal] = ACTIONS(919),
    [sym_nil] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1116),
    [sym_implicit_length_array_type] = STATE(1213),
    [sym_slice_type] = STATE(1116),
    [sym_struct_type] = STATE(1116),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1116),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(399),
    [sym_parenthesized_expression] = STATE(399),
    [sym_call_expression] = STATE(399),
    [sym_selector_expression] = STATE(399),
    [sym_index_expression] = STATE(399),
    [sym_slice_expression] = STATE(399),
    [sym_type_assertion_expression] = STATE(399),
    [sym_type_conversion_expression] = STATE(399),
    [sym_composite_literal] = STATE(399),
    [sym_func_literal] = STATE(399),
    [sym_unary_expression] = STATE(399),
    [sym_binary_expression] = STATE(399),
    [sym_qualified_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(399),
    [sym_identifier] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_func] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(467),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_make] = ACTIONS(469),
    [anon_sym_PLUS] = ACTIONS(471),
    [anon_sym_DASH] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(471),
    [anon_sym_AMP] = ACTIONS(471),
    [sym_raw_string_literal] = ACTIONS(713),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_int_literal] = ACTIONS(715),
    [sym_float_literal] = ACTIONS(715),
    [sym_imaginary_literal] = ACTIONS(713),
    [sym_rune_literal] = ACTIONS(713),
    [sym_nil] = ACTIONS(715),
    [sym_true] = ACTIONS(715),
    [sym_false] = ACTIONS(715),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(662),
    [sym_parenthesized_expression] = STATE(662),
    [sym_call_expression] = STATE(662),
    [sym_selector_expression] = STATE(662),
    [sym_index_expression] = STATE(662),
    [sym_slice_expression] = STATE(662),
    [sym_type_assertion_expression] = STATE(662),
    [sym_type_conversion_expression] = STATE(662),
    [sym_composite_literal] = STATE(662),
    [sym_func_literal] = STATE(662),
    [sym_unary_expression] = STATE(662),
    [sym_binary_expression] = STATE(662),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(662),
    [sym_identifier] = ACTIONS(379),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(385),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(387),
    [anon_sym_DASH] = ACTIONS(387),
    [anon_sym_BANG] = ACTIONS(387),
    [anon_sym_CARET] = ACTIONS(387),
    [anon_sym_AMP] = ACTIONS(387),
    [sym_raw_string_literal] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(1017),
    [sym_float_literal] = ACTIONS(1017),
    [sym_imaginary_literal] = ACTIONS(1015),
    [sym_rune_literal] = ACTIONS(1015),
    [sym_nil] = ACTIONS(1017),
    [sym_true] = ACTIONS(1017),
    [sym_false] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_parenthesized_type] = STATE(1298),
    [sym__simple_type] = STATE(1298),
    [sym_pointer_type] = STATE(1298),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1298),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1298),
    [sym_function_type] = STATE(1298),
    [sym__expression] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym_call_expression] = STATE(606),
    [sym_selector_expression] = STATE(606),
    [sym_index_expression] = STATE(606),
    [sym_slice_expression] = STATE(606),
    [sym_type_assertion_expression] = STATE(606),
    [sym_type_conversion_expression] = STATE(606),
    [sym_composite_literal] = STATE(606),
    [sym_func_literal] = STATE(606),
    [sym_unary_expression] = STATE(606),
    [sym_binary_expression] = STATE(606),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(606),
    [sym_identifier] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(1021),
    [sym_float_literal] = ACTIONS(1021),
    [sym_imaginary_literal] = ACTIONS(1019),
    [sym_rune_literal] = ACTIONS(1019),
    [sym_nil] = ACTIONS(1021),
    [sym_true] = ACTIONS(1021),
    [sym_false] = ACTIONS(1021),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_parenthesized_type] = STATE(1220),
    [sym__simple_type] = STATE(1220),
    [sym_pointer_type] = STATE(1220),
    [sym_array_type] = STATE(1043),
    [sym_implicit_length_array_type] = STATE(1178),
    [sym_slice_type] = STATE(1043),
    [sym_struct_type] = STATE(1043),
    [sym_interface_type] = STATE(1220),
    [sym_map_type] = STATE(1043),
    [sym_channel_type] = STATE(1220),
    [sym_function_type] = STATE(1220),
    [sym__expression] = STATE(652),
    [sym_parenthesized_expression] = STATE(652),
    [sym_call_expression] = STATE(652),
    [sym_selector_expression] = STATE(652),
    [sym_index_expression] = STATE(652),
    [sym_slice_expression] = STATE(652),
    [sym_type_assertion_expression] = STATE(652),
    [sym_type_conversion_expression] = STATE(652),
    [sym_composite_literal] = STATE(652),
    [sym_func_literal] = STATE(652),
    [sym_unary_expression] = STATE(652),
    [sym_binary_expression] = STATE(652),
    [sym_qualified_type] = STATE(1043),
    [sym_interpreted_string_literal] = STATE(652),
    [sym_identifier] = ACTIONS(313),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_func] = ACTIONS(205),
    [anon_sym_STAR] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_make] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(293),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_BANG] = ACTIONS(293),
    [anon_sym_CARET] = ACTIONS(293),
    [anon_sym_AMP] = ACTIONS(293),
    [sym_raw_string_literal] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [sym_int_literal] = ACTIONS(1025),
    [sym_float_literal] = ACTIONS(1025),
    [sym_imaginary_literal] = ACTIONS(1023),
    [sym_rune_literal] = ACTIONS(1023),
    [sym_nil] = ACTIONS(1025),
    [sym_true] = ACTIONS(1025),
    [sym_false] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_parenthesized_type] = STATE(1221),
    [sym__simple_type] = STATE(1221),
    [sym_pointer_type] = STATE(1221),
    [sym_array_type] = STATE(1090),
    [sym_implicit_length_array_type] = STATE(1214),
    [sym_slice_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [sym_interface_type] = STATE(1221),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1221),
    [sym_function_type] = STATE(1221),
    [sym__expression] = STATE(264),
    [sym_parenthesized_expression] = STATE(264),
    [sym_call_expression] = STATE(264),
    [sym_selector_expression] = STATE(264),
    [sym_index_expression] = STATE(264),
    [sym_slice_expression] = STATE(264),
    [sym_type_assertion_expression] = STATE(264),
    [sym_type_conversion_expression] = STATE(264),
    [sym_composite_literal] = STATE(264),
    [sym_func_literal] = STATE(264),
    [sym_unary_expression] = STATE(264),
    [sym_binary_expression] = STATE(264),
    [sym_qualified_type] = STATE(1090),
    [sym_interpreted_string_literal] = STATE(264),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(23),
    [anon_sym_func] = ACTIONS(29),
    [anon_sym_STAR] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(49),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_make] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_CARET] = ACTIONS(77),
    [anon_sym_AMP] = ACTIONS(77),
    [sym_raw_string_literal] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [sym_int_literal] = ACTIONS(921),
    [sym_float_literal] = ACTIONS(921),
    [sym_imaginary_literal] = ACTIONS(919),
    [sym_rune_literal] = ACTIONS(919),
    [sym_nil] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_literal_value] = STATE(297),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_COLON] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [261] = {
    [sym_literal_value] = STATE(297),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_COLON] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [262] = {
    [sym_literal_value] = STATE(297),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [263] = {
    [sym_argument_list] = STATE(272),
    [aux_sym_expression_list_repeat1] = STATE(768),
    [anon_sym_LF] = ACTIONS(1043),
    [anon_sym_SEMI] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [anon_sym_LT_DASH] = ACTIONS(1059),
    [anon_sym_COLON_EQ] = ACTIONS(1053),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_STAR_EQ] = ACTIONS(1053),
    [anon_sym_SLASH_EQ] = ACTIONS(1053),
    [anon_sym_PERCENT_EQ] = ACTIONS(1053),
    [anon_sym_LT_LT_EQ] = ACTIONS(1053),
    [anon_sym_GT_GT_EQ] = ACTIONS(1053),
    [anon_sym_AMP_EQ] = ACTIONS(1053),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1053),
    [anon_sym_PLUS_EQ] = ACTIONS(1053),
    [anon_sym_DASH_EQ] = ACTIONS(1053),
    [anon_sym_PIPE_EQ] = ACTIONS(1053),
    [anon_sym_CARET_EQ] = ACTIONS(1053),
    [anon_sym_case] = ACTIONS(1045),
    [anon_sym_default] = ACTIONS(1045),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1055),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_AMP_CARET] = ACTIONS(1055),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1067),
    [anon_sym_BANG_EQ] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_LT_EQ] = ACTIONS(1067),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_GT_EQ] = ACTIONS(1067),
    [anon_sym_AMP_AMP] = ACTIONS(1069),
    [anon_sym_PIPE_PIPE] = ACTIONS(1071),
    [sym_comment] = ACTIONS(199),
  },
  [264] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [anon_sym_LT_DASH] = ACTIONS(1075),
    [anon_sym_COLON_EQ] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_STAR_EQ] = ACTIONS(1075),
    [anon_sym_SLASH_EQ] = ACTIONS(1075),
    [anon_sym_PERCENT_EQ] = ACTIONS(1075),
    [anon_sym_LT_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT_GT_EQ] = ACTIONS(1075),
    [anon_sym_AMP_EQ] = ACTIONS(1075),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1075),
    [anon_sym_PLUS_EQ] = ACTIONS(1075),
    [anon_sym_DASH_EQ] = ACTIONS(1075),
    [anon_sym_PIPE_EQ] = ACTIONS(1075),
    [anon_sym_CARET_EQ] = ACTIONS(1075),
    [anon_sym_case] = ACTIONS(1075),
    [anon_sym_default] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1075),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_AMP_CARET] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [sym_comment] = ACTIONS(199),
  },
  [265] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1079),
    [anon_sym_COLON_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_STAR_EQ] = ACTIONS(1079),
    [anon_sym_SLASH_EQ] = ACTIONS(1079),
    [anon_sym_PERCENT_EQ] = ACTIONS(1079),
    [anon_sym_LT_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_EQ] = ACTIONS(1079),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_EQ] = ACTIONS(1079),
    [anon_sym_DASH_EQ] = ACTIONS(1079),
    [anon_sym_PIPE_EQ] = ACTIONS(1079),
    [anon_sym_CARET_EQ] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1055),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_AMP_CARET] = ACTIONS(1055),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [266] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1079),
    [anon_sym_COLON_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_STAR_EQ] = ACTIONS(1079),
    [anon_sym_SLASH_EQ] = ACTIONS(1079),
    [anon_sym_PERCENT_EQ] = ACTIONS(1079),
    [anon_sym_LT_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_EQ] = ACTIONS(1079),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_EQ] = ACTIONS(1079),
    [anon_sym_DASH_EQ] = ACTIONS(1079),
    [anon_sym_PIPE_EQ] = ACTIONS(1079),
    [anon_sym_CARET_EQ] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1055),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_AMP_CARET] = ACTIONS(1055),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1067),
    [anon_sym_BANG_EQ] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_LT_EQ] = ACTIONS(1067),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_GT_EQ] = ACTIONS(1067),
    [anon_sym_AMP_AMP] = ACTIONS(1069),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [267] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1079),
    [anon_sym_COLON_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_STAR_EQ] = ACTIONS(1079),
    [anon_sym_SLASH_EQ] = ACTIONS(1079),
    [anon_sym_PERCENT_EQ] = ACTIONS(1079),
    [anon_sym_LT_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_EQ] = ACTIONS(1079),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_EQ] = ACTIONS(1079),
    [anon_sym_DASH_EQ] = ACTIONS(1079),
    [anon_sym_PIPE_EQ] = ACTIONS(1079),
    [anon_sym_CARET_EQ] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1055),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_AMP_CARET] = ACTIONS(1055),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1067),
    [anon_sym_BANG_EQ] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_LT_EQ] = ACTIONS(1067),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_GT_EQ] = ACTIONS(1067),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [268] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1079),
    [anon_sym_COLON_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_STAR_EQ] = ACTIONS(1079),
    [anon_sym_SLASH_EQ] = ACTIONS(1079),
    [anon_sym_PERCENT_EQ] = ACTIONS(1079),
    [anon_sym_LT_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_EQ] = ACTIONS(1079),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_EQ] = ACTIONS(1079),
    [anon_sym_DASH_EQ] = ACTIONS(1079),
    [anon_sym_PIPE_EQ] = ACTIONS(1079),
    [anon_sym_CARET_EQ] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1055),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_AMP_CARET] = ACTIONS(1055),
    [anon_sym_PIPE] = ACTIONS(1065),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [269] = {
    [sym_special_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1029),
    [anon_sym_COLON_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_STAR_EQ] = ACTIONS(1029),
    [anon_sym_SLASH_EQ] = ACTIONS(1029),
    [anon_sym_PERCENT_EQ] = ACTIONS(1029),
    [anon_sym_LT_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_EQ] = ACTIONS(1029),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1029),
    [anon_sym_PLUS_EQ] = ACTIONS(1029),
    [anon_sym_DASH_EQ] = ACTIONS(1029),
    [anon_sym_PIPE_EQ] = ACTIONS(1029),
    [anon_sym_CARET_EQ] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [270] = {
    [sym_argument_list] = STATE(272),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1047),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1079),
    [anon_sym_COLON_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_STAR_EQ] = ACTIONS(1079),
    [anon_sym_SLASH_EQ] = ACTIONS(1079),
    [anon_sym_PERCENT_EQ] = ACTIONS(1079),
    [anon_sym_LT_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_EQ] = ACTIONS(1079),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1079),
    [anon_sym_PLUS_EQ] = ACTIONS(1079),
    [anon_sym_DASH_EQ] = ACTIONS(1079),
    [anon_sym_PIPE_EQ] = ACTIONS(1079),
    [anon_sym_CARET_EQ] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_AMP_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [271] = {
    [anon_sym_LF] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_COMMA] = ACTIONS(1085),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_LT_DASH] = ACTIONS(1085),
    [anon_sym_COLON_EQ] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1085),
    [anon_sym_DASH_DASH] = ACTIONS(1085),
    [anon_sym_STAR_EQ] = ACTIONS(1085),
    [anon_sym_SLASH_EQ] = ACTIONS(1085),
    [anon_sym_PERCENT_EQ] = ACTIONS(1085),
    [anon_sym_LT_LT_EQ] = ACTIONS(1085),
    [anon_sym_GT_GT_EQ] = ACTIONS(1085),
    [anon_sym_AMP_EQ] = ACTIONS(1085),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1085),
    [anon_sym_PLUS_EQ] = ACTIONS(1085),
    [anon_sym_DASH_EQ] = ACTIONS(1085),
    [anon_sym_PIPE_EQ] = ACTIONS(1085),
    [anon_sym_CARET_EQ] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1085),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1085),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_AMP_CARET] = ACTIONS(1085),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1085),
    [anon_sym_BANG_EQ] = ACTIONS(1085),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_AMP_AMP] = ACTIONS(1085),
    [anon_sym_PIPE_PIPE] = ACTIONS(1085),
    [sym_comment] = ACTIONS(199),
  },
  [272] = {
    [anon_sym_LF] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_LT_DASH] = ACTIONS(1089),
    [anon_sym_COLON_EQ] = ACTIONS(1089),
    [anon_sym_PLUS_PLUS] = ACTIONS(1089),
    [anon_sym_DASH_DASH] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_AMP_CARET] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE] = ACTIONS(1089),
    [sym_comment] = ACTIONS(199),
  },
  [273] = {
    [anon_sym_LF] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1093),
    [anon_sym_DOT] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_COMMA] = ACTIONS(1093),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_RBRACE] = ACTIONS(1093),
    [anon_sym_LT_DASH] = ACTIONS(1093),
    [anon_sym_COLON_EQ] = ACTIONS(1093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1093),
    [anon_sym_DASH_DASH] = ACTIONS(1093),
    [anon_sym_STAR_EQ] = ACTIONS(1093),
    [anon_sym_SLASH_EQ] = ACTIONS(1093),
    [anon_sym_PERCENT_EQ] = ACTIONS(1093),
    [anon_sym_LT_LT_EQ] = ACTIONS(1093),
    [anon_sym_GT_GT_EQ] = ACTIONS(1093),
    [anon_sym_AMP_EQ] = ACTIONS(1093),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1093),
    [anon_sym_PLUS_EQ] = ACTIONS(1093),
    [anon_sym_DASH_EQ] = ACTIONS(1093),
    [anon_sym_PIPE_EQ] = ACTIONS(1093),
    [anon_sym_CARET_EQ] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP_CARET] = ACTIONS(1093),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1093),
    [anon_sym_BANG_EQ] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1093),
    [anon_sym_AMP_AMP] = ACTIONS(1093),
    [anon_sym_PIPE_PIPE] = ACTIONS(1093),
    [sym_comment] = ACTIONS(199),
  },
  [274] = {
    [anon_sym_LF] = ACTIONS(1095),
    [anon_sym_SEMI] = ACTIONS(1097),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_COMMA] = ACTIONS(1097),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_RBRACE] = ACTIONS(1097),
    [anon_sym_LT_DASH] = ACTIONS(1097),
    [anon_sym_COLON_EQ] = ACTIONS(1097),
    [anon_sym_PLUS_PLUS] = ACTIONS(1097),
    [anon_sym_DASH_DASH] = ACTIONS(1097),
    [anon_sym_STAR_EQ] = ACTIONS(1097),
    [anon_sym_SLASH_EQ] = ACTIONS(1097),
    [anon_sym_PERCENT_EQ] = ACTIONS(1097),
    [anon_sym_LT_LT_EQ] = ACTIONS(1097),
    [anon_sym_GT_GT_EQ] = ACTIONS(1097),
    [anon_sym_AMP_EQ] = ACTIONS(1097),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1097),
    [anon_sym_PLUS_EQ] = ACTIONS(1097),
    [anon_sym_DASH_EQ] = ACTIONS(1097),
    [anon_sym_PIPE_EQ] = ACTIONS(1097),
    [anon_sym_CARET_EQ] = ACTIONS(1097),
    [anon_sym_case] = ACTIONS(1097),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_CARET] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1097),
    [anon_sym_LT_LT] = ACTIONS(1097),
    [anon_sym_GT_GT] = ACTIONS(1097),
    [anon_sym_AMP_CARET] = ACTIONS(1097),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1097),
    [anon_sym_BANG_EQ] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1097),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1097),
    [anon_sym_AMP_AMP] = ACTIONS(1097),
    [anon_sym_PIPE_PIPE] = ACTIONS(1097),
    [sym_comment] = ACTIONS(199),
  },
  [275] = {
    [anon_sym_LF] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1101),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_LT_DASH] = ACTIONS(1101),
    [anon_sym_COLON_EQ] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1101),
    [anon_sym_DASH_DASH] = ACTIONS(1101),
    [anon_sym_STAR_EQ] = ACTIONS(1101),
    [anon_sym_SLASH_EQ] = ACTIONS(1101),
    [anon_sym_PERCENT_EQ] = ACTIONS(1101),
    [anon_sym_LT_LT_EQ] = ACTIONS(1101),
    [anon_sym_GT_GT_EQ] = ACTIONS(1101),
    [anon_sym_AMP_EQ] = ACTIONS(1101),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1101),
    [anon_sym_PLUS_EQ] = ACTIONS(1101),
    [anon_sym_DASH_EQ] = ACTIONS(1101),
    [anon_sym_PIPE_EQ] = ACTIONS(1101),
    [anon_sym_CARET_EQ] = ACTIONS(1101),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1101),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_AMP_CARET] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1101),
    [anon_sym_BANG_EQ] = ACTIONS(1101),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1101),
    [anon_sym_PIPE_PIPE] = ACTIONS(1101),
    [sym_comment] = ACTIONS(199),
  },
  [276] = {
    [anon_sym_LF] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_LT_DASH] = ACTIONS(1105),
    [anon_sym_COLON_EQ] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_STAR_EQ] = ACTIONS(1105),
    [anon_sym_SLASH_EQ] = ACTIONS(1105),
    [anon_sym_PERCENT_EQ] = ACTIONS(1105),
    [anon_sym_LT_LT_EQ] = ACTIONS(1105),
    [anon_sym_GT_GT_EQ] = ACTIONS(1105),
    [anon_sym_AMP_EQ] = ACTIONS(1105),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1105),
    [anon_sym_PLUS_EQ] = ACTIONS(1105),
    [anon_sym_DASH_EQ] = ACTIONS(1105),
    [anon_sym_PIPE_EQ] = ACTIONS(1105),
    [anon_sym_CARET_EQ] = ACTIONS(1105),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1105),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1105),
    [anon_sym_AMP_CARET] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1105),
    [anon_sym_BANG_EQ] = ACTIONS(1105),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1105),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1105),
    [anon_sym_AMP_AMP] = ACTIONS(1105),
    [anon_sym_PIPE_PIPE] = ACTIONS(1105),
    [sym_comment] = ACTIONS(199),
  },
  [277] = {
    [sym_block] = STATE(970),
    [sym_argument_list] = STATE(320),
    [aux_sym_expression_list_repeat1] = STATE(768),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(1117),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1121),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1119),
    [anon_sym_SLASH_EQ] = ACTIONS(1119),
    [anon_sym_PERCENT_EQ] = ACTIONS(1119),
    [anon_sym_LT_LT_EQ] = ACTIONS(1119),
    [anon_sym_GT_GT_EQ] = ACTIONS(1119),
    [anon_sym_AMP_EQ] = ACTIONS(1119),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_EQ] = ACTIONS(1119),
    [anon_sym_DASH_EQ] = ACTIONS(1119),
    [anon_sym_PIPE_EQ] = ACTIONS(1119),
    [anon_sym_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE_PIPE] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [anon_sym_LF] = ACTIONS(1135),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_LT_DASH] = ACTIONS(1137),
    [anon_sym_COLON_EQ] = ACTIONS(1137),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_STAR_EQ] = ACTIONS(1137),
    [anon_sym_SLASH_EQ] = ACTIONS(1137),
    [anon_sym_PERCENT_EQ] = ACTIONS(1137),
    [anon_sym_LT_LT_EQ] = ACTIONS(1137),
    [anon_sym_GT_GT_EQ] = ACTIONS(1137),
    [anon_sym_AMP_EQ] = ACTIONS(1137),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(1137),
    [anon_sym_DASH_EQ] = ACTIONS(1137),
    [anon_sym_PIPE_EQ] = ACTIONS(1137),
    [anon_sym_CARET_EQ] = ACTIONS(1137),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_default] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1137),
    [anon_sym_AMP_CARET] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1137),
    [anon_sym_BANG_EQ] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1137),
    [anon_sym_AMP_AMP] = ACTIONS(1137),
    [anon_sym_PIPE_PIPE] = ACTIONS(1137),
    [sym_comment] = ACTIONS(199),
  },
  [279] = {
    [anon_sym_LF] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_EQ] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_LT_DASH] = ACTIONS(1141),
    [anon_sym_COLON_EQ] = ACTIONS(1141),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_LT_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT_GT_EQ] = ACTIONS(1141),
    [anon_sym_AMP_EQ] = ACTIONS(1141),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1141),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_PIPE_EQ] = ACTIONS(1141),
    [anon_sym_CARET_EQ] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_AMP_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(199),
  },
  [280] = {
    [anon_sym_LF] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_LT_DASH] = ACTIONS(1145),
    [anon_sym_COLON_EQ] = ACTIONS(1145),
    [anon_sym_PLUS_PLUS] = ACTIONS(1145),
    [anon_sym_DASH_DASH] = ACTIONS(1145),
    [anon_sym_STAR_EQ] = ACTIONS(1145),
    [anon_sym_SLASH_EQ] = ACTIONS(1145),
    [anon_sym_PERCENT_EQ] = ACTIONS(1145),
    [anon_sym_LT_LT_EQ] = ACTIONS(1145),
    [anon_sym_GT_GT_EQ] = ACTIONS(1145),
    [anon_sym_AMP_EQ] = ACTIONS(1145),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1145),
    [anon_sym_PLUS_EQ] = ACTIONS(1145),
    [anon_sym_DASH_EQ] = ACTIONS(1145),
    [anon_sym_PIPE_EQ] = ACTIONS(1145),
    [anon_sym_CARET_EQ] = ACTIONS(1145),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_LT_LT] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP_CARET] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1145),
    [anon_sym_PIPE_PIPE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(199),
  },
  [281] = {
    [anon_sym_LF] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_LT_DASH] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_STAR_EQ] = ACTIONS(1149),
    [anon_sym_SLASH_EQ] = ACTIONS(1149),
    [anon_sym_PERCENT_EQ] = ACTIONS(1149),
    [anon_sym_LT_LT_EQ] = ACTIONS(1149),
    [anon_sym_GT_GT_EQ] = ACTIONS(1149),
    [anon_sym_AMP_EQ] = ACTIONS(1149),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1149),
    [anon_sym_PLUS_EQ] = ACTIONS(1149),
    [anon_sym_DASH_EQ] = ACTIONS(1149),
    [anon_sym_PIPE_EQ] = ACTIONS(1149),
    [anon_sym_CARET_EQ] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1149),
    [anon_sym_default] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_AMP_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1149),
    [anon_sym_BANG_EQ] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1149),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1149),
    [anon_sym_AMP_AMP] = ACTIONS(1149),
    [anon_sym_PIPE_PIPE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(199),
  },
  [282] = {
    [anon_sym_LF] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1153),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_LT_DASH] = ACTIONS(1153),
    [anon_sym_COLON_EQ] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_STAR_EQ] = ACTIONS(1153),
    [anon_sym_SLASH_EQ] = ACTIONS(1153),
    [anon_sym_PERCENT_EQ] = ACTIONS(1153),
    [anon_sym_LT_LT_EQ] = ACTIONS(1153),
    [anon_sym_GT_GT_EQ] = ACTIONS(1153),
    [anon_sym_AMP_EQ] = ACTIONS(1153),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1153),
    [anon_sym_PLUS_EQ] = ACTIONS(1153),
    [anon_sym_DASH_EQ] = ACTIONS(1153),
    [anon_sym_PIPE_EQ] = ACTIONS(1153),
    [anon_sym_CARET_EQ] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_AMP_CARET] = ACTIONS(1153),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1153),
    [anon_sym_BANG_EQ] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1153),
    [anon_sym_AMP_AMP] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1153),
    [sym_comment] = ACTIONS(199),
  },
  [283] = {
    [anon_sym_LF] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_LT_DASH] = ACTIONS(1157),
    [anon_sym_COLON_EQ] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_STAR_EQ] = ACTIONS(1157),
    [anon_sym_SLASH_EQ] = ACTIONS(1157),
    [anon_sym_PERCENT_EQ] = ACTIONS(1157),
    [anon_sym_LT_LT_EQ] = ACTIONS(1157),
    [anon_sym_GT_GT_EQ] = ACTIONS(1157),
    [anon_sym_AMP_EQ] = ACTIONS(1157),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1157),
    [anon_sym_PLUS_EQ] = ACTIONS(1157),
    [anon_sym_DASH_EQ] = ACTIONS(1157),
    [anon_sym_PIPE_EQ] = ACTIONS(1157),
    [anon_sym_CARET_EQ] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1157),
    [anon_sym_AMP_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(199),
  },
  [284] = {
    [anon_sym_LF] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_EQ] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_LT_DASH] = ACTIONS(1161),
    [anon_sym_COLON_EQ] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_STAR_EQ] = ACTIONS(1161),
    [anon_sym_SLASH_EQ] = ACTIONS(1161),
    [anon_sym_PERCENT_EQ] = ACTIONS(1161),
    [anon_sym_LT_LT_EQ] = ACTIONS(1161),
    [anon_sym_GT_GT_EQ] = ACTIONS(1161),
    [anon_sym_AMP_EQ] = ACTIONS(1161),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1161),
    [anon_sym_PLUS_EQ] = ACTIONS(1161),
    [anon_sym_DASH_EQ] = ACTIONS(1161),
    [anon_sym_PIPE_EQ] = ACTIONS(1161),
    [anon_sym_CARET_EQ] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1161),
    [anon_sym_default] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1161),
    [anon_sym_AMP_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(199),
  },
  [285] = {
    [anon_sym_LF] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_LT_DASH] = ACTIONS(1165),
    [anon_sym_COLON_EQ] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_STAR_EQ] = ACTIONS(1165),
    [anon_sym_SLASH_EQ] = ACTIONS(1165),
    [anon_sym_PERCENT_EQ] = ACTIONS(1165),
    [anon_sym_LT_LT_EQ] = ACTIONS(1165),
    [anon_sym_GT_GT_EQ] = ACTIONS(1165),
    [anon_sym_AMP_EQ] = ACTIONS(1165),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1165),
    [anon_sym_PLUS_EQ] = ACTIONS(1165),
    [anon_sym_DASH_EQ] = ACTIONS(1165),
    [anon_sym_PIPE_EQ] = ACTIONS(1165),
    [anon_sym_CARET_EQ] = ACTIONS(1165),
    [anon_sym_case] = ACTIONS(1165),
    [anon_sym_default] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1165),
    [anon_sym_AMP_CARET] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_AMP_AMP] = ACTIONS(1165),
    [anon_sym_PIPE_PIPE] = ACTIONS(1165),
    [sym_comment] = ACTIONS(199),
  },
  [286] = {
    [anon_sym_LF] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_LT_DASH] = ACTIONS(1169),
    [anon_sym_COLON_EQ] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_STAR_EQ] = ACTIONS(1169),
    [anon_sym_SLASH_EQ] = ACTIONS(1169),
    [anon_sym_PERCENT_EQ] = ACTIONS(1169),
    [anon_sym_LT_LT_EQ] = ACTIONS(1169),
    [anon_sym_GT_GT_EQ] = ACTIONS(1169),
    [anon_sym_AMP_EQ] = ACTIONS(1169),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1169),
    [anon_sym_PLUS_EQ] = ACTIONS(1169),
    [anon_sym_DASH_EQ] = ACTIONS(1169),
    [anon_sym_PIPE_EQ] = ACTIONS(1169),
    [anon_sym_CARET_EQ] = ACTIONS(1169),
    [anon_sym_case] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_AMP_CARET] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1169),
    [anon_sym_PIPE_PIPE] = ACTIONS(1169),
    [sym_comment] = ACTIONS(199),
  },
  [287] = {
    [anon_sym_LF] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COMMA] = ACTIONS(1173),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_LT_DASH] = ACTIONS(1173),
    [anon_sym_COLON_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_EQ] = ACTIONS(1173),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_EQ] = ACTIONS(1173),
    [anon_sym_CARET_EQ] = ACTIONS(1173),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP_CARET] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [sym_comment] = ACTIONS(199),
  },
  [288] = {
    [anon_sym_LF] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_COMMA] = ACTIONS(1177),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_LT_DASH] = ACTIONS(1177),
    [anon_sym_COLON_EQ] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_STAR_EQ] = ACTIONS(1177),
    [anon_sym_SLASH_EQ] = ACTIONS(1177),
    [anon_sym_PERCENT_EQ] = ACTIONS(1177),
    [anon_sym_LT_LT_EQ] = ACTIONS(1177),
    [anon_sym_GT_GT_EQ] = ACTIONS(1177),
    [anon_sym_AMP_EQ] = ACTIONS(1177),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1177),
    [anon_sym_PLUS_EQ] = ACTIONS(1177),
    [anon_sym_DASH_EQ] = ACTIONS(1177),
    [anon_sym_PIPE_EQ] = ACTIONS(1177),
    [anon_sym_CARET_EQ] = ACTIONS(1177),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP_CARET] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1177),
    [anon_sym_BANG_EQ] = ACTIONS(1177),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1177),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1177),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1177),
    [sym_comment] = ACTIONS(199),
  },
  [289] = {
    [anon_sym_LF] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_EQ] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_LT_DASH] = ACTIONS(1181),
    [anon_sym_COLON_EQ] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_STAR_EQ] = ACTIONS(1181),
    [anon_sym_SLASH_EQ] = ACTIONS(1181),
    [anon_sym_PERCENT_EQ] = ACTIONS(1181),
    [anon_sym_LT_LT_EQ] = ACTIONS(1181),
    [anon_sym_GT_GT_EQ] = ACTIONS(1181),
    [anon_sym_AMP_EQ] = ACTIONS(1181),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1181),
    [anon_sym_PLUS_EQ] = ACTIONS(1181),
    [anon_sym_DASH_EQ] = ACTIONS(1181),
    [anon_sym_PIPE_EQ] = ACTIONS(1181),
    [anon_sym_CARET_EQ] = ACTIONS(1181),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1181),
    [anon_sym_AMP_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1181),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1181),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [sym_comment] = ACTIONS(199),
  },
  [290] = {
    [anon_sym_LF] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_LT_DASH] = ACTIONS(1185),
    [anon_sym_COLON_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1185),
    [anon_sym_default] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_AMP_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [sym_comment] = ACTIONS(199),
  },
  [291] = {
    [anon_sym_LF] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_LT_DASH] = ACTIONS(1189),
    [anon_sym_COLON_EQ] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_STAR_EQ] = ACTIONS(1189),
    [anon_sym_SLASH_EQ] = ACTIONS(1189),
    [anon_sym_PERCENT_EQ] = ACTIONS(1189),
    [anon_sym_LT_LT_EQ] = ACTIONS(1189),
    [anon_sym_GT_GT_EQ] = ACTIONS(1189),
    [anon_sym_AMP_EQ] = ACTIONS(1189),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1189),
    [anon_sym_PLUS_EQ] = ACTIONS(1189),
    [anon_sym_DASH_EQ] = ACTIONS(1189),
    [anon_sym_PIPE_EQ] = ACTIONS(1189),
    [anon_sym_CARET_EQ] = ACTIONS(1189),
    [anon_sym_case] = ACTIONS(1189),
    [anon_sym_default] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1189),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1189),
    [anon_sym_AMP_CARET] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1189),
    [anon_sym_BANG_EQ] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1189),
    [anon_sym_AMP_AMP] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(199),
  },
  [292] = {
    [anon_sym_LF] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_LT_DASH] = ACTIONS(1193),
    [anon_sym_COLON_EQ] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_STAR_EQ] = ACTIONS(1193),
    [anon_sym_SLASH_EQ] = ACTIONS(1193),
    [anon_sym_PERCENT_EQ] = ACTIONS(1193),
    [anon_sym_LT_LT_EQ] = ACTIONS(1193),
    [anon_sym_GT_GT_EQ] = ACTIONS(1193),
    [anon_sym_AMP_EQ] = ACTIONS(1193),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1193),
    [anon_sym_PLUS_EQ] = ACTIONS(1193),
    [anon_sym_DASH_EQ] = ACTIONS(1193),
    [anon_sym_PIPE_EQ] = ACTIONS(1193),
    [anon_sym_CARET_EQ] = ACTIONS(1193),
    [anon_sym_case] = ACTIONS(1193),
    [anon_sym_default] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_LT_LT] = ACTIONS(1193),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_AMP_CARET] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1193),
    [anon_sym_BANG_EQ] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1193),
    [anon_sym_AMP_AMP] = ACTIONS(1193),
    [anon_sym_PIPE_PIPE] = ACTIONS(1193),
    [sym_comment] = ACTIONS(199),
  },
  [293] = {
    [anon_sym_LF] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_DOT] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_LT_DASH] = ACTIONS(1197),
    [anon_sym_COLON_EQ] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_STAR_EQ] = ACTIONS(1197),
    [anon_sym_SLASH_EQ] = ACTIONS(1197),
    [anon_sym_PERCENT_EQ] = ACTIONS(1197),
    [anon_sym_LT_LT_EQ] = ACTIONS(1197),
    [anon_sym_GT_GT_EQ] = ACTIONS(1197),
    [anon_sym_AMP_EQ] = ACTIONS(1197),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1197),
    [anon_sym_PLUS_EQ] = ACTIONS(1197),
    [anon_sym_DASH_EQ] = ACTIONS(1197),
    [anon_sym_PIPE_EQ] = ACTIONS(1197),
    [anon_sym_CARET_EQ] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1197),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_AMP_CARET] = ACTIONS(1197),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1197),
    [anon_sym_BANG_EQ] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1197),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1197),
    [anon_sym_AMP_AMP] = ACTIONS(1197),
    [anon_sym_PIPE_PIPE] = ACTIONS(1197),
    [sym_comment] = ACTIONS(199),
  },
  [294] = {
    [anon_sym_LF] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_LT_DASH] = ACTIONS(1201),
    [anon_sym_COLON_EQ] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_STAR_EQ] = ACTIONS(1201),
    [anon_sym_SLASH_EQ] = ACTIONS(1201),
    [anon_sym_PERCENT_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT_EQ] = ACTIONS(1201),
    [anon_sym_GT_GT_EQ] = ACTIONS(1201),
    [anon_sym_AMP_EQ] = ACTIONS(1201),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1201),
    [anon_sym_PLUS_EQ] = ACTIONS(1201),
    [anon_sym_DASH_EQ] = ACTIONS(1201),
    [anon_sym_PIPE_EQ] = ACTIONS(1201),
    [anon_sym_CARET_EQ] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_AMP_CARET] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_AMP_AMP] = ACTIONS(1201),
    [anon_sym_PIPE_PIPE] = ACTIONS(1201),
    [sym_comment] = ACTIONS(199),
  },
  [295] = {
    [anon_sym_LF] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_LT_DASH] = ACTIONS(1205),
    [anon_sym_COLON_EQ] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_STAR_EQ] = ACTIONS(1205),
    [anon_sym_SLASH_EQ] = ACTIONS(1205),
    [anon_sym_PERCENT_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT_EQ] = ACTIONS(1205),
    [anon_sym_GT_GT_EQ] = ACTIONS(1205),
    [anon_sym_AMP_EQ] = ACTIONS(1205),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1205),
    [anon_sym_PLUS_EQ] = ACTIONS(1205),
    [anon_sym_DASH_EQ] = ACTIONS(1205),
    [anon_sym_PIPE_EQ] = ACTIONS(1205),
    [anon_sym_CARET_EQ] = ACTIONS(1205),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_AMP_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_AMP_AMP] = ACTIONS(1205),
    [anon_sym_PIPE_PIPE] = ACTIONS(1205),
    [sym_comment] = ACTIONS(199),
  },
  [296] = {
    [anon_sym_LF] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_LT_DASH] = ACTIONS(1209),
    [anon_sym_COLON_EQ] = ACTIONS(1209),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_STAR_EQ] = ACTIONS(1209),
    [anon_sym_SLASH_EQ] = ACTIONS(1209),
    [anon_sym_PERCENT_EQ] = ACTIONS(1209),
    [anon_sym_LT_LT_EQ] = ACTIONS(1209),
    [anon_sym_GT_GT_EQ] = ACTIONS(1209),
    [anon_sym_AMP_EQ] = ACTIONS(1209),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1209),
    [anon_sym_PLUS_EQ] = ACTIONS(1209),
    [anon_sym_DASH_EQ] = ACTIONS(1209),
    [anon_sym_PIPE_EQ] = ACTIONS(1209),
    [anon_sym_CARET_EQ] = ACTIONS(1209),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_AMP_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(199),
  },
  [297] = {
    [anon_sym_LF] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_LT_DASH] = ACTIONS(1213),
    [anon_sym_COLON_EQ] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_STAR_EQ] = ACTIONS(1213),
    [anon_sym_SLASH_EQ] = ACTIONS(1213),
    [anon_sym_PERCENT_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT_EQ] = ACTIONS(1213),
    [anon_sym_GT_GT_EQ] = ACTIONS(1213),
    [anon_sym_AMP_EQ] = ACTIONS(1213),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1213),
    [anon_sym_PLUS_EQ] = ACTIONS(1213),
    [anon_sym_DASH_EQ] = ACTIONS(1213),
    [anon_sym_PIPE_EQ] = ACTIONS(1213),
    [anon_sym_CARET_EQ] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_AMP_CARET] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_AMP_AMP] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(199),
  },
  [298] = {
    [anon_sym_LF] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1217),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_LT_DASH] = ACTIONS(1217),
    [anon_sym_COLON_EQ] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_STAR_EQ] = ACTIONS(1217),
    [anon_sym_SLASH_EQ] = ACTIONS(1217),
    [anon_sym_PERCENT_EQ] = ACTIONS(1217),
    [anon_sym_LT_LT_EQ] = ACTIONS(1217),
    [anon_sym_GT_GT_EQ] = ACTIONS(1217),
    [anon_sym_AMP_EQ] = ACTIONS(1217),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1217),
    [anon_sym_PLUS_EQ] = ACTIONS(1217),
    [anon_sym_DASH_EQ] = ACTIONS(1217),
    [anon_sym_PIPE_EQ] = ACTIONS(1217),
    [anon_sym_CARET_EQ] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_AMP_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1217),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(199),
  },
  [299] = {
    [anon_sym_LF] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_LT_DASH] = ACTIONS(1221),
    [anon_sym_COLON_EQ] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_STAR_EQ] = ACTIONS(1221),
    [anon_sym_SLASH_EQ] = ACTIONS(1221),
    [anon_sym_PERCENT_EQ] = ACTIONS(1221),
    [anon_sym_LT_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT_GT_EQ] = ACTIONS(1221),
    [anon_sym_AMP_EQ] = ACTIONS(1221),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1221),
    [anon_sym_PLUS_EQ] = ACTIONS(1221),
    [anon_sym_DASH_EQ] = ACTIONS(1221),
    [anon_sym_PIPE_EQ] = ACTIONS(1221),
    [anon_sym_CARET_EQ] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1221),
    [anon_sym_default] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_AMP_CARET] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(199),
  },
  [300] = {
    [anon_sym_LF] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_LT_DASH] = ACTIONS(1225),
    [anon_sym_COLON_EQ] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_STAR_EQ] = ACTIONS(1225),
    [anon_sym_SLASH_EQ] = ACTIONS(1225),
    [anon_sym_PERCENT_EQ] = ACTIONS(1225),
    [anon_sym_LT_LT_EQ] = ACTIONS(1225),
    [anon_sym_GT_GT_EQ] = ACTIONS(1225),
    [anon_sym_AMP_EQ] = ACTIONS(1225),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1225),
    [anon_sym_PLUS_EQ] = ACTIONS(1225),
    [anon_sym_DASH_EQ] = ACTIONS(1225),
    [anon_sym_PIPE_EQ] = ACTIONS(1225),
    [anon_sym_CARET_EQ] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_AMP_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(199),
  },
  [301] = {
    [anon_sym_LF] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_LT_DASH] = ACTIONS(1229),
    [anon_sym_COLON_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_STAR_EQ] = ACTIONS(1229),
    [anon_sym_SLASH_EQ] = ACTIONS(1229),
    [anon_sym_PERCENT_EQ] = ACTIONS(1229),
    [anon_sym_LT_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_EQ] = ACTIONS(1229),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1229),
    [anon_sym_PLUS_EQ] = ACTIONS(1229),
    [anon_sym_DASH_EQ] = ACTIONS(1229),
    [anon_sym_PIPE_EQ] = ACTIONS(1229),
    [anon_sym_CARET_EQ] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_AMP_CARET] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(199),
  },
  [302] = {
    [anon_sym_LF] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_LT_DASH] = ACTIONS(1233),
    [anon_sym_COLON_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_STAR_EQ] = ACTIONS(1233),
    [anon_sym_SLASH_EQ] = ACTIONS(1233),
    [anon_sym_PERCENT_EQ] = ACTIONS(1233),
    [anon_sym_LT_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_EQ] = ACTIONS(1233),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1233),
    [anon_sym_PLUS_EQ] = ACTIONS(1233),
    [anon_sym_DASH_EQ] = ACTIONS(1233),
    [anon_sym_PIPE_EQ] = ACTIONS(1233),
    [anon_sym_CARET_EQ] = ACTIONS(1233),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_AMP_CARET] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [sym_comment] = ACTIONS(199),
  },
  [303] = {
    [anon_sym_LF] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_LT_DASH] = ACTIONS(1237),
    [anon_sym_COLON_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_STAR_EQ] = ACTIONS(1237),
    [anon_sym_SLASH_EQ] = ACTIONS(1237),
    [anon_sym_PERCENT_EQ] = ACTIONS(1237),
    [anon_sym_LT_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_EQ] = ACTIONS(1237),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1237),
    [anon_sym_PLUS_EQ] = ACTIONS(1237),
    [anon_sym_DASH_EQ] = ACTIONS(1237),
    [anon_sym_PIPE_EQ] = ACTIONS(1237),
    [anon_sym_CARET_EQ] = ACTIONS(1237),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_AMP_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [sym_comment] = ACTIONS(199),
  },
  [304] = {
    [sym_block] = STATE(928),
    [sym_argument_list] = STATE(320),
    [aux_sym_expression_list_repeat1] = STATE(768),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(1117),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1121),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1119),
    [anon_sym_SLASH_EQ] = ACTIONS(1119),
    [anon_sym_PERCENT_EQ] = ACTIONS(1119),
    [anon_sym_LT_LT_EQ] = ACTIONS(1119),
    [anon_sym_GT_GT_EQ] = ACTIONS(1119),
    [anon_sym_AMP_EQ] = ACTIONS(1119),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_EQ] = ACTIONS(1119),
    [anon_sym_DASH_EQ] = ACTIONS(1119),
    [anon_sym_PIPE_EQ] = ACTIONS(1119),
    [anon_sym_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE_PIPE] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_argument_list] = STATE(320),
    [aux_sym_expression_list_repeat1] = STATE(768),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_LT_DASH] = ACTIONS(1117),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1121),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1119),
    [anon_sym_SLASH_EQ] = ACTIONS(1119),
    [anon_sym_PERCENT_EQ] = ACTIONS(1119),
    [anon_sym_LT_LT_EQ] = ACTIONS(1119),
    [anon_sym_GT_GT_EQ] = ACTIONS(1119),
    [anon_sym_AMP_EQ] = ACTIONS(1119),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_EQ] = ACTIONS(1119),
    [anon_sym_DASH_EQ] = ACTIONS(1119),
    [anon_sym_PIPE_EQ] = ACTIONS(1119),
    [anon_sym_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE_PIPE] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_special_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_LT_DASH] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_STAR_EQ] = ACTIONS(1027),
    [anon_sym_SLASH_EQ] = ACTIONS(1027),
    [anon_sym_PERCENT_EQ] = ACTIONS(1027),
    [anon_sym_LT_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_EQ] = ACTIONS(1027),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_EQ] = ACTIONS(1027),
    [anon_sym_DASH_EQ] = ACTIONS(1027),
    [anon_sym_PIPE_EQ] = ACTIONS(1027),
    [anon_sym_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_literal_value] = STATE(319),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_LT_DASH] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_STAR_EQ] = ACTIONS(1027),
    [anon_sym_SLASH_EQ] = ACTIONS(1027),
    [anon_sym_PERCENT_EQ] = ACTIONS(1027),
    [anon_sym_LT_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_EQ] = ACTIONS(1027),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_EQ] = ACTIONS(1027),
    [anon_sym_DASH_EQ] = ACTIONS(1027),
    [anon_sym_PIPE_EQ] = ACTIONS(1027),
    [anon_sym_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1073),
    [anon_sym_LT_DASH] = ACTIONS(1073),
    [anon_sym_COLON_EQ] = ACTIONS(1073),
    [anon_sym_PLUS_PLUS] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1073),
    [anon_sym_STAR_EQ] = ACTIONS(1073),
    [anon_sym_SLASH_EQ] = ACTIONS(1073),
    [anon_sym_PERCENT_EQ] = ACTIONS(1073),
    [anon_sym_LT_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_EQ] = ACTIONS(1073),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1073),
    [anon_sym_PLUS_EQ] = ACTIONS(1073),
    [anon_sym_DASH_EQ] = ACTIONS(1073),
    [anon_sym_PIPE_EQ] = ACTIONS(1073),
    [anon_sym_CARET_EQ] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1075),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_AMP_CARET] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1073),
    [anon_sym_BANG_EQ] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_AMP] = ACTIONS(1073),
    [anon_sym_PIPE_PIPE] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_argument_list] = STATE(320),
    [aux_sym_expression_list_repeat1] = STATE(768),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_LT_DASH] = ACTIONS(1251),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1121),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1119),
    [anon_sym_SLASH_EQ] = ACTIONS(1119),
    [anon_sym_PERCENT_EQ] = ACTIONS(1119),
    [anon_sym_LT_LT_EQ] = ACTIONS(1119),
    [anon_sym_GT_GT_EQ] = ACTIONS(1119),
    [anon_sym_AMP_EQ] = ACTIONS(1119),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS_EQ] = ACTIONS(1119),
    [anon_sym_DASH_EQ] = ACTIONS(1119),
    [anon_sym_PIPE_EQ] = ACTIONS(1119),
    [anon_sym_CARET_EQ] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE_PIPE] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_LT_EQ] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1125),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1113),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_AMP_CARET] = ACTIONS(1113),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_argument_list] = STATE(320),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_AMP_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_DOT] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_LT_DASH] = ACTIONS(1199),
    [anon_sym_COLON_EQ] = ACTIONS(1199),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_STAR_EQ] = ACTIONS(1199),
    [anon_sym_SLASH_EQ] = ACTIONS(1199),
    [anon_sym_PERCENT_EQ] = ACTIONS(1199),
    [anon_sym_LT_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_EQ] = ACTIONS(1199),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1199),
    [anon_sym_PLUS_EQ] = ACTIONS(1199),
    [anon_sym_DASH_EQ] = ACTIONS(1199),
    [anon_sym_PIPE_EQ] = ACTIONS(1199),
    [anon_sym_CARET_EQ] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_AMP_CARET] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_DOT] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_LT_DASH] = ACTIONS(1219),
    [anon_sym_COLON_EQ] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [anon_sym_STAR_EQ] = ACTIONS(1219),
    [anon_sym_SLASH_EQ] = ACTIONS(1219),
    [anon_sym_PERCENT_EQ] = ACTIONS(1219),
    [anon_sym_LT_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_EQ] = ACTIONS(1219),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1219),
    [anon_sym_PLUS_EQ] = ACTIONS(1219),
    [anon_sym_DASH_EQ] = ACTIONS(1219),
    [anon_sym_PIPE_EQ] = ACTIONS(1219),
    [anon_sym_CARET_EQ] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_AMP_CARET] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [anon_sym_SEMI] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [anon_sym_EQ] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_LT_DASH] = ACTIONS(1179),
    [anon_sym_COLON_EQ] = ACTIONS(1179),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_STAR_EQ] = ACTIONS(1179),
    [anon_sym_SLASH_EQ] = ACTIONS(1179),
    [anon_sym_PERCENT_EQ] = ACTIONS(1179),
    [anon_sym_LT_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_EQ] = ACTIONS(1179),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1179),
    [anon_sym_PLUS_EQ] = ACTIONS(1179),
    [anon_sym_DASH_EQ] = ACTIONS(1179),
    [anon_sym_PIPE_EQ] = ACTIONS(1179),
    [anon_sym_CARET_EQ] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1181),
    [anon_sym_AMP_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_LT_DASH] = ACTIONS(1215),
    [anon_sym_COLON_EQ] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1215),
    [anon_sym_STAR_EQ] = ACTIONS(1215),
    [anon_sym_SLASH_EQ] = ACTIONS(1215),
    [anon_sym_PERCENT_EQ] = ACTIONS(1215),
    [anon_sym_LT_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_EQ] = ACTIONS(1215),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1215),
    [anon_sym_PLUS_EQ] = ACTIONS(1215),
    [anon_sym_DASH_EQ] = ACTIONS(1215),
    [anon_sym_PIPE_EQ] = ACTIONS(1215),
    [anon_sym_CARET_EQ] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_AMP_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_LT_DASH] = ACTIONS(1211),
    [anon_sym_COLON_EQ] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [anon_sym_STAR_EQ] = ACTIONS(1211),
    [anon_sym_SLASH_EQ] = ACTIONS(1211),
    [anon_sym_PERCENT_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_EQ] = ACTIONS(1211),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1211),
    [anon_sym_DASH_EQ] = ACTIONS(1211),
    [anon_sym_PIPE_EQ] = ACTIONS(1211),
    [anon_sym_CARET_EQ] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_AMP_CARET] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_LT_DASH] = ACTIONS(1087),
    [anon_sym_COLON_EQ] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_STAR_EQ] = ACTIONS(1087),
    [anon_sym_SLASH_EQ] = ACTIONS(1087),
    [anon_sym_PERCENT_EQ] = ACTIONS(1087),
    [anon_sym_LT_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_EQ] = ACTIONS(1087),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1087),
    [anon_sym_PLUS_EQ] = ACTIONS(1087),
    [anon_sym_DASH_EQ] = ACTIONS(1087),
    [anon_sym_PIPE_EQ] = ACTIONS(1087),
    [anon_sym_CARET_EQ] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_AMP_CARET] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1087),
    [anon_sym_BANG_EQ] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_AMP] = ACTIONS(1087),
    [anon_sym_PIPE_PIPE] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_LT_DASH] = ACTIONS(1207),
    [anon_sym_COLON_EQ] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1207),
    [anon_sym_STAR_EQ] = ACTIONS(1207),
    [anon_sym_SLASH_EQ] = ACTIONS(1207),
    [anon_sym_PERCENT_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_EQ] = ACTIONS(1207),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1207),
    [anon_sym_PLUS_EQ] = ACTIONS(1207),
    [anon_sym_DASH_EQ] = ACTIONS(1207),
    [anon_sym_PIPE_EQ] = ACTIONS(1207),
    [anon_sym_CARET_EQ] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_AMP_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_AMP] = ACTIONS(1207),
    [anon_sym_PIPE_PIPE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_DOT] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_LT_DASH] = ACTIONS(1195),
    [anon_sym_COLON_EQ] = ACTIONS(1195),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_STAR_EQ] = ACTIONS(1195),
    [anon_sym_SLASH_EQ] = ACTIONS(1195),
    [anon_sym_PERCENT_EQ] = ACTIONS(1195),
    [anon_sym_LT_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_EQ] = ACTIONS(1195),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1195),
    [anon_sym_PLUS_EQ] = ACTIONS(1195),
    [anon_sym_DASH_EQ] = ACTIONS(1195),
    [anon_sym_PIPE_EQ] = ACTIONS(1195),
    [anon_sym_CARET_EQ] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1197),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_AMP_CARET] = ACTIONS(1197),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [anon_sym_SEMI] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_LT_DASH] = ACTIONS(1191),
    [anon_sym_COLON_EQ] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1191),
    [anon_sym_DASH_DASH] = ACTIONS(1191),
    [anon_sym_STAR_EQ] = ACTIONS(1191),
    [anon_sym_SLASH_EQ] = ACTIONS(1191),
    [anon_sym_PERCENT_EQ] = ACTIONS(1191),
    [anon_sym_LT_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_EQ] = ACTIONS(1191),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1191),
    [anon_sym_PLUS_EQ] = ACTIONS(1191),
    [anon_sym_DASH_EQ] = ACTIONS(1191),
    [anon_sym_PIPE_EQ] = ACTIONS(1191),
    [anon_sym_CARET_EQ] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_LT_LT] = ACTIONS(1193),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_AMP_CARET] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1191),
    [anon_sym_BANG_EQ] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_AMP] = ACTIONS(1191),
    [anon_sym_PIPE_PIPE] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_LT_DASH] = ACTIONS(1183),
    [anon_sym_COLON_EQ] = ACTIONS(1183),
    [anon_sym_PLUS_PLUS] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1183),
    [anon_sym_STAR_EQ] = ACTIONS(1183),
    [anon_sym_SLASH_EQ] = ACTIONS(1183),
    [anon_sym_PERCENT_EQ] = ACTIONS(1183),
    [anon_sym_LT_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_EQ] = ACTIONS(1183),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1183),
    [anon_sym_PLUS_EQ] = ACTIONS(1183),
    [anon_sym_DASH_EQ] = ACTIONS(1183),
    [anon_sym_PIPE_EQ] = ACTIONS(1183),
    [anon_sym_CARET_EQ] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_AMP_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [anon_sym_SEMI] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_LT_DASH] = ACTIONS(1167),
    [anon_sym_COLON_EQ] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1167),
    [anon_sym_STAR_EQ] = ACTIONS(1167),
    [anon_sym_SLASH_EQ] = ACTIONS(1167),
    [anon_sym_PERCENT_EQ] = ACTIONS(1167),
    [anon_sym_LT_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_EQ] = ACTIONS(1167),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1167),
    [anon_sym_PLUS_EQ] = ACTIONS(1167),
    [anon_sym_DASH_EQ] = ACTIONS(1167),
    [anon_sym_PIPE_EQ] = ACTIONS(1167),
    [anon_sym_CARET_EQ] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_AMP_CARET] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1167),
    [anon_sym_BANG_EQ] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_AMP] = ACTIONS(1167),
    [anon_sym_PIPE_PIPE] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_LT_DASH] = ACTIONS(1227),
    [anon_sym_COLON_EQ] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_STAR_EQ] = ACTIONS(1227),
    [anon_sym_SLASH_EQ] = ACTIONS(1227),
    [anon_sym_PERCENT_EQ] = ACTIONS(1227),
    [anon_sym_LT_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_EQ] = ACTIONS(1227),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1227),
    [anon_sym_PLUS_EQ] = ACTIONS(1227),
    [anon_sym_DASH_EQ] = ACTIONS(1227),
    [anon_sym_PIPE_EQ] = ACTIONS(1227),
    [anon_sym_CARET_EQ] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_AMP_CARET] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_COMMA] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [anon_sym_LT_DASH] = ACTIONS(1147),
    [anon_sym_COLON_EQ] = ACTIONS(1147),
    [anon_sym_PLUS_PLUS] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1147),
    [anon_sym_STAR_EQ] = ACTIONS(1147),
    [anon_sym_SLASH_EQ] = ACTIONS(1147),
    [anon_sym_PERCENT_EQ] = ACTIONS(1147),
    [anon_sym_LT_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_EQ] = ACTIONS(1147),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1147),
    [anon_sym_PLUS_EQ] = ACTIONS(1147),
    [anon_sym_DASH_EQ] = ACTIONS(1147),
    [anon_sym_PIPE_EQ] = ACTIONS(1147),
    [anon_sym_CARET_EQ] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_AMP_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1147),
    [anon_sym_BANG_EQ] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_AMP] = ACTIONS(1147),
    [anon_sym_PIPE_PIPE] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_LT_DASH] = ACTIONS(1175),
    [anon_sym_COLON_EQ] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_STAR_EQ] = ACTIONS(1175),
    [anon_sym_SLASH_EQ] = ACTIONS(1175),
    [anon_sym_PERCENT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_EQ] = ACTIONS(1175),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1175),
    [anon_sym_PLUS_EQ] = ACTIONS(1175),
    [anon_sym_DASH_EQ] = ACTIONS(1175),
    [anon_sym_PIPE_EQ] = ACTIONS(1175),
    [anon_sym_CARET_EQ] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP_CARET] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_LT_DASH] = ACTIONS(1151),
    [anon_sym_COLON_EQ] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_STAR_EQ] = ACTIONS(1151),
    [anon_sym_SLASH_EQ] = ACTIONS(1151),
    [anon_sym_PERCENT_EQ] = ACTIONS(1151),
    [anon_sym_LT_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_EQ] = ACTIONS(1151),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1151),
    [anon_sym_PLUS_EQ] = ACTIONS(1151),
    [anon_sym_DASH_EQ] = ACTIONS(1151),
    [anon_sym_PIPE_EQ] = ACTIONS(1151),
    [anon_sym_CARET_EQ] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_AMP_CARET] = ACTIONS(1153),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [anon_sym_SEMI] = ACTIONS(1171),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1171),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1171),
    [anon_sym_LT_DASH] = ACTIONS(1171),
    [anon_sym_COLON_EQ] = ACTIONS(1171),
    [anon_sym_PLUS_PLUS] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1171),
    [anon_sym_STAR_EQ] = ACTIONS(1171),
    [anon_sym_SLASH_EQ] = ACTIONS(1171),
    [anon_sym_PERCENT_EQ] = ACTIONS(1171),
    [anon_sym_LT_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_EQ] = ACTIONS(1171),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1171),
    [anon_sym_PLUS_EQ] = ACTIONS(1171),
    [anon_sym_DASH_EQ] = ACTIONS(1171),
    [anon_sym_PIPE_EQ] = ACTIONS(1171),
    [anon_sym_CARET_EQ] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP_CARET] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_DOT] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_LT_DASH] = ACTIONS(1223),
    [anon_sym_COLON_EQ] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_STAR_EQ] = ACTIONS(1223),
    [anon_sym_SLASH_EQ] = ACTIONS(1223),
    [anon_sym_PERCENT_EQ] = ACTIONS(1223),
    [anon_sym_LT_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_EQ] = ACTIONS(1223),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1223),
    [anon_sym_PLUS_EQ] = ACTIONS(1223),
    [anon_sym_DASH_EQ] = ACTIONS(1223),
    [anon_sym_PIPE_EQ] = ACTIONS(1223),
    [anon_sym_CARET_EQ] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_AMP_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1143),
    [anon_sym_COLON_EQ] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_STAR_EQ] = ACTIONS(1143),
    [anon_sym_SLASH_EQ] = ACTIONS(1143),
    [anon_sym_PERCENT_EQ] = ACTIONS(1143),
    [anon_sym_LT_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_EQ] = ACTIONS(1143),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1143),
    [anon_sym_PLUS_EQ] = ACTIONS(1143),
    [anon_sym_DASH_EQ] = ACTIONS(1143),
    [anon_sym_PIPE_EQ] = ACTIONS(1143),
    [anon_sym_CARET_EQ] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_LT_LT] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP_CARET] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_EQ] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_LT_DASH] = ACTIONS(1139),
    [anon_sym_COLON_EQ] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1139),
    [anon_sym_STAR_EQ] = ACTIONS(1139),
    [anon_sym_SLASH_EQ] = ACTIONS(1139),
    [anon_sym_PERCENT_EQ] = ACTIONS(1139),
    [anon_sym_LT_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_EQ] = ACTIONS(1139),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1139),
    [anon_sym_PLUS_EQ] = ACTIONS(1139),
    [anon_sym_DASH_EQ] = ACTIONS(1139),
    [anon_sym_PIPE_EQ] = ACTIONS(1139),
    [anon_sym_CARET_EQ] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_AMP_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_AMP] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_LT_DASH] = ACTIONS(1091),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_STAR_EQ] = ACTIONS(1091),
    [anon_sym_SLASH_EQ] = ACTIONS(1091),
    [anon_sym_PERCENT_EQ] = ACTIONS(1091),
    [anon_sym_LT_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_EQ] = ACTIONS(1091),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1091),
    [anon_sym_PLUS_EQ] = ACTIONS(1091),
    [anon_sym_DASH_EQ] = ACTIONS(1091),
    [anon_sym_PIPE_EQ] = ACTIONS(1091),
    [anon_sym_CARET_EQ] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP_CARET] = ACTIONS(1093),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_LT_DASH] = ACTIONS(1203),
    [anon_sym_COLON_EQ] = ACTIONS(1203),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_STAR_EQ] = ACTIONS(1203),
    [anon_sym_SLASH_EQ] = ACTIONS(1203),
    [anon_sym_PERCENT_EQ] = ACTIONS(1203),
    [anon_sym_LT_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_EQ] = ACTIONS(1203),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1203),
    [anon_sym_PLUS_EQ] = ACTIONS(1203),
    [anon_sym_DASH_EQ] = ACTIONS(1203),
    [anon_sym_PIPE_EQ] = ACTIONS(1203),
    [anon_sym_CARET_EQ] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_AMP_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_LT_DASH] = ACTIONS(1235),
    [anon_sym_COLON_EQ] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_STAR_EQ] = ACTIONS(1235),
    [anon_sym_SLASH_EQ] = ACTIONS(1235),
    [anon_sym_PERCENT_EQ] = ACTIONS(1235),
    [anon_sym_LT_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_EQ] = ACTIONS(1235),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1235),
    [anon_sym_PLUS_EQ] = ACTIONS(1235),
    [anon_sym_DASH_EQ] = ACTIONS(1235),
    [anon_sym_PIPE_EQ] = ACTIONS(1235),
    [anon_sym_CARET_EQ] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_AMP_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_LT_DASH] = ACTIONS(1231),
    [anon_sym_COLON_EQ] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1231),
    [anon_sym_STAR_EQ] = ACTIONS(1231),
    [anon_sym_SLASH_EQ] = ACTIONS(1231),
    [anon_sym_PERCENT_EQ] = ACTIONS(1231),
    [anon_sym_LT_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_EQ] = ACTIONS(1231),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1231),
    [anon_sym_PLUS_EQ] = ACTIONS(1231),
    [anon_sym_DASH_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_CARET_EQ] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_AMP_CARET] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_DOT] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_COMMA] = ACTIONS(1135),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_LT_DASH] = ACTIONS(1135),
    [anon_sym_COLON_EQ] = ACTIONS(1135),
    [anon_sym_PLUS_PLUS] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_STAR_EQ] = ACTIONS(1135),
    [anon_sym_SLASH_EQ] = ACTIONS(1135),
    [anon_sym_PERCENT_EQ] = ACTIONS(1135),
    [anon_sym_LT_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_EQ] = ACTIONS(1135),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1135),
    [anon_sym_PLUS_EQ] = ACTIONS(1135),
    [anon_sym_DASH_EQ] = ACTIONS(1135),
    [anon_sym_PIPE_EQ] = ACTIONS(1135),
    [anon_sym_CARET_EQ] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1137),
    [anon_sym_AMP_CARET] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1135),
    [anon_sym_BANG_EQ] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_AMP] = ACTIONS(1135),
    [anon_sym_PIPE_PIPE] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [anon_sym_SEMI] = ACTIONS(1103),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_LT_DASH] = ACTIONS(1103),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [anon_sym_STAR_EQ] = ACTIONS(1103),
    [anon_sym_SLASH_EQ] = ACTIONS(1103),
    [anon_sym_PERCENT_EQ] = ACTIONS(1103),
    [anon_sym_LT_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_EQ] = ACTIONS(1103),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1103),
    [anon_sym_PLUS_EQ] = ACTIONS(1103),
    [anon_sym_DASH_EQ] = ACTIONS(1103),
    [anon_sym_PIPE_EQ] = ACTIONS(1103),
    [anon_sym_CARET_EQ] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1105),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1105),
    [anon_sym_AMP_CARET] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1103),
    [anon_sym_BANG_EQ] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_AMP] = ACTIONS(1103),
    [anon_sym_PIPE_PIPE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_COMMA] = ACTIONS(1083),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_LT_DASH] = ACTIONS(1083),
    [anon_sym_COLON_EQ] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_STAR_EQ] = ACTIONS(1083),
    [anon_sym_SLASH_EQ] = ACTIONS(1083),
    [anon_sym_PERCENT_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_EQ] = ACTIONS(1083),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1083),
    [anon_sym_PLUS_EQ] = ACTIONS(1083),
    [anon_sym_DASH_EQ] = ACTIONS(1083),
    [anon_sym_PIPE_EQ] = ACTIONS(1083),
    [anon_sym_CARET_EQ] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1085),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1085),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_AMP_CARET] = ACTIONS(1085),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_AMP] = ACTIONS(1083),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_LT_DASH] = ACTIONS(1099),
    [anon_sym_COLON_EQ] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_STAR_EQ] = ACTIONS(1099),
    [anon_sym_SLASH_EQ] = ACTIONS(1099),
    [anon_sym_PERCENT_EQ] = ACTIONS(1099),
    [anon_sym_LT_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_EQ] = ACTIONS(1099),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1099),
    [anon_sym_PLUS_EQ] = ACTIONS(1099),
    [anon_sym_DASH_EQ] = ACTIONS(1099),
    [anon_sym_PIPE_EQ] = ACTIONS(1099),
    [anon_sym_CARET_EQ] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1101),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_AMP_CARET] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1099),
    [anon_sym_BANG_EQ] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_AMP] = ACTIONS(1099),
    [anon_sym_PIPE_PIPE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_LT_DASH] = ACTIONS(1159),
    [anon_sym_COLON_EQ] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [anon_sym_STAR_EQ] = ACTIONS(1159),
    [anon_sym_SLASH_EQ] = ACTIONS(1159),
    [anon_sym_PERCENT_EQ] = ACTIONS(1159),
    [anon_sym_LT_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_EQ] = ACTIONS(1159),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1159),
    [anon_sym_PLUS_EQ] = ACTIONS(1159),
    [anon_sym_DASH_EQ] = ACTIONS(1159),
    [anon_sym_PIPE_EQ] = ACTIONS(1159),
    [anon_sym_CARET_EQ] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1161),
    [anon_sym_AMP_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_LT_DASH] = ACTIONS(1163),
    [anon_sym_COLON_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1165),
    [anon_sym_AMP_CARET] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_LT_DASH] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1155),
    [anon_sym_PLUS_PLUS] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_STAR_EQ] = ACTIONS(1155),
    [anon_sym_SLASH_EQ] = ACTIONS(1155),
    [anon_sym_PERCENT_EQ] = ACTIONS(1155),
    [anon_sym_LT_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_EQ] = ACTIONS(1155),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1155),
    [anon_sym_PLUS_EQ] = ACTIONS(1155),
    [anon_sym_DASH_EQ] = ACTIONS(1155),
    [anon_sym_PIPE_EQ] = ACTIONS(1155),
    [anon_sym_CARET_EQ] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1157),
    [anon_sym_AMP_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_LT_DASH] = ACTIONS(1187),
    [anon_sym_COLON_EQ] = ACTIONS(1187),
    [anon_sym_PLUS_PLUS] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1187),
    [anon_sym_STAR_EQ] = ACTIONS(1187),
    [anon_sym_SLASH_EQ] = ACTIONS(1187),
    [anon_sym_PERCENT_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_EQ] = ACTIONS(1187),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1187),
    [anon_sym_PLUS_EQ] = ACTIONS(1187),
    [anon_sym_DASH_EQ] = ACTIONS(1187),
    [anon_sym_PIPE_EQ] = ACTIONS(1187),
    [anon_sym_CARET_EQ] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1189),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1189),
    [anon_sym_AMP_CARET] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_LT_DASH] = ACTIONS(1095),
    [anon_sym_COLON_EQ] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_STAR_EQ] = ACTIONS(1095),
    [anon_sym_SLASH_EQ] = ACTIONS(1095),
    [anon_sym_PERCENT_EQ] = ACTIONS(1095),
    [anon_sym_LT_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_EQ] = ACTIONS(1095),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1095),
    [anon_sym_PLUS_EQ] = ACTIONS(1095),
    [anon_sym_DASH_EQ] = ACTIONS(1095),
    [anon_sym_PIPE_EQ] = ACTIONS(1095),
    [anon_sym_CARET_EQ] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_CARET] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1097),
    [anon_sym_LT_LT] = ACTIONS(1097),
    [anon_sym_GT_GT] = ACTIONS(1097),
    [anon_sym_AMP_CARET] = ACTIONS(1097),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1095),
    [anon_sym_BANG_EQ] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_literal_value] = STATE(369),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_STAR_EQ] = ACTIONS(1027),
    [anon_sym_SLASH_EQ] = ACTIONS(1027),
    [anon_sym_PERCENT_EQ] = ACTIONS(1027),
    [anon_sym_LT_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_EQ] = ACTIONS(1027),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_EQ] = ACTIONS(1027),
    [anon_sym_DASH_EQ] = ACTIONS(1027),
    [anon_sym_PIPE_EQ] = ACTIONS(1027),
    [anon_sym_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_AMP_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1073),
    [anon_sym_STAR_EQ] = ACTIONS(1073),
    [anon_sym_SLASH_EQ] = ACTIONS(1073),
    [anon_sym_PERCENT_EQ] = ACTIONS(1073),
    [anon_sym_LT_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_EQ] = ACTIONS(1073),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1073),
    [anon_sym_PLUS_EQ] = ACTIONS(1073),
    [anon_sym_DASH_EQ] = ACTIONS(1073),
    [anon_sym_PIPE_EQ] = ACTIONS(1073),
    [anon_sym_CARET_EQ] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1075),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_AMP_CARET] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1073),
    [anon_sym_BANG_EQ] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_AMP] = ACTIONS(1073),
    [anon_sym_PIPE_PIPE] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_special_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_STAR_EQ] = ACTIONS(1027),
    [anon_sym_SLASH_EQ] = ACTIONS(1027),
    [anon_sym_PERCENT_EQ] = ACTIONS(1027),
    [anon_sym_LT_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_EQ] = ACTIONS(1027),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS_EQ] = ACTIONS(1027),
    [anon_sym_DASH_EQ] = ACTIONS(1027),
    [anon_sym_PIPE_EQ] = ACTIONS(1027),
    [anon_sym_CARET_EQ] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1263),
    [anon_sym_STAR_EQ] = ACTIONS(1263),
    [anon_sym_SLASH_EQ] = ACTIONS(1263),
    [anon_sym_PERCENT_EQ] = ACTIONS(1263),
    [anon_sym_LT_LT_EQ] = ACTIONS(1263),
    [anon_sym_GT_GT_EQ] = ACTIONS(1263),
    [anon_sym_AMP_EQ] = ACTIONS(1263),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1263),
    [anon_sym_PLUS_EQ] = ACTIONS(1263),
    [anon_sym_DASH_EQ] = ACTIONS(1263),
    [anon_sym_PIPE_EQ] = ACTIONS(1263),
    [anon_sym_CARET_EQ] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_AMP_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1275),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_AMP_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_AMP_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_AMP_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_argument_list] = STATE(366),
    [anon_sym_DOT] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_LT_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_EQ] = ACTIONS(1077),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_PIPE_EQ] = ACTIONS(1077),
    [anon_sym_CARET_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_AMP_CARET] = ACTIONS(1267),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1275),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [anon_sym_DOT] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_COLON_EQ] = ACTIONS(1095),
    [anon_sym_STAR_EQ] = ACTIONS(1095),
    [anon_sym_SLASH_EQ] = ACTIONS(1095),
    [anon_sym_PERCENT_EQ] = ACTIONS(1095),
    [anon_sym_LT_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_EQ] = ACTIONS(1095),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1095),
    [anon_sym_PLUS_EQ] = ACTIONS(1095),
    [anon_sym_DASH_EQ] = ACTIONS(1095),
    [anon_sym_PIPE_EQ] = ACTIONS(1095),
    [anon_sym_CARET_EQ] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_CARET] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1097),
    [anon_sym_LT_LT] = ACTIONS(1097),
    [anon_sym_GT_GT] = ACTIONS(1097),
    [anon_sym_AMP_CARET] = ACTIONS(1097),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1095),
    [anon_sym_BANG_EQ] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1171),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_COLON_EQ] = ACTIONS(1171),
    [anon_sym_STAR_EQ] = ACTIONS(1171),
    [anon_sym_SLASH_EQ] = ACTIONS(1171),
    [anon_sym_PERCENT_EQ] = ACTIONS(1171),
    [anon_sym_LT_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_EQ] = ACTIONS(1171),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1171),
    [anon_sym_PLUS_EQ] = ACTIONS(1171),
    [anon_sym_DASH_EQ] = ACTIONS(1171),
    [anon_sym_PIPE_EQ] = ACTIONS(1171),
    [anon_sym_CARET_EQ] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP_CARET] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [anon_sym_DOT] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_COMMA] = ACTIONS(1135),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_COLON_EQ] = ACTIONS(1135),
    [anon_sym_STAR_EQ] = ACTIONS(1135),
    [anon_sym_SLASH_EQ] = ACTIONS(1135),
    [anon_sym_PERCENT_EQ] = ACTIONS(1135),
    [anon_sym_LT_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_EQ] = ACTIONS(1135),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1135),
    [anon_sym_PLUS_EQ] = ACTIONS(1135),
    [anon_sym_DASH_EQ] = ACTIONS(1135),
    [anon_sym_PIPE_EQ] = ACTIONS(1135),
    [anon_sym_CARET_EQ] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1137),
    [anon_sym_AMP_CARET] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1135),
    [anon_sym_BANG_EQ] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_AMP] = ACTIONS(1135),
    [anon_sym_PIPE_PIPE] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_STAR_EQ] = ACTIONS(1103),
    [anon_sym_SLASH_EQ] = ACTIONS(1103),
    [anon_sym_PERCENT_EQ] = ACTIONS(1103),
    [anon_sym_LT_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_EQ] = ACTIONS(1103),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1103),
    [anon_sym_PLUS_EQ] = ACTIONS(1103),
    [anon_sym_DASH_EQ] = ACTIONS(1103),
    [anon_sym_PIPE_EQ] = ACTIONS(1103),
    [anon_sym_CARET_EQ] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1105),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1105),
    [anon_sym_AMP_CARET] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1103),
    [anon_sym_BANG_EQ] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_AMP] = ACTIONS(1103),
    [anon_sym_PIPE_PIPE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_COLON_EQ] = ACTIONS(1099),
    [anon_sym_STAR_EQ] = ACTIONS(1099),
    [anon_sym_SLASH_EQ] = ACTIONS(1099),
    [anon_sym_PERCENT_EQ] = ACTIONS(1099),
    [anon_sym_LT_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_EQ] = ACTIONS(1099),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1099),
    [anon_sym_PLUS_EQ] = ACTIONS(1099),
    [anon_sym_DASH_EQ] = ACTIONS(1099),
    [anon_sym_PIPE_EQ] = ACTIONS(1099),
    [anon_sym_CARET_EQ] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1101),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_AMP_CARET] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1099),
    [anon_sym_BANG_EQ] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_AMP] = ACTIONS(1099),
    [anon_sym_PIPE_PIPE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_COLON_EQ] = ACTIONS(1187),
    [anon_sym_STAR_EQ] = ACTIONS(1187),
    [anon_sym_SLASH_EQ] = ACTIONS(1187),
    [anon_sym_PERCENT_EQ] = ACTIONS(1187),
    [anon_sym_LT_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_EQ] = ACTIONS(1187),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1187),
    [anon_sym_PLUS_EQ] = ACTIONS(1187),
    [anon_sym_DASH_EQ] = ACTIONS(1187),
    [anon_sym_PIPE_EQ] = ACTIONS(1187),
    [anon_sym_CARET_EQ] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1189),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1189),
    [anon_sym_AMP_CARET] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1183),
    [anon_sym_COLON_EQ] = ACTIONS(1183),
    [anon_sym_STAR_EQ] = ACTIONS(1183),
    [anon_sym_SLASH_EQ] = ACTIONS(1183),
    [anon_sym_PERCENT_EQ] = ACTIONS(1183),
    [anon_sym_LT_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_EQ] = ACTIONS(1183),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1183),
    [anon_sym_PLUS_EQ] = ACTIONS(1183),
    [anon_sym_DASH_EQ] = ACTIONS(1183),
    [anon_sym_PIPE_EQ] = ACTIONS(1183),
    [anon_sym_CARET_EQ] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_AMP_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_COLON_EQ] = ACTIONS(1175),
    [anon_sym_STAR_EQ] = ACTIONS(1175),
    [anon_sym_SLASH_EQ] = ACTIONS(1175),
    [anon_sym_PERCENT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_EQ] = ACTIONS(1175),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1175),
    [anon_sym_PLUS_EQ] = ACTIONS(1175),
    [anon_sym_DASH_EQ] = ACTIONS(1175),
    [anon_sym_PIPE_EQ] = ACTIONS(1175),
    [anon_sym_CARET_EQ] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP_CARET] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_COLON_EQ] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1165),
    [anon_sym_AMP_CARET] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_COLON_EQ] = ACTIONS(1167),
    [anon_sym_STAR_EQ] = ACTIONS(1167),
    [anon_sym_SLASH_EQ] = ACTIONS(1167),
    [anon_sym_PERCENT_EQ] = ACTIONS(1167),
    [anon_sym_LT_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_EQ] = ACTIONS(1167),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1167),
    [anon_sym_PLUS_EQ] = ACTIONS(1167),
    [anon_sym_DASH_EQ] = ACTIONS(1167),
    [anon_sym_PIPE_EQ] = ACTIONS(1167),
    [anon_sym_CARET_EQ] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_AMP_CARET] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1167),
    [anon_sym_BANG_EQ] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_AMP] = ACTIONS(1167),
    [anon_sym_PIPE_PIPE] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_COLON_EQ] = ACTIONS(1087),
    [anon_sym_STAR_EQ] = ACTIONS(1087),
    [anon_sym_SLASH_EQ] = ACTIONS(1087),
    [anon_sym_PERCENT_EQ] = ACTIONS(1087),
    [anon_sym_LT_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_EQ] = ACTIONS(1087),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1087),
    [anon_sym_PLUS_EQ] = ACTIONS(1087),
    [anon_sym_DASH_EQ] = ACTIONS(1087),
    [anon_sym_PIPE_EQ] = ACTIONS(1087),
    [anon_sym_CARET_EQ] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_AMP_CARET] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1087),
    [anon_sym_BANG_EQ] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_AMP] = ACTIONS(1087),
    [anon_sym_PIPE_PIPE] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1159),
    [anon_sym_COLON_EQ] = ACTIONS(1159),
    [anon_sym_STAR_EQ] = ACTIONS(1159),
    [anon_sym_SLASH_EQ] = ACTIONS(1159),
    [anon_sym_PERCENT_EQ] = ACTIONS(1159),
    [anon_sym_LT_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_EQ] = ACTIONS(1159),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1159),
    [anon_sym_PLUS_EQ] = ACTIONS(1159),
    [anon_sym_DASH_EQ] = ACTIONS(1159),
    [anon_sym_PIPE_EQ] = ACTIONS(1159),
    [anon_sym_CARET_EQ] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1161),
    [anon_sym_AMP_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [anon_sym_DOT] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_COLON_EQ] = ACTIONS(1219),
    [anon_sym_STAR_EQ] = ACTIONS(1219),
    [anon_sym_SLASH_EQ] = ACTIONS(1219),
    [anon_sym_PERCENT_EQ] = ACTIONS(1219),
    [anon_sym_LT_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_EQ] = ACTIONS(1219),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1219),
    [anon_sym_PLUS_EQ] = ACTIONS(1219),
    [anon_sym_DASH_EQ] = ACTIONS(1219),
    [anon_sym_PIPE_EQ] = ACTIONS(1219),
    [anon_sym_CARET_EQ] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_AMP_CARET] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_COLON_EQ] = ACTIONS(1211),
    [anon_sym_STAR_EQ] = ACTIONS(1211),
    [anon_sym_SLASH_EQ] = ACTIONS(1211),
    [anon_sym_PERCENT_EQ] = ACTIONS(1211),
    [anon_sym_LT_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_EQ] = ACTIONS(1211),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1211),
    [anon_sym_PLUS_EQ] = ACTIONS(1211),
    [anon_sym_DASH_EQ] = ACTIONS(1211),
    [anon_sym_PIPE_EQ] = ACTIONS(1211),
    [anon_sym_CARET_EQ] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_AMP_CARET] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [anon_sym_DOT] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_COLON_EQ] = ACTIONS(1223),
    [anon_sym_STAR_EQ] = ACTIONS(1223),
    [anon_sym_SLASH_EQ] = ACTIONS(1223),
    [anon_sym_PERCENT_EQ] = ACTIONS(1223),
    [anon_sym_LT_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_EQ] = ACTIONS(1223),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1223),
    [anon_sym_PLUS_EQ] = ACTIONS(1223),
    [anon_sym_DASH_EQ] = ACTIONS(1223),
    [anon_sym_PIPE_EQ] = ACTIONS(1223),
    [anon_sym_CARET_EQ] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_AMP_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [anon_sym_DOT] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_COLON_EQ] = ACTIONS(1199),
    [anon_sym_STAR_EQ] = ACTIONS(1199),
    [anon_sym_SLASH_EQ] = ACTIONS(1199),
    [anon_sym_PERCENT_EQ] = ACTIONS(1199),
    [anon_sym_LT_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_EQ] = ACTIONS(1199),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1199),
    [anon_sym_PLUS_EQ] = ACTIONS(1199),
    [anon_sym_DASH_EQ] = ACTIONS(1199),
    [anon_sym_PIPE_EQ] = ACTIONS(1199),
    [anon_sym_CARET_EQ] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_AMP_CARET] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_COMMA] = ACTIONS(1083),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_COLON_EQ] = ACTIONS(1083),
    [anon_sym_STAR_EQ] = ACTIONS(1083),
    [anon_sym_SLASH_EQ] = ACTIONS(1083),
    [anon_sym_PERCENT_EQ] = ACTIONS(1083),
    [anon_sym_LT_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_EQ] = ACTIONS(1083),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1083),
    [anon_sym_PLUS_EQ] = ACTIONS(1083),
    [anon_sym_DASH_EQ] = ACTIONS(1083),
    [anon_sym_PIPE_EQ] = ACTIONS(1083),
    [anon_sym_CARET_EQ] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1085),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1085),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_AMP_CARET] = ACTIONS(1085),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_AMP] = ACTIONS(1083),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_COLON_EQ] = ACTIONS(1227),
    [anon_sym_STAR_EQ] = ACTIONS(1227),
    [anon_sym_SLASH_EQ] = ACTIONS(1227),
    [anon_sym_PERCENT_EQ] = ACTIONS(1227),
    [anon_sym_LT_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_EQ] = ACTIONS(1227),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1227),
    [anon_sym_PLUS_EQ] = ACTIONS(1227),
    [anon_sym_DASH_EQ] = ACTIONS(1227),
    [anon_sym_PIPE_EQ] = ACTIONS(1227),
    [anon_sym_CARET_EQ] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_AMP_CARET] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_COLON_EQ] = ACTIONS(1235),
    [anon_sym_STAR_EQ] = ACTIONS(1235),
    [anon_sym_SLASH_EQ] = ACTIONS(1235),
    [anon_sym_PERCENT_EQ] = ACTIONS(1235),
    [anon_sym_LT_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_EQ] = ACTIONS(1235),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1235),
    [anon_sym_PLUS_EQ] = ACTIONS(1235),
    [anon_sym_DASH_EQ] = ACTIONS(1235),
    [anon_sym_PIPE_EQ] = ACTIONS(1235),
    [anon_sym_CARET_EQ] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_AMP_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_COLON_EQ] = ACTIONS(1215),
    [anon_sym_STAR_EQ] = ACTIONS(1215),
    [anon_sym_SLASH_EQ] = ACTIONS(1215),
    [anon_sym_PERCENT_EQ] = ACTIONS(1215),
    [anon_sym_LT_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_EQ] = ACTIONS(1215),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1215),
    [anon_sym_PLUS_EQ] = ACTIONS(1215),
    [anon_sym_DASH_EQ] = ACTIONS(1215),
    [anon_sym_PIPE_EQ] = ACTIONS(1215),
    [anon_sym_CARET_EQ] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_AMP_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_COLON_EQ] = ACTIONS(1231),
    [anon_sym_STAR_EQ] = ACTIONS(1231),
    [anon_sym_SLASH_EQ] = ACTIONS(1231),
    [anon_sym_PERCENT_EQ] = ACTIONS(1231),
    [anon_sym_LT_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_EQ] = ACTIONS(1231),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1231),
    [anon_sym_PLUS_EQ] = ACTIONS(1231),
    [anon_sym_DASH_EQ] = ACTIONS(1231),
    [anon_sym_PIPE_EQ] = ACTIONS(1231),
    [anon_sym_CARET_EQ] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_AMP_CARET] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_STAR_EQ] = ACTIONS(1091),
    [anon_sym_SLASH_EQ] = ACTIONS(1091),
    [anon_sym_PERCENT_EQ] = ACTIONS(1091),
    [anon_sym_LT_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_EQ] = ACTIONS(1091),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1091),
    [anon_sym_PLUS_EQ] = ACTIONS(1091),
    [anon_sym_DASH_EQ] = ACTIONS(1091),
    [anon_sym_PIPE_EQ] = ACTIONS(1091),
    [anon_sym_CARET_EQ] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP_CARET] = ACTIONS(1093),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [anon_sym_DOT] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_EQ] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_COLON_EQ] = ACTIONS(1139),
    [anon_sym_STAR_EQ] = ACTIONS(1139),
    [anon_sym_SLASH_EQ] = ACTIONS(1139),
    [anon_sym_PERCENT_EQ] = ACTIONS(1139),
    [anon_sym_LT_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_EQ] = ACTIONS(1139),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1139),
    [anon_sym_PLUS_EQ] = ACTIONS(1139),
    [anon_sym_DASH_EQ] = ACTIONS(1139),
    [anon_sym_PIPE_EQ] = ACTIONS(1139),
    [anon_sym_CARET_EQ] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_AMP_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_AMP] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [anon_sym_DOT] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_COLON_EQ] = ACTIONS(1191),
    [anon_sym_STAR_EQ] = ACTIONS(1191),
    [anon_sym_SLASH_EQ] = ACTIONS(1191),
    [anon_sym_PERCENT_EQ] = ACTIONS(1191),
    [anon_sym_LT_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_EQ] = ACTIONS(1191),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1191),
    [anon_sym_PLUS_EQ] = ACTIONS(1191),
    [anon_sym_DASH_EQ] = ACTIONS(1191),
    [anon_sym_PIPE_EQ] = ACTIONS(1191),
    [anon_sym_CARET_EQ] = ACTIONS(1191),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_LT_LT] = ACTIONS(1193),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_AMP_CARET] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1191),
    [anon_sym_BANG_EQ] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_AMP] = ACTIONS(1191),
    [anon_sym_PIPE_PIPE] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [anon_sym_COLON_EQ] = ACTIONS(1207),
    [anon_sym_STAR_EQ] = ACTIONS(1207),
    [anon_sym_SLASH_EQ] = ACTIONS(1207),
    [anon_sym_PERCENT_EQ] = ACTIONS(1207),
    [anon_sym_LT_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_EQ] = ACTIONS(1207),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1207),
    [anon_sym_PLUS_EQ] = ACTIONS(1207),
    [anon_sym_DASH_EQ] = ACTIONS(1207),
    [anon_sym_PIPE_EQ] = ACTIONS(1207),
    [anon_sym_CARET_EQ] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_AMP_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_AMP] = ACTIONS(1207),
    [anon_sym_PIPE_PIPE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_COLON_EQ] = ACTIONS(1203),
    [anon_sym_STAR_EQ] = ACTIONS(1203),
    [anon_sym_SLASH_EQ] = ACTIONS(1203),
    [anon_sym_PERCENT_EQ] = ACTIONS(1203),
    [anon_sym_LT_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_EQ] = ACTIONS(1203),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1203),
    [anon_sym_PLUS_EQ] = ACTIONS(1203),
    [anon_sym_DASH_EQ] = ACTIONS(1203),
    [anon_sym_PIPE_EQ] = ACTIONS(1203),
    [anon_sym_CARET_EQ] = ACTIONS(1203),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_AMP_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [anon_sym_DOT] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_COLON_EQ] = ACTIONS(1143),
    [anon_sym_STAR_EQ] = ACTIONS(1143),
    [anon_sym_SLASH_EQ] = ACTIONS(1143),
    [anon_sym_PERCENT_EQ] = ACTIONS(1143),
    [anon_sym_LT_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_EQ] = ACTIONS(1143),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1143),
    [anon_sym_PLUS_EQ] = ACTIONS(1143),
    [anon_sym_DASH_EQ] = ACTIONS(1143),
    [anon_sym_PIPE_EQ] = ACTIONS(1143),
    [anon_sym_CARET_EQ] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_LT_LT] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP_CARET] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [anon_sym_EQ] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_COLON_EQ] = ACTIONS(1179),
    [anon_sym_STAR_EQ] = ACTIONS(1179),
    [anon_sym_SLASH_EQ] = ACTIONS(1179),
    [anon_sym_PERCENT_EQ] = ACTIONS(1179),
    [anon_sym_LT_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_EQ] = ACTIONS(1179),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1179),
    [anon_sym_PLUS_EQ] = ACTIONS(1179),
    [anon_sym_DASH_EQ] = ACTIONS(1179),
    [anon_sym_PIPE_EQ] = ACTIONS(1179),
    [anon_sym_CARET_EQ] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1181),
    [anon_sym_AMP_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [anon_sym_DOT] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_COLON_EQ] = ACTIONS(1195),
    [anon_sym_STAR_EQ] = ACTIONS(1195),
    [anon_sym_SLASH_EQ] = ACTIONS(1195),
    [anon_sym_PERCENT_EQ] = ACTIONS(1195),
    [anon_sym_LT_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_EQ] = ACTIONS(1195),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1195),
    [anon_sym_PLUS_EQ] = ACTIONS(1195),
    [anon_sym_DASH_EQ] = ACTIONS(1195),
    [anon_sym_PIPE_EQ] = ACTIONS(1195),
    [anon_sym_CARET_EQ] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1197),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_AMP_CARET] = ACTIONS(1197),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1155),
    [anon_sym_STAR_EQ] = ACTIONS(1155),
    [anon_sym_SLASH_EQ] = ACTIONS(1155),
    [anon_sym_PERCENT_EQ] = ACTIONS(1155),
    [anon_sym_LT_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_EQ] = ACTIONS(1155),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1155),
    [anon_sym_PLUS_EQ] = ACTIONS(1155),
    [anon_sym_DASH_EQ] = ACTIONS(1155),
    [anon_sym_PIPE_EQ] = ACTIONS(1155),
    [anon_sym_CARET_EQ] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1157),
    [anon_sym_AMP_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_COLON_EQ] = ACTIONS(1151),
    [anon_sym_STAR_EQ] = ACTIONS(1151),
    [anon_sym_SLASH_EQ] = ACTIONS(1151),
    [anon_sym_PERCENT_EQ] = ACTIONS(1151),
    [anon_sym_LT_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_EQ] = ACTIONS(1151),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1151),
    [anon_sym_PLUS_EQ] = ACTIONS(1151),
    [anon_sym_DASH_EQ] = ACTIONS(1151),
    [anon_sym_PIPE_EQ] = ACTIONS(1151),
    [anon_sym_CARET_EQ] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_AMP_CARET] = ACTIONS(1153),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [anon_sym_DOT] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_COMMA] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_COLON_EQ] = ACTIONS(1147),
    [anon_sym_STAR_EQ] = ACTIONS(1147),
    [anon_sym_SLASH_EQ] = ACTIONS(1147),
    [anon_sym_PERCENT_EQ] = ACTIONS(1147),
    [anon_sym_LT_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_EQ] = ACTIONS(1147),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1147),
    [anon_sym_PLUS_EQ] = ACTIONS(1147),
    [anon_sym_DASH_EQ] = ACTIONS(1147),
    [anon_sym_PIPE_EQ] = ACTIONS(1147),
    [anon_sym_CARET_EQ] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_AMP_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1147),
    [anon_sym_BANG_EQ] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_AMP] = ACTIONS(1147),
    [anon_sym_PIPE_PIPE] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_literal_value] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_package] = ACTIONS(1029),
    [anon_sym_import] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_const] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_var] = ACTIONS(1029),
    [anon_sym_func] = ACTIONS(1029),
    [anon_sym_type] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [389] = {
    [sym_argument_list] = STATE(460),
    [aux_sym_expression_list_repeat1] = STATE(795),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [anon_sym_LF] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1053),
    [anon_sym_package] = ACTIONS(1053),
    [anon_sym_import] = ACTIONS(1053),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(1053),
    [anon_sym_func] = ACTIONS(1053),
    [anon_sym_type] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [sym_comment] = ACTIONS(199),
  },
  [390] = {
    [sym_special_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_package] = ACTIONS(1029),
    [anon_sym_import] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1299),
    [anon_sym_const] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_var] = ACTIONS(1029),
    [anon_sym_func] = ACTIONS(1029),
    [anon_sym_type] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [391] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1077),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_package] = ACTIONS(1079),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_func] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_AMP_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [392] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_package] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_var] = ACTIONS(1265),
    [anon_sym_func] = ACTIONS(1265),
    [anon_sym_type] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [sym_comment] = ACTIONS(199),
  },
  [393] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1077),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_package] = ACTIONS(1079),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_func] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [394] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1077),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_package] = ACTIONS(1079),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_func] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [395] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1077),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_package] = ACTIONS(1079),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_func] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [396] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1077),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_package] = ACTIONS(1079),
    [anon_sym_import] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_func] = ACTIONS(1079),
    [anon_sym_type] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1291),
    [anon_sym_DASH] = ACTIONS(1291),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_AMP_CARET] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [397] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1077),
    [anon_sym_LT_LT] = ACTIONS(1077),
    [anon_sym_GT_GT] = ACTIONS(1077),
    [anon_sym_AMP_CARET] = ACTIONS(1077),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1073),
    [anon_sym_COMMA] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1073),
    [anon_sym_STAR] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1073),
    [anon_sym_RBRACE] = ACTIONS(1073),
    [anon_sym_COLON_EQ] = ACTIONS(1073),
    [anon_sym_COLON] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_CARET] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1073),
    [anon_sym_LT_LT] = ACTIONS(1073),
    [anon_sym_GT_GT] = ACTIONS(1073),
    [anon_sym_AMP_CARET] = ACTIONS(1073),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1073),
    [anon_sym_BANG_EQ] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_AMP] = ACTIONS(1073),
    [anon_sym_PIPE_PIPE] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_argument_list] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1073),
    [anon_sym_LF] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1075),
    [anon_sym_package] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_const] = ACTIONS(1075),
    [anon_sym_COMMA] = ACTIONS(1075),
    [anon_sym_var] = ACTIONS(1075),
    [anon_sym_func] = ACTIONS(1075),
    [anon_sym_type] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1075),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_AMP_CARET] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [sym_comment] = ACTIONS(199),
  },
  [400] = {
    [sym_special_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_RBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_RBRACK] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [anon_sym_COLON_EQ] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_RPAREN] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1099),
    [anon_sym_STAR] = ACTIONS(1099),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_RBRACK] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_COLON_EQ] = ACTIONS(1099),
    [anon_sym_COLON] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_CARET] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1099),
    [anon_sym_LT_LT] = ACTIONS(1099),
    [anon_sym_GT_GT] = ACTIONS(1099),
    [anon_sym_AMP_CARET] = ACTIONS(1099),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1099),
    [anon_sym_BANG_EQ] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_AMP] = ACTIONS(1099),
    [anon_sym_PIPE_PIPE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [anon_sym_LF] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_package] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_var] = ACTIONS(1141),
    [anon_sym_func] = ACTIONS(1141),
    [anon_sym_type] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_AMP_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(199),
  },
  [404] = {
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_RBRACK] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_COLON_EQ] = ACTIONS(1175),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_AMP_CARET] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_literal_value] = STATE(417),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_RBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [anon_sym_LF] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_package] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_const] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1213),
    [anon_sym_func] = ACTIONS(1213),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_AMP_CARET] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_AMP_AMP] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(199),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(1159),
    [anon_sym_LF] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_package] = ACTIONS(1161),
    [anon_sym_import] = ACTIONS(1161),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_const] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_var] = ACTIONS(1161),
    [anon_sym_func] = ACTIONS(1161),
    [anon_sym_type] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1161),
    [anon_sym_AMP_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(199),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [anon_sym_LF] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_package] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_func] = ACTIONS(1201),
    [anon_sym_type] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_AMP_CARET] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_AMP_AMP] = ACTIONS(1201),
    [anon_sym_PIPE_PIPE] = ACTIONS(1201),
    [sym_comment] = ACTIONS(199),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [anon_sym_LF] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_package] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_const] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_var] = ACTIONS(1205),
    [anon_sym_func] = ACTIONS(1205),
    [anon_sym_type] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_AMP_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_AMP_AMP] = ACTIONS(1205),
    [anon_sym_PIPE_PIPE] = ACTIONS(1205),
    [sym_comment] = ACTIONS(199),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [anon_sym_LF] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym_package] = ACTIONS(1177),
    [anon_sym_import] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_const] = ACTIONS(1177),
    [anon_sym_COMMA] = ACTIONS(1177),
    [anon_sym_var] = ACTIONS(1177),
    [anon_sym_func] = ACTIONS(1177),
    [anon_sym_type] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP_CARET] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1177),
    [anon_sym_BANG_EQ] = ACTIONS(1177),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1177),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1177),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1177),
    [sym_comment] = ACTIONS(199),
  },
  [411] = {
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [anon_sym_COLON_EQ] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_AMP_CARET] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(1147),
    [anon_sym_LF] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_package] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(1149),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_const] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_var] = ACTIONS(1149),
    [anon_sym_func] = ACTIONS(1149),
    [anon_sym_type] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_AMP_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1149),
    [anon_sym_BANG_EQ] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1149),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1149),
    [anon_sym_AMP_AMP] = ACTIONS(1149),
    [anon_sym_PIPE_PIPE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(199),
  },
  [413] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [anon_sym_LF] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1093),
    [anon_sym_package] = ACTIONS(1093),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_DOT] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_const] = ACTIONS(1093),
    [anon_sym_COMMA] = ACTIONS(1093),
    [anon_sym_var] = ACTIONS(1093),
    [anon_sym_func] = ACTIONS(1093),
    [anon_sym_type] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP_CARET] = ACTIONS(1093),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1093),
    [anon_sym_BANG_EQ] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1093),
    [anon_sym_AMP_AMP] = ACTIONS(1093),
    [anon_sym_PIPE_PIPE] = ACTIONS(1093),
    [sym_comment] = ACTIONS(199),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(1179),
    [anon_sym_LF] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_package] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_const] = ACTIONS(1181),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_var] = ACTIONS(1181),
    [anon_sym_func] = ACTIONS(1181),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1181),
    [anon_sym_AMP_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1181),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1181),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [sym_comment] = ACTIONS(199),
  },
  [415] = {
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_RPAREN] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1087),
    [anon_sym_STAR] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_RBRACK] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_COLON_EQ] = ACTIONS(1087),
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1087),
    [anon_sym_CARET] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1087),
    [anon_sym_LT_LT] = ACTIONS(1087),
    [anon_sym_GT_GT] = ACTIONS(1087),
    [anon_sym_AMP_CARET] = ACTIONS(1087),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1087),
    [anon_sym_BANG_EQ] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_AMP] = ACTIONS(1087),
    [anon_sym_PIPE_PIPE] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_parenthesized_type] = STATE(1246),
    [sym__simple_type] = STATE(1246),
    [sym_pointer_type] = STATE(1246),
    [sym_array_type] = STATE(1246),
    [sym_slice_type] = STATE(1246),
    [sym_struct_type] = STATE(1246),
    [sym_interface_type] = STATE(1246),
    [sym_map_type] = STATE(1246),
    [sym_channel_type] = STATE(1246),
    [sym_function_type] = STATE(1246),
    [sym_qualified_type] = STATE(1246),
    [aux_sym_const_spec_repeat1] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1309),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LF] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_package] = ACTIONS(1313),
    [anon_sym_import] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1313),
    [anon_sym_COMMA] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_var] = ACTIONS(1313),
    [anon_sym_func] = ACTIONS(1313),
    [anon_sym_type] = ACTIONS(1313),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [sym_comment] = ACTIONS(199),
  },
  [417] = {
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_RPAREN] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_COLON_EQ] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [ts_builtin_sym_end] = ACTIONS(1207),
    [anon_sym_LF] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_package] = ACTIONS(1209),
    [anon_sym_import] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_const] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_var] = ACTIONS(1209),
    [anon_sym_func] = ACTIONS(1209),
    [anon_sym_type] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_AMP_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(199),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [anon_sym_LF] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_package] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1217),
    [anon_sym_var] = ACTIONS(1217),
    [anon_sym_func] = ACTIONS(1217),
    [anon_sym_type] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_AMP_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1217),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(199),
  },
  [420] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [anon_sym_LF] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_package] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_const] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_var] = ACTIONS(1237),
    [anon_sym_func] = ACTIONS(1237),
    [anon_sym_type] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_AMP_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [sym_comment] = ACTIONS(199),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1231),
    [anon_sym_LF] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_const] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_var] = ACTIONS(1233),
    [anon_sym_func] = ACTIONS(1233),
    [anon_sym_type] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_AMP_CARET] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [sym_comment] = ACTIONS(199),
  },
  [422] = {
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_RPAREN] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1199),
    [anon_sym_STAR] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_RBRACK] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_COLON_EQ] = ACTIONS(1199),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_CARET] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1199),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_GT_GT] = ACTIONS(1199),
    [anon_sym_AMP_CARET] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [anon_sym_LF] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_package] = ACTIONS(1229),
    [anon_sym_import] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_const] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_var] = ACTIONS(1229),
    [anon_sym_func] = ACTIONS(1229),
    [anon_sym_type] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_AMP_CARET] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(199),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [anon_sym_LF] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1085),
    [anon_sym_package] = ACTIONS(1085),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_COMMA] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_func] = ACTIONS(1085),
    [anon_sym_type] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1085),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1085),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_AMP_CARET] = ACTIONS(1085),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1085),
    [anon_sym_BANG_EQ] = ACTIONS(1085),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_AMP_AMP] = ACTIONS(1085),
    [anon_sym_PIPE_PIPE] = ACTIONS(1085),
    [sym_comment] = ACTIONS(199),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(1187),
    [anon_sym_LF] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_package] = ACTIONS(1189),
    [anon_sym_import] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_const] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_var] = ACTIONS(1189),
    [anon_sym_func] = ACTIONS(1189),
    [anon_sym_type] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1189),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1189),
    [anon_sym_AMP_CARET] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1189),
    [anon_sym_BANG_EQ] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1189),
    [anon_sym_AMP_AMP] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(199),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(1155),
    [anon_sym_LF] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_package] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_const] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_var] = ACTIONS(1157),
    [anon_sym_func] = ACTIONS(1157),
    [anon_sym_type] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1157),
    [anon_sym_AMP_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(199),
  },
  [427] = {
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1203),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_COLON_EQ] = ACTIONS(1203),
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_AMP_CARET] = ACTIONS(1203),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_RPAREN] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_COLON_EQ] = ACTIONS(1219),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1219),
    [anon_sym_AMP_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1195),
    [anon_sym_LF] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_package] = ACTIONS(1197),
    [anon_sym_import] = ACTIONS(1197),
    [anon_sym_DOT] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1197),
    [anon_sym_var] = ACTIONS(1197),
    [anon_sym_func] = ACTIONS(1197),
    [anon_sym_type] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1197),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_AMP_CARET] = ACTIONS(1197),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1197),
    [anon_sym_BANG_EQ] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1197),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1197),
    [anon_sym_AMP_AMP] = ACTIONS(1197),
    [anon_sym_PIPE_PIPE] = ACTIONS(1197),
    [sym_comment] = ACTIONS(199),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(1191),
    [anon_sym_LF] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_package] = ACTIONS(1193),
    [anon_sym_import] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_const] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_var] = ACTIONS(1193),
    [anon_sym_func] = ACTIONS(1193),
    [anon_sym_type] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_LT_LT] = ACTIONS(1193),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_AMP_CARET] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1193),
    [anon_sym_BANG_EQ] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1193),
    [anon_sym_AMP_AMP] = ACTIONS(1193),
    [anon_sym_PIPE_PIPE] = ACTIONS(1193),
    [sym_comment] = ACTIONS(199),
  },
  [431] = {
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_RPAREN] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1223),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_RBRACK] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [anon_sym_COLON_EQ] = ACTIONS(1223),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1223),
    [anon_sym_LT_LT] = ACTIONS(1223),
    [anon_sym_GT_GT] = ACTIONS(1223),
    [anon_sym_AMP_CARET] = ACTIONS(1223),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_RPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_RBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_COLON_EQ] = ACTIONS(1227),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1227),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_AMP_CARET] = ACTIONS(1227),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_RBRACK] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_COLON_EQ] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_AMP_CARET] = ACTIONS(1235),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_RPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1215),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [anon_sym_COLON_EQ] = ACTIONS(1215),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1215),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_AMP_CARET] = ACTIONS(1215),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1183),
    [anon_sym_LF] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_package] = ACTIONS(1185),
    [anon_sym_import] = ACTIONS(1185),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_const] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_var] = ACTIONS(1185),
    [anon_sym_func] = ACTIONS(1185),
    [anon_sym_type] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_AMP_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [sym_comment] = ACTIONS(199),
  },
  [436] = {
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_RPAREN] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [anon_sym_RBRACK] = ACTIONS(1207),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [anon_sym_COLON_EQ] = ACTIONS(1207),
    [anon_sym_COLON] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_CARET] = ACTIONS(1207),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1207),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_AMP_CARET] = ACTIONS(1207),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_AMP] = ACTIONS(1207),
    [anon_sym_PIPE_PIPE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_DOT] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_RPAREN] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1195),
    [anon_sym_STAR] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_RBRACK] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [anon_sym_COLON_EQ] = ACTIONS(1195),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_CARET] = ACTIONS(1195),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1195),
    [anon_sym_LT_LT] = ACTIONS(1195),
    [anon_sym_GT_GT] = ACTIONS(1195),
    [anon_sym_AMP_CARET] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [anon_sym_SEMI] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [anon_sym_RPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_RBRACK] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_RBRACE] = ACTIONS(1191),
    [anon_sym_COLON_EQ] = ACTIONS(1191),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_CARET] = ACTIONS(1191),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1191),
    [anon_sym_LT_LT] = ACTIONS(1191),
    [anon_sym_GT_GT] = ACTIONS(1191),
    [anon_sym_AMP_CARET] = ACTIONS(1191),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1191),
    [anon_sym_BANG_EQ] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_AMP] = ACTIONS(1191),
    [anon_sym_PIPE_PIPE] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1183),
    [anon_sym_RBRACK] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [anon_sym_COLON_EQ] = ACTIONS(1183),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1183),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_AMP_CARET] = ACTIONS(1183),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [anon_sym_SEMI] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_RPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_RBRACK] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [anon_sym_COLON_EQ] = ACTIONS(1167),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_CARET] = ACTIONS(1167),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1167),
    [anon_sym_LT_LT] = ACTIONS(1167),
    [anon_sym_GT_GT] = ACTIONS(1167),
    [anon_sym_AMP_CARET] = ACTIONS(1167),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1167),
    [anon_sym_BANG_EQ] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_AMP] = ACTIONS(1167),
    [anon_sym_PIPE_PIPE] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_RPAREN] = ACTIONS(1135),
    [anon_sym_COMMA] = ACTIONS(1135),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1135),
    [anon_sym_STAR] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_RBRACK] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [anon_sym_COLON_EQ] = ACTIONS(1135),
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_CARET] = ACTIONS(1135),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1135),
    [anon_sym_LT_LT] = ACTIONS(1135),
    [anon_sym_GT_GT] = ACTIONS(1135),
    [anon_sym_AMP_CARET] = ACTIONS(1135),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1135),
    [anon_sym_BANG_EQ] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_AMP] = ACTIONS(1135),
    [anon_sym_PIPE_PIPE] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [anon_sym_SEMI] = ACTIONS(1103),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_RPAREN] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_STAR] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_COLON] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_CARET] = ACTIONS(1103),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1103),
    [anon_sym_LT_LT] = ACTIONS(1103),
    [anon_sym_GT_GT] = ACTIONS(1103),
    [anon_sym_AMP_CARET] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1103),
    [anon_sym_BANG_EQ] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_AMP] = ACTIONS(1103),
    [anon_sym_PIPE_PIPE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1167),
    [anon_sym_LF] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_package] = ACTIONS(1169),
    [anon_sym_import] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_const] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_var] = ACTIONS(1169),
    [anon_sym_func] = ACTIONS(1169),
    [anon_sym_type] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_AMP_CARET] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1169),
    [anon_sym_PIPE_PIPE] = ACTIONS(1169),
    [sym_comment] = ACTIONS(199),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1135),
    [anon_sym_LF] = ACTIONS(1135),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_package] = ACTIONS(1137),
    [anon_sym_import] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_const] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(1137),
    [anon_sym_func] = ACTIONS(1137),
    [anon_sym_type] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1137),
    [anon_sym_AMP_CARET] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1137),
    [anon_sym_BANG_EQ] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1137),
    [anon_sym_AMP_AMP] = ACTIONS(1137),
    [anon_sym_PIPE_PIPE] = ACTIONS(1137),
    [sym_comment] = ACTIONS(199),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [anon_sym_LF] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_const] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(1225),
    [anon_sym_func] = ACTIONS(1225),
    [anon_sym_type] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_AMP_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(199),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1171),
    [anon_sym_LF] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_package] = ACTIONS(1173),
    [anon_sym_import] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1173),
    [anon_sym_COMMA] = ACTIONS(1173),
    [anon_sym_var] = ACTIONS(1173),
    [anon_sym_func] = ACTIONS(1173),
    [anon_sym_type] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP_CARET] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [sym_comment] = ACTIONS(199),
  },
  [447] = {
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_RPAREN] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1095),
    [anon_sym_STAR] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_RBRACK] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_COLON_EQ] = ACTIONS(1095),
    [anon_sym_COLON] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1095),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1095),
    [anon_sym_LT_LT] = ACTIONS(1095),
    [anon_sym_GT_GT] = ACTIONS(1095),
    [anon_sym_AMP_CARET] = ACTIONS(1095),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1095),
    [anon_sym_BANG_EQ] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [anon_sym_SEMI] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [anon_sym_EQ] = ACTIONS(1181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_COLON_EQ] = ACTIONS(1179),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1179),
    [anon_sym_LT_LT] = ACTIONS(1179),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_AMP_CARET] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_RPAREN] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(1161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1159),
    [anon_sym_RBRACK] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [anon_sym_COLON_EQ] = ACTIONS(1159),
    [anon_sym_COLON] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1159),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1159),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_AMP_CARET] = ACTIONS(1159),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1155),
    [anon_sym_COLON] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1155),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_AMP_CARET] = ACTIONS(1155),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_RPAREN] = ACTIONS(1151),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_RBRACK] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [anon_sym_COLON_EQ] = ACTIONS(1151),
    [anon_sym_COLON] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_CARET] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1151),
    [anon_sym_LT_LT] = ACTIONS(1151),
    [anon_sym_GT_GT] = ACTIONS(1151),
    [anon_sym_AMP_CARET] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_RPAREN] = ACTIONS(1147),
    [anon_sym_COMMA] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1147),
    [anon_sym_STAR] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_RBRACK] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [anon_sym_COLON_EQ] = ACTIONS(1147),
    [anon_sym_COLON] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_CARET] = ACTIONS(1147),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1147),
    [anon_sym_LT_LT] = ACTIONS(1147),
    [anon_sym_GT_GT] = ACTIONS(1147),
    [anon_sym_AMP_CARET] = ACTIONS(1147),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1147),
    [anon_sym_BANG_EQ] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_AMP] = ACTIONS(1147),
    [anon_sym_PIPE_PIPE] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_RPAREN] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_RBRACK] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [anon_sym_COLON_EQ] = ACTIONS(1143),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_CARET] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1143),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym_AMP_CARET] = ACTIONS(1143),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1284),
    [sym_slice_type] = STATE(1284),
    [sym_struct_type] = STATE(1284),
    [sym_interface_type] = STATE(1284),
    [sym_map_type] = STATE(1284),
    [sym_channel_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym_qualified_type] = STATE(1284),
    [aux_sym_const_spec_repeat1] = STATE(692),
    [ts_builtin_sym_end] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LF] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym_package] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1333),
    [anon_sym_COMMA] = ACTIONS(1317),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_var] = ACTIONS(1333),
    [anon_sym_func] = ACTIONS(1333),
    [anon_sym_type] = ACTIONS(1333),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [sym_comment] = ACTIONS(199),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [anon_sym_LF] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_package] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1153),
    [anon_sym_var] = ACTIONS(1153),
    [anon_sym_func] = ACTIONS(1153),
    [anon_sym_type] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_AMP_CARET] = ACTIONS(1153),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1153),
    [anon_sym_BANG_EQ] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1153),
    [anon_sym_AMP_AMP] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1153),
    [sym_comment] = ACTIONS(199),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [anon_sym_LF] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_package] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_var] = ACTIONS(1165),
    [anon_sym_func] = ACTIONS(1165),
    [anon_sym_type] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1165),
    [anon_sym_AMP_CARET] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_AMP_AMP] = ACTIONS(1165),
    [anon_sym_PIPE_PIPE] = ACTIONS(1165),
    [sym_comment] = ACTIONS(199),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [anon_sym_LF] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_package] = ACTIONS(1105),
    [anon_sym_import] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_const] = ACTIONS(1105),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_var] = ACTIONS(1105),
    [anon_sym_func] = ACTIONS(1105),
    [anon_sym_type] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1105),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1105),
    [anon_sym_AMP_CARET] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1105),
    [anon_sym_BANG_EQ] = ACTIONS(1105),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1105),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1105),
    [anon_sym_AMP_AMP] = ACTIONS(1105),
    [anon_sym_PIPE_PIPE] = ACTIONS(1105),
    [sym_comment] = ACTIONS(199),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1095),
    [anon_sym_LF] = ACTIONS(1095),
    [anon_sym_SEMI] = ACTIONS(1097),
    [anon_sym_package] = ACTIONS(1097),
    [anon_sym_import] = ACTIONS(1097),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1097),
    [anon_sym_COMMA] = ACTIONS(1097),
    [anon_sym_var] = ACTIONS(1097),
    [anon_sym_func] = ACTIONS(1097),
    [anon_sym_type] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_CARET] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1097),
    [anon_sym_LT_LT] = ACTIONS(1097),
    [anon_sym_GT_GT] = ACTIONS(1097),
    [anon_sym_AMP_CARET] = ACTIONS(1097),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1097),
    [anon_sym_BANG_EQ] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1097),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1097),
    [anon_sym_AMP_AMP] = ACTIONS(1097),
    [anon_sym_PIPE_PIPE] = ACTIONS(1097),
    [sym_comment] = ACTIONS(199),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [anon_sym_LF] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_const] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_var] = ACTIONS(1145),
    [anon_sym_func] = ACTIONS(1145),
    [anon_sym_type] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_LT_LT] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP_CARET] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1145),
    [anon_sym_PIPE_PIPE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(199),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [anon_sym_LF] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_package] = ACTIONS(1089),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_const] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_var] = ACTIONS(1089),
    [anon_sym_func] = ACTIONS(1089),
    [anon_sym_type] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_AMP_CARET] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE] = ACTIONS(1089),
    [sym_comment] = ACTIONS(199),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [anon_sym_LF] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1101),
    [anon_sym_package] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_const] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1101),
    [anon_sym_var] = ACTIONS(1101),
    [anon_sym_func] = ACTIONS(1101),
    [anon_sym_type] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1101),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_AMP_CARET] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1101),
    [anon_sym_BANG_EQ] = ACTIONS(1101),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1101),
    [anon_sym_PIPE_PIPE] = ACTIONS(1101),
    [sym_comment] = ACTIONS(199),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1219),
    [anon_sym_LF] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_package] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_const] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_var] = ACTIONS(1221),
    [anon_sym_func] = ACTIONS(1221),
    [anon_sym_type] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_AMP_CARET] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(199),
  },
  [463] = {
    [anon_sym_SEMI] = ACTIONS(1171),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_RPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1171),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_RBRACK] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1171),
    [anon_sym_RBRACE] = ACTIONS(1171),
    [anon_sym_COLON_EQ] = ACTIONS(1171),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_CARET] = ACTIONS(1171),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1171),
    [anon_sym_LT_LT] = ACTIONS(1171),
    [anon_sym_GT_GT] = ACTIONS(1171),
    [anon_sym_AMP_CARET] = ACTIONS(1171),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_RPAREN] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_EQ] = ACTIONS(1141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_RBRACK] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1139),
    [anon_sym_COLON_EQ] = ACTIONS(1139),
    [anon_sym_COLON] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1139),
    [anon_sym_GT_GT] = ACTIONS(1139),
    [anon_sym_AMP_CARET] = ACTIONS(1139),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_AMP] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_DOT] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_RPAREN] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1091),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_RBRACK] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_AMP_CARET] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1231),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_RBRACK] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [anon_sym_COLON_EQ] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_AMP_CARET] = ACTIONS(1231),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_DOT] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_RPAREN] = ACTIONS(1083),
    [anon_sym_COMMA] = ACTIONS(1083),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_RBRACK] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_COLON_EQ] = ACTIONS(1083),
    [anon_sym_COLON] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_AMP] = ACTIONS(1083),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_parameter_list] = STATE(798),
    [sym__simple_type] = STATE(798),
    [sym_pointer_type] = STATE(798),
    [sym_array_type] = STATE(798),
    [sym_slice_type] = STATE(798),
    [sym_struct_type] = STATE(798),
    [sym_interface_type] = STATE(798),
    [sym_map_type] = STATE(798),
    [sym_channel_type] = STATE(798),
    [sym_function_type] = STATE(798),
    [sym_block] = STATE(817),
    [sym_qualified_type] = STATE(798),
    [ts_builtin_sym_end] = ACTIONS(1337),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LF] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym_package] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_type] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_comment] = ACTIONS(199),
  },
  [469] = {
    [sym_parameter_list] = STATE(783),
    [sym__simple_type] = STATE(783),
    [sym_pointer_type] = STATE(783),
    [sym_array_type] = STATE(783),
    [sym_slice_type] = STATE(783),
    [sym_struct_type] = STATE(783),
    [sym_interface_type] = STATE(783),
    [sym_map_type] = STATE(783),
    [sym_channel_type] = STATE(783),
    [sym_function_type] = STATE(783),
    [sym_qualified_type] = STATE(783),
    [ts_builtin_sym_end] = ACTIONS(1363),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LF] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_package] = ACTIONS(1365),
    [anon_sym_import] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1365),
    [anon_sym_EQ] = ACTIONS(1365),
    [anon_sym_var] = ACTIONS(1365),
    [anon_sym_func] = ACTIONS(1367),
    [anon_sym_type] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_comment] = ACTIONS(199),
  },
  [470] = {
    [sym_parameter_list] = STATE(786),
    [sym__simple_type] = STATE(786),
    [sym_pointer_type] = STATE(786),
    [sym_array_type] = STATE(786),
    [sym_slice_type] = STATE(786),
    [sym_struct_type] = STATE(786),
    [sym_interface_type] = STATE(786),
    [sym_map_type] = STATE(786),
    [sym_channel_type] = STATE(786),
    [sym_function_type] = STATE(786),
    [sym_block] = STATE(829),
    [sym_qualified_type] = STATE(786),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LF] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym_package] = ACTIONS(1372),
    [anon_sym_import] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_var] = ACTIONS(1372),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1361),
    [sym_comment] = ACTIONS(199),
  },
  [471] = {
    [sym_argument_list] = STATE(507),
    [aux_sym_expression_list_repeat1] = STATE(871),
    [anon_sym_LF] = ACTIONS(1119),
    [anon_sym_SEMI] = ACTIONS(1053),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_case] = ACTIONS(1053),
    [anon_sym_default] = ACTIONS(1053),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [sym_comment] = ACTIONS(199),
  },
  [472] = {
    [sym_parenthesized_type] = STATE(921),
    [sym__simple_type] = STATE(921),
    [sym_pointer_type] = STATE(921),
    [sym_array_type] = STATE(921),
    [sym_slice_type] = STATE(921),
    [sym_struct_type] = STATE(921),
    [sym_interface_type] = STATE(921),
    [sym_map_type] = STATE(921),
    [sym_channel_type] = STATE(921),
    [sym_function_type] = STATE(921),
    [sym_qualified_type] = STATE(921),
    [sym_interpreted_string_literal] = STATE(1126),
    [aux_sym_field_name_list_repeat1] = STATE(678),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LF] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [sym_raw_string_literal] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [473] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_literal_value] = STATE(508),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [477] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_literal_value] = STATE(543),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_LT_DASH] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_special_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1027),
    [anon_sym_SEMI] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_COMMA] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1029),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1029),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_AMP_CARET] = ACTIONS(1029),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1029),
    [anon_sym_BANG_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1029),
    [anon_sym_AMP_AMP] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1029),
    [sym_comment] = ACTIONS(199),
  },
  [480] = {
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(1278),
    [sym_slice_type] = STATE(1278),
    [sym_struct_type] = STATE(1278),
    [sym_interface_type] = STATE(1278),
    [sym_map_type] = STATE(1278),
    [sym_channel_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym_qualified_type] = STATE(1278),
    [aux_sym_const_spec_repeat1] = STATE(488),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LF] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1446),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1313),
    [anon_sym_default] = ACTIONS(1313),
    [sym_comment] = ACTIONS(199),
  },
  [481] = {
    [sym_parameter_list] = STATE(862),
    [sym__simple_type] = STATE(862),
    [sym_pointer_type] = STATE(862),
    [sym_array_type] = STATE(862),
    [sym_slice_type] = STATE(862),
    [sym_struct_type] = STATE(862),
    [sym_interface_type] = STATE(862),
    [sym_map_type] = STATE(862),
    [sym_channel_type] = STATE(862),
    [sym_function_type] = STATE(862),
    [sym_qualified_type] = STATE(862),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LF] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1365),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1365),
    [sym_raw_string_literal] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [sym_comment] = ACTIONS(199),
  },
  [482] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [anon_sym_case] = ACTIONS(1075),
    [anon_sym_default] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1075),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_AMP_CARET] = ACTIONS(1075),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1075),
    [anon_sym_BANG_EQ] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1075),
    [anon_sym_AMP_AMP] = ACTIONS(1075),
    [anon_sym_PIPE_PIPE] = ACTIONS(1075),
    [sym_comment] = ACTIONS(199),
  },
  [483] = {
    [sym_argument_list] = STATE(544),
    [aux_sym_expression_list_repeat1] = STATE(913),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1053),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1117),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_COLON] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1079),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_AMP_CARET] = ACTIONS(1079),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [485] = {
    [anon_sym_LF] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1165),
    [anon_sym_case] = ACTIONS(1165),
    [anon_sym_default] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1165),
    [anon_sym_AMP_CARET] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_AMP_AMP] = ACTIONS(1165),
    [anon_sym_PIPE_PIPE] = ACTIONS(1165),
    [sym_comment] = ACTIONS(199),
  },
  [486] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_case] = ACTIONS(1265),
    [anon_sym_default] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [sym_comment] = ACTIONS(199),
  },
  [487] = {
    [anon_sym_LF] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_COMMA] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_else] = ACTIONS(1177),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_AMP_CARET] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1177),
    [anon_sym_BANG_EQ] = ACTIONS(1177),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1177),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1177),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1177),
    [sym_comment] = ACTIONS(199),
  },
  [488] = {
    [sym_parenthesized_type] = STATE(1267),
    [sym__simple_type] = STATE(1267),
    [sym_pointer_type] = STATE(1267),
    [sym_array_type] = STATE(1267),
    [sym_slice_type] = STATE(1267),
    [sym_struct_type] = STATE(1267),
    [sym_interface_type] = STATE(1267),
    [sym_map_type] = STATE(1267),
    [sym_channel_type] = STATE(1267),
    [sym_function_type] = STATE(1267),
    [sym_qualified_type] = STATE(1267),
    [aux_sym_const_spec_repeat1] = STATE(755),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LF] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1444),
    [anon_sym_EQ] = ACTIONS(1478),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1333),
    [anon_sym_default] = ACTIONS(1333),
    [sym_comment] = ACTIONS(199),
  },
  [489] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1079),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [490] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1079),
    [anon_sym_BANG_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1079),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [491] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [492] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_COMMA] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1079),
    [sym_comment] = ACTIONS(199),
  },
  [493] = {
    [anon_sym_LF] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1141),
    [anon_sym_AMP_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(199),
  },
  [494] = {
    [anon_sym_LF] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1105),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1105),
    [anon_sym_AMP_CARET] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1105),
    [anon_sym_BANG_EQ] = ACTIONS(1105),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1105),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1105),
    [anon_sym_AMP_AMP] = ACTIONS(1105),
    [anon_sym_PIPE_PIPE] = ACTIONS(1105),
    [sym_comment] = ACTIONS(199),
  },
  [495] = {
    [anon_sym_LF] = ACTIONS(1223),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_AMP_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(199),
  },
  [496] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [sym_comment] = ACTIONS(199),
  },
  [497] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1474),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1470),
    [anon_sym_BANG_EQ] = ACTIONS(1470),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1470),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1470),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_CARET] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1468),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_LF] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_AMP_CARET] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [sym_comment] = ACTIONS(199),
  },
  [501] = {
    [anon_sym_LF] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_case] = ACTIONS(1189),
    [anon_sym_default] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1189),
    [anon_sym_DASH] = ACTIONS(1189),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1189),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1189),
    [anon_sym_AMP_CARET] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1189),
    [anon_sym_BANG_EQ] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1189),
    [anon_sym_AMP_AMP] = ACTIONS(1189),
    [anon_sym_PIPE_PIPE] = ACTIONS(1189),
    [sym_comment] = ACTIONS(199),
  },
  [502] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_EQ] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_COLON_EQ] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SLASH] = ACTIONS(1466),
    [anon_sym_PERCENT] = ACTIONS(1458),
    [anon_sym_LT_LT] = ACTIONS(1458),
    [anon_sym_GT_GT] = ACTIONS(1458),
    [anon_sym_AMP_CARET] = ACTIONS(1458),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_LF] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_AMP_CARET] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [sym_comment] = ACTIONS(199),
  },
  [505] = {
    [anon_sym_LF] = ACTIONS(1215),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_AMP_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1217),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(199),
  },
  [506] = {
    [anon_sym_LF] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1221),
    [anon_sym_default] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_AMP_CARET] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [sym_comment] = ACTIONS(199),
  },
  [507] = {
    [anon_sym_LF] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_AMP_CARET] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_AMP_AMP] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE] = ACTIONS(1089),
    [sym_comment] = ACTIONS(199),
  },
  [508] = {
    [anon_sym_LF] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_AMP_CARET] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_AMP_AMP] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1213),
    [sym_comment] = ACTIONS(199),
  },
  [509] = {
    [anon_sym_LF] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_AMP_CARET] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_AMP_AMP] = ACTIONS(1201),
    [anon_sym_PIPE_PIPE] = ACTIONS(1201),
    [sym_comment] = ACTIONS(199),
  },
  [510] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [sym_comment] = ACTIONS(199),
  },
  [511] = {
    [sym_argument_list] = STATE(507),
    [anon_sym_LF] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1492),
    [anon_sym_DOT] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_AMP_CARET] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_AMP_AMP] = ACTIONS(1388),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [sym_comment] = ACTIONS(199),
  },
  [512] = {
    [anon_sym_LF] = ACTIONS(1083),
    [anon_sym_SEMI] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1085),
    [anon_sym_COMMA] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_RBRACE] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1085),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1085),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_AMP_CARET] = ACTIONS(1085),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1085),
    [anon_sym_BANG_EQ] = ACTIONS(1085),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_AMP_AMP] = ACTIONS(1085),
    [anon_sym_PIPE_PIPE] = ACTIONS(1085),
    [sym_comment] = ACTIONS(199),
  },
  [513] = {
    [anon_sym_LF] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_case] = ACTIONS(1209),
    [anon_sym_default] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1209),
    [anon_sym_AMP_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1209),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [sym_comment] = ACTIONS(199),
  },
  [514] = {
    [anon_sym_LF] = ACTIONS(1231),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_COMMA] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_AMP_CARET] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [sym_comment] = ACTIONS(199),
  },
  [515] = {
    [anon_sym_LF] = ACTIONS(1091),
    [anon_sym_SEMI] = ACTIONS(1093),
    [anon_sym_DOT] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_COMMA] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1093),
    [anon_sym_RBRACE] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1093),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1093),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_AMP_CARET] = ACTIONS(1093),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1093),
    [anon_sym_BANG_EQ] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1093),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1093),
    [anon_sym_AMP_AMP] = ACTIONS(1093),
    [anon_sym_PIPE_PIPE] = ACTIONS(1093),
    [sym_comment] = ACTIONS(199),
  },
  [516] = {
    [anon_sym_LF] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_AMP_CARET] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_AMP_AMP] = ACTIONS(1205),
    [anon_sym_PIPE_PIPE] = ACTIONS(1205),
    [sym_comment] = ACTIONS(199),
  },
  [517] = {
    [anon_sym_LF] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_COMMA] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_AMP_CARET] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [sym_comment] = ACTIONS(199),
  },
  [518] = {
    [anon_sym_LF] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_DOT] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1145),
    [anon_sym_LBRACK] = ACTIONS(1145),
    [anon_sym_RBRACE] = ACTIONS(1145),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_CARET] = ACTIONS(1145),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1145),
    [anon_sym_LT_LT] = ACTIONS(1145),
    [anon_sym_GT_GT] = ACTIONS(1145),
    [anon_sym_AMP_CARET] = ACTIONS(1145),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1145),
    [anon_sym_BANG_EQ] = ACTIONS(1145),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1145),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1145),
    [anon_sym_PIPE_PIPE] = ACTIONS(1145),
    [sym_comment] = ACTIONS(199),
  },
  [519] = {
    [anon_sym_LF] = ACTIONS(1147),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_DOT] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1149),
    [anon_sym_default] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_AMP_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1149),
    [anon_sym_BANG_EQ] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1149),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1149),
    [anon_sym_AMP_AMP] = ACTIONS(1149),
    [anon_sym_PIPE_PIPE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(199),
  },
  [520] = {
    [anon_sym_LF] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_DOT] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_LBRACK] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1197),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1197),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_AMP_CARET] = ACTIONS(1197),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1197),
    [anon_sym_BANG_EQ] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1197),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1197),
    [anon_sym_AMP_AMP] = ACTIONS(1197),
    [anon_sym_PIPE_PIPE] = ACTIONS(1197),
    [sym_comment] = ACTIONS(199),
  },
  [521] = {
    [anon_sym_LF] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_AMP_CARET] = ACTIONS(1153),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1153),
    [anon_sym_BANG_EQ] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1153),
    [anon_sym_AMP_AMP] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1153),
    [sym_comment] = ACTIONS(199),
  },
  [522] = {
    [anon_sym_LF] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_case] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1157),
    [anon_sym_AMP_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [sym_comment] = ACTIONS(199),
  },
  [523] = {
    [anon_sym_LF] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1161),
    [anon_sym_default] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1161),
    [anon_sym_AMP_CARET] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [sym_comment] = ACTIONS(199),
  },
  [524] = {
    [sym_special_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LT_DASH] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1029),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [anon_sym_LF] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1181),
    [anon_sym_AMP_CARET] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1181),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1181),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [sym_comment] = ACTIONS(199),
  },
  [526] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1073),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1073),
    [anon_sym_COLON_EQ] = ACTIONS(1073),
    [anon_sym_COLON] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_CARET] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1073),
    [anon_sym_LT_LT] = ACTIONS(1073),
    [anon_sym_GT_GT] = ACTIONS(1073),
    [anon_sym_AMP_CARET] = ACTIONS(1073),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1073),
    [anon_sym_BANG_EQ] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_LT_EQ] = ACTIONS(1073),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1073),
    [anon_sym_AMP_AMP] = ACTIONS(1073),
    [anon_sym_PIPE_PIPE] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [anon_sym_LF] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_DOT] = ACTIONS(1193),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1193),
    [anon_sym_LBRACK] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [anon_sym_case] = ACTIONS(1193),
    [anon_sym_default] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1193),
    [anon_sym_DASH] = ACTIONS(1193),
    [anon_sym_CARET] = ACTIONS(1193),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1193),
    [anon_sym_LT_LT] = ACTIONS(1193),
    [anon_sym_GT_GT] = ACTIONS(1193),
    [anon_sym_AMP_CARET] = ACTIONS(1193),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1193),
    [anon_sym_BANG_EQ] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1193),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1193),
    [anon_sym_AMP_AMP] = ACTIONS(1193),
    [anon_sym_PIPE_PIPE] = ACTIONS(1193),
    [sym_comment] = ACTIONS(199),
  },
  [528] = {
    [anon_sym_LF] = ACTIONS(1095),
    [anon_sym_SEMI] = ACTIONS(1097),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1097),
    [anon_sym_COMMA] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_RBRACE] = ACTIONS(1097),
    [anon_sym_case] = ACTIONS(1097),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_CARET] = ACTIONS(1097),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1097),
    [anon_sym_LT_LT] = ACTIONS(1097),
    [anon_sym_GT_GT] = ACTIONS(1097),
    [anon_sym_AMP_CARET] = ACTIONS(1097),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1097),
    [anon_sym_BANG_EQ] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1097),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1097),
    [anon_sym_AMP_AMP] = ACTIONS(1097),
    [anon_sym_PIPE_PIPE] = ACTIONS(1097),
    [sym_comment] = ACTIONS(199),
  },
  [529] = {
    [anon_sym_LF] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_COMMA] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1101),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1101),
    [anon_sym_AMP_CARET] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1101),
    [anon_sym_BANG_EQ] = ACTIONS(1101),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1101),
    [anon_sym_PIPE_PIPE] = ACTIONS(1101),
    [sym_comment] = ACTIONS(199),
  },
  [530] = {
    [anon_sym_LF] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_case] = ACTIONS(1185),
    [anon_sym_default] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1185),
    [anon_sym_AMP_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [sym_comment] = ACTIONS(199),
  },
  [531] = {
    [anon_sym_LF] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_case] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_AMP_CARET] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1169),
    [anon_sym_PIPE_PIPE] = ACTIONS(1169),
    [sym_comment] = ACTIONS(199),
  },
  [532] = {
    [anon_sym_LF] = ACTIONS(1135),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_default] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1137),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1137),
    [anon_sym_AMP_CARET] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1137),
    [anon_sym_BANG_EQ] = ACTIONS(1137),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1137),
    [anon_sym_AMP_AMP] = ACTIONS(1137),
    [anon_sym_PIPE_PIPE] = ACTIONS(1137),
    [sym_comment] = ACTIONS(199),
  },
  [533] = {
    [sym_argument_list] = STATE(544),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_COLON] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1077),
    [anon_sym_LT_LT] = ACTIONS(1077),
    [anon_sym_GT_GT] = ACTIONS(1077),
    [anon_sym_AMP_CARET] = ACTIONS(1077),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [anon_sym_DOT] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_COMMA] = ACTIONS(1135),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_STAR] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_LT_DASH] = ACTIONS(1135),
    [anon_sym_COLON_EQ] = ACTIONS(1135),
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_CARET] = ACTIONS(1135),
    [anon_sym_AMP] = ACTIONS(1137),
    [anon_sym_SLASH] = ACTIONS(1137),
    [anon_sym_PERCENT] = ACTIONS(1135),
    [anon_sym_LT_LT] = ACTIONS(1135),
    [anon_sym_GT_GT] = ACTIONS(1135),
    [anon_sym_AMP_CARET] = ACTIONS(1135),
    [anon_sym_PIPE] = ACTIONS(1137),
    [anon_sym_EQ_EQ] = ACTIONS(1135),
    [anon_sym_BANG_EQ] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1135),
    [anon_sym_GT] = ACTIONS(1137),
    [anon_sym_GT_EQ] = ACTIONS(1135),
    [anon_sym_AMP_AMP] = ACTIONS(1135),
    [anon_sym_PIPE_PIPE] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1183),
    [anon_sym_LT_DASH] = ACTIONS(1183),
    [anon_sym_COLON_EQ] = ACTIONS(1183),
    [anon_sym_COLON] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1183),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_AMP_CARET] = ACTIONS(1183),
    [anon_sym_PIPE] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1065),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1171),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_LT_DASH] = ACTIONS(1171),
    [anon_sym_COLON_EQ] = ACTIONS(1171),
    [anon_sym_COLON] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_CARET] = ACTIONS(1171),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1171),
    [anon_sym_LT_LT] = ACTIONS(1171),
    [anon_sym_GT_GT] = ACTIONS(1171),
    [anon_sym_AMP_CARET] = ACTIONS(1171),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [anon_sym_DOT] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_EQ] = ACTIONS(1141),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_LBRACK] = ACTIONS(1139),
    [anon_sym_LT_DASH] = ACTIONS(1139),
    [anon_sym_COLON_EQ] = ACTIONS(1139),
    [anon_sym_COLON] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(1139),
    [anon_sym_AMP] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1141),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1139),
    [anon_sym_GT_GT] = ACTIONS(1139),
    [anon_sym_AMP_CARET] = ACTIONS(1139),
    [anon_sym_PIPE] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1139),
    [anon_sym_BANG_EQ] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_GT] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1139),
    [anon_sym_AMP_AMP] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [anon_sym_DOT] = ACTIONS(1091),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_LT_DASH] = ACTIONS(1091),
    [anon_sym_COLON_EQ] = ACTIONS(1091),
    [anon_sym_COLON] = ACTIONS(1093),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_AMP_CARET] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_LT_EQ] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_EQ] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_LT_DASH] = ACTIONS(1231),
    [anon_sym_COLON_EQ] = ACTIONS(1231),
    [anon_sym_COLON] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1231),
    [anon_sym_DASH] = ACTIONS(1231),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1231),
    [anon_sym_AMP_CARET] = ACTIONS(1231),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1231),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_COMMA] = ACTIONS(1083),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_LT_DASH] = ACTIONS(1083),
    [anon_sym_COLON_EQ] = ACTIONS(1083),
    [anon_sym_COLON] = ACTIONS(1085),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1083),
    [anon_sym_AMP_CARET] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_AMP_AMP] = ACTIONS(1083),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [anon_sym_DOT] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_LT_DASH] = ACTIONS(1199),
    [anon_sym_COLON_EQ] = ACTIONS(1199),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_CARET] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1199),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_GT_GT] = ACTIONS(1199),
    [anon_sym_AMP_CARET] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [anon_sym_DOT] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT_DASH] = ACTIONS(1211),
    [anon_sym_COLON_EQ] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_AMP_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_COMMA] = ACTIONS(1087),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_LT_DASH] = ACTIONS(1087),
    [anon_sym_COLON_EQ] = ACTIONS(1087),
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1087),
    [anon_sym_DASH] = ACTIONS(1087),
    [anon_sym_CARET] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1087),
    [anon_sym_LT_LT] = ACTIONS(1087),
    [anon_sym_GT_GT] = ACTIONS(1087),
    [anon_sym_AMP_CARET] = ACTIONS(1087),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1087),
    [anon_sym_BANG_EQ] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1087),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1087),
    [anon_sym_AMP_AMP] = ACTIONS(1087),
    [anon_sym_PIPE_PIPE] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_literal_value] = STATE(417),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1027),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [anon_sym_DOT] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_COMMA] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_LT_DASH] = ACTIONS(1147),
    [anon_sym_COLON_EQ] = ACTIONS(1147),
    [anon_sym_COLON] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_CARET] = ACTIONS(1147),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1147),
    [anon_sym_LT_LT] = ACTIONS(1147),
    [anon_sym_GT_GT] = ACTIONS(1147),
    [anon_sym_AMP_CARET] = ACTIONS(1147),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1147),
    [anon_sym_BANG_EQ] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1147),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1147),
    [anon_sym_AMP_AMP] = ACTIONS(1147),
    [anon_sym_PIPE_PIPE] = ACTIONS(1147),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_LT_DASH] = ACTIONS(1151),
    [anon_sym_COLON_EQ] = ACTIONS(1151),
    [anon_sym_COLON] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_CARET] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1151),
    [anon_sym_LT_LT] = ACTIONS(1151),
    [anon_sym_GT_GT] = ACTIONS(1151),
    [anon_sym_AMP_CARET] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_EQ] = ACTIONS(1157),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [anon_sym_LT_DASH] = ACTIONS(1155),
    [anon_sym_COLON_EQ] = ACTIONS(1155),
    [anon_sym_COLON] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1155),
    [anon_sym_AMP] = ACTIONS(1157),
    [anon_sym_SLASH] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_AMP_CARET] = ACTIONS(1155),
    [anon_sym_PIPE] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_parameter_list] = STATE(875),
    [sym__simple_type] = STATE(875),
    [sym_pointer_type] = STATE(875),
    [sym_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_interface_type] = STATE(875),
    [sym_map_type] = STATE(875),
    [sym_channel_type] = STATE(875),
    [sym_function_type] = STATE(875),
    [sym_qualified_type] = STATE(875),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [anon_sym_COLON] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(1161),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1159),
    [anon_sym_LT_DASH] = ACTIONS(1159),
    [anon_sym_COLON_EQ] = ACTIONS(1159),
    [anon_sym_COLON] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1159),
    [anon_sym_AMP] = ACTIONS(1161),
    [anon_sym_SLASH] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1159),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_AMP_CARET] = ACTIONS(1159),
    [anon_sym_PIPE] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1161),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1128),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [anon_sym_EQ] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_LT_DASH] = ACTIONS(1179),
    [anon_sym_COLON_EQ] = ACTIONS(1179),
    [anon_sym_COLON] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_AMP] = ACTIONS(1181),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1179),
    [anon_sym_LT_LT] = ACTIONS(1179),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_AMP_CARET] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1181),
    [anon_sym_GT_EQ] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_literal_value] = STATE(417),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(209),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_COLON] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_expression_list_repeat1] = STATE(913),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [anon_sym_DOT] = ACTIONS(1095),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_COMMA] = ACTIONS(1095),
    [anon_sym_EQ] = ACTIONS(1097),
    [anon_sym_STAR] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_LT_DASH] = ACTIONS(1095),
    [anon_sym_COLON_EQ] = ACTIONS(1095),
    [anon_sym_COLON] = ACTIONS(1097),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1095),
    [anon_sym_CARET] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1097),
    [anon_sym_SLASH] = ACTIONS(1097),
    [anon_sym_PERCENT] = ACTIONS(1095),
    [anon_sym_LT_LT] = ACTIONS(1095),
    [anon_sym_GT_GT] = ACTIONS(1095),
    [anon_sym_AMP_CARET] = ACTIONS(1095),
    [anon_sym_PIPE] = ACTIONS(1097),
    [anon_sym_EQ_EQ] = ACTIONS(1095),
    [anon_sym_BANG_EQ] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1097),
    [anon_sym_LT_EQ] = ACTIONS(1095),
    [anon_sym_GT] = ACTIONS(1097),
    [anon_sym_GT_EQ] = ACTIONS(1095),
    [anon_sym_AMP_AMP] = ACTIONS(1095),
    [anon_sym_PIPE_PIPE] = ACTIONS(1095),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [anon_sym_DOT] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1099),
    [anon_sym_EQ] = ACTIONS(1101),
    [anon_sym_STAR] = ACTIONS(1099),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_LT_DASH] = ACTIONS(1099),
    [anon_sym_COLON_EQ] = ACTIONS(1099),
    [anon_sym_COLON] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(1099),
    [anon_sym_CARET] = ACTIONS(1099),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_SLASH] = ACTIONS(1101),
    [anon_sym_PERCENT] = ACTIONS(1099),
    [anon_sym_LT_LT] = ACTIONS(1099),
    [anon_sym_GT_GT] = ACTIONS(1099),
    [anon_sym_AMP_CARET] = ACTIONS(1099),
    [anon_sym_PIPE] = ACTIONS(1101),
    [anon_sym_EQ_EQ] = ACTIONS(1099),
    [anon_sym_BANG_EQ] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1099),
    [anon_sym_GT] = ACTIONS(1101),
    [anon_sym_GT_EQ] = ACTIONS(1099),
    [anon_sym_AMP_AMP] = ACTIONS(1099),
    [anon_sym_PIPE_PIPE] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1113),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1534),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1105),
    [anon_sym_STAR] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_LT_DASH] = ACTIONS(1103),
    [anon_sym_COLON_EQ] = ACTIONS(1103),
    [anon_sym_COLON] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_CARET] = ACTIONS(1103),
    [anon_sym_AMP] = ACTIONS(1105),
    [anon_sym_SLASH] = ACTIONS(1105),
    [anon_sym_PERCENT] = ACTIONS(1103),
    [anon_sym_LT_LT] = ACTIONS(1103),
    [anon_sym_GT_GT] = ACTIONS(1103),
    [anon_sym_AMP_CARET] = ACTIONS(1103),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_EQ_EQ] = ACTIONS(1103),
    [anon_sym_BANG_EQ] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1103),
    [anon_sym_GT] = ACTIONS(1105),
    [anon_sym_GT_EQ] = ACTIONS(1103),
    [anon_sym_AMP_AMP] = ACTIONS(1103),
    [anon_sym_PIPE_PIPE] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1103),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_LT_DASH] = ACTIONS(1175),
    [anon_sym_COLON_EQ] = ACTIONS(1175),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_AMP_CARET] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_expression_list_repeat1] = STATE(913),
    [anon_sym_DOT] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_COLON_EQ] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1098),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1169),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_LT_DASH] = ACTIONS(1167),
    [anon_sym_COLON_EQ] = ACTIONS(1167),
    [anon_sym_COLON] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_CARET] = ACTIONS(1167),
    [anon_sym_AMP] = ACTIONS(1169),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1167),
    [anon_sym_LT_LT] = ACTIONS(1167),
    [anon_sym_GT_GT] = ACTIONS(1167),
    [anon_sym_AMP_CARET] = ACTIONS(1167),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1167),
    [anon_sym_BANG_EQ] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_GT_EQ] = ACTIONS(1167),
    [anon_sym_AMP_AMP] = ACTIONS(1167),
    [anon_sym_PIPE_PIPE] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_LT_DASH] = ACTIONS(1163),
    [anon_sym_COLON_EQ] = ACTIONS(1163),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_AMP_CARET] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [anon_sym_DOT] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1145),
    [anon_sym_STAR] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1143),
    [anon_sym_COLON_EQ] = ACTIONS(1143),
    [anon_sym_COLON] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_CARET] = ACTIONS(1143),
    [anon_sym_AMP] = ACTIONS(1145),
    [anon_sym_SLASH] = ACTIONS(1145),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1143),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym_AMP_CARET] = ACTIONS(1143),
    [anon_sym_PIPE] = ACTIONS(1145),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1145),
    [anon_sym_GT_EQ] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [anon_sym_DOT] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1193),
    [anon_sym_STAR] = ACTIONS(1191),
    [anon_sym_LBRACK] = ACTIONS(1191),
    [anon_sym_LT_DASH] = ACTIONS(1191),
    [anon_sym_COLON_EQ] = ACTIONS(1191),
    [anon_sym_COLON] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_CARET] = ACTIONS(1191),
    [anon_sym_AMP] = ACTIONS(1193),
    [anon_sym_SLASH] = ACTIONS(1193),
    [anon_sym_PERCENT] = ACTIONS(1191),
    [anon_sym_LT_LT] = ACTIONS(1191),
    [anon_sym_GT_GT] = ACTIONS(1191),
    [anon_sym_AMP_CARET] = ACTIONS(1191),
    [anon_sym_PIPE] = ACTIONS(1193),
    [anon_sym_EQ_EQ] = ACTIONS(1191),
    [anon_sym_BANG_EQ] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_LT_EQ] = ACTIONS(1191),
    [anon_sym_GT] = ACTIONS(1193),
    [anon_sym_GT_EQ] = ACTIONS(1191),
    [anon_sym_AMP_AMP] = ACTIONS(1191),
    [anon_sym_PIPE_PIPE] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1151),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [anon_sym_COMMA] = ACTIONS(1566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [anon_sym_DOT] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_LT_DASH] = ACTIONS(1219),
    [anon_sym_COLON_EQ] = ACTIONS(1219),
    [anon_sym_COLON] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1219),
    [anon_sym_AMP_CARET] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1189),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_LT_DASH] = ACTIONS(1187),
    [anon_sym_COLON_EQ] = ACTIONS(1187),
    [anon_sym_COLON] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1189),
    [anon_sym_SLASH] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_AMP_CARET] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1189),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [anon_sym_DOT] = ACTIONS(1223),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_LT_DASH] = ACTIONS(1223),
    [anon_sym_COLON_EQ] = ACTIONS(1223),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1223),
    [anon_sym_DASH] = ACTIONS(1223),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1223),
    [anon_sym_LT_LT] = ACTIONS(1223),
    [anon_sym_GT_GT] = ACTIONS(1223),
    [anon_sym_AMP_CARET] = ACTIONS(1223),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [anon_sym_DOT] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_LT_DASH] = ACTIONS(1203),
    [anon_sym_COLON_EQ] = ACTIONS(1203),
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_AMP_CARET] = ACTIONS(1203),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1203),
    [anon_sym_BANG_EQ] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1203),
    [anon_sym_GT] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1203),
    [anon_sym_AMP_AMP] = ACTIONS(1203),
    [anon_sym_PIPE_PIPE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LT_DASH] = ACTIONS(1227),
    [anon_sym_COLON_EQ] = ACTIONS(1227),
    [anon_sym_COLON] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1227),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_AMP_CARET] = ACTIONS(1227),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_argument_list_repeat1] = STATE(1114),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [anon_sym_COMMA] = ACTIONS(1570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [anon_sym_DOT] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_LT_DASH] = ACTIONS(1195),
    [anon_sym_COLON_EQ] = ACTIONS(1195),
    [anon_sym_COLON] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_CARET] = ACTIONS(1195),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1195),
    [anon_sym_LT_LT] = ACTIONS(1195),
    [anon_sym_GT_GT] = ACTIONS(1195),
    [anon_sym_AMP_CARET] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_LT_EQ] = ACTIONS(1195),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1207),
    [anon_sym_LT_DASH] = ACTIONS(1207),
    [anon_sym_COLON_EQ] = ACTIONS(1207),
    [anon_sym_COLON] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_CARET] = ACTIONS(1207),
    [anon_sym_AMP] = ACTIONS(1209),
    [anon_sym_SLASH] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1207),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_AMP_CARET] = ACTIONS(1207),
    [anon_sym_PIPE] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_GT] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1207),
    [anon_sym_AMP_AMP] = ACTIONS(1207),
    [anon_sym_PIPE_PIPE] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_LT_DASH] = ACTIONS(1215),
    [anon_sym_COLON_EQ] = ACTIONS(1215),
    [anon_sym_COLON] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1215),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_AMP_CARET] = ACTIONS(1215),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_LT_DASH] = ACTIONS(1235),
    [anon_sym_COLON_EQ] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1235),
    [anon_sym_AMP_CARET] = ACTIONS(1235),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_parameter_declaration] = STATE(1083),
    [sym_variadic_parameter_declaration] = STATE(1083),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_expression_list_repeat1] = STATE(1105),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [583] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [584] = {
    [sym_literal_value] = STATE(417),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_STAR] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_COLON_EQ] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1027),
    [anon_sym_DASH] = ACTIONS(1027),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1027),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1027),
    [anon_sym_AMP_CARET] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_LT_EQ] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [sym_comment] = ACTIONS(3),
  },
  [585] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [586] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [587] = {
    [sym_parameter_declaration] = STATE(1066),
    [sym_variadic_parameter_declaration] = STATE(1066),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1586),
    [anon_sym_COMMA] = ACTIONS(1588),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [588] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [589] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_COLON_EQ] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_LT_EQ] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1077),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1077),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [591] = {
    [sym_argument_list] = STATE(415),
    [aux_sym_expression_list_repeat1] = STATE(913),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_DOT] = ACTIONS(1590),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [592] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_COLON] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [593] = {
    [sym_parenthesized_type] = STATE(1186),
    [sym__simple_type] = STATE(1186),
    [sym_pointer_type] = STATE(1186),
    [sym_array_type] = STATE(1186),
    [sym_slice_type] = STATE(1186),
    [sym_struct_type] = STATE(1186),
    [sym_interface_type] = STATE(1186),
    [sym_map_type] = STATE(1186),
    [sym_channel_type] = STATE(1186),
    [sym_function_type] = STATE(1186),
    [sym_qualified_type] = STATE(1186),
    [aux_sym_const_spec_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1596),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [594] = {
    [sym_parameter_declaration] = STATE(1142),
    [sym_variadic_parameter_declaration] = STATE(1142),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(1607),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [595] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [596] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1613),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [597] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1615),
    [anon_sym_COLON] = ACTIONS(1617),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [598] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1619),
    [anon_sym_COLON] = ACTIONS(1621),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [600] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1623),
    [anon_sym_COLON] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [601] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [602] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [605] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1637),
    [anon_sym_COLON] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [606] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1647),
    [anon_sym_COLON] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [609] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1651),
    [anon_sym_COLON] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1659),
    [anon_sym_COLON] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1663),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1667),
    [anon_sym_COLON] = ACTIONS(1669),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [614] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1671),
    [anon_sym_COLON] = ACTIONS(1673),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1675),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1679),
    [anon_sym_COLON] = ACTIONS(1681),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [617] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1683),
    [anon_sym_COLON] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1687),
    [anon_sym_COLON] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [620] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1691),
    [anon_sym_COLON] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1695),
    [anon_sym_COLON] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1699),
    [anon_sym_COLON] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1703),
    [anon_sym_COLON] = ACTIONS(1705),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [626] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [627] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [628] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1715),
    [anon_sym_COLON] = ACTIONS(1717),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [629] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1719),
    [anon_sym_COMMA] = ACTIONS(1721),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [630] = {
    [sym_block] = STATE(910),
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [631] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1725),
    [anon_sym_COLON] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1729),
    [anon_sym_COMMA] = ACTIONS(1731),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1733),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [639] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [640] = {
    [sym_parameter_declaration] = STATE(1159),
    [sym_variadic_parameter_declaration] = STATE(1159),
    [sym_parenthesized_type] = STATE(1163),
    [sym__simple_type] = STATE(1163),
    [sym_pointer_type] = STATE(1163),
    [sym_array_type] = STATE(1163),
    [sym_slice_type] = STATE(1163),
    [sym_struct_type] = STATE(1163),
    [sym_interface_type] = STATE(1163),
    [sym_map_type] = STATE(1163),
    [sym_channel_type] = STATE(1163),
    [sym_function_type] = STATE(1163),
    [sym_qualified_type] = STATE(1163),
    [sym_identifier] = ACTIONS(1572),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [642] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1749),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_parenthesized_type] = STATE(903),
    [sym__simple_type] = STATE(903),
    [sym_pointer_type] = STATE(903),
    [sym_array_type] = STATE(903),
    [sym_slice_type] = STATE(903),
    [sym_struct_type] = STATE(903),
    [sym_interface_type] = STATE(903),
    [sym_map_type] = STATE(903),
    [sym_channel_type] = STATE(903),
    [sym_function_type] = STATE(903),
    [sym_qualified_type] = STATE(903),
    [aux_sym_const_spec_repeat1] = STATE(645),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_parenthesized_type] = STATE(904),
    [sym__simple_type] = STATE(904),
    [sym_pointer_type] = STATE(904),
    [sym_array_type] = STATE(904),
    [sym_slice_type] = STATE(904),
    [sym_struct_type] = STATE(904),
    [sym_interface_type] = STATE(904),
    [sym_map_type] = STATE(904),
    [sym_channel_type] = STATE(904),
    [sym_function_type] = STATE(904),
    [sym_qualified_type] = STATE(904),
    [aux_sym_const_spec_repeat1] = STATE(770),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym_parameter_list] = STATE(1092),
    [sym__simple_type] = STATE(1092),
    [sym_pointer_type] = STATE(1092),
    [sym_array_type] = STATE(1092),
    [sym_slice_type] = STATE(1092),
    [sym_struct_type] = STATE(1092),
    [sym_interface_type] = STATE(1092),
    [sym_map_type] = STATE(1092),
    [sym_channel_type] = STATE(1092),
    [sym_function_type] = STATE(1092),
    [sym_qualified_type] = STATE(1092),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LF] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1769),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1418),
    [sym_comment] = ACTIONS(199),
  },
  [647] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_parameter_list] = STATE(1023),
    [sym__simple_type] = STATE(1023),
    [sym_pointer_type] = STATE(1023),
    [sym_array_type] = STATE(1023),
    [sym_slice_type] = STATE(1023),
    [sym_struct_type] = STATE(1023),
    [sym_interface_type] = STATE(1023),
    [sym_map_type] = STATE(1023),
    [sym_channel_type] = STATE(1023),
    [sym_function_type] = STATE(1023),
    [sym_block] = STATE(466),
    [sym_qualified_type] = STATE(1023),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1786),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym_parenthesized_type] = STATE(809),
    [sym__simple_type] = STATE(809),
    [sym_pointer_type] = STATE(809),
    [sym_array_type] = STATE(809),
    [sym_slice_type] = STATE(809),
    [sym_struct_type] = STATE(809),
    [sym_interface_type] = STATE(809),
    [sym_map_type] = STATE(809),
    [sym_channel_type] = STATE(809),
    [sym_function_type] = STATE(809),
    [sym_qualified_type] = STATE(809),
    [aux_sym_const_spec_repeat1] = STATE(770),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1792),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1802),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1816),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [664] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1548),
    [anon_sym_SLASH] = ACTIONS(1548),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_AMP_CARET] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1550),
    [anon_sym_EQ_EQ] = ACTIONS(1552),
    [anon_sym_BANG_EQ] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1554),
    [anon_sym_LT_EQ] = ACTIONS(1552),
    [anon_sym_GT] = ACTIONS(1554),
    [anon_sym_GT_EQ] = ACTIONS(1552),
    [anon_sym_AMP_AMP] = ACTIONS(1556),
    [anon_sym_PIPE_PIPE] = ACTIONS(1558),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [667] = {
    [sym_parenthesized_type] = STATE(812),
    [sym__simple_type] = STATE(812),
    [sym_pointer_type] = STATE(812),
    [sym_array_type] = STATE(812),
    [sym_slice_type] = STATE(812),
    [sym_struct_type] = STATE(812),
    [sym_interface_type] = STATE(812),
    [sym_map_type] = STATE(812),
    [sym_channel_type] = STATE(812),
    [sym_function_type] = STATE(812),
    [sym_qualified_type] = STATE(812),
    [aux_sym_const_spec_repeat1] = STATE(651),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [668] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [670] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_RPAREN] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_CARET] = ACTIONS(1504),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SLASH] = ACTIONS(1506),
    [anon_sym_PERCENT] = ACTIONS(1502),
    [anon_sym_LT_LT] = ACTIONS(1502),
    [anon_sym_GT_GT] = ACTIONS(1502),
    [anon_sym_AMP_CARET] = ACTIONS(1502),
    [anon_sym_PIPE] = ACTIONS(1508),
    [anon_sym_EQ_EQ] = ACTIONS(1510),
    [anon_sym_BANG_EQ] = ACTIONS(1510),
    [anon_sym_LT] = ACTIONS(1512),
    [anon_sym_LT_EQ] = ACTIONS(1510),
    [anon_sym_GT] = ACTIONS(1512),
    [anon_sym_GT_EQ] = ACTIONS(1510),
    [anon_sym_AMP_AMP] = ACTIONS(1514),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_parameter_list] = STATE(1140),
    [sym__simple_type] = STATE(1140),
    [sym_pointer_type] = STATE(1140),
    [sym_array_type] = STATE(1140),
    [sym_slice_type] = STATE(1140),
    [sym_struct_type] = STATE(1140),
    [sym_interface_type] = STATE(1140),
    [sym_map_type] = STATE(1140),
    [sym_channel_type] = STATE(1140),
    [sym_function_type] = STATE(1140),
    [sym_block] = STATE(421),
    [sym_qualified_type] = STATE(1140),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1840),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [674] = {
    [sym_parameter_list] = STATE(1119),
    [sym__simple_type] = STATE(1119),
    [sym_pointer_type] = STATE(1119),
    [sym_array_type] = STATE(1119),
    [sym_slice_type] = STATE(1119),
    [sym_struct_type] = STATE(1119),
    [sym_interface_type] = STATE(1119),
    [sym_map_type] = STATE(1119),
    [sym_channel_type] = STATE(1119),
    [sym_function_type] = STATE(1119),
    [sym_block] = STATE(540),
    [sym_qualified_type] = STATE(1119),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_parameter_list] = STATE(1061),
    [sym__simple_type] = STATE(1061),
    [sym_pointer_type] = STATE(1061),
    [sym_array_type] = STATE(1061),
    [sym_slice_type] = STATE(1061),
    [sym_struct_type] = STATE(1061),
    [sym_interface_type] = STATE(1061),
    [sym_map_type] = STATE(1061),
    [sym_channel_type] = STATE(1061),
    [sym_function_type] = STATE(1061),
    [sym_block] = STATE(514),
    [sym_qualified_type] = STATE(1061),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_parenthesized_type] = STATE(1158),
    [sym__simple_type] = STATE(1158),
    [sym_pointer_type] = STATE(1158),
    [sym_array_type] = STATE(1158),
    [sym_slice_type] = STATE(1158),
    [sym_struct_type] = STATE(1158),
    [sym_interface_type] = STATE(1158),
    [sym_map_type] = STATE(1158),
    [sym_channel_type] = STATE(1158),
    [sym_function_type] = STATE(1158),
    [sym_qualified_type] = STATE(1158),
    [aux_sym_const_spec_repeat1] = STATE(770),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [sym_parameter_list] = STATE(1148),
    [sym__simple_type] = STATE(1148),
    [sym_pointer_type] = STATE(1148),
    [sym_array_type] = STATE(1148),
    [sym_slice_type] = STATE(1148),
    [sym_struct_type] = STATE(1148),
    [sym_interface_type] = STATE(1148),
    [sym_map_type] = STATE(1148),
    [sym_channel_type] = STATE(1148),
    [sym_function_type] = STATE(1148),
    [sym_block] = STATE(376),
    [sym_qualified_type] = STATE(1148),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [678] = {
    [sym_parenthesized_type] = STATE(902),
    [sym__simple_type] = STATE(902),
    [sym_pointer_type] = STATE(902),
    [sym_array_type] = STATE(902),
    [sym_slice_type] = STATE(902),
    [sym_struct_type] = STATE(902),
    [sym_interface_type] = STATE(902),
    [sym_map_type] = STATE(902),
    [sym_channel_type] = STATE(902),
    [sym_function_type] = STATE(902),
    [sym_qualified_type] = STATE(902),
    [aux_sym_field_name_list_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [sym_parameter_list] = STATE(1136),
    [sym__simple_type] = STATE(1136),
    [sym_pointer_type] = STATE(1136),
    [sym_array_type] = STATE(1136),
    [sym_slice_type] = STATE(1136),
    [sym_struct_type] = STATE(1136),
    [sym_interface_type] = STATE(1136),
    [sym_map_type] = STATE(1136),
    [sym_channel_type] = STATE(1136),
    [sym_function_type] = STATE(1136),
    [sym_block] = STATE(337),
    [sym_qualified_type] = STATE(1136),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1848),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym_argument_list] = STATE(415),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SLASH] = ACTIONS(1428),
    [anon_sym_PERCENT] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1424),
    [anon_sym_GT_GT] = ACTIONS(1424),
    [anon_sym_AMP_CARET] = ACTIONS(1424),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1432),
    [anon_sym_BANG_EQ] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1434),
    [anon_sym_LT_EQ] = ACTIONS(1432),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_GT_EQ] = ACTIONS(1432),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym_parameter_list] = STATE(1099),
    [sym__simple_type] = STATE(1099),
    [sym_pointer_type] = STATE(1099),
    [sym_array_type] = STATE(1099),
    [sym_slice_type] = STATE(1099),
    [sym_struct_type] = STATE(1099),
    [sym_interface_type] = STATE(1099),
    [sym_map_type] = STATE(1099),
    [sym_channel_type] = STATE(1099),
    [sym_function_type] = STATE(1099),
    [sym_block] = STATE(302),
    [sym_qualified_type] = STATE(1099),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym_parameter_list] = STATE(875),
    [sym__simple_type] = STATE(875),
    [sym_pointer_type] = STATE(875),
    [sym_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_interface_type] = STATE(875),
    [sym_map_type] = STATE(875),
    [sym_channel_type] = STATE(875),
    [sym_function_type] = STATE(875),
    [sym_qualified_type] = STATE(875),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [683] = {
    [sym_parenthesized_type] = STATE(937),
    [sym__simple_type] = STATE(937),
    [sym_pointer_type] = STATE(937),
    [sym_array_type] = STATE(937),
    [sym_slice_type] = STATE(937),
    [sym_struct_type] = STATE(937),
    [sym_interface_type] = STATE(937),
    [sym_map_type] = STATE(937),
    [sym_channel_type] = STATE(937),
    [sym_function_type] = STATE(937),
    [sym_qualified_type] = STATE(937),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_EQ] = ACTIONS(1854),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym_parenthesized_type] = STATE(1225),
    [sym__simple_type] = STATE(1225),
    [sym_pointer_type] = STATE(1225),
    [sym_array_type] = STATE(1225),
    [sym_slice_type] = STATE(1225),
    [sym_struct_type] = STATE(1225),
    [sym_interface_type] = STATE(1225),
    [sym_map_type] = STATE(1225),
    [sym_channel_type] = STATE(1225),
    [sym_function_type] = STATE(1225),
    [sym_qualified_type] = STATE(1225),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [685] = {
    [sym_parenthesized_type] = STATE(1225),
    [sym__simple_type] = STATE(1225),
    [sym_pointer_type] = STATE(1225),
    [sym_array_type] = STATE(1225),
    [sym_slice_type] = STATE(1225),
    [sym_struct_type] = STATE(1225),
    [sym_interface_type] = STATE(1225),
    [sym_map_type] = STATE(1225),
    [sym_channel_type] = STATE(1225),
    [sym_function_type] = STATE(1225),
    [sym_qualified_type] = STATE(1225),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [sym_parenthesized_type] = STATE(1225),
    [sym__simple_type] = STATE(1225),
    [sym_pointer_type] = STATE(1225),
    [sym_array_type] = STATE(1225),
    [sym_slice_type] = STATE(1225),
    [sym_struct_type] = STATE(1225),
    [sym_interface_type] = STATE(1225),
    [sym_map_type] = STATE(1225),
    [sym_channel_type] = STATE(1225),
    [sym_function_type] = STATE(1225),
    [sym_qualified_type] = STATE(1225),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [687] = {
    [sym_parenthesized_type] = STATE(1295),
    [sym__simple_type] = STATE(1295),
    [sym_pointer_type] = STATE(1295),
    [sym_array_type] = STATE(1295),
    [sym_slice_type] = STATE(1295),
    [sym_struct_type] = STATE(1295),
    [sym_interface_type] = STATE(1295),
    [sym_map_type] = STATE(1295),
    [sym_channel_type] = STATE(1295),
    [sym_function_type] = STATE(1295),
    [sym_qualified_type] = STATE(1295),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_type] = ACTIONS(1862),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [688] = {
    [sym_parenthesized_type] = STATE(841),
    [sym__simple_type] = STATE(841),
    [sym_pointer_type] = STATE(841),
    [sym_array_type] = STATE(841),
    [sym_slice_type] = STATE(841),
    [sym_struct_type] = STATE(841),
    [sym_interface_type] = STATE(841),
    [sym_map_type] = STATE(841),
    [sym_channel_type] = STATE(841),
    [sym_function_type] = STATE(841),
    [sym_qualified_type] = STATE(841),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1864),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [sym_parenthesized_type] = STATE(894),
    [sym__simple_type] = STATE(894),
    [sym_pointer_type] = STATE(894),
    [sym_array_type] = STATE(894),
    [sym_slice_type] = STATE(894),
    [sym_struct_type] = STATE(894),
    [sym_interface_type] = STATE(894),
    [sym_map_type] = STATE(894),
    [sym_channel_type] = STATE(894),
    [sym_function_type] = STATE(894),
    [sym_qualified_type] = STATE(894),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1866),
    [sym_comment] = ACTIONS(3),
  },
  [690] = {
    [sym_parenthesized_type] = STATE(780),
    [sym__simple_type] = STATE(780),
    [sym_pointer_type] = STATE(780),
    [sym_array_type] = STATE(780),
    [sym_slice_type] = STATE(780),
    [sym_struct_type] = STATE(780),
    [sym_interface_type] = STATE(780),
    [sym_map_type] = STATE(780),
    [sym_channel_type] = STATE(780),
    [sym_function_type] = STATE(780),
    [sym_qualified_type] = STATE(780),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [691] = {
    [sym_parenthesized_type] = STATE(813),
    [sym__simple_type] = STATE(813),
    [sym_pointer_type] = STATE(813),
    [sym_array_type] = STATE(813),
    [sym_slice_type] = STATE(813),
    [sym_struct_type] = STATE(813),
    [sym_interface_type] = STATE(813),
    [sym_map_type] = STATE(813),
    [sym_channel_type] = STATE(813),
    [sym_function_type] = STATE(813),
    [sym_qualified_type] = STATE(813),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [692] = {
    [aux_sym_const_spec_repeat1] = STATE(692),
    [ts_builtin_sym_end] = ACTIONS(1868),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LF] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_package] = ACTIONS(1870),
    [anon_sym_import] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_const] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1872),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_var] = ACTIONS(1870),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_type] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1870),
    [sym_comment] = ACTIONS(199),
  },
  [693] = {
    [sym_parenthesized_type] = STATE(892),
    [sym__simple_type] = STATE(892),
    [sym_pointer_type] = STATE(892),
    [sym_array_type] = STATE(892),
    [sym_slice_type] = STATE(892),
    [sym_struct_type] = STATE(892),
    [sym_interface_type] = STATE(892),
    [sym_map_type] = STATE(892),
    [sym_channel_type] = STATE(892),
    [sym_function_type] = STATE(892),
    [sym_qualified_type] = STATE(892),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1875),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_parenthesized_type] = STATE(792),
    [sym__simple_type] = STATE(792),
    [sym_pointer_type] = STATE(792),
    [sym_array_type] = STATE(792),
    [sym_slice_type] = STATE(792),
    [sym_struct_type] = STATE(792),
    [sym_interface_type] = STATE(792),
    [sym_map_type] = STATE(792),
    [sym_channel_type] = STATE(792),
    [sym_function_type] = STATE(792),
    [sym_qualified_type] = STATE(792),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [695] = {
    [sym_parenthesized_type] = STATE(1146),
    [sym__simple_type] = STATE(1146),
    [sym_pointer_type] = STATE(1146),
    [sym_array_type] = STATE(1146),
    [sym_slice_type] = STATE(1146),
    [sym_struct_type] = STATE(1146),
    [sym_interface_type] = STATE(1146),
    [sym_map_type] = STATE(1146),
    [sym_channel_type] = STATE(1146),
    [sym_function_type] = STATE(1146),
    [sym_qualified_type] = STATE(1146),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [696] = {
    [sym_parenthesized_type] = STATE(1235),
    [sym__simple_type] = STATE(1235),
    [sym_pointer_type] = STATE(1235),
    [sym_array_type] = STATE(1235),
    [sym_slice_type] = STATE(1235),
    [sym_struct_type] = STATE(1235),
    [sym_interface_type] = STATE(1235),
    [sym_map_type] = STATE(1235),
    [sym_channel_type] = STATE(1235),
    [sym_function_type] = STATE(1235),
    [sym_qualified_type] = STATE(1235),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [697] = {
    [sym_parenthesized_type] = STATE(1252),
    [sym__simple_type] = STATE(1252),
    [sym_pointer_type] = STATE(1252),
    [sym_array_type] = STATE(1252),
    [sym_slice_type] = STATE(1252),
    [sym_struct_type] = STATE(1252),
    [sym_interface_type] = STATE(1252),
    [sym_map_type] = STATE(1252),
    [sym_channel_type] = STATE(1252),
    [sym_function_type] = STATE(1252),
    [sym_qualified_type] = STATE(1252),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [698] = {
    [sym_parenthesized_type] = STATE(1295),
    [sym__simple_type] = STATE(1295),
    [sym_pointer_type] = STATE(1295),
    [sym_array_type] = STATE(1295),
    [sym_slice_type] = STATE(1295),
    [sym_struct_type] = STATE(1295),
    [sym_interface_type] = STATE(1295),
    [sym_map_type] = STATE(1295),
    [sym_channel_type] = STATE(1295),
    [sym_function_type] = STATE(1295),
    [sym_qualified_type] = STATE(1295),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [699] = {
    [sym_parenthesized_type] = STATE(1177),
    [sym__simple_type] = STATE(1177),
    [sym_pointer_type] = STATE(1177),
    [sym_array_type] = STATE(1177),
    [sym_slice_type] = STATE(1177),
    [sym_struct_type] = STATE(1177),
    [sym_interface_type] = STATE(1177),
    [sym_map_type] = STATE(1177),
    [sym_channel_type] = STATE(1177),
    [sym_function_type] = STATE(1177),
    [sym_qualified_type] = STATE(1177),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [700] = {
    [sym_parenthesized_type] = STATE(1137),
    [sym__simple_type] = STATE(1137),
    [sym_pointer_type] = STATE(1137),
    [sym_array_type] = STATE(1137),
    [sym_slice_type] = STATE(1137),
    [sym_struct_type] = STATE(1137),
    [sym_interface_type] = STATE(1137),
    [sym_map_type] = STATE(1137),
    [sym_channel_type] = STATE(1137),
    [sym_function_type] = STATE(1137),
    [sym_qualified_type] = STATE(1137),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [701] = {
    [sym_parenthesized_type] = STATE(790),
    [sym__simple_type] = STATE(790),
    [sym_pointer_type] = STATE(790),
    [sym_array_type] = STATE(790),
    [sym_slice_type] = STATE(790),
    [sym_struct_type] = STATE(790),
    [sym_interface_type] = STATE(790),
    [sym_map_type] = STATE(790),
    [sym_channel_type] = STATE(790),
    [sym_function_type] = STATE(790),
    [sym_qualified_type] = STATE(790),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [702] = {
    [sym_parenthesized_type] = STATE(1296),
    [sym__simple_type] = STATE(1296),
    [sym_pointer_type] = STATE(1296),
    [sym_array_type] = STATE(1296),
    [sym_slice_type] = STATE(1296),
    [sym_struct_type] = STATE(1296),
    [sym_interface_type] = STATE(1296),
    [sym_map_type] = STATE(1296),
    [sym_channel_type] = STATE(1296),
    [sym_function_type] = STATE(1296),
    [sym_qualified_type] = STATE(1296),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [sym_parenthesized_type] = STATE(1223),
    [sym__simple_type] = STATE(1223),
    [sym_pointer_type] = STATE(1223),
    [sym_array_type] = STATE(1223),
    [sym_slice_type] = STATE(1223),
    [sym_struct_type] = STATE(1223),
    [sym_interface_type] = STATE(1223),
    [sym_map_type] = STATE(1223),
    [sym_channel_type] = STATE(1223),
    [sym_function_type] = STATE(1223),
    [sym_qualified_type] = STATE(1223),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_parenthesized_type] = STATE(878),
    [sym__simple_type] = STATE(878),
    [sym_pointer_type] = STATE(878),
    [sym_array_type] = STATE(878),
    [sym_slice_type] = STATE(878),
    [sym_struct_type] = STATE(878),
    [sym_interface_type] = STATE(878),
    [sym_map_type] = STATE(878),
    [sym_channel_type] = STATE(878),
    [sym_function_type] = STATE(878),
    [sym_qualified_type] = STATE(878),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1866),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [sym_parenthesized_type] = STATE(874),
    [sym__simple_type] = STATE(874),
    [sym_pointer_type] = STATE(874),
    [sym_array_type] = STATE(874),
    [sym_slice_type] = STATE(874),
    [sym_struct_type] = STATE(874),
    [sym_interface_type] = STATE(874),
    [sym_map_type] = STATE(874),
    [sym_channel_type] = STATE(874),
    [sym_function_type] = STATE(874),
    [sym_qualified_type] = STATE(874),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [sym_parenthesized_type] = STATE(1122),
    [sym__simple_type] = STATE(1122),
    [sym_pointer_type] = STATE(1122),
    [sym_array_type] = STATE(1122),
    [sym_slice_type] = STATE(1122),
    [sym_struct_type] = STATE(1122),
    [sym_interface_type] = STATE(1122),
    [sym_map_type] = STATE(1122),
    [sym_channel_type] = STATE(1122),
    [sym_function_type] = STATE(1122),
    [sym_qualified_type] = STATE(1122),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_parenthesized_type] = STATE(1231),
    [sym__simple_type] = STATE(1231),
    [sym_pointer_type] = STATE(1231),
    [sym_array_type] = STATE(1231),
    [sym_slice_type] = STATE(1231),
    [sym_struct_type] = STATE(1231),
    [sym_interface_type] = STATE(1231),
    [sym_map_type] = STATE(1231),
    [sym_channel_type] = STATE(1231),
    [sym_function_type] = STATE(1231),
    [sym_qualified_type] = STATE(1231),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [sym_parenthesized_type] = STATE(880),
    [sym__simple_type] = STATE(880),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(880),
    [sym_slice_type] = STATE(880),
    [sym_struct_type] = STATE(880),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(880),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_qualified_type] = STATE(880),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [709] = {
    [sym_parenthesized_type] = STATE(849),
    [sym__simple_type] = STATE(849),
    [sym_pointer_type] = STATE(849),
    [sym_array_type] = STATE(849),
    [sym_slice_type] = STATE(849),
    [sym_struct_type] = STATE(849),
    [sym_interface_type] = STATE(849),
    [sym_map_type] = STATE(849),
    [sym_channel_type] = STATE(849),
    [sym_function_type] = STATE(849),
    [sym_qualified_type] = STATE(849),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [710] = {
    [sym_parenthesized_type] = STATE(1171),
    [sym__simple_type] = STATE(1171),
    [sym_pointer_type] = STATE(1171),
    [sym_array_type] = STATE(1171),
    [sym_slice_type] = STATE(1171),
    [sym_struct_type] = STATE(1171),
    [sym_interface_type] = STATE(1171),
    [sym_map_type] = STATE(1171),
    [sym_channel_type] = STATE(1171),
    [sym_function_type] = STATE(1171),
    [sym_qualified_type] = STATE(1171),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_parenthesized_type] = STATE(785),
    [sym__simple_type] = STATE(785),
    [sym_pointer_type] = STATE(785),
    [sym_array_type] = STATE(785),
    [sym_slice_type] = STATE(785),
    [sym_struct_type] = STATE(785),
    [sym_interface_type] = STATE(785),
    [sym_map_type] = STATE(785),
    [sym_channel_type] = STATE(785),
    [sym_function_type] = STATE(785),
    [sym_qualified_type] = STATE(785),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1877),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_parenthesized_type] = STATE(805),
    [sym__simple_type] = STATE(805),
    [sym_pointer_type] = STATE(805),
    [sym_array_type] = STATE(805),
    [sym_slice_type] = STATE(805),
    [sym_struct_type] = STATE(805),
    [sym_interface_type] = STATE(805),
    [sym_map_type] = STATE(805),
    [sym_channel_type] = STATE(805),
    [sym_function_type] = STATE(805),
    [sym_qualified_type] = STATE(805),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_parenthesized_type] = STATE(949),
    [sym__simple_type] = STATE(949),
    [sym_pointer_type] = STATE(949),
    [sym_array_type] = STATE(949),
    [sym_slice_type] = STATE(949),
    [sym_struct_type] = STATE(949),
    [sym_interface_type] = STATE(949),
    [sym_map_type] = STATE(949),
    [sym_channel_type] = STATE(949),
    [sym_function_type] = STATE(949),
    [sym_qualified_type] = STATE(949),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [sym_parenthesized_type] = STATE(873),
    [sym__simple_type] = STATE(873),
    [sym_pointer_type] = STATE(873),
    [sym_array_type] = STATE(873),
    [sym_slice_type] = STATE(873),
    [sym_struct_type] = STATE(873),
    [sym_interface_type] = STATE(873),
    [sym_map_type] = STATE(873),
    [sym_channel_type] = STATE(873),
    [sym_function_type] = STATE(873),
    [sym_qualified_type] = STATE(873),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [sym_parenthesized_type] = STATE(865),
    [sym__simple_type] = STATE(865),
    [sym_pointer_type] = STATE(865),
    [sym_array_type] = STATE(865),
    [sym_slice_type] = STATE(865),
    [sym_struct_type] = STATE(865),
    [sym_interface_type] = STATE(865),
    [sym_map_type] = STATE(865),
    [sym_channel_type] = STATE(865),
    [sym_function_type] = STATE(865),
    [sym_qualified_type] = STATE(865),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [sym_parenthesized_type] = STATE(1225),
    [sym__simple_type] = STATE(1225),
    [sym_pointer_type] = STATE(1225),
    [sym_array_type] = STATE(1225),
    [sym_slice_type] = STATE(1225),
    [sym_struct_type] = STATE(1225),
    [sym_interface_type] = STATE(1225),
    [sym_map_type] = STATE(1225),
    [sym_channel_type] = STATE(1225),
    [sym_function_type] = STATE(1225),
    [sym_qualified_type] = STATE(1225),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [sym_parenthesized_type] = STATE(1274),
    [sym__simple_type] = STATE(1274),
    [sym_pointer_type] = STATE(1274),
    [sym_array_type] = STATE(1274),
    [sym_slice_type] = STATE(1274),
    [sym_struct_type] = STATE(1274),
    [sym_interface_type] = STATE(1274),
    [sym_map_type] = STATE(1274),
    [sym_channel_type] = STATE(1274),
    [sym_function_type] = STATE(1274),
    [sym_qualified_type] = STATE(1274),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [718] = {
    [sym_parenthesized_type] = STATE(845),
    [sym__simple_type] = STATE(845),
    [sym_pointer_type] = STATE(845),
    [sym_array_type] = STATE(845),
    [sym_slice_type] = STATE(845),
    [sym_struct_type] = STATE(845),
    [sym_interface_type] = STATE(845),
    [sym_map_type] = STATE(845),
    [sym_channel_type] = STATE(845),
    [sym_function_type] = STATE(845),
    [sym_qualified_type] = STATE(845),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [719] = {
    [sym_parenthesized_type] = STATE(804),
    [sym__simple_type] = STATE(804),
    [sym_pointer_type] = STATE(804),
    [sym_array_type] = STATE(804),
    [sym_slice_type] = STATE(804),
    [sym_struct_type] = STATE(804),
    [sym_interface_type] = STATE(804),
    [sym_map_type] = STATE(804),
    [sym_channel_type] = STATE(804),
    [sym_function_type] = STATE(804),
    [sym_qualified_type] = STATE(804),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [720] = {
    [sym_parenthesized_type] = STATE(892),
    [sym__simple_type] = STATE(892),
    [sym_pointer_type] = STATE(892),
    [sym_array_type] = STATE(892),
    [sym_slice_type] = STATE(892),
    [sym_struct_type] = STATE(892),
    [sym_interface_type] = STATE(892),
    [sym_map_type] = STATE(892),
    [sym_channel_type] = STATE(892),
    [sym_function_type] = STATE(892),
    [sym_qualified_type] = STATE(892),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(711),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [721] = {
    [sym_parenthesized_type] = STATE(799),
    [sym__simple_type] = STATE(799),
    [sym_pointer_type] = STATE(799),
    [sym_array_type] = STATE(799),
    [sym_slice_type] = STATE(799),
    [sym_struct_type] = STATE(799),
    [sym_interface_type] = STATE(799),
    [sym_map_type] = STATE(799),
    [sym_channel_type] = STATE(799),
    [sym_function_type] = STATE(799),
    [sym_qualified_type] = STATE(799),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1798),
    [sym_comment] = ACTIONS(3),
  },
  [722] = {
    [sym_parenthesized_type] = STATE(856),
    [sym__simple_type] = STATE(856),
    [sym_pointer_type] = STATE(856),
    [sym_array_type] = STATE(856),
    [sym_slice_type] = STATE(856),
    [sym_struct_type] = STATE(856),
    [sym_interface_type] = STATE(856),
    [sym_map_type] = STATE(856),
    [sym_channel_type] = STATE(856),
    [sym_function_type] = STATE(856),
    [sym_qualified_type] = STATE(856),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [723] = {
    [sym_parenthesized_type] = STATE(852),
    [sym__simple_type] = STATE(852),
    [sym_pointer_type] = STATE(852),
    [sym_array_type] = STATE(852),
    [sym_slice_type] = STATE(852),
    [sym_struct_type] = STATE(852),
    [sym_interface_type] = STATE(852),
    [sym_map_type] = STATE(852),
    [sym_channel_type] = STATE(852),
    [sym_function_type] = STATE(852),
    [sym_qualified_type] = STATE(852),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
  },
  [724] = {
    [sym_parenthesized_type] = STATE(891),
    [sym__simple_type] = STATE(891),
    [sym_pointer_type] = STATE(891),
    [sym_array_type] = STATE(891),
    [sym_slice_type] = STATE(891),
    [sym_struct_type] = STATE(891),
    [sym_interface_type] = STATE(891),
    [sym_map_type] = STATE(891),
    [sym_channel_type] = STATE(891),
    [sym_function_type] = STATE(891),
    [sym_qualified_type] = STATE(891),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [725] = {
    [sym_parenthesized_type] = STATE(1100),
    [sym__simple_type] = STATE(1100),
    [sym_pointer_type] = STATE(1100),
    [sym_array_type] = STATE(1100),
    [sym_slice_type] = STATE(1100),
    [sym_struct_type] = STATE(1100),
    [sym_interface_type] = STATE(1100),
    [sym_map_type] = STATE(1100),
    [sym_channel_type] = STATE(1100),
    [sym_function_type] = STATE(1100),
    [sym_qualified_type] = STATE(1100),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [726] = {
    [sym_parenthesized_type] = STATE(1265),
    [sym__simple_type] = STATE(1265),
    [sym_pointer_type] = STATE(1265),
    [sym_array_type] = STATE(1265),
    [sym_slice_type] = STATE(1265),
    [sym_struct_type] = STATE(1265),
    [sym_interface_type] = STATE(1265),
    [sym_map_type] = STATE(1265),
    [sym_channel_type] = STATE(1265),
    [sym_function_type] = STATE(1265),
    [sym_qualified_type] = STATE(1265),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [727] = {
    [sym_parenthesized_type] = STATE(894),
    [sym__simple_type] = STATE(894),
    [sym_pointer_type] = STATE(894),
    [sym_array_type] = STATE(894),
    [sym_slice_type] = STATE(894),
    [sym_struct_type] = STATE(894),
    [sym_interface_type] = STATE(894),
    [sym_map_type] = STATE(894),
    [sym_channel_type] = STATE(894),
    [sym_function_type] = STATE(894),
    [sym_qualified_type] = STATE(894),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1883),
    [sym_comment] = ACTIONS(3),
  },
  [728] = {
    [sym_parenthesized_type] = STATE(854),
    [sym__simple_type] = STATE(854),
    [sym_pointer_type] = STATE(854),
    [sym_array_type] = STATE(854),
    [sym_slice_type] = STATE(854),
    [sym_struct_type] = STATE(854),
    [sym_interface_type] = STATE(854),
    [sym_map_type] = STATE(854),
    [sym_channel_type] = STATE(854),
    [sym_function_type] = STATE(854),
    [sym_qualified_type] = STATE(854),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [729] = {
    [sym_parenthesized_type] = STATE(874),
    [sym__simple_type] = STATE(874),
    [sym_pointer_type] = STATE(874),
    [sym_array_type] = STATE(874),
    [sym_slice_type] = STATE(874),
    [sym_struct_type] = STATE(874),
    [sym_interface_type] = STATE(874),
    [sym_map_type] = STATE(874),
    [sym_channel_type] = STATE(874),
    [sym_function_type] = STATE(874),
    [sym_qualified_type] = STATE(874),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_pointer_type] = STATE(1249),
    [sym_array_type] = STATE(1249),
    [sym_slice_type] = STATE(1249),
    [sym_struct_type] = STATE(1249),
    [sym_interface_type] = STATE(1249),
    [sym_map_type] = STATE(1249),
    [sym_channel_type] = STATE(1249),
    [sym_function_type] = STATE(1249),
    [sym_qualified_type] = STATE(1249),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [731] = {
    [sym_parenthesized_type] = STATE(857),
    [sym__simple_type] = STATE(857),
    [sym_pointer_type] = STATE(857),
    [sym_array_type] = STATE(857),
    [sym_slice_type] = STATE(857),
    [sym_struct_type] = STATE(857),
    [sym_interface_type] = STATE(857),
    [sym_map_type] = STATE(857),
    [sym_channel_type] = STATE(857),
    [sym_function_type] = STATE(857),
    [sym_qualified_type] = STATE(857),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1885),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [sym_parenthesized_type] = STATE(889),
    [sym__simple_type] = STATE(889),
    [sym_pointer_type] = STATE(889),
    [sym_array_type] = STATE(889),
    [sym_slice_type] = STATE(889),
    [sym_struct_type] = STATE(889),
    [sym_interface_type] = STATE(889),
    [sym_map_type] = STATE(889),
    [sym_channel_type] = STATE(889),
    [sym_function_type] = STATE(889),
    [sym_qualified_type] = STATE(889),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [733] = {
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1285),
    [sym_slice_type] = STATE(1285),
    [sym_struct_type] = STATE(1285),
    [sym_interface_type] = STATE(1285),
    [sym_map_type] = STATE(1285),
    [sym_channel_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym_qualified_type] = STATE(1285),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [sym_parenthesized_type] = STATE(878),
    [sym__simple_type] = STATE(878),
    [sym_pointer_type] = STATE(878),
    [sym_array_type] = STATE(878),
    [sym_slice_type] = STATE(878),
    [sym_struct_type] = STATE(878),
    [sym_interface_type] = STATE(878),
    [sym_map_type] = STATE(878),
    [sym_channel_type] = STATE(878),
    [sym_function_type] = STATE(878),
    [sym_qualified_type] = STATE(878),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1883),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [sym_parenthesized_type] = STATE(1135),
    [sym__simple_type] = STATE(1135),
    [sym_pointer_type] = STATE(1135),
    [sym_array_type] = STATE(1135),
    [sym_slice_type] = STATE(1135),
    [sym_struct_type] = STATE(1135),
    [sym_interface_type] = STATE(1135),
    [sym_map_type] = STATE(1135),
    [sym_channel_type] = STATE(1135),
    [sym_function_type] = STATE(1135),
    [sym_qualified_type] = STATE(1135),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [sym_parenthesized_type] = STATE(880),
    [sym__simple_type] = STATE(880),
    [sym_pointer_type] = STATE(880),
    [sym_array_type] = STATE(880),
    [sym_slice_type] = STATE(880),
    [sym_struct_type] = STATE(880),
    [sym_interface_type] = STATE(880),
    [sym_map_type] = STATE(880),
    [sym_channel_type] = STATE(880),
    [sym_function_type] = STATE(880),
    [sym_qualified_type] = STATE(880),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [737] = {
    [sym_parenthesized_type] = STATE(889),
    [sym__simple_type] = STATE(889),
    [sym_pointer_type] = STATE(889),
    [sym_array_type] = STATE(889),
    [sym_slice_type] = STATE(889),
    [sym_struct_type] = STATE(889),
    [sym_interface_type] = STATE(889),
    [sym_map_type] = STATE(889),
    [sym_channel_type] = STATE(889),
    [sym_function_type] = STATE(889),
    [sym_qualified_type] = STATE(889),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [sym_parenthesized_type] = STATE(861),
    [sym__simple_type] = STATE(861),
    [sym_pointer_type] = STATE(861),
    [sym_array_type] = STATE(861),
    [sym_slice_type] = STATE(861),
    [sym_struct_type] = STATE(861),
    [sym_interface_type] = STATE(861),
    [sym_map_type] = STATE(861),
    [sym_channel_type] = STATE(861),
    [sym_function_type] = STATE(861),
    [sym_qualified_type] = STATE(861),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_func] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_interface] = ACTIONS(1412),
    [anon_sym_map] = ACTIONS(1414),
    [anon_sym_chan] = ACTIONS(1416),
    [anon_sym_LT_DASH] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [sym_parenthesized_type] = STATE(784),
    [sym__simple_type] = STATE(784),
    [sym_pointer_type] = STATE(784),
    [sym_array_type] = STATE(784),
    [sym_slice_type] = STATE(784),
    [sym_struct_type] = STATE(784),
    [sym_interface_type] = STATE(784),
    [sym_map_type] = STATE(784),
    [sym_channel_type] = STATE(784),
    [sym_function_type] = STATE(784),
    [sym_qualified_type] = STATE(784),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_func] = ACTIONS(1345),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_map] = ACTIONS(1357),
    [anon_sym_chan] = ACTIONS(1359),
    [anon_sym_LT_DASH] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_parenthesized_type] = STATE(873),
    [sym__simple_type] = STATE(873),
    [sym_pointer_type] = STATE(873),
    [sym_array_type] = STATE(873),
    [sym_slice_type] = STATE(873),
    [sym_struct_type] = STATE(873),
    [sym_interface_type] = STATE(873),
    [sym_map_type] = STATE(873),
    [sym_channel_type] = STATE(873),
    [sym_function_type] = STATE(873),
    [sym_qualified_type] = STATE(873),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(45),
    [anon_sym_chan] = ACTIONS(47),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_parenthesized_type] = STATE(1081),
    [sym__simple_type] = STATE(1081),
    [sym_pointer_type] = STATE(1081),
    [sym_array_type] = STATE(1081),
    [sym_slice_type] = STATE(1081),
    [sym_struct_type] = STATE(1081),
    [sym_interface_type] = STATE(1081),
    [sym_map_type] = STATE(1081),
    [sym_channel_type] = STATE(1081),
    [sym_function_type] = STATE(1081),
    [sym_qualified_type] = STATE(1081),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [sym_parenthesized_type] = STATE(1132),
    [sym__simple_type] = STATE(1132),
    [sym_pointer_type] = STATE(1132),
    [sym_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_interface_type] = STATE(1132),
    [sym_map_type] = STATE(1132),
    [sym_channel_type] = STATE(1132),
    [sym_function_type] = STATE(1132),
    [sym_qualified_type] = STATE(1132),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [sym_parenthesized_type] = STATE(1228),
    [sym__simple_type] = STATE(1228),
    [sym_pointer_type] = STATE(1228),
    [sym_array_type] = STATE(1228),
    [sym_slice_type] = STATE(1228),
    [sym_struct_type] = STATE(1228),
    [sym_interface_type] = STATE(1228),
    [sym_map_type] = STATE(1228),
    [sym_channel_type] = STATE(1228),
    [sym_function_type] = STATE(1228),
    [sym_qualified_type] = STATE(1228),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_parenthesized_type] = STATE(1258),
    [sym__simple_type] = STATE(1258),
    [sym_pointer_type] = STATE(1258),
    [sym_array_type] = STATE(1258),
    [sym_slice_type] = STATE(1258),
    [sym_struct_type] = STATE(1258),
    [sym_interface_type] = STATE(1258),
    [sym_map_type] = STATE(1258),
    [sym_channel_type] = STATE(1258),
    [sym_function_type] = STATE(1258),
    [sym_qualified_type] = STATE(1258),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_parenthesized_type] = STATE(1118),
    [sym__simple_type] = STATE(1118),
    [sym_pointer_type] = STATE(1118),
    [sym_array_type] = STATE(1118),
    [sym_slice_type] = STATE(1118),
    [sym_struct_type] = STATE(1118),
    [sym_interface_type] = STATE(1118),
    [sym_map_type] = STATE(1118),
    [sym_channel_type] = STATE(1118),
    [sym_function_type] = STATE(1118),
    [sym_qualified_type] = STATE(1118),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_parenthesized_type] = STATE(1157),
    [sym__simple_type] = STATE(1157),
    [sym_pointer_type] = STATE(1157),
    [sym_array_type] = STATE(1157),
    [sym_slice_type] = STATE(1157),
    [sym_struct_type] = STATE(1157),
    [sym_interface_type] = STATE(1157),
    [sym_map_type] = STATE(1157),
    [sym_channel_type] = STATE(1157),
    [sym_function_type] = STATE(1157),
    [sym_qualified_type] = STATE(1157),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [sym_parenthesized_type] = STATE(1277),
    [sym__simple_type] = STATE(1277),
    [sym_pointer_type] = STATE(1277),
    [sym_array_type] = STATE(1277),
    [sym_slice_type] = STATE(1277),
    [sym_struct_type] = STATE(1277),
    [sym_interface_type] = STATE(1277),
    [sym_map_type] = STATE(1277),
    [sym_channel_type] = STATE(1277),
    [sym_function_type] = STATE(1277),
    [sym_qualified_type] = STATE(1277),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_parenthesized_type] = STATE(891),
    [sym__simple_type] = STATE(891),
    [sym_pointer_type] = STATE(891),
    [sym_array_type] = STATE(891),
    [sym_slice_type] = STATE(891),
    [sym_struct_type] = STATE(891),
    [sym_interface_type] = STATE(891),
    [sym_map_type] = STATE(891),
    [sym_channel_type] = STATE(891),
    [sym_function_type] = STATE(891),
    [sym_qualified_type] = STATE(891),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [749] = {
    [sym_parenthesized_type] = STATE(1262),
    [sym__simple_type] = STATE(1262),
    [sym_pointer_type] = STATE(1262),
    [sym_array_type] = STATE(1262),
    [sym_slice_type] = STATE(1262),
    [sym_struct_type] = STATE(1262),
    [sym_interface_type] = STATE(1262),
    [sym_map_type] = STATE(1262),
    [sym_channel_type] = STATE(1262),
    [sym_function_type] = STATE(1262),
    [sym_qualified_type] = STATE(1262),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1574),
    [anon_sym_func] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_struct] = ACTIONS(37),
    [anon_sym_interface] = ACTIONS(43),
    [anon_sym_map] = ACTIONS(1325),
    [anon_sym_chan] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_LF] = ACTIONS(1887),
    [anon_sym_SEMI] = ACTIONS(1889),
    [anon_sym_package] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_func] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_struct] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_chan] = ACTIONS(1889),
    [anon_sym_LT_DASH] = ACTIONS(1889),
    [sym_comment] = ACTIONS(199),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(1891),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_LF] = ACTIONS(1891),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_package] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_const] = ACTIONS(1893),
    [anon_sym_EQ] = ACTIONS(1893),
    [anon_sym_var] = ACTIONS(1893),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_type] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [anon_sym_struct] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_map] = ACTIONS(1893),
    [anon_sym_chan] = ACTIONS(1893),
    [anon_sym_LT_DASH] = ACTIONS(1893),
    [sym_comment] = ACTIONS(199),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(1868),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LF] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_package] = ACTIONS(1870),
    [anon_sym_import] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_const] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_var] = ACTIONS(1870),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_type] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1870),
    [sym_comment] = ACTIONS(199),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LF] = ACTIONS(1895),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_package] = ACTIONS(1897),
    [anon_sym_import] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1897),
    [anon_sym_EQ] = ACTIONS(1897),
    [anon_sym_var] = ACTIONS(1897),
    [anon_sym_func] = ACTIONS(1897),
    [anon_sym_type] = ACTIONS(1897),
    [anon_sym_STAR] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_map] = ACTIONS(1897),
    [anon_sym_chan] = ACTIONS(1897),
    [anon_sym_LT_DASH] = ACTIONS(1897),
    [sym_comment] = ACTIONS(199),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LF] = ACTIONS(1899),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_package] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_func] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_struct] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_map] = ACTIONS(1901),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1901),
    [sym_comment] = ACTIONS(199),
  },
  [755] = {
    [aux_sym_const_spec_repeat1] = STATE(755),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LF] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1870),
    [anon_sym_case] = ACTIONS(1870),
    [anon_sym_default] = ACTIONS(1870),
    [sym_comment] = ACTIONS(199),
  },
  [756] = {
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LF] = ACTIONS(1899),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_EQ] = ACTIONS(1901),
    [anon_sym_func] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_struct] = ACTIONS(1901),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_map] = ACTIONS(1901),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1901),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [sym_raw_string_literal] = ACTIONS(1901),
    [anon_sym_DQUOTE] = ACTIONS(1901),
    [sym_comment] = ACTIONS(199),
  },
  [757] = {
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_LF] = ACTIONS(1887),
    [anon_sym_SEMI] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_func] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_struct] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_chan] = ACTIONS(1889),
    [anon_sym_LT_DASH] = ACTIONS(1889),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1889),
    [sym_raw_string_literal] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(1889),
    [sym_comment] = ACTIONS(199),
  },
  [758] = {
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_LF] = ACTIONS(1891),
    [anon_sym_SEMI] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_EQ] = ACTIONS(1893),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1893),
    [anon_sym_LBRACK] = ACTIONS(1893),
    [anon_sym_struct] = ACTIONS(1893),
    [anon_sym_RBRACE] = ACTIONS(1893),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_map] = ACTIONS(1893),
    [anon_sym_chan] = ACTIONS(1893),
    [anon_sym_LT_DASH] = ACTIONS(1893),
    [anon_sym_case] = ACTIONS(1893),
    [anon_sym_default] = ACTIONS(1893),
    [sym_raw_string_literal] = ACTIONS(1893),
    [anon_sym_DQUOTE] = ACTIONS(1893),
    [sym_comment] = ACTIONS(199),
  },
  [759] = {
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LF] = ACTIONS(1895),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_EQ] = ACTIONS(1897),
    [anon_sym_func] = ACTIONS(1897),
    [anon_sym_STAR] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_struct] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1897),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_map] = ACTIONS(1897),
    [anon_sym_chan] = ACTIONS(1897),
    [anon_sym_LT_DASH] = ACTIONS(1897),
    [anon_sym_case] = ACTIONS(1897),
    [anon_sym_default] = ACTIONS(1897),
    [sym_raw_string_literal] = ACTIONS(1897),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [sym_comment] = ACTIONS(199),
  },
  [760] = {
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LF] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_COMMA] = ACTIONS(1870),
    [anon_sym_EQ] = ACTIONS(1870),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1870),
    [anon_sym_case] = ACTIONS(1870),
    [anon_sym_default] = ACTIONS(1870),
    [sym_comment] = ACTIONS(199),
  },
  [761] = {
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_RPAREN] = ACTIONS(1895),
    [anon_sym_COMMA] = ACTIONS(1895),
    [anon_sym_EQ] = ACTIONS(1895),
    [anon_sym_func] = ACTIONS(1897),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_RBRACK] = ACTIONS(1895),
    [anon_sym_struct] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_map] = ACTIONS(1897),
    [anon_sym_chan] = ACTIONS(1897),
    [anon_sym_LT_DASH] = ACTIONS(1895),
    [anon_sym_COLON] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
  },
  [762] = {
    [sym_package_clause] = STATE(840),
    [sym_import_declaration] = STATE(840),
    [sym__declaration] = STATE(840),
    [sym_const_declaration] = STATE(840),
    [sym_var_declaration] = STATE(840),
    [sym_function_declaration] = STATE(840),
    [sym_method_declaration] = STATE(840),
    [sym_type_declaration] = STATE(840),
    [aux_sym_source_file_repeat1] = STATE(762),
    [ts_builtin_sym_end] = ACTIONS(1906),
    [anon_sym_package] = ACTIONS(1908),
    [anon_sym_import] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1914),
    [anon_sym_var] = ACTIONS(1917),
    [anon_sym_func] = ACTIONS(1920),
    [anon_sym_type] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
  },
  [763] = {
    [sym_package_clause] = STATE(840),
    [sym_import_declaration] = STATE(840),
    [sym__declaration] = STATE(840),
    [sym_const_declaration] = STATE(840),
    [sym_var_declaration] = STATE(840),
    [sym_function_declaration] = STATE(840),
    [sym_method_declaration] = STATE(840),
    [sym_type_declaration] = STATE(840),
    [aux_sym_source_file_repeat1] = STATE(762),
    [ts_builtin_sym_end] = ACTIONS(1926),
    [anon_sym_package] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_const] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_func] = ACTIONS(15),
    [anon_sym_type] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
  },
  [764] = {
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_RPAREN] = ACTIONS(1899),
    [anon_sym_COMMA] = ACTIONS(1899),
    [anon_sym_EQ] = ACTIONS(1899),
    [anon_sym_func] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_RBRACK] = ACTIONS(1899),
    [anon_sym_struct] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_map] = ACTIONS(1901),
    [anon_sym_chan] = ACTIONS(1901),
    [anon_sym_LT_DASH] = ACTIONS(1899),
    [anon_sym_COLON] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
  },
  [765] = {
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_LPAREN] = ACTIONS(1891),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_COMMA] = ACTIONS(1891),
    [anon_sym_EQ] = ACTIONS(1891),
    [anon_sym_func] = ACTIONS(1893),
    [anon_sym_STAR] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1891),
    [anon_sym_RBRACK] = ACTIONS(1891),
    [anon_sym_struct] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1891),
    [anon_sym_interface] = ACTIONS(1893),
    [anon_sym_map] = ACTIONS(1893),
    [anon_sym_chan] = ACTIONS(1893),
    [anon_sym_LT_DASH] = ACTIONS(1891),
    [anon_sym_COLON] = ACTIONS(1891),
    [sym_comment] = ACTIONS(3),
  },
  [766] = {
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_COMMA] = ACTIONS(1887),
    [anon_sym_EQ] = ACTIONS(1887),
    [anon_sym_func] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [anon_sym_RBRACK] = ACTIONS(1887),
    [anon_sym_struct] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_chan] = ACTIONS(1889),
    [anon_sym_LT_DASH] = ACTIONS(1887),
    [anon_sym_COLON] = ACTIONS(1887),
    [sym_comment] = ACTIONS(3),
  },
  [767] = {
    [aux_sym_expression_list_repeat1] = STATE(767),
    [anon_sym_COMMA] = ACTIONS(1928),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COLON_EQ] = ACTIONS(1263),
    [anon_sym_STAR_EQ] = ACTIONS(1263),
    [anon_sym_SLASH_EQ] = ACTIONS(1263),
    [anon_sym_PERCENT_EQ] = ACTIONS(1263),
    [anon_sym_LT_LT_EQ] = ACTIONS(1263),
    [anon_sym_GT_GT_EQ] = ACTIONS(1263),
    [anon_sym_AMP_EQ] = ACTIONS(1263),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1263),
    [anon_sym_PLUS_EQ] = ACTIONS(1263),
    [anon_sym_DASH_EQ] = ACTIONS(1263),
    [anon_sym_PIPE_EQ] = ACTIONS(1263),
    [anon_sym_CARET_EQ] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [768] = {
    [aux_sym_expression_list_repeat1] = STATE(767),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(1931),
    [anon_sym_COLON_EQ] = ACTIONS(1931),
    [anon_sym_STAR_EQ] = ACTIONS(1931),
    [anon_sym_SLASH_EQ] = ACTIONS(1931),
    [anon_sym_PERCENT_EQ] = ACTIONS(1931),
    [anon_sym_LT_LT_EQ] = ACTIONS(1931),
    [anon_sym_GT_GT_EQ] = ACTIONS(1931),
    [anon_sym_AMP_EQ] = ACTIONS(1931),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1931),
    [anon_sym_PLUS_EQ] = ACTIONS(1931),
    [anon_sym_DASH_EQ] = ACTIONS(1931),
    [anon_sym_PIPE_EQ] = ACTIONS(1931),
    [anon_sym_CARET_EQ] = ACTIONS(1931),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [anon_sym_EQ] = ACTIONS(1933),
    [anon_sym_COLON_EQ] = ACTIONS(1935),
    [anon_sym_STAR_EQ] = ACTIONS(1933),
    [anon_sym_SLASH_EQ] = ACTIONS(1933),
    [anon_sym_PERCENT_EQ] = ACTIONS(1933),
    [anon_sym_LT_LT_EQ] = ACTIONS(1933),
    [anon_sym_GT_GT_EQ] = ACTIONS(1933),
    [anon_sym_AMP_EQ] = ACTIONS(1933),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1933),
    [anon_sym_PLUS_EQ] = ACTIONS(1933),
    [anon_sym_DASH_EQ] = ACTIONS(1933),
    [anon_sym_PIPE_EQ] = ACTIONS(1933),
    [anon_sym_CARET_EQ] = ACTIONS(1933),
    [sym_comment] = ACTIONS(3),
  },
  [770] = {
    [aux_sym_const_spec_repeat1] = STATE(770),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1868),
    [anon_sym_COMMA] = ACTIONS(1937),
    [anon_sym_EQ] = ACTIONS(1868),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LBRACK] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1868),
    [sym_comment] = ACTIONS(3),
  },
  [771] = {
    [anon_sym_EQ] = ACTIONS(1940),
    [anon_sym_COLON_EQ] = ACTIONS(1942),
    [anon_sym_STAR_EQ] = ACTIONS(1944),
    [anon_sym_SLASH_EQ] = ACTIONS(1944),
    [anon_sym_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_LT_LT_EQ] = ACTIONS(1944),
    [anon_sym_GT_GT_EQ] = ACTIONS(1944),
    [anon_sym_AMP_EQ] = ACTIONS(1944),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_EQ] = ACTIONS(1944),
    [anon_sym_DASH_EQ] = ACTIONS(1944),
    [anon_sym_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_CARET_EQ] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
  },
  [772] = {
    [anon_sym_EQ] = ACTIONS(1946),
    [anon_sym_COLON_EQ] = ACTIONS(1948),
    [anon_sym_STAR_EQ] = ACTIONS(1946),
    [anon_sym_SLASH_EQ] = ACTIONS(1946),
    [anon_sym_PERCENT_EQ] = ACTIONS(1946),
    [anon_sym_LT_LT_EQ] = ACTIONS(1946),
    [anon_sym_GT_GT_EQ] = ACTIONS(1946),
    [anon_sym_AMP_EQ] = ACTIONS(1946),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1946),
    [anon_sym_PLUS_EQ] = ACTIONS(1946),
    [anon_sym_DASH_EQ] = ACTIONS(1946),
    [anon_sym_PIPE_EQ] = ACTIONS(1946),
    [anon_sym_CARET_EQ] = ACTIONS(1946),
    [sym_comment] = ACTIONS(3),
  },
  [773] = {
    [anon_sym_EQ] = ACTIONS(1944),
    [anon_sym_COLON_EQ] = ACTIONS(1950),
    [anon_sym_STAR_EQ] = ACTIONS(1944),
    [anon_sym_SLASH_EQ] = ACTIONS(1944),
    [anon_sym_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_LT_LT_EQ] = ACTIONS(1944),
    [anon_sym_GT_GT_EQ] = ACTIONS(1944),
    [anon_sym_AMP_EQ] = ACTIONS(1944),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_EQ] = ACTIONS(1944),
    [anon_sym_DASH_EQ] = ACTIONS(1944),
    [anon_sym_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_CARET_EQ] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
  },
  [774] = {
    [anon_sym_EQ] = ACTIONS(1944),
    [anon_sym_COLON_EQ] = ACTIONS(1952),
    [anon_sym_STAR_EQ] = ACTIONS(1944),
    [anon_sym_SLASH_EQ] = ACTIONS(1944),
    [anon_sym_PERCENT_EQ] = ACTIONS(1944),
    [anon_sym_LT_LT_EQ] = ACTIONS(1944),
    [anon_sym_GT_GT_EQ] = ACTIONS(1944),
    [anon_sym_AMP_EQ] = ACTIONS(1944),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1944),
    [anon_sym_PLUS_EQ] = ACTIONS(1944),
    [anon_sym_DASH_EQ] = ACTIONS(1944),
    [anon_sym_PIPE_EQ] = ACTIONS(1944),
    [anon_sym_CARET_EQ] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
  },
  [775] = {
    [aux_sym_field_name_list_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_func] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1954),
    [anon_sym_interface] = ACTIONS(1954),
    [anon_sym_map] = ACTIONS(1954),
    [anon_sym_chan] = ACTIONS(1954),
    [anon_sym_LT_DASH] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1598),
    [anon_sym_LF] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym_package] = ACTIONS(1961),
    [anon_sym_import] = ACTIONS(1961),
    [anon_sym_DOT] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1961),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_var] = ACTIONS(1961),
    [anon_sym_func] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [sym_comment] = ACTIONS(199),
  },
  [777] = {
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1868),
    [anon_sym_COMMA] = ACTIONS(1868),
    [anon_sym_EQ] = ACTIONS(1868),
    [anon_sym_func] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1868),
    [anon_sym_LBRACK] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1870),
    [anon_sym_interface] = ACTIONS(1870),
    [anon_sym_map] = ACTIONS(1870),
    [anon_sym_chan] = ACTIONS(1870),
    [anon_sym_LT_DASH] = ACTIONS(1868),
    [sym_comment] = ACTIONS(3),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(1965),
    [anon_sym_LF] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym_package] = ACTIONS(1967),
    [anon_sym_import] = ACTIONS(1967),
    [anon_sym_const] = ACTIONS(1967),
    [anon_sym_EQ] = ACTIONS(1967),
    [anon_sym_var] = ACTIONS(1967),
    [anon_sym_func] = ACTIONS(1967),
    [anon_sym_type] = ACTIONS(1967),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [sym_comment] = ACTIONS(199),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(1969),
    [anon_sym_LF] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_package] = ACTIONS(1971),
    [anon_sym_import] = ACTIONS(1971),
    [anon_sym_const] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_var] = ACTIONS(1971),
    [anon_sym_func] = ACTIONS(1971),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [sym_comment] = ACTIONS(199),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(1973),
    [anon_sym_LF] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_package] = ACTIONS(1975),
    [anon_sym_import] = ACTIONS(1975),
    [anon_sym_const] = ACTIONS(1975),
    [anon_sym_EQ] = ACTIONS(1975),
    [anon_sym_var] = ACTIONS(1975),
    [anon_sym_func] = ACTIONS(1975),
    [anon_sym_type] = ACTIONS(1975),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(199),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(1977),
    [anon_sym_LF] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1979),
    [anon_sym_package] = ACTIONS(1979),
    [anon_sym_import] = ACTIONS(1979),
    [anon_sym_const] = ACTIONS(1979),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_var] = ACTIONS(1979),
    [anon_sym_func] = ACTIONS(1979),
    [anon_sym_type] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1979),
    [sym_comment] = ACTIONS(199),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(1981),
    [anon_sym_LF] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1983),
    [anon_sym_package] = ACTIONS(1983),
    [anon_sym_import] = ACTIONS(1983),
    [anon_sym_const] = ACTIONS(1983),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_var] = ACTIONS(1983),
    [anon_sym_func] = ACTIONS(1983),
    [anon_sym_type] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(199),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(1985),
    [anon_sym_LF] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1987),
    [anon_sym_package] = ACTIONS(1987),
    [anon_sym_import] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_var] = ACTIONS(1987),
    [anon_sym_func] = ACTIONS(1987),
    [anon_sym_type] = ACTIONS(1987),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [sym_comment] = ACTIONS(199),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_package] = ACTIONS(1991),
    [anon_sym_import] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_var] = ACTIONS(1991),
    [anon_sym_func] = ACTIONS(1991),
    [anon_sym_type] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_package] = ACTIONS(1991),
    [anon_sym_import] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_var] = ACTIONS(1991),
    [anon_sym_func] = ACTIONS(1991),
    [anon_sym_type] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [786] = {
    [sym_block] = STATE(830),
    [ts_builtin_sym_end] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1995),
    [anon_sym_package] = ACTIONS(1995),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_var] = ACTIONS(1995),
    [anon_sym_func] = ACTIONS(1995),
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(199),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(1997),
    [anon_sym_LF] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym_package] = ACTIONS(1999),
    [anon_sym_import] = ACTIONS(1999),
    [anon_sym_const] = ACTIONS(1999),
    [anon_sym_EQ] = ACTIONS(1999),
    [anon_sym_var] = ACTIONS(1999),
    [anon_sym_func] = ACTIONS(1999),
    [anon_sym_type] = ACTIONS(1999),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [sym_comment] = ACTIONS(199),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2001),
    [anon_sym_LF] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_package] = ACTIONS(2003),
    [anon_sym_import] = ACTIONS(2003),
    [anon_sym_const] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(2003),
    [anon_sym_var] = ACTIONS(2003),
    [anon_sym_func] = ACTIONS(2003),
    [anon_sym_type] = ACTIONS(2003),
    [anon_sym_LBRACE] = ACTIONS(2003),
    [sym_comment] = ACTIONS(199),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(2005),
    [anon_sym_LF] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_import] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_var] = ACTIONS(2007),
    [anon_sym_func] = ACTIONS(2007),
    [anon_sym_type] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [sym_comment] = ACTIONS(199),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2009),
    [anon_sym_LF] = ACTIONS(2009),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym_package] = ACTIONS(2011),
    [anon_sym_import] = ACTIONS(2011),
    [anon_sym_const] = ACTIONS(2011),
    [anon_sym_EQ] = ACTIONS(2011),
    [anon_sym_var] = ACTIONS(2011),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_type] = ACTIONS(2011),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [sym_comment] = ACTIONS(199),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2013),
    [anon_sym_LF] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_package] = ACTIONS(2015),
    [anon_sym_import] = ACTIONS(2015),
    [anon_sym_const] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2015),
    [anon_sym_var] = ACTIONS(2015),
    [anon_sym_func] = ACTIONS(2015),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [sym_comment] = ACTIONS(199),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2017),
    [anon_sym_LF] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_package] = ACTIONS(2019),
    [anon_sym_import] = ACTIONS(2019),
    [anon_sym_const] = ACTIONS(2019),
    [anon_sym_EQ] = ACTIONS(2019),
    [anon_sym_var] = ACTIONS(2019),
    [anon_sym_func] = ACTIONS(2019),
    [anon_sym_type] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [sym_comment] = ACTIONS(199),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2023),
    [anon_sym_COMMA] = ACTIONS(2023),
    [anon_sym_func] = ACTIONS(2021),
    [anon_sym_STAR] = ACTIONS(2023),
    [anon_sym_LBRACK] = ACTIONS(2023),
    [anon_sym_struct] = ACTIONS(2021),
    [anon_sym_interface] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_chan] = ACTIONS(2021),
    [anon_sym_LT_DASH] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2025),
    [anon_sym_LF] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2027),
    [anon_sym_package] = ACTIONS(2027),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2027),
    [anon_sym_EQ] = ACTIONS(2027),
    [anon_sym_var] = ACTIONS(2027),
    [anon_sym_func] = ACTIONS(2027),
    [anon_sym_type] = ACTIONS(2027),
    [anon_sym_LBRACE] = ACTIONS(2027),
    [sym_comment] = ACTIONS(199),
  },
  [795] = {
    [aux_sym_expression_list_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(1931),
    [anon_sym_LF] = ACTIONS(1931),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_package] = ACTIONS(2029),
    [anon_sym_import] = ACTIONS(2029),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_COMMA] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(2029),
    [anon_sym_func] = ACTIONS(2029),
    [anon_sym_type] = ACTIONS(2029),
    [sym_comment] = ACTIONS(199),
  },
  [796] = {
    [aux_sym_expression_list_repeat1] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_package] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1265),
    [anon_sym_const] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(2031),
    [anon_sym_var] = ACTIONS(1265),
    [anon_sym_func] = ACTIONS(1265),
    [anon_sym_type] = ACTIONS(1265),
    [sym_comment] = ACTIONS(199),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [anon_sym_LF] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_package] = ACTIONS(2036),
    [anon_sym_import] = ACTIONS(2036),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_var] = ACTIONS(2036),
    [anon_sym_func] = ACTIONS(2036),
    [anon_sym_type] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [sym_comment] = ACTIONS(199),
  },
  [798] = {
    [sym_block] = STATE(831),
    [ts_builtin_sym_end] = ACTIONS(2038),
    [anon_sym_LF] = ACTIONS(2038),
    [anon_sym_SEMI] = ACTIONS(2040),
    [anon_sym_package] = ACTIONS(2040),
    [anon_sym_import] = ACTIONS(2040),
    [anon_sym_const] = ACTIONS(2040),
    [anon_sym_var] = ACTIONS(2040),
    [anon_sym_func] = ACTIONS(2040),
    [anon_sym_type] = ACTIONS(2040),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [sym_comment] = ACTIONS(199),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_package] = ACTIONS(1991),
    [anon_sym_import] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_var] = ACTIONS(1991),
    [anon_sym_func] = ACTIONS(1991),
    [anon_sym_type] = ACTIONS(1991),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2042),
    [anon_sym_LF] = ACTIONS(2042),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_package] = ACTIONS(2044),
    [anon_sym_import] = ACTIONS(2044),
    [anon_sym_const] = ACTIONS(2044),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_var] = ACTIONS(2044),
    [anon_sym_func] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2044),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [sym_comment] = ACTIONS(199),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(2046),
    [anon_sym_LF] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_package] = ACTIONS(2048),
    [anon_sym_import] = ACTIONS(2048),
    [anon_sym_const] = ACTIONS(2048),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_var] = ACTIONS(2048),
    [anon_sym_func] = ACTIONS(2048),
    [anon_sym_type] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [sym_comment] = ACTIONS(199),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2050),
    [anon_sym_LF] = ACTIONS(2050),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_package] = ACTIONS(2052),
    [anon_sym_import] = ACTIONS(2052),
    [anon_sym_const] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_var] = ACTIONS(2052),
    [anon_sym_func] = ACTIONS(2052),
    [anon_sym_type] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [sym_comment] = ACTIONS(199),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(2054),
    [anon_sym_LF] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_const] = ACTIONS(2056),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_var] = ACTIONS(2056),
    [anon_sym_func] = ACTIONS(2056),
    [anon_sym_type] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2056),
    [sym_comment] = ACTIONS(199),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2058),
    [anon_sym_LF] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_package] = ACTIONS(2060),
    [anon_sym_import] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_EQ] = ACTIONS(2060),
    [anon_sym_var] = ACTIONS(2060),
    [anon_sym_func] = ACTIONS(2060),
    [anon_sym_type] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [sym_comment] = ACTIONS(199),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2062),
    [anon_sym_LF] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_package] = ACTIONS(2064),
    [anon_sym_import] = ACTIONS(2064),
    [anon_sym_const] = ACTIONS(2064),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_var] = ACTIONS(2064),
    [anon_sym_func] = ACTIONS(2064),
    [anon_sym_type] = ACTIONS(2064),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [sym_comment] = ACTIONS(199),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2066),
    [anon_sym_LF] = ACTIONS(2066),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_package] = ACTIONS(2068),
    [anon_sym_import] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_var] = ACTIONS(2068),
    [anon_sym_func] = ACTIONS(2068),
    [anon_sym_type] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [sym_comment] = ACTIONS(199),
  },
  [807] = {
    [sym_import_spec] = STATE(1205),
    [sym_dot] = STATE(1152),
    [sym_interpreted_string_literal] = STATE(1168),
    [aux_sym_import_spec_list_repeat1] = STATE(808),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2072),
    [sym_blank_identifier] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [sym_raw_string_literal] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_import_spec] = STATE(1205),
    [sym_dot] = STATE(1152),
    [sym_interpreted_string_literal] = STATE(1168),
    [aux_sym_import_spec_list_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_DOT] = ACTIONS(2072),
    [sym_blank_identifier] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2080),
    [sym_raw_string_literal] = ACTIONS(2078),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_comment] = ACTIONS(3),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2082),
    [anon_sym_LF] = ACTIONS(2082),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_package] = ACTIONS(2084),
    [anon_sym_import] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_EQ] = ACTIONS(2086),
    [anon_sym_var] = ACTIONS(2084),
    [anon_sym_func] = ACTIONS(2084),
    [anon_sym_type] = ACTIONS(2084),
    [sym_comment] = ACTIONS(199),
  },
  [810] = {
    [sym_import_spec] = STATE(1205),
    [sym_dot] = STATE(1152),
    [sym_interpreted_string_literal] = STATE(1168),
    [aux_sym_import_spec_list_repeat1] = STATE(810),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_DOT] = ACTIONS(2091),
    [sym_blank_identifier] = ACTIONS(2094),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [sym_raw_string_literal] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
  },
  [811] = {
    [sym_import_spec] = STATE(818),
    [sym_dot] = STATE(1073),
    [sym_import_spec_list] = STATE(818),
    [sym_interpreted_string_literal] = STATE(824),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_DOT] = ACTIONS(2072),
    [sym_blank_identifier] = ACTIONS(2107),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [sym_raw_string_literal] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2113),
    [anon_sym_LF] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym_package] = ACTIONS(2115),
    [anon_sym_import] = ACTIONS(2115),
    [anon_sym_const] = ACTIONS(2115),
    [anon_sym_EQ] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2115),
    [anon_sym_func] = ACTIONS(2115),
    [anon_sym_type] = ACTIONS(2115),
    [sym_comment] = ACTIONS(199),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [anon_sym_LF] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_package] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_func] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [sym_comment] = ACTIONS(199),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2123),
    [anon_sym_LF] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_package] = ACTIONS(2125),
    [anon_sym_import] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_var] = ACTIONS(2125),
    [anon_sym_func] = ACTIONS(2125),
    [anon_sym_type] = ACTIONS(2125),
    [sym_comment] = ACTIONS(199),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2127),
    [anon_sym_LF] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym_package] = ACTIONS(2129),
    [anon_sym_import] = ACTIONS(2129),
    [anon_sym_const] = ACTIONS(2129),
    [anon_sym_var] = ACTIONS(2129),
    [anon_sym_func] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2129),
    [sym_comment] = ACTIONS(199),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [anon_sym_LF] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_package] = ACTIONS(2133),
    [anon_sym_import] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_var] = ACTIONS(2133),
    [anon_sym_func] = ACTIONS(2133),
    [anon_sym_type] = ACTIONS(2133),
    [sym_comment] = ACTIONS(199),
  },
  [817] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [anon_sym_LF] = ACTIONS(2135),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_func] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [sym_comment] = ACTIONS(199),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [anon_sym_LF] = ACTIONS(2139),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_func] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [sym_comment] = ACTIONS(199),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2143),
    [anon_sym_LF] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_package] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_func] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [sym_comment] = ACTIONS(199),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2147),
    [anon_sym_LF] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_package] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_func] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [sym_comment] = ACTIONS(199),
  },
  [821] = {
    [anon_sym_LF] = ACTIONS(1598),
    [anon_sym_SEMI] = ACTIONS(1961),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_RBRACE] = ACTIONS(1961),
    [anon_sym_case] = ACTIONS(1961),
    [anon_sym_default] = ACTIONS(1961),
    [sym_raw_string_literal] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [sym_comment] = ACTIONS(199),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [anon_sym_LF] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym_package] = ACTIONS(2153),
    [anon_sym_import] = ACTIONS(2153),
    [anon_sym_const] = ACTIONS(2153),
    [anon_sym_var] = ACTIONS(2153),
    [anon_sym_func] = ACTIONS(2153),
    [anon_sym_type] = ACTIONS(2153),
    [sym_comment] = ACTIONS(199),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2155),
    [anon_sym_LF] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_package] = ACTIONS(2157),
    [anon_sym_import] = ACTIONS(2157),
    [anon_sym_const] = ACTIONS(2157),
    [anon_sym_var] = ACTIONS(2157),
    [anon_sym_func] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2157),
    [sym_comment] = ACTIONS(199),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2159),
    [anon_sym_LF] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_package] = ACTIONS(2161),
    [anon_sym_import] = ACTIONS(2161),
    [anon_sym_const] = ACTIONS(2161),
    [anon_sym_var] = ACTIONS(2161),
    [anon_sym_func] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2161),
    [sym_comment] = ACTIONS(199),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2163),
    [anon_sym_LF] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_package] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_func] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [sym_comment] = ACTIONS(199),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2167),
    [anon_sym_LF] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_package] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_func] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [sym_comment] = ACTIONS(199),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [anon_sym_LF] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_package] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_func] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [sym_comment] = ACTIONS(199),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [anon_sym_LF] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_package] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_func] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [sym_comment] = ACTIONS(199),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [anon_sym_LF] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_package] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_func] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [sym_comment] = ACTIONS(199),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2183),
    [anon_sym_LF] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_package] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_func] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [sym_comment] = ACTIONS(199),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2187),
    [anon_sym_LF] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_package] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_func] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [sym_comment] = ACTIONS(199),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [anon_sym_LF] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_package] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_func] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [sym_comment] = ACTIONS(199),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [anon_sym_LF] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_package] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_func] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [sym_comment] = ACTIONS(199),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2199),
    [anon_sym_LF] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_package] = ACTIONS(2201),
    [anon_sym_import] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_var] = ACTIONS(2201),
    [anon_sym_func] = ACTIONS(2201),
    [anon_sym_type] = ACTIONS(2201),
    [sym_comment] = ACTIONS(199),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [anon_sym_LF] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_package] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_func] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [sym_comment] = ACTIONS(199),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [anon_sym_LF] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_package] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_func] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [sym_comment] = ACTIONS(199),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [anon_sym_LF] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_package] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_func] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [sym_comment] = ACTIONS(199),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2215),
    [anon_sym_LF] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_package] = ACTIONS(2217),
    [anon_sym_import] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_var] = ACTIONS(2217),
    [anon_sym_func] = ACTIONS(2217),
    [anon_sym_type] = ACTIONS(2217),
    [sym_comment] = ACTIONS(199),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2219),
    [anon_sym_LF] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_package] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_func] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [sym_comment] = ACTIONS(199),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2223),
    [anon_sym_LF] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_package] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_func] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [sym_comment] = ACTIONS(199),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2231),
    [anon_sym_LF] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_package] = ACTIONS(2233),
    [anon_sym_import] = ACTIONS(2233),
    [anon_sym_const] = ACTIONS(2233),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_func] = ACTIONS(2233),
    [anon_sym_type] = ACTIONS(2233),
    [sym_comment] = ACTIONS(199),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2235),
    [anon_sym_LF] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_package] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_func] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [sym_comment] = ACTIONS(199),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2239),
    [anon_sym_LF] = ACTIONS(2239),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_package] = ACTIONS(2241),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_func] = ACTIONS(2241),
    [anon_sym_type] = ACTIONS(2241),
    [sym_comment] = ACTIONS(199),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2243),
    [anon_sym_LF] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_package] = ACTIONS(2245),
    [anon_sym_import] = ACTIONS(2245),
    [anon_sym_const] = ACTIONS(2245),
    [anon_sym_var] = ACTIONS(2245),
    [anon_sym_func] = ACTIONS(2245),
    [anon_sym_type] = ACTIONS(2245),
    [sym_comment] = ACTIONS(199),
  },
  [845] = {
    [anon_sym_LF] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_EQ] = ACTIONS(2019),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_case] = ACTIONS(2019),
    [anon_sym_default] = ACTIONS(2019),
    [sym_raw_string_literal] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [sym_comment] = ACTIONS(199),
  },
  [846] = {
    [anon_sym_LF] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_EQ] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_case] = ACTIONS(2015),
    [anon_sym_default] = ACTIONS(2015),
    [sym_raw_string_literal] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [sym_comment] = ACTIONS(199),
  },
  [847] = {
    [anon_sym_LF] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_EQ] = ACTIONS(2048),
    [anon_sym_RBRACE] = ACTIONS(2048),
    [anon_sym_case] = ACTIONS(2048),
    [anon_sym_default] = ACTIONS(2048),
    [sym_raw_string_literal] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_comment] = ACTIONS(199),
  },
  [848] = {
    [anon_sym_LF] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2056),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_case] = ACTIONS(2056),
    [anon_sym_default] = ACTIONS(2056),
    [sym_raw_string_literal] = ACTIONS(2056),
    [anon_sym_DQUOTE] = ACTIONS(2056),
    [sym_comment] = ACTIONS(199),
  },
  [849] = {
    [anon_sym_LF] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_EQ] = ACTIONS(2060),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_case] = ACTIONS(2060),
    [anon_sym_default] = ACTIONS(2060),
    [sym_raw_string_literal] = ACTIONS(2060),
    [anon_sym_DQUOTE] = ACTIONS(2060),
    [sym_comment] = ACTIONS(199),
  },
  [850] = {
    [anon_sym_LF] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2007),
    [anon_sym_default] = ACTIONS(2007),
    [sym_raw_string_literal] = ACTIONS(2007),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [sym_comment] = ACTIONS(199),
  },
  [851] = {
    [anon_sym_LF] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym_EQ] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1967),
    [anon_sym_default] = ACTIONS(1967),
    [sym_raw_string_literal] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [sym_comment] = ACTIONS(199),
  },
  [852] = {
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [sym_raw_string_literal] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [853] = {
    [anon_sym_LF] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_EQ] = ACTIONS(2036),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_case] = ACTIONS(2036),
    [anon_sym_default] = ACTIONS(2036),
    [sym_raw_string_literal] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_comment] = ACTIONS(199),
  },
  [854] = {
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [sym_raw_string_literal] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [855] = {
    [anon_sym_LF] = ACTIONS(2050),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [anon_sym_case] = ACTIONS(2052),
    [anon_sym_default] = ACTIONS(2052),
    [sym_raw_string_literal] = ACTIONS(2052),
    [anon_sym_DQUOTE] = ACTIONS(2052),
    [sym_comment] = ACTIONS(199),
  },
  [856] = {
    [anon_sym_LF] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_EQ] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1975),
    [anon_sym_default] = ACTIONS(1975),
    [sym_raw_string_literal] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(199),
  },
  [857] = {
    [anon_sym_LF] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_default] = ACTIONS(1991),
    [sym_raw_string_literal] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(199),
  },
  [858] = {
    [anon_sym_LF] = ACTIONS(2042),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_EQ] = ACTIONS(2044),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_case] = ACTIONS(2044),
    [anon_sym_default] = ACTIONS(2044),
    [sym_raw_string_literal] = ACTIONS(2044),
    [anon_sym_DQUOTE] = ACTIONS(2044),
    [sym_comment] = ACTIONS(199),
  },
  [859] = {
    [anon_sym_LF] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_EQ] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2003),
    [anon_sym_default] = ACTIONS(2003),
    [sym_raw_string_literal] = ACTIONS(2003),
    [anon_sym_DQUOTE] = ACTIONS(2003),
    [sym_comment] = ACTIONS(199),
  },
  [860] = {
    [anon_sym_LF] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2027),
    [anon_sym_EQ] = ACTIONS(2027),
    [anon_sym_RBRACE] = ACTIONS(2027),
    [anon_sym_case] = ACTIONS(2027),
    [anon_sym_default] = ACTIONS(2027),
    [sym_raw_string_literal] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [sym_comment] = ACTIONS(199),
  },
  [861] = {
    [anon_sym_LF] = ACTIONS(2009),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym_EQ] = ACTIONS(2011),
    [anon_sym_RBRACE] = ACTIONS(2011),
    [anon_sym_case] = ACTIONS(2011),
    [anon_sym_default] = ACTIONS(2011),
    [sym_raw_string_literal] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [sym_comment] = ACTIONS(199),
  },
  [862] = {
    [anon_sym_LF] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_RBRACE] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_default] = ACTIONS(1987),
    [sym_raw_string_literal] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1987),
    [sym_comment] = ACTIONS(199),
  },
  [863] = {
    [anon_sym_LF] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1979),
    [anon_sym_EQ] = ACTIONS(1979),
    [anon_sym_RBRACE] = ACTIONS(1979),
    [anon_sym_case] = ACTIONS(1979),
    [anon_sym_default] = ACTIONS(1979),
    [sym_raw_string_literal] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [sym_comment] = ACTIONS(199),
  },
  [864] = {
    [anon_sym_LF] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym_EQ] = ACTIONS(1999),
    [anon_sym_RBRACE] = ACTIONS(1999),
    [anon_sym_case] = ACTIONS(1999),
    [anon_sym_default] = ACTIONS(1999),
    [sym_raw_string_literal] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [sym_comment] = ACTIONS(199),
  },
  [865] = {
    [anon_sym_LF] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_case] = ACTIONS(2064),
    [anon_sym_default] = ACTIONS(2064),
    [sym_raw_string_literal] = ACTIONS(2064),
    [anon_sym_DQUOTE] = ACTIONS(2064),
    [sym_comment] = ACTIONS(199),
  },
  [866] = {
    [anon_sym_LF] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_case] = ACTIONS(1971),
    [anon_sym_default] = ACTIONS(1971),
    [sym_raw_string_literal] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [sym_comment] = ACTIONS(199),
  },
  [867] = {
    [anon_sym_DOT] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(1598),
    [anon_sym_RPAREN] = ACTIONS(1598),
    [anon_sym_COMMA] = ACTIONS(1598),
    [anon_sym_EQ] = ACTIONS(1598),
    [anon_sym_RBRACK] = ACTIONS(1598),
    [anon_sym_LBRACE] = ACTIONS(1598),
    [anon_sym_COLON] = ACTIONS(1598),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [anon_sym_LF] = ACTIONS(2066),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_EQ] = ACTIONS(2068),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [sym_raw_string_literal] = ACTIONS(2068),
    [anon_sym_DQUOTE] = ACTIONS(2068),
    [sym_comment] = ACTIONS(199),
  },
  [869] = {
    [anon_sym_LF] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1983),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_RBRACE] = ACTIONS(1983),
    [anon_sym_case] = ACTIONS(1983),
    [anon_sym_default] = ACTIONS(1983),
    [sym_raw_string_literal] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(199),
  },
  [870] = {
    [sym_interpreted_string_literal] = STATE(1112),
    [anon_sym_LF] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [sym_raw_string_literal] = ACTIONS(2253),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [871] = {
    [aux_sym_expression_list_repeat1] = STATE(900),
    [anon_sym_LF] = ACTIONS(1931),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(2029),
    [anon_sym_case] = ACTIONS(2029),
    [anon_sym_default] = ACTIONS(2029),
    [sym_comment] = ACTIONS(199),
  },
  [872] = {
    [anon_sym_LPAREN] = ACTIONS(1981),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1973),
    [anon_sym_RBRACK] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1973),
    [anon_sym_COLON] = ACTIONS(1973),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [anon_sym_LPAREN] = ACTIONS(2009),
    [anon_sym_RPAREN] = ACTIONS(2009),
    [anon_sym_COMMA] = ACTIONS(2009),
    [anon_sym_EQ] = ACTIONS(2009),
    [anon_sym_RBRACK] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2009),
    [anon_sym_COLON] = ACTIONS(2009),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_RPAREN] = ACTIONS(1985),
    [anon_sym_COMMA] = ACTIONS(1985),
    [anon_sym_EQ] = ACTIONS(1985),
    [anon_sym_RBRACK] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_COLON] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2050),
    [anon_sym_COMMA] = ACTIONS(2050),
    [anon_sym_EQ] = ACTIONS(2050),
    [anon_sym_RBRACK] = ACTIONS(2050),
    [anon_sym_LBRACE] = ACTIONS(2050),
    [anon_sym_COLON] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [sym_parameter_list] = STATE(646),
    [aux_sym_method_spec_list_repeat1] = STATE(1005),
    [anon_sym_LF] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [sym_comment] = ACTIONS(199),
  },
  [878] = {
    [anon_sym_LPAREN] = ACTIONS(2062),
    [anon_sym_RPAREN] = ACTIONS(2062),
    [anon_sym_COMMA] = ACTIONS(2062),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_RBRACK] = ACTIONS(2062),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_COLON] = ACTIONS(2062),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [anon_sym_LPAREN] = ACTIONS(1969),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1969),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_COLON] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_COMMA] = ACTIONS(2017),
    [anon_sym_EQ] = ACTIONS(2017),
    [anon_sym_RBRACK] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_COLON] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_parameter_list] = STATE(646),
    [aux_sym_method_spec_list_repeat1] = STATE(1051),
    [anon_sym_LF] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(2265),
    [sym_comment] = ACTIONS(199),
  },
  [882] = {
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_COMMA] = ACTIONS(2025),
    [anon_sym_EQ] = ACTIONS(2025),
    [anon_sym_RBRACK] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_COLON] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_RBRACK] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_EQ] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1997),
    [anon_sym_COLON] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [anon_sym_LPAREN] = ACTIONS(2066),
    [anon_sym_RPAREN] = ACTIONS(2066),
    [anon_sym_COMMA] = ACTIONS(2066),
    [anon_sym_EQ] = ACTIONS(2066),
    [anon_sym_RBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2066),
    [anon_sym_COLON] = ACTIONS(2066),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [anon_sym_LPAREN] = ACTIONS(2001),
    [anon_sym_RPAREN] = ACTIONS(2001),
    [anon_sym_COMMA] = ACTIONS(2001),
    [anon_sym_EQ] = ACTIONS(2001),
    [anon_sym_RBRACK] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2001),
    [anon_sym_COLON] = ACTIONS(2001),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [anon_sym_LPAREN] = ACTIONS(2005),
    [anon_sym_RPAREN] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2005),
    [anon_sym_COLON] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [anon_sym_LPAREN] = ACTIONS(2058),
    [anon_sym_RPAREN] = ACTIONS(2058),
    [anon_sym_COMMA] = ACTIONS(2058),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_RBRACK] = ACTIONS(2058),
    [anon_sym_LBRACE] = ACTIONS(2058),
    [anon_sym_COLON] = ACTIONS(2058),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [anon_sym_LPAREN] = ACTIONS(2034),
    [anon_sym_RPAREN] = ACTIONS(2034),
    [anon_sym_COMMA] = ACTIONS(2034),
    [anon_sym_EQ] = ACTIONS(2034),
    [anon_sym_RBRACK] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym_COLON] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
  },
  [893] = {
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_RPAREN] = ACTIONS(2046),
    [anon_sym_COMMA] = ACTIONS(2046),
    [anon_sym_EQ] = ACTIONS(2046),
    [anon_sym_RBRACK] = ACTIONS(2046),
    [anon_sym_LBRACE] = ACTIONS(2046),
    [anon_sym_COLON] = ACTIONS(2046),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(1906),
    [anon_sym_package] = ACTIONS(1906),
    [anon_sym_import] = ACTIONS(1906),
    [anon_sym_const] = ACTIONS(1906),
    [anon_sym_var] = ACTIONS(1906),
    [anon_sym_func] = ACTIONS(1906),
    [anon_sym_type] = ACTIONS(1906),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_RPAREN] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(2054),
    [anon_sym_EQ] = ACTIONS(2054),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_COLON] = ACTIONS(2054),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [anon_sym_LPAREN] = ACTIONS(1965),
    [anon_sym_RPAREN] = ACTIONS(1965),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_EQ] = ACTIONS(1965),
    [anon_sym_RBRACK] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1965),
    [anon_sym_COLON] = ACTIONS(1965),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [anon_sym_LPAREN] = ACTIONS(2042),
    [anon_sym_RPAREN] = ACTIONS(2042),
    [anon_sym_COMMA] = ACTIONS(2042),
    [anon_sym_EQ] = ACTIONS(2042),
    [anon_sym_RBRACK] = ACTIONS(2042),
    [anon_sym_LBRACE] = ACTIONS(2042),
    [anon_sym_COLON] = ACTIONS(2042),
    [sym_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_parameter_list] = STATE(646),
    [aux_sym_method_spec_list_repeat1] = STATE(1046),
    [anon_sym_LF] = ACTIONS(2267),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(2271),
    [sym_comment] = ACTIONS(199),
  },
  [900] = {
    [aux_sym_expression_list_repeat1] = STATE(900),
    [anon_sym_LF] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_COMMA] = ACTIONS(2273),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_case] = ACTIONS(1265),
    [anon_sym_default] = ACTIONS(1265),
    [sym_comment] = ACTIONS(199),
  },
  [901] = {
    [sym_expression_case] = STATE(912),
    [sym_default_case] = STATE(912),
    [aux_sym_expression_switch_statement_repeat1] = STATE(912),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [902] = {
    [sym_interpreted_string_literal] = STATE(1086),
    [anon_sym_LF] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2284),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [sym_raw_string_literal] = ACTIONS(2286),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [903] = {
    [anon_sym_LF] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym_EQ] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_case] = ACTIONS(2115),
    [anon_sym_default] = ACTIONS(2115),
    [sym_comment] = ACTIONS(199),
  },
  [904] = {
    [anon_sym_LF] = ACTIONS(2082),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_EQ] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [sym_comment] = ACTIONS(199),
  },
  [905] = {
    [sym_expression_case] = STATE(909),
    [sym_default_case] = STATE(909),
    [aux_sym_expression_switch_statement_repeat1] = STATE(909),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_expression_case] = STATE(912),
    [sym_default_case] = STATE(912),
    [aux_sym_expression_switch_statement_repeat1] = STATE(912),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_default_case] = STATE(907),
    [sym_type_case] = STATE(907),
    [aux_sym_type_switch_statement_repeat1] = STATE(907),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2298),
    [anon_sym_default] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_expression_case] = STATE(906),
    [sym_default_case] = STATE(906),
    [aux_sym_expression_switch_statement_repeat1] = STATE(906),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_expression_case] = STATE(912),
    [sym_default_case] = STATE(912),
    [aux_sym_expression_switch_statement_repeat1] = STATE(912),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [910] = {
    [anon_sym_LF] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [sym_comment] = ACTIONS(199),
  },
  [911] = {
    [sym_default_case] = STATE(907),
    [sym_type_case] = STATE(907),
    [aux_sym_type_switch_statement_repeat1] = STATE(907),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [912] = {
    [sym_expression_case] = STATE(912),
    [sym_default_case] = STATE(912),
    [aux_sym_expression_switch_statement_repeat1] = STATE(912),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2323),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [aux_sym_expression_list_repeat1] = STATE(925),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_COMMA] = ACTIONS(1456),
    [anon_sym_EQ] = ACTIONS(1931),
    [anon_sym_COLON_EQ] = ACTIONS(1931),
    [anon_sym_COLON] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
  },
  [914] = {
    [aux_sym__statement_list_repeat1] = STATE(914),
    [anon_sym_LF] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2329),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [sym_comment] = ACTIONS(199),
  },
  [915] = {
    [sym_default_case] = STATE(927),
    [sym_communication_case] = STATE(927),
    [aux_sym_select_statement_repeat1] = STATE(927),
    [anon_sym_RBRACE] = ACTIONS(2334),
    [anon_sym_case] = ACTIONS(2336),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [916] = {
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_LF] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [sym_comment] = ACTIONS(199),
  },
  [917] = {
    [sym_identifier] = ACTIONS(2344),
    [anon_sym_LF] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2348),
    [anon_sym_default] = ACTIONS(2348),
    [sym_comment] = ACTIONS(199),
  },
  [918] = {
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2097),
    [sym_blank_identifier] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [sym_raw_string_literal] = ACTIONS(2097),
    [anon_sym_DQUOTE] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [aux_sym__statement_list_repeat1] = STATE(922),
    [anon_sym_LF] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [sym_comment] = ACTIONS(199),
  },
  [920] = {
    [sym_interpreted_string_literal] = STATE(1107),
    [anon_sym_LF] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [sym_raw_string_literal] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [921] = {
    [sym_interpreted_string_literal] = STATE(1097),
    [anon_sym_LF] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [sym_raw_string_literal] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [922] = {
    [aux_sym__statement_list_repeat1] = STATE(914),
    [anon_sym_LF] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym_RBRACE] = ACTIONS(107),
    [anon_sym_case] = ACTIONS(107),
    [anon_sym_default] = ACTIONS(107),
    [sym_comment] = ACTIONS(199),
  },
  [923] = {
    [sym_expression_case] = STATE(912),
    [sym_default_case] = STATE(912),
    [aux_sym_expression_switch_statement_repeat1] = STATE(912),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [924] = {
    [sym_default_case] = STATE(911),
    [sym_type_case] = STATE(911),
    [aux_sym_type_switch_statement_repeat1] = STATE(911),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [anon_sym_case] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [aux_sym_expression_list_repeat1] = STATE(925),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COLON_EQ] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(1265),
    [sym_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_expression_case] = STATE(901),
    [sym_default_case] = STATE(901),
    [aux_sym_expression_switch_statement_repeat1] = STATE(901),
    [anon_sym_RBRACE] = ACTIONS(2381),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [927] = {
    [sym_default_case] = STATE(929),
    [sym_communication_case] = STATE(929),
    [aux_sym_select_statement_repeat1] = STATE(929),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [anon_sym_case] = ACTIONS(2336),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [928] = {
    [anon_sym_LF] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_case] = ACTIONS(2387),
    [anon_sym_default] = ACTIONS(2387),
    [sym_comment] = ACTIONS(199),
  },
  [929] = {
    [sym_default_case] = STATE(929),
    [sym_communication_case] = STATE(929),
    [aux_sym_select_statement_repeat1] = STATE(929),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_parameter_list] = STATE(646),
    [anon_sym_LF] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(2401),
    [anon_sym_DOT] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(2401),
    [sym_comment] = ACTIONS(199),
  },
  [931] = {
    [sym_interpreted_string_literal] = STATE(1125),
    [anon_sym_LF] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2405),
    [anon_sym_RBRACE] = ACTIONS(2405),
    [sym_raw_string_literal] = ACTIONS(2407),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_comment] = ACTIONS(199),
  },
  [932] = {
    [sym_expression_case] = STATE(923),
    [sym_default_case] = STATE(923),
    [aux_sym_expression_switch_statement_repeat1] = STATE(923),
    [anon_sym_RBRACE] = ACTIONS(2409),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [anon_sym_LF] = ACTIONS(2411),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [sym_comment] = ACTIONS(199),
  },
  [934] = {
    [anon_sym_LF] = ACTIONS(2131),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_case] = ACTIONS(2133),
    [anon_sym_default] = ACTIONS(2133),
    [sym_comment] = ACTIONS(199),
  },
  [935] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [sym_comment] = ACTIONS(3),
  },
  [936] = {
    [anon_sym_LF] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [sym_comment] = ACTIONS(199),
  },
  [937] = {
    [anon_sym_LF] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [anon_sym_case] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2233),
    [sym_comment] = ACTIONS(199),
  },
  [938] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2421),
    [sym_comment] = ACTIONS(3),
  },
  [939] = {
    [anon_sym_LF] = ACTIONS(2147),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [sym_comment] = ACTIONS(199),
  },
  [940] = {
    [anon_sym_LF] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_RBRACE] = ACTIONS(2245),
    [anon_sym_case] = ACTIONS(2245),
    [anon_sym_default] = ACTIONS(2245),
    [sym_comment] = ACTIONS(199),
  },
  [941] = {
    [sym_type_alias] = STATE(1222),
    [sym_type_spec] = STATE(1222),
    [aux_sym_type_declaration_repeat1] = STATE(988),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_RPAREN] = ACTIONS(2425),
    [sym_comment] = ACTIONS(3),
  },
  [942] = {
    [anon_sym_LF] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [sym_comment] = ACTIONS(199),
  },
  [943] = {
    [anon_sym_LF] = ACTIONS(2123),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_RBRACE] = ACTIONS(2125),
    [anon_sym_case] = ACTIONS(2125),
    [anon_sym_default] = ACTIONS(2125),
    [sym_comment] = ACTIONS(199),
  },
  [944] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [sym_comment] = ACTIONS(3),
  },
  [945] = {
    [anon_sym_LF] = ACTIONS(2239),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym_default] = ACTIONS(2241),
    [sym_comment] = ACTIONS(199),
  },
  [946] = {
    [anon_sym_LF] = ACTIONS(2429),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [anon_sym_case] = ACTIONS(2431),
    [anon_sym_default] = ACTIONS(2431),
    [sym_comment] = ACTIONS(199),
  },
  [947] = {
    [anon_sym_LF] = ACTIONS(2433),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [anon_sym_case] = ACTIONS(2435),
    [anon_sym_default] = ACTIONS(2435),
    [sym_comment] = ACTIONS(199),
  },
  [948] = {
    [sym_field_declaration] = STATE(1027),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2437),
    [sym_comment] = ACTIONS(3),
  },
  [949] = {
    [anon_sym_LF] = ACTIONS(2119),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [sym_comment] = ACTIONS(199),
  },
  [950] = {
    [anon_sym_LF] = ACTIONS(2439),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_case] = ACTIONS(2441),
    [anon_sym_default] = ACTIONS(2441),
    [sym_comment] = ACTIONS(199),
  },
  [951] = {
    [anon_sym_LF] = ACTIONS(2443),
    [anon_sym_SEMI] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_case] = ACTIONS(2445),
    [anon_sym_default] = ACTIONS(2445),
    [sym_comment] = ACTIONS(199),
  },
  [952] = {
    [anon_sym_LF] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [sym_comment] = ACTIONS(199),
  },
  [953] = {
    [anon_sym_LF] = ACTIONS(2447),
    [anon_sym_SEMI] = ACTIONS(2449),
    [anon_sym_RBRACE] = ACTIONS(2449),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_default] = ACTIONS(2449),
    [sym_comment] = ACTIONS(199),
  },
  [954] = {
    [anon_sym_LF] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [sym_comment] = ACTIONS(199),
  },
  [955] = {
    [anon_sym_LF] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2453),
    [anon_sym_RBRACE] = ACTIONS(2453),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [sym_comment] = ACTIONS(199),
  },
  [956] = {
    [anon_sym_LF] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2457),
    [anon_sym_RBRACE] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_default] = ACTIONS(2457),
    [sym_comment] = ACTIONS(199),
  },
  [957] = {
    [anon_sym_LF] = ACTIONS(2155),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2157),
    [anon_sym_case] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2157),
    [sym_comment] = ACTIONS(199),
  },
  [958] = {
    [sym_field_declaration] = STATE(1040),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [sym_comment] = ACTIONS(3),
  },
  [959] = {
    [anon_sym_LF] = ACTIONS(2143),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [sym_comment] = ACTIONS(199),
  },
  [960] = {
    [anon_sym_LF] = ACTIONS(2461),
    [anon_sym_SEMI] = ACTIONS(2463),
    [anon_sym_RBRACE] = ACTIONS(2463),
    [anon_sym_case] = ACTIONS(2463),
    [anon_sym_default] = ACTIONS(2463),
    [sym_comment] = ACTIONS(199),
  },
  [961] = {
    [anon_sym_LF] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [sym_comment] = ACTIONS(199),
  },
  [962] = {
    [anon_sym_LF] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [sym_comment] = ACTIONS(199),
  },
  [963] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2465),
    [sym_comment] = ACTIONS(3),
  },
  [964] = {
    [anon_sym_LF] = ACTIONS(2467),
    [anon_sym_SEMI] = ACTIONS(2469),
    [anon_sym_RBRACE] = ACTIONS(2469),
    [anon_sym_case] = ACTIONS(2469),
    [anon_sym_default] = ACTIONS(2469),
    [sym_comment] = ACTIONS(199),
  },
  [965] = {
    [anon_sym_LF] = ACTIONS(2471),
    [anon_sym_SEMI] = ACTIONS(2473),
    [anon_sym_RBRACE] = ACTIONS(2473),
    [anon_sym_case] = ACTIONS(2473),
    [anon_sym_default] = ACTIONS(2473),
    [sym_comment] = ACTIONS(199),
  },
  [966] = {
    [anon_sym_LF] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [sym_comment] = ACTIONS(199),
  },
  [967] = {
    [anon_sym_LF] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [sym_comment] = ACTIONS(199),
  },
  [968] = {
    [anon_sym_LF] = ACTIONS(2475),
    [anon_sym_SEMI] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2477),
    [anon_sym_case] = ACTIONS(2477),
    [anon_sym_default] = ACTIONS(2477),
    [sym_comment] = ACTIONS(199),
  },
  [969] = {
    [anon_sym_LF] = ACTIONS(2479),
    [anon_sym_SEMI] = ACTIONS(2481),
    [anon_sym_RBRACE] = ACTIONS(2481),
    [anon_sym_case] = ACTIONS(2481),
    [anon_sym_default] = ACTIONS(2481),
    [sym_comment] = ACTIONS(199),
  },
  [970] = {
    [anon_sym_LF] = ACTIONS(2483),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_case] = ACTIONS(2485),
    [anon_sym_default] = ACTIONS(2485),
    [sym_comment] = ACTIONS(199),
  },
  [971] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [sym_comment] = ACTIONS(3),
  },
  [972] = {
    [anon_sym_LF] = ACTIONS(2489),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [anon_sym_case] = ACTIONS(2491),
    [anon_sym_default] = ACTIONS(2491),
    [sym_comment] = ACTIONS(199),
  },
  [973] = {
    [anon_sym_LF] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2495),
    [anon_sym_default] = ACTIONS(2495),
    [sym_comment] = ACTIONS(199),
  },
  [974] = {
    [sym_type_alias] = STATE(1222),
    [sym_type_spec] = STATE(1222),
    [aux_sym_type_declaration_repeat1] = STATE(941),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_RPAREN] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
  },
  [975] = {
    [anon_sym_LF] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2501),
    [anon_sym_RBRACE] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [sym_comment] = ACTIONS(199),
  },
  [976] = {
    [sym_type_alias] = STATE(1222),
    [sym_type_spec] = STATE(1222),
    [aux_sym_type_declaration_repeat1] = STATE(980),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_RPAREN] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
  },
  [977] = {
    [anon_sym_LF] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2507),
    [anon_sym_default] = ACTIONS(2507),
    [sym_comment] = ACTIONS(199),
  },
  [978] = {
    [anon_sym_LF] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_case] = ACTIONS(2511),
    [anon_sym_default] = ACTIONS(2511),
    [sym_comment] = ACTIONS(199),
  },
  [979] = {
    [anon_sym_LF] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2515),
    [sym_comment] = ACTIONS(199),
  },
  [980] = {
    [sym_type_alias] = STATE(1222),
    [sym_type_spec] = STATE(1222),
    [aux_sym_type_declaration_repeat1] = STATE(988),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_RPAREN] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
  },
  [981] = {
    [anon_sym_LF] = ACTIONS(2519),
    [anon_sym_SEMI] = ACTIONS(2521),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2521),
    [sym_comment] = ACTIONS(199),
  },
  [982] = {
    [anon_sym_LF] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [sym_comment] = ACTIONS(199),
  },
  [983] = {
    [anon_sym_LF] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [sym_comment] = ACTIONS(199),
  },
  [984] = {
    [anon_sym_LF] = ACTIONS(2525),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_case] = ACTIONS(2527),
    [anon_sym_default] = ACTIONS(2527),
    [sym_comment] = ACTIONS(199),
  },
  [985] = {
    [anon_sym_LF] = ACTIONS(2529),
    [anon_sym_SEMI] = ACTIONS(2531),
    [anon_sym_RBRACE] = ACTIONS(2531),
    [anon_sym_case] = ACTIONS(2531),
    [anon_sym_default] = ACTIONS(2531),
    [sym_comment] = ACTIONS(199),
  },
  [986] = {
    [anon_sym_LF] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [sym_comment] = ACTIONS(199),
  },
  [987] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2533),
    [sym_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_type_alias] = STATE(1222),
    [sym_type_spec] = STATE(1222),
    [aux_sym_type_declaration_repeat1] = STATE(988),
    [sym_identifier] = ACTIONS(2535),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
  },
  [989] = {
    [anon_sym_LF] = ACTIONS(2540),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_case] = ACTIONS(2542),
    [anon_sym_default] = ACTIONS(2542),
    [sym_comment] = ACTIONS(199),
  },
  [990] = {
    [anon_sym_LF] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_case] = ACTIONS(2546),
    [anon_sym_default] = ACTIONS(2546),
    [sym_comment] = ACTIONS(199),
  },
  [991] = {
    [anon_sym_LF] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_case] = ACTIONS(2550),
    [anon_sym_default] = ACTIONS(2550),
    [sym_comment] = ACTIONS(199),
  },
  [992] = {
    [sym_field_declaration] = STATE(1044),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [anon_sym_RBRACE] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
  },
  [993] = {
    [anon_sym_LF] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [sym_comment] = ACTIONS(199),
  },
  [994] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1002),
    [anon_sym_LF] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [sym_comment] = ACTIONS(199),
  },
  [995] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2564),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [996] = {
    [sym_block] = STATE(984),
    [sym_if_statement] = STATE(984),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
  },
  [998] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_field_declaration] = STATE(1096),
    [sym_qualified_type] = STATE(931),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_STAR] = ACTIONS(2417),
    [sym_comment] = ACTIONS(3),
  },
  [1000] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2576),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1001] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1002] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2580),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [sym_comment] = ACTIONS(199),
  },
  [1003] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [sym_comment] = ACTIONS(3),
  },
  [1004] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1000),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2590),
    [sym_escape_sequence] = ACTIONS(2590),
    [sym_comment] = ACTIONS(199),
  },
  [1005] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2592),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2596),
    [sym_comment] = ACTIONS(199),
  },
  [1006] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [sym_comment] = ACTIONS(3),
  },
  [1007] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [sym_comment] = ACTIONS(199),
  },
  [1008] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1053),
    [anon_sym_LF] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [sym_comment] = ACTIONS(199),
  },
  [1009] = {
    [sym_block] = STATE(965),
    [sym_if_statement] = STATE(965),
    [anon_sym_LBRACE] = ACTIONS(39),
    [anon_sym_if] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
  },
  [1010] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1012),
    [anon_sym_DQUOTE] = ACTIONS(2612),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2614),
    [sym_escape_sequence] = ACTIONS(2614),
    [sym_comment] = ACTIONS(199),
  },
  [1011] = {
    [sym_var_spec] = STATE(1192),
    [aux_sym_var_declaration_repeat1] = STATE(1035),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
  },
  [1012] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1013] = {
    [sym_method_spec] = STATE(1039),
    [sym_qualified_type] = STATE(1039),
    [sym_identifier] = ACTIONS(2622),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [sym_comment] = ACTIONS(3),
  },
  [1014] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
  },
  [1015] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [sym_comment] = ACTIONS(199),
  },
  [1016] = {
    [sym_type_alias] = STATE(952),
    [sym_type_spec] = STATE(952),
    [sym_identifier] = ACTIONS(2423),
    [anon_sym_LPAREN] = ACTIONS(2636),
    [sym_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_const_spec] = STATE(1154),
    [aux_sym_const_declaration_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_const_spec] = STATE(1154),
    [aux_sym_const_declaration_repeat1] = STATE(1018),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2644),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1033),
    [anon_sym_DQUOTE] = ACTIONS(2646),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2648),
    [sym_escape_sequence] = ACTIONS(2648),
    [sym_comment] = ACTIONS(199),
  },
  [1021] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(995),
    [anon_sym_DQUOTE] = ACTIONS(2650),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2652),
    [sym_escape_sequence] = ACTIONS(2652),
    [sym_comment] = ACTIONS(199),
  },
  [1022] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1001),
    [anon_sym_DQUOTE] = ACTIONS(2654),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2656),
    [sym_escape_sequence] = ACTIONS(2656),
    [sym_comment] = ACTIONS(199),
  },
  [1023] = {
    [sym_block] = STATE(453),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_RPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
  },
  [1024] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2658),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2662),
    [sym_comment] = ACTIONS(199),
  },
  [1025] = {
    [sym_const_spec] = STATE(1154),
    [aux_sym_const_declaration_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2666),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1027] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1008),
    [anon_sym_LF] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [sym_comment] = ACTIONS(199),
  },
  [1028] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2674),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1029] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1028),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2678),
    [sym_escape_sequence] = ACTIONS(2678),
    [sym_comment] = ACTIONS(199),
  },
  [1030] = {
    [sym_method_spec] = STATE(1042),
    [sym_qualified_type] = STATE(1042),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_type_alias] = STATE(825),
    [sym_type_spec] = STATE(825),
    [sym_identifier] = ACTIONS(2684),
    [anon_sym_LPAREN] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_var_spec] = STATE(1192),
    [aux_sym_var_declaration_repeat1] = STATE(1056),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2688),
    [sym_comment] = ACTIONS(3),
  },
  [1033] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2690),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2566),
    [sym_escape_sequence] = ACTIONS(2566),
    [sym_comment] = ACTIONS(199),
  },
  [1034] = {
    [sym_const_spec] = STATE(1154),
    [aux_sym_const_declaration_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_var_spec] = STATE(1192),
    [aux_sym_var_declaration_repeat1] = STATE(1055),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [sym_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_method_spec] = STATE(994),
    [sym_qualified_type] = STATE(994),
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [sym_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [sym_comment] = ACTIONS(3),
  },
  [1039] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1007),
    [anon_sym_LF] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [sym_comment] = ACTIONS(199),
  },
  [1040] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1049),
    [anon_sym_LF] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [sym_comment] = ACTIONS(199),
  },
  [1041] = {
    [sym_const_spec] = STATE(1154),
    [aux_sym_const_declaration_repeat1] = STATE(1025),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_RPAREN] = ACTIONS(2719),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1024),
    [anon_sym_LF] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [sym_comment] = ACTIONS(199),
  },
  [1043] = {
    [sym_literal_value] = STATE(422),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_RPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
  },
  [1044] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1054),
    [anon_sym_LF] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [sym_comment] = ACTIONS(199),
  },
  [1045] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [sym_comment] = ACTIONS(3),
  },
  [1046] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2739),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [sym_comment] = ACTIONS(199),
  },
  [1047] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1047),
    [anon_sym_DQUOTE] = ACTIONS(2743),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2745),
    [sym_escape_sequence] = ACTIONS(2745),
    [sym_comment] = ACTIONS(199),
  },
  [1048] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2748),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1053),
    [anon_sym_LF] = ACTIONS(2750),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2754),
    [sym_comment] = ACTIONS(199),
  },
  [1050] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [sym_comment] = ACTIONS(3),
  },
  [1051] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1015),
    [anon_sym_LF] = ACTIONS(2758),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2762),
    [sym_comment] = ACTIONS(199),
  },
  [1052] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
  },
  [1053] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1053),
    [anon_sym_LF] = ACTIONS(2766),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [sym_comment] = ACTIONS(199),
  },
  [1054] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1053),
    [anon_sym_LF] = ACTIONS(2774),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2778),
    [sym_comment] = ACTIONS(199),
  },
  [1055] = {
    [sym_var_spec] = STATE(1192),
    [aux_sym_var_declaration_repeat1] = STATE(1055),
    [sym_identifier] = ACTIONS(2780),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
  },
  [1056] = {
    [sym_var_spec] = STATE(1192),
    [aux_sym_var_declaration_repeat1] = STATE(1055),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
  },
  [1057] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1026),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2789),
    [sym_escape_sequence] = ACTIONS(2789),
    [sym_comment] = ACTIONS(199),
  },
  [1058] = {
    [sym_const_spec] = STATE(957),
    [sym_identifier] = ACTIONS(2640),
    [anon_sym_LPAREN] = ACTIONS(2791),
    [sym_comment] = ACTIONS(3),
  },
  [1059] = {
    [aux_sym_literal_value_repeat1] = STATE(1143),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [sym_comment] = ACTIONS(3),
  },
  [1060] = {
    [aux_sym_literal_value_repeat1] = STATE(1064),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [sym_comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_block] = STATE(518),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
  },
  [1062] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
  },
  [1063] = {
    [aux_sym_argument_list_repeat1] = STATE(1065),
    [anon_sym_RPAREN] = ACTIONS(1496),
    [anon_sym_COMMA] = ACTIONS(1498),
    [sym_comment] = ACTIONS(3),
  },
  [1064] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [1065] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(2805),
    [sym_comment] = ACTIONS(3),
  },
  [1066] = {
    [aux_sym_parameter_list_repeat1] = STATE(1094),
    [anon_sym_RPAREN] = ACTIONS(2807),
    [anon_sym_COMMA] = ACTIONS(2809),
    [sym_comment] = ACTIONS(3),
  },
  [1067] = {
    [sym_const_spec] = STATE(823),
    [sym_identifier] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2813),
    [sym_comment] = ACTIONS(3),
  },
  [1068] = {
    [sym_var_spec] = STATE(835),
    [sym_identifier] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
  },
  [1069] = {
    [sym_parameter_list] = STATE(1259),
    [sym_identifier] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1070] = {
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
  },
  [1071] = {
    [aux_sym_type_case_repeat1] = STATE(1071),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
  },
  [1072] = {
    [anon_sym_RBRACE] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_interpreted_string_literal] = STATE(815),
    [sym_raw_string_literal] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
  },
  [1074] = {
    [sym_interpreted_string_literal] = STATE(822),
    [sym_raw_string_literal] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_comment] = ACTIONS(3),
  },
  [1075] = {
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_case] = ACTIONS(2834),
    [anon_sym_default] = ACTIONS(2834),
    [sym_comment] = ACTIONS(3),
  },
  [1076] = {
    [aux_sym_type_case_repeat1] = STATE(1071),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2838),
    [sym_comment] = ACTIONS(3),
  },
  [1077] = {
    [aux_sym_parameter_list_repeat1] = STATE(1149),
    [anon_sym_RPAREN] = ACTIONS(1635),
    [anon_sym_COMMA] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
  },
  [1078] = {
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
  },
  [1079] = {
    [sym_var_spec] = STATE(954),
    [sym_identifier] = ACTIONS(2616),
    [anon_sym_LPAREN] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_literal_value] = STATE(509),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [aux_sym_type_case_repeat1] = STATE(1076),
    [anon_sym_COMMA] = ACTIONS(2836),
    [anon_sym_COLON] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
  },
  [1082] = {
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
  },
  [1083] = {
    [aux_sym_parameter_list_repeat1] = STATE(1077),
    [anon_sym_RPAREN] = ACTIONS(2852),
    [anon_sym_COMMA] = ACTIONS(2854),
    [sym_comment] = ACTIONS(3),
  },
  [1084] = {
    [anon_sym_RBRACE] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
  },
  [1085] = {
    [sym_method_spec] = STATE(1095),
    [sym_qualified_type] = STATE(1095),
    [sym_identifier] = ACTIONS(2570),
    [sym_comment] = ACTIONS(3),
  },
  [1086] = {
    [anon_sym_LF] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym_RBRACE] = ACTIONS(2860),
    [sym_comment] = ACTIONS(199),
  },
  [1087] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(2862),
    [sym_comment] = ACTIONS(3),
  },
  [1088] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
  },
  [1089] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(2870),
    [sym_comment] = ACTIONS(3),
  },
  [1090] = {
    [sym_literal_value] = STATE(294),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
  },
  [1091] = {
    [anon_sym_RBRACE] = ACTIONS(101),
    [anon_sym_case] = ACTIONS(101),
    [anon_sym_default] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [1092] = {
    [anon_sym_LF] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [sym_comment] = ACTIONS(199),
  },
  [1093] = {
    [aux_sym_expression_list_repeat1] = STATE(1093),
    [anon_sym_COMMA] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
  },
  [1094] = {
    [aux_sym_parameter_list_repeat1] = STATE(1149),
    [anon_sym_RPAREN] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(2882),
    [sym_comment] = ACTIONS(3),
  },
  [1095] = {
    [anon_sym_LF] = ACTIONS(2884),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [sym_comment] = ACTIONS(199),
  },
  [1096] = {
    [anon_sym_LF] = ACTIONS(2886),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [sym_comment] = ACTIONS(199),
  },
  [1097] = {
    [anon_sym_LF] = ACTIONS(2888),
    [anon_sym_SEMI] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2890),
    [sym_comment] = ACTIONS(199),
  },
  [1098] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(319),
    [anon_sym_COMMA] = ACTIONS(2892),
    [sym_comment] = ACTIONS(3),
  },
  [1099] = {
    [sym_block] = STATE(280),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
  },
  [1100] = {
    [aux_sym_expression_list_repeat1] = STATE(1108),
    [anon_sym_RPAREN] = ACTIONS(2894),
    [anon_sym_COMMA] = ACTIONS(2896),
    [sym_comment] = ACTIONS(3),
  },
  [1101] = {
    [aux_sym_literal_value_repeat1] = STATE(1110),
    [anon_sym_COMMA] = ACTIONS(2898),
    [anon_sym_RBRACE] = ACTIONS(2900),
    [sym_comment] = ACTIONS(3),
  },
  [1102] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2902),
    [anon_sym_RBRACE] = ACTIONS(261),
    [sym_comment] = ACTIONS(3),
  },
  [1103] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(2904),
    [sym_comment] = ACTIONS(3),
  },
  [1104] = {
    [aux_sym_argument_list_repeat1] = STATE(1114),
    [anon_sym_RPAREN] = ACTIONS(1568),
    [anon_sym_COMMA] = ACTIONS(1570),
    [sym_comment] = ACTIONS(3),
  },
  [1105] = {
    [aux_sym_expression_list_repeat1] = STATE(1093),
    [anon_sym_COMMA] = ACTIONS(1584),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [sym_comment] = ACTIONS(3),
  },
  [1106] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(507),
    [anon_sym_COMMA] = ACTIONS(2906),
    [sym_comment] = ACTIONS(3),
  },
  [1107] = {
    [anon_sym_LF] = ACTIONS(2908),
    [anon_sym_SEMI] = ACTIONS(2910),
    [anon_sym_RBRACE] = ACTIONS(2910),
    [sym_comment] = ACTIONS(199),
  },
  [1108] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(2912),
    [sym_comment] = ACTIONS(3),
  },
  [1109] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2914),
    [anon_sym_RBRACE] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
  },
  [1110] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2916),
    [anon_sym_RBRACE] = ACTIONS(263),
    [sym_comment] = ACTIONS(3),
  },
  [1111] = {
    [aux_sym_argument_list_repeat1] = STATE(1098),
    [anon_sym_RPAREN] = ACTIONS(1560),
    [anon_sym_COMMA] = ACTIONS(1562),
    [sym_comment] = ACTIONS(3),
  },
  [1112] = {
    [anon_sym_LF] = ACTIONS(2918),
    [anon_sym_SEMI] = ACTIONS(2920),
    [anon_sym_RBRACE] = ACTIONS(2920),
    [sym_comment] = ACTIONS(199),
  },
  [1113] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(307),
    [anon_sym_COMMA] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
  },
  [1114] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(2924),
    [sym_comment] = ACTIONS(3),
  },
  [1115] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_COMMA] = ACTIONS(2926),
    [sym_comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_literal_value] = STATE(408),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
  },
  [1117] = {
    [aux_sym_literal_value_repeat1] = STATE(1102),
    [anon_sym_COMMA] = ACTIONS(2930),
    [anon_sym_RBRACE] = ACTIONS(2932),
    [sym_comment] = ACTIONS(3),
  },
  [1118] = {
    [aux_sym_expression_list_repeat1] = STATE(1106),
    [anon_sym_RPAREN] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(2936),
    [sym_comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_block] = STATE(565),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [1120] = {
    [aux_sym_argument_list_repeat1] = STATE(1103),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_COMMA] = ACTIONS(1538),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [aux_sym_literal_value_repeat1] = STATE(1109),
    [anon_sym_COMMA] = ACTIONS(2938),
    [anon_sym_RBRACE] = ACTIONS(2940),
    [sym_comment] = ACTIONS(3),
  },
  [1122] = {
    [aux_sym_expression_list_repeat1] = STATE(1115),
    [anon_sym_RPAREN] = ACTIONS(2942),
    [anon_sym_COMMA] = ACTIONS(2944),
    [sym_comment] = ACTIONS(3),
  },
  [1123] = {
    [sym_literal_value] = STATE(542),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [1124] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(2946),
    [sym_comment] = ACTIONS(3),
  },
  [1125] = {
    [anon_sym_LF] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2950),
    [anon_sym_RBRACE] = ACTIONS(2950),
    [sym_comment] = ACTIONS(199),
  },
  [1126] = {
    [anon_sym_LF] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2954),
    [anon_sym_RBRACE] = ACTIONS(2954),
    [sym_comment] = ACTIONS(199),
  },
  [1127] = {
    [sym_literal_value] = STATE(315),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
  },
  [1128] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(337),
    [anon_sym_COMMA] = ACTIONS(2958),
    [sym_comment] = ACTIONS(3),
  },
  [1129] = {
    [aux_sym_argument_list_repeat1] = STATE(1113),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1534),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [aux_sym_parameter_list_repeat1] = STATE(1149),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2962),
    [anon_sym_RBRACE] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
  },
  [1132] = {
    [aux_sym_expression_list_repeat1] = STATE(1062),
    [anon_sym_RPAREN] = ACTIONS(2964),
    [anon_sym_COMMA] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
  },
  [1133] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(2968),
    [sym_comment] = ACTIONS(3),
  },
  [1134] = {
    [anon_sym_COMMA] = ACTIONS(1592),
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_COLON] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
  [1135] = {
    [aux_sym_expression_list_repeat1] = STATE(1124),
    [anon_sym_RPAREN] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2972),
    [sym_comment] = ACTIONS(3),
  },
  [1136] = {
    [sym_block] = STATE(332),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
  },
  [1137] = {
    [aux_sym_expression_list_repeat1] = STATE(1145),
    [anon_sym_RPAREN] = ACTIONS(2974),
    [anon_sym_COMMA] = ACTIONS(2976),
    [sym_comment] = ACTIONS(3),
  },
  [1138] = {
    [aux_sym_literal_value_repeat1] = STATE(1147),
    [anon_sym_COMMA] = ACTIONS(2978),
    [anon_sym_RBRACE] = ACTIONS(2980),
    [sym_comment] = ACTIONS(3),
  },
  [1139] = {
    [aux_sym_argument_list_repeat1] = STATE(1128),
    [anon_sym_RPAREN] = ACTIONS(1526),
    [anon_sym_COMMA] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [1140] = {
    [sym_block] = STATE(459),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
  },
  [1141] = {
    [aux_sym_argument_list_repeat1] = STATE(1151),
    [anon_sym_RPAREN] = ACTIONS(1564),
    [anon_sym_COMMA] = ACTIONS(1566),
    [sym_comment] = ACTIONS(3),
  },
  [1142] = {
    [aux_sym_parameter_list_repeat1] = STATE(1130),
    [anon_sym_RPAREN] = ACTIONS(2982),
    [anon_sym_COMMA] = ACTIONS(2984),
    [sym_comment] = ACTIONS(3),
  },
  [1143] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2986),
    [anon_sym_RBRACE] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
  },
  [1144] = {
    [aux_sym_literal_value_repeat1] = STATE(1131),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_RBRACE] = ACTIONS(2990),
    [sym_comment] = ACTIONS(3),
  },
  [1145] = {
    [aux_sym_expression_list_repeat1] = STATE(1089),
    [anon_sym_RPAREN] = ACTIONS(435),
    [anon_sym_COMMA] = ACTIONS(2992),
    [sym_comment] = ACTIONS(3),
  },
  [1146] = {
    [aux_sym_expression_list_repeat1] = STATE(1133),
    [anon_sym_RPAREN] = ACTIONS(2994),
    [anon_sym_COMMA] = ACTIONS(2996),
    [sym_comment] = ACTIONS(3),
  },
  [1147] = {
    [aux_sym_literal_value_repeat1] = STATE(1088),
    [anon_sym_COMMA] = ACTIONS(2998),
    [anon_sym_RBRACE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [1148] = {
    [sym_block] = STATE(382),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
  },
  [1149] = {
    [aux_sym_parameter_list_repeat1] = STATE(1149),
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3002),
    [sym_comment] = ACTIONS(3),
  },
  [1150] = {
    [sym_literal_value] = STATE(371),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
  },
  [1151] = {
    [aux_sym_argument_list_repeat1] = STATE(1087),
    [anon_sym_RPAREN] = ACTIONS(377),
    [anon_sym_COMMA] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
  },
  [1152] = {
    [sym_interpreted_string_literal] = STATE(1166),
    [sym_raw_string_literal] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_interpreted_string_literal] = STATE(1165),
    [sym_raw_string_literal] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_comment] = ACTIONS(3),
  },
  [1154] = {
    [anon_sym_LF] = ACTIONS(3011),
    [anon_sym_SEMI] = ACTIONS(3013),
    [sym_comment] = ACTIONS(199),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(3015),
    [anon_sym_LPAREN] = ACTIONS(3017),
    [sym_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_field_declaration_list] = STATE(791),
    [anon_sym_LBRACE] = ACTIONS(3019),
    [sym_comment] = ACTIONS(3),
  },
  [1157] = {
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [sym_comment] = ACTIONS(3),
  },
  [1158] = {
    [anon_sym_RPAREN] = ACTIONS(3023),
    [anon_sym_COMMA] = ACTIONS(3023),
    [sym_comment] = ACTIONS(3),
  },
  [1159] = {
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [sym_comment] = ACTIONS(3),
  },
  [1160] = {
    [sym_parameter_list] = STATE(470),
    [anon_sym_LPAREN] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_method_spec_list] = STATE(806),
    [anon_sym_LBRACE] = ACTIONS(3027),
    [sym_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_literal_value] = STATE(371),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [sym_comment] = ACTIONS(3),
  },
  [1163] = {
    [anon_sym_RPAREN] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3029),
    [sym_comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(3031),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
  },
  [1165] = {
    [anon_sym_LF] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(2153),
    [sym_comment] = ACTIONS(199),
  },
  [1166] = {
    [anon_sym_LF] = ACTIONS(2127),
    [anon_sym_SEMI] = ACTIONS(2129),
    [sym_comment] = ACTIONS(199),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2783),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [sym_comment] = ACTIONS(3),
  },
  [1168] = {
    [anon_sym_LF] = ACTIONS(2159),
    [anon_sym_SEMI] = ACTIONS(2161),
    [sym_comment] = ACTIONS(199),
  },
  [1169] = {
    [sym_literal_value] = STATE(509),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
  },
  [1170] = {
    [sym_parameter_list] = STATE(674),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1171] = {
    [anon_sym_COMMA] = ACTIONS(2826),
    [anon_sym_COLON] = ACTIONS(2826),
    [sym_comment] = ACTIONS(3),
  },
  [1172] = {
    [sym_parameter_list] = STATE(677),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_raw_string_literal] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3035),
    [sym_comment] = ACTIONS(3),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3039),
    [sym_comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3043),
    [sym_comment] = ACTIONS(3),
  },
  [1176] = {
    [sym_parameter_list] = STATE(679),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1177] = {
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [sym_comment] = ACTIONS(3),
  },
  [1178] = {
    [sym_literal_value] = STATE(422),
    [anon_sym_LBRACE] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
  },
  [1179] = {
    [anon_sym_SEMI] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [sym_comment] = ACTIONS(3),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
  },
  [1181] = {
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [sym_comment] = ACTIONS(3),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(3047),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [sym_comment] = ACTIONS(3),
  },
  [1183] = {
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [sym_comment] = ACTIONS(3),
  },
  [1184] = {
    [sym_parameter_list] = STATE(681),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1185] = {
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [sym_comment] = ACTIONS(3),
  },
  [1186] = {
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_COMMA] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
  },
  [1187] = {
    [sym_qualified_type] = STATE(920),
    [sym_identifier] = ACTIONS(3053),
    [sym_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_literal_value] = STATE(315),
    [anon_sym_LBRACE] = ACTIONS(2956),
    [sym_comment] = ACTIONS(3),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
  },
  [1190] = {
    [sym_identifier] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3057),
    [sym_comment] = ACTIONS(3),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
  },
  [1192] = {
    [anon_sym_LF] = ACTIONS(3061),
    [anon_sym_SEMI] = ACTIONS(3063),
    [sym_comment] = ACTIONS(199),
  },
  [1193] = {
    [sym_parameter_list] = STATE(468),
    [anon_sym_LPAREN] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_block] = STATE(970),
    [anon_sym_LBRACE] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_parameter_list] = STATE(675),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1196] = {
    [anon_sym_EQ] = ACTIONS(3065),
    [anon_sym_COLON_EQ] = ACTIONS(3065),
    [sym_comment] = ACTIONS(3),
  },
  [1197] = {
    [sym_parameter_list] = STATE(682),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1198] = {
    [sym_parameter_list] = STATE(469),
    [anon_sym_LPAREN] = ACTIONS(3025),
    [sym_comment] = ACTIONS(3),
  },
  [1199] = {
    [sym_method_spec_list] = STATE(868),
    [anon_sym_LBRACE] = ACTIONS(3067),
    [sym_comment] = ACTIONS(3),
  },
  [1200] = {
    [sym_parameter_list] = STATE(650),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1201] = {
    [anon_sym_RPAREN] = ACTIONS(1582),
    [anon_sym_COMMA] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_literal_value] = STATE(542),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_field_declaration_list] = STATE(846),
    [anon_sym_LBRACE] = ACTIONS(3069),
    [sym_comment] = ACTIONS(3),
  },
  [1204] = {
    [anon_sym_COMMA] = ACTIONS(2868),
    [anon_sym_RBRACE] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
  },
  [1205] = {
    [anon_sym_LF] = ACTIONS(3071),
    [anon_sym_SEMI] = ACTIONS(3073),
    [sym_comment] = ACTIONS(199),
  },
  [1206] = {
    [anon_sym_RPAREN] = ACTIONS(3075),
    [anon_sym_COMMA] = ACTIONS(3075),
    [sym_comment] = ACTIONS(3),
  },
  [1207] = {
    [sym_identifier] = ACTIONS(3077),
    [anon_sym_LPAREN] = ACTIONS(3079),
    [sym_comment] = ACTIONS(3),
  },
  [1208] = {
    [anon_sym_COMMA] = ACTIONS(1723),
    [anon_sym_RBRACE] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
  },
  [1209] = {
    [anon_sym_COMMA] = ACTIONS(1609),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_parameter_list] = STATE(673),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1211] = {
    [sym_identifier] = ACTIONS(3081),
    [anon_sym_LPAREN] = ACTIONS(3083),
    [sym_comment] = ACTIONS(3),
  },
  [1212] = {
    [sym_parameter_list] = STATE(481),
    [anon_sym_LPAREN] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_literal_value] = STATE(408),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [sym_comment] = ACTIONS(3),
  },
  [1214] = {
    [sym_literal_value] = STATE(294),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_identifier] = ACTIONS(3047),
    [anon_sym_LPAREN] = ACTIONS(3087),
    [sym_comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_method_spec_list] = STATE(886),
    [anon_sym_LBRACE] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
  },
  [1217] = {
    [sym_parameter_list] = STATE(549),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [sym_comment] = ACTIONS(3),
  },
  [1218] = {
    [sym_field_declaration_list] = STATE(883),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [sym_comment] = ACTIONS(3),
  },
  [1219] = {
    [sym_identifier] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [sym_comment] = ACTIONS(3),
  },
  [1220] = {
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
  },
  [1221] = {
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
  },
  [1222] = {
    [anon_sym_LF] = ACTIONS(3097),
    [anon_sym_SEMI] = ACTIONS(3099),
    [sym_comment] = ACTIONS(199),
  },
  [1223] = {
    [anon_sym_RPAREN] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
  },
  [1224] = {
    [anon_sym_RPAREN] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
  },
  [1225] = {
    [anon_sym_RPAREN] = ACTIONS(3105),
    [sym_comment] = ACTIONS(3),
  },
  [1226] = {
    [anon_sym_RBRACK] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
  },
  [1227] = {
    [anon_sym_RPAREN] = ACTIONS(3109),
    [sym_comment] = ACTIONS(3),
  },
  [1228] = {
    [anon_sym_RPAREN] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
  },
  [1229] = {
    [anon_sym_RBRACE] = ACTIONS(3113),
    [sym_comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_identifier] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
  },
  [1231] = {
    [anon_sym_RBRACK] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
  },
  [1232] = {
    [anon_sym_RBRACE] = ACTIONS(3119),
    [sym_comment] = ACTIONS(3),
  },
  [1233] = {
    [sym_identifier] = ACTIONS(3121),
    [sym_comment] = ACTIONS(3),
  },
  [1234] = {
    [anon_sym_RPAREN] = ACTIONS(3123),
    [sym_comment] = ACTIONS(3),
  },
  [1235] = {
    [anon_sym_RPAREN] = ACTIONS(3125),
    [sym_comment] = ACTIONS(3),
  },
  [1236] = {
    [anon_sym_LPAREN] = ACTIONS(3127),
    [sym_comment] = ACTIONS(3),
  },
  [1237] = {
    [anon_sym_RBRACE] = ACTIONS(3129),
    [sym_comment] = ACTIONS(3),
  },
  [1238] = {
    [anon_sym_LBRACK] = ACTIONS(3131),
    [sym_comment] = ACTIONS(3),
  },
  [1239] = {
    [sym_identifier] = ACTIONS(3133),
    [sym_comment] = ACTIONS(3),
  },
  [1240] = {
    [anon_sym_RPAREN] = ACTIONS(3135),
    [sym_comment] = ACTIONS(3),
  },
  [1241] = {
    [anon_sym_chan] = ACTIONS(3137),
    [sym_comment] = ACTIONS(3),
  },
  [1242] = {
    [anon_sym_chan] = ACTIONS(3139),
    [sym_comment] = ACTIONS(3),
  },
  [1243] = {
    [anon_sym_RBRACE] = ACTIONS(3141),
    [sym_comment] = ACTIONS(3),
  },
  [1244] = {
    [anon_sym_COLON_EQ] = ACTIONS(3143),
    [sym_comment] = ACTIONS(3),
  },
  [1245] = {
    [anon_sym_chan] = ACTIONS(3145),
    [sym_comment] = ACTIONS(3),
  },
  [1246] = {
    [anon_sym_EQ] = ACTIONS(3147),
    [sym_comment] = ACTIONS(3),
  },
  [1247] = {
    [anon_sym_SEMI] = ACTIONS(3149),
    [sym_comment] = ACTIONS(3),
  },
  [1248] = {
    [anon_sym_LBRACE] = ACTIONS(3151),
    [sym_comment] = ACTIONS(3),
  },
  [1249] = {
    [anon_sym_RBRACK] = ACTIONS(3153),
    [sym_comment] = ACTIONS(3),
  },
  [1250] = {
    [anon_sym_COLON] = ACTIONS(3155),
    [sym_comment] = ACTIONS(3),
  },
  [1251] = {
    [anon_sym_LBRACE] = ACTIONS(3157),
    [sym_comment] = ACTIONS(3),
  },
  [1252] = {
    [anon_sym_LBRACE] = ACTIONS(3159),
    [sym_comment] = ACTIONS(3),
  },
  [1253] = {
    [anon_sym_COLON] = ACTIONS(3161),
    [sym_comment] = ACTIONS(3),
  },
  [1254] = {
    [anon_sym_RPAREN] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
  },
  [1255] = {
    [anon_sym_LBRACE] = ACTIONS(3163),
    [sym_comment] = ACTIONS(3),
  },
  [1256] = {
    [anon_sym_LBRACE] = ACTIONS(3165),
    [sym_comment] = ACTIONS(3),
  },
  [1257] = {
    [anon_sym_LBRACE] = ACTIONS(3167),
    [sym_comment] = ACTIONS(3),
  },
  [1258] = {
    [anon_sym_RPAREN] = ACTIONS(3169),
    [sym_comment] = ACTIONS(3),
  },
  [1259] = {
    [sym_identifier] = ACTIONS(3171),
    [sym_comment] = ACTIONS(3),
  },
  [1260] = {
    [anon_sym_SEMI] = ACTIONS(3173),
    [sym_comment] = ACTIONS(3),
  },
  [1261] = {
    [anon_sym_SEMI] = ACTIONS(3175),
    [sym_comment] = ACTIONS(3),
  },
  [1262] = {
    [anon_sym_RPAREN] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
  },
  [1263] = {
    [sym_identifier] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
  },
  [1264] = {
    [anon_sym_RPAREN] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
  },
  [1265] = {
    [anon_sym_RPAREN] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
  },
  [1266] = {
    [anon_sym_RPAREN] = ACTIONS(3183),
    [sym_comment] = ACTIONS(3),
  },
  [1267] = {
    [anon_sym_EQ] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
  },
  [1268] = {
    [anon_sym_LBRACE] = ACTIONS(3187),
    [sym_comment] = ACTIONS(3),
  },
  [1269] = {
    [sym_identifier] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
  },
  [1270] = {
    [sym_identifier] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
  },
  [1271] = {
    [anon_sym_RPAREN] = ACTIONS(2807),
    [sym_comment] = ACTIONS(3),
  },
  [1272] = {
    [anon_sym_RBRACE] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
  },
  [1273] = {
    [anon_sym_LBRACE] = ACTIONS(3195),
    [sym_comment] = ACTIONS(3),
  },
  [1274] = {
    [anon_sym_RPAREN] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
  },
  [1275] = {
    [anon_sym_RPAREN] = ACTIONS(2982),
    [sym_comment] = ACTIONS(3),
  },
  [1276] = {
    [anon_sym_RPAREN] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
  },
  [1277] = {
    [anon_sym_RBRACK] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
  },
  [1278] = {
    [anon_sym_EQ] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
  },
  [1279] = {
    [anon_sym_RPAREN] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
  },
  [1280] = {
    [sym_identifier] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
  },
  [1281] = {
    [anon_sym_chan] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
  },
  [1282] = {
    [anon_sym_RPAREN] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
  },
  [1283] = {
    [anon_sym_COLON] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
  },
  [1284] = {
    [anon_sym_EQ] = ACTIONS(3215),
    [sym_comment] = ACTIONS(3),
  },
  [1285] = {
    [anon_sym_RPAREN] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
  },
  [1286] = {
    [anon_sym_LBRACE] = ACTIONS(3219),
    [sym_comment] = ACTIONS(3),
  },
  [1287] = {
    [anon_sym_LBRACE] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
  },
  [1288] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
  },
  [1289] = {
    [anon_sym_RPAREN] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
  },
  [1290] = {
    [anon_sym_LBRACE] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
  },
  [1291] = {
    [anon_sym_RPAREN] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
  },
  [1292] = {
    [anon_sym_RBRACE] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
  },
  [1293] = {
    [sym_identifier] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
  },
  [1294] = {
    [sym_identifier] = ACTIONS(3235),
    [sym_comment] = ACTIONS(3),
  },
  [1295] = {
    [anon_sym_RPAREN] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
  },
  [1296] = {
    [anon_sym_RBRACK] = ACTIONS(3239),
    [sym_comment] = ACTIONS(3),
  },
  [1297] = {
    [anon_sym_LBRACK] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
  },
  [1298] = {
    [anon_sym_LPAREN] = ACTIONS(3093),
    [sym_comment] = ACTIONS(3),
  },
  [1299] = {
    [anon_sym_RBRACE] = ACTIONS(3243),
    [sym_comment] = ACTIONS(3),
  },
  [1300] = {
    [anon_sym_LBRACK] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
  },
  [1301] = {
    [anon_sym_LPAREN] = ACTIONS(3247),
    [sym_comment] = ACTIONS(3),
  },
  [1302] = {
    [anon_sym_LPAREN] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
  },
  [1303] = {
    [anon_sym_LPAREN] = ACTIONS(3251),
    [sym_comment] = ACTIONS(3),
  },
  [1304] = {
    [anon_sym_LPAREN] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
  },
  [1305] = {
    [anon_sym_LPAREN] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
  },
  [1306] = {
    [anon_sym_LBRACK] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(1293),
  [9] = {.count = 1, .reusable = true}, SHIFT(811),
  [11] = {.count = 1, .reusable = true}, SHIFT(1067),
  [13] = {.count = 1, .reusable = true}, SHIFT(1068),
  [15] = {.count = 1, .reusable = true}, SHIFT(1069),
  [17] = {.count = 1, .reusable = true}, SHIFT(1031),
  [19] = {.count = 1, .reusable = false}, SHIFT(261),
  [21] = {.count = 1, .reusable = true}, SHIFT(985),
  [23] = {.count = 1, .reusable = true}, SHIFT(221),
  [25] = {.count = 1, .reusable = false}, SHIFT(1058),
  [27] = {.count = 1, .reusable = false}, SHIFT(1079),
  [29] = {.count = 1, .reusable = false}, SHIFT(1184),
  [31] = {.count = 1, .reusable = false}, SHIFT(1016),
  [33] = {.count = 1, .reusable = true}, SHIFT(259),
  [35] = {.count = 1, .reusable = true}, SHIFT(60),
  [37] = {.count = 1, .reusable = false}, SHIFT(1218),
  [39] = {.count = 1, .reusable = true}, SHIFT(15),
  [41] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 3, .production_id = 16),
  [43] = {.count = 1, .reusable = false}, SHIFT(1216),
  [45] = {.count = 1, .reusable = false}, SHIFT(1306),
  [47] = {.count = 1, .reusable = false}, SHIFT(704),
  [49] = {.count = 1, .reusable = true}, SHIFT(254),
  [51] = {.count = 1, .reusable = false}, SHIFT(960),
  [53] = {.count = 1, .reusable = false}, SHIFT(916),
  [55] = {.count = 1, .reusable = false}, SHIFT(917),
  [57] = {.count = 1, .reusable = false}, SHIFT(1294),
  [59] = {.count = 1, .reusable = false}, SHIFT(26),
  [61] = {.count = 1, .reusable = false}, SHIFT(196),
  [63] = {.count = 1, .reusable = false}, SHIFT(197),
  [65] = {.count = 1, .reusable = false}, SHIFT(25),
  [67] = {.count = 1, .reusable = false}, SHIFT(19),
  [69] = {.count = 1, .reusable = false}, SHIFT(20),
  [71] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 3, .production_id = 16),
  [73] = {.count = 1, .reusable = false}, SHIFT(1290),
  [75] = {.count = 1, .reusable = false}, SHIFT(269),
  [77] = {.count = 1, .reusable = true}, SHIFT(226),
  [79] = {.count = 1, .reusable = true}, SHIFT(263),
  [81] = {.count = 1, .reusable = true}, SHIFT(1021),
  [83] = {.count = 1, .reusable = false}, SHIFT(263),
  [85] = {.count = 1, .reusable = true}, REDUCE(sym_default_case, 2),
  [87] = {.count = 1, .reusable = false}, REDUCE(sym_default_case, 2),
  [89] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 3, .production_id = 14),
  [91] = {.count = 1, .reusable = false}, REDUCE(sym_expression_case, 3, .production_id = 14),
  [93] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 3, .production_id = 86),
  [95] = {.count = 1, .reusable = false}, REDUCE(sym_communication_case, 3, .production_id = 86),
  [97] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 4, .production_id = 93),
  [99] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 4, .production_id = 93),
  [101] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 3),
  [103] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 3),
  [105] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 2),
  [107] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 2),
  [109] = {.count = 1, .reusable = true}, SHIFT(564),
  [111] = {.count = 1, .reusable = true}, SHIFT(456),
  [113] = {.count = 1, .reusable = true}, SHIFT(285),
  [115] = {.count = 1, .reusable = true}, SHIFT(343),
  [117] = {.count = 1, .reusable = true}, SHIFT(364),
  [119] = {.count = 1, .reusable = true}, SHIFT(411),
  [121] = {.count = 1, .reusable = true}, SHIFT(485),
  [123] = {.count = 1, .reusable = false}, SHIFT(260),
  [125] = {.count = 1, .reusable = true}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 49),
  [127] = {.count = 1, .reusable = false}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 49),
  [129] = {.count = 1, .reusable = false}, SHIFT(307),
  [131] = {.count = 1, .reusable = true}, SHIFT(86),
  [133] = {.count = 1, .reusable = true}, SHIFT(211),
  [135] = {.count = 1, .reusable = false}, SHIFT(1176),
  [137] = {.count = 1, .reusable = true}, SHIFT(204),
  [139] = {.count = 1, .reusable = true}, SHIFT(202),
  [141] = {.count = 1, .reusable = false}, SHIFT(256),
  [143] = {.count = 1, .reusable = false}, SHIFT(306),
  [145] = {.count = 1, .reusable = true}, SHIFT(229),
  [147] = {.count = 1, .reusable = true}, SHIFT(277),
  [149] = {.count = 1, .reusable = true}, SHIFT(1020),
  [151] = {.count = 1, .reusable = false}, SHIFT(277),
  [153] = {.count = 1, .reusable = true}, SHIFT(932),
  [155] = {.count = 1, .reusable = true}, SHIFT(305),
  [157] = {.count = 1, .reusable = false}, SHIFT(305),
  [159] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 2),
  [161] = {.count = 1, .reusable = true}, SHIFT(309),
  [163] = {.count = 1, .reusable = false}, SHIFT(309),
  [165] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 75),
  [167] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 74),
  [169] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 84),
  [171] = {.count = 1, .reusable = true}, SHIFT(304),
  [173] = {.count = 1, .reusable = false}, SHIFT(304),
  [175] = {.count = 1, .reusable = false}, SHIFT(476),
  [177] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [179] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 1),
  [181] = {.count = 1, .reusable = false}, SHIFT(247),
  [183] = {.count = 1, .reusable = false}, SHIFT(1195),
  [185] = {.count = 1, .reusable = false}, SHIFT(169),
  [187] = {.count = 1, .reusable = false}, SHIFT(60),
  [189] = {.count = 1, .reusable = false}, SHIFT(170),
  [191] = {.count = 1, .reusable = false}, SHIFT(479),
  [193] = {.count = 1, .reusable = false}, SHIFT(209),
  [195] = {.count = 1, .reusable = false}, SHIFT(471),
  [197] = {.count = 1, .reusable = false}, SHIFT(1057),
  [199] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [201] = {.count = 1, .reusable = false}, SHIFT(553),
  [203] = {.count = 1, .reusable = true}, SHIFT(228),
  [205] = {.count = 1, .reusable = false}, SHIFT(1200),
  [207] = {.count = 1, .reusable = true}, SHIFT(168),
  [209] = {.count = 1, .reusable = true}, SHIFT(35),
  [211] = {.count = 1, .reusable = true}, SHIFT(375),
  [213] = {.count = 1, .reusable = true}, SHIFT(166),
  [215] = {.count = 1, .reusable = false}, SHIFT(400),
  [217] = {.count = 1, .reusable = true}, SHIFT(147),
  [219] = {.count = 1, .reusable = true}, SHIFT(592),
  [221] = {.count = 1, .reusable = true}, SHIFT(1010),
  [223] = {.count = 1, .reusable = false}, SHIFT(592),
  [225] = {.count = 1, .reusable = true}, SHIFT(298),
  [227] = {.count = 1, .reusable = true}, SHIFT(334),
  [229] = {.count = 1, .reusable = true}, SHIFT(339),
  [231] = {.count = 1, .reusable = true}, SHIFT(318),
  [233] = {.count = 1, .reusable = true}, SHIFT(494),
  [235] = {.count = 1, .reusable = true}, SHIFT(413),
  [237] = {.count = 1, .reusable = true}, SHIFT(505),
  [239] = {.count = 1, .reusable = true}, SHIFT(465),
  [241] = {.count = 1, .reusable = true}, SHIFT(442),
  [243] = {.count = 1, .reusable = true}, SHIFT(377),
  [245] = {.count = 1, .reusable = true}, SHIFT(515),
  [247] = {.count = 1, .reusable = true}, SHIFT(359),
  [249] = {.count = 1, .reusable = true}, SHIFT(434),
  [251] = {.count = 1, .reusable = true}, SHIFT(576),
  [253] = {.count = 1, .reusable = true}, SHIFT(273),
  [255] = {.count = 1, .reusable = true}, SHIFT(539),
  [257] = {.count = 1, .reusable = true}, SHIFT(457),
  [259] = {.count = 1, .reusable = true}, SHIFT(419),
  [261] = {.count = 1, .reusable = true}, SHIFT(558),
  [263] = {.count = 1, .reusable = true}, SHIFT(276),
  [265] = {.count = 1, .reusable = false}, SHIFT(478),
  [267] = {.count = 1, .reusable = true}, SHIFT(153),
  [269] = {.count = 1, .reusable = false}, SHIFT(1170),
  [271] = {.count = 1, .reusable = true}, SHIFT(178),
  [273] = {.count = 1, .reusable = true}, SHIFT(185),
  [275] = {.count = 1, .reusable = false}, SHIFT(524),
  [277] = {.count = 1, .reusable = true}, SHIFT(193),
  [279] = {.count = 1, .reusable = true}, SHIFT(483),
  [281] = {.count = 1, .reusable = true}, SHIFT(1029),
  [283] = {.count = 1, .reusable = false}, SHIFT(483),
  [285] = {.count = 1, .reusable = false}, SHIFT(545),
  [287] = {.count = 1, .reusable = true}, SHIFT(504),
  [289] = {.count = 1, .reusable = true}, SHIFT(206),
  [291] = {.count = 1, .reusable = true}, SHIFT(195),
  [293] = {.count = 1, .reusable = true}, SHIFT(145),
  [295] = {.count = 1, .reusable = true}, SHIFT(579),
  [297] = {.count = 1, .reusable = false}, SHIFT(579),
  [299] = {.count = 1, .reusable = true}, SHIFT(420),
  [301] = {.count = 1, .reusable = true}, SHIFT(537),
  [303] = {.count = 1, .reusable = true}, SHIFT(562),
  [305] = {.count = 1, .reusable = false}, SHIFT(562),
  [307] = {.count = 1, .reusable = true}, SHIFT(435),
  [309] = {.count = 1, .reusable = true}, SHIFT(290),
  [311] = {.count = 1, .reusable = true}, SHIFT(374),
  [313] = {.count = 1, .reusable = false}, SHIFT(405),
  [315] = {.count = 1, .reusable = true}, SHIFT(631),
  [317] = {.count = 1, .reusable = false}, SHIFT(631),
  [319] = {.count = 1, .reusable = true}, SHIFT(535),
  [321] = {.count = 1, .reusable = true}, SHIFT(433),
  [323] = {.count = 1, .reusable = true}, SHIFT(287),
  [325] = {.count = 1, .reusable = true}, SHIFT(573),
  [327] = {.count = 1, .reusable = false}, SHIFT(573),
  [329] = {.count = 1, .reusable = true}, SHIFT(1226),
  [331] = {.count = 1, .reusable = true}, SHIFT(705),
  [333] = {.count = 1, .reusable = true}, SHIFT(637),
  [335] = {.count = 1, .reusable = false}, SHIFT(637),
  [337] = {.count = 1, .reusable = true}, SHIFT(362),
  [339] = {.count = 1, .reusable = true}, SHIFT(577),
  [341] = {.count = 1, .reusable = true}, SHIFT(463),
  [343] = {.count = 1, .reusable = true}, SHIFT(559),
  [345] = {.count = 1, .reusable = false}, SHIFT(559),
  [347] = {.count = 1, .reusable = true}, SHIFT(303),
  [349] = {.count = 1, .reusable = true}, SHIFT(357),
  [351] = {.count = 1, .reusable = true}, SHIFT(551),
  [353] = {.count = 1, .reusable = false}, SHIFT(551),
  [355] = {.count = 1, .reusable = true}, SHIFT(446),
  [357] = {.count = 1, .reusable = true}, SHIFT(557),
  [359] = {.count = 1, .reusable = false}, SHIFT(557),
  [361] = {.count = 1, .reusable = true}, SHIFT(439),
  [363] = {.count = 1, .reusable = true}, SHIFT(595),
  [365] = {.count = 1, .reusable = false}, SHIFT(595),
  [367] = {.count = 1, .reusable = false}, SHIFT(223),
  [369] = {.count = 1, .reusable = true}, SHIFT(554),
  [371] = {.count = 1, .reusable = false}, SHIFT(554),
  [373] = {.count = 1, .reusable = true}, SHIFT(336),
  [375] = {.count = 1, .reusable = true}, SHIFT(530),
  [377] = {.count = 1, .reusable = true}, SHIFT(324),
  [379] = {.count = 1, .reusable = false}, SHIFT(584),
  [381] = {.count = 1, .reusable = true}, SHIFT(201),
  [383] = {.count = 1, .reusable = true}, SHIFT(905),
  [385] = {.count = 1, .reusable = true}, SHIFT(245),
  [387] = {.count = 1, .reusable = true}, SHIFT(179),
  [389] = {.count = 1, .reusable = true}, SHIFT(561),
  [391] = {.count = 1, .reusable = false}, SHIFT(561),
  [393] = {.count = 1, .reusable = true}, SHIFT(330),
  [395] = {.count = 1, .reusable = true}, SHIFT(567),
  [397] = {.count = 1, .reusable = false}, SHIFT(567),
  [399] = {.count = 1, .reusable = true}, SHIFT(517),
  [401] = {.count = 1, .reusable = true}, SHIFT(536),
  [403] = {.count = 1, .reusable = false}, SHIFT(536),
  [405] = {.count = 1, .reusable = true}, SHIFT(317),
  [407] = {.count = 1, .reusable = true}, SHIFT(608),
  [409] = {.count = 1, .reusable = false}, SHIFT(608),
  [411] = {.count = 1, .reusable = true}, SHIFT(247),
  [413] = {.count = 1, .reusable = true}, SHIFT(169),
  [415] = {.count = 1, .reusable = true}, SHIFT(170),
  [417] = {.count = 1, .reusable = true}, SHIFT(209),
  [419] = {.count = 1, .reusable = true}, SHIFT(471),
  [421] = {.count = 1, .reusable = true}, SHIFT(1057),
  [423] = {.count = 1, .reusable = true}, SHIFT(321),
  [425] = {.count = 1, .reusable = true}, SHIFT(626),
  [427] = {.count = 1, .reusable = false}, SHIFT(626),
  [429] = {.count = 1, .reusable = true}, SHIFT(322),
  [431] = {.count = 1, .reusable = true}, SHIFT(622),
  [433] = {.count = 1, .reusable = false}, SHIFT(622),
  [435] = {.count = 1, .reusable = true}, SHIFT(341),
  [437] = {.count = 1, .reusable = true}, SHIFT(461),
  [439] = {.count = 1, .reusable = true}, SHIFT(21),
  [441] = {.count = 1, .reusable = true}, SHIFT(663),
  [443] = {.count = 1, .reusable = false}, SHIFT(663),
  [445] = {.count = 1, .reusable = true}, SHIFT(383),
  [447] = {.count = 1, .reusable = true}, SHIFT(620),
  [449] = {.count = 1, .reusable = false}, SHIFT(620),
  [451] = {.count = 1, .reusable = true}, SHIFT(360),
  [453] = {.count = 1, .reusable = true}, SHIFT(414),
  [455] = {.count = 1, .reusable = true}, SHIFT(621),
  [457] = {.count = 1, .reusable = false}, SHIFT(621),
  [459] = {.count = 1, .reusable = false}, SHIFT(388),
  [461] = {.count = 1, .reusable = true}, SHIFT(258),
  [463] = {.count = 1, .reusable = false}, SHIFT(1210),
  [465] = {.count = 1, .reusable = true}, SHIFT(255),
  [467] = {.count = 1, .reusable = true}, SHIFT(163),
  [469] = {.count = 1, .reusable = false}, SHIFT(390),
  [471] = {.count = 1, .reusable = true}, SHIFT(200),
  [473] = {.count = 1, .reusable = true}, SHIFT(389),
  [475] = {.count = 1, .reusable = true}, SHIFT(1022),
  [477] = {.count = 1, .reusable = false}, SHIFT(389),
  [479] = {.count = 1, .reusable = true}, SHIFT(384),
  [481] = {.count = 1, .reusable = true}, SHIFT(628),
  [483] = {.count = 1, .reusable = false}, SHIFT(628),
  [485] = {.count = 1, .reusable = true}, SHIFT(380),
  [487] = {.count = 1, .reusable = true}, SHIFT(296),
  [489] = {.count = 1, .reusable = true}, SHIFT(293),
  [491] = {.count = 1, .reusable = true}, SHIFT(605),
  [493] = {.count = 1, .reusable = false}, SHIFT(605),
  [495] = {.count = 1, .reusable = true}, SHIFT(552),
  [497] = {.count = 1, .reusable = true}, SHIFT(600),
  [499] = {.count = 1, .reusable = false}, SHIFT(600),
  [501] = {.count = 1, .reusable = true}, SHIFT(729),
  [503] = {.count = 1, .reusable = true}, SHIFT(641),
  [505] = {.count = 1, .reusable = false}, SHIFT(641),
  [507] = {.count = 1, .reusable = true}, SHIFT(556),
  [509] = {.count = 1, .reusable = true}, SHIFT(275),
  [511] = {.count = 1, .reusable = true}, SHIFT(289),
  [513] = {.count = 1, .reusable = true}, SHIFT(616),
  [515] = {.count = 1, .reusable = false}, SHIFT(616),
  [517] = {.count = 1, .reusable = true}, SHIFT(574),
  [519] = {.count = 1, .reusable = true}, SHIFT(612),
  [521] = {.count = 1, .reusable = false}, SHIFT(612),
  [523] = {.count = 1, .reusable = true}, SHIFT(575),
  [525] = {.count = 1, .reusable = true}, SHIFT(429),
  [527] = {.count = 1, .reusable = true}, SHIFT(614),
  [529] = {.count = 1, .reusable = false}, SHIFT(614),
  [531] = {.count = 1, .reusable = true}, SHIFT(22),
  [533] = {.count = 1, .reusable = true}, SHIFT(642),
  [535] = {.count = 1, .reusable = false}, SHIFT(642),
  [537] = {.count = 1, .reusable = true}, SHIFT(513),
  [539] = {.count = 1, .reusable = true}, SHIFT(520),
  [541] = {.count = 1, .reusable = true}, SHIFT(609),
  [543] = {.count = 1, .reusable = false}, SHIFT(609),
  [545] = {.count = 1, .reusable = true}, SHIFT(448),
  [547] = {.count = 1, .reusable = true}, SHIFT(632),
  [549] = {.count = 1, .reusable = false}, SHIFT(632),
  [551] = {.count = 1, .reusable = true}, SHIFT(529),
  [553] = {.count = 1, .reusable = true}, SHIFT(701),
  [555] = {.count = 1, .reusable = true}, SHIFT(639),
  [557] = {.count = 1, .reusable = false}, SHIFT(639),
  [559] = {.count = 1, .reusable = true}, SHIFT(580),
  [561] = {.count = 1, .reusable = false}, SHIFT(580),
  [563] = {.count = 1, .reusable = true}, SHIFT(525),
  [565] = {.count = 1, .reusable = true}, SHIFT(634),
  [567] = {.count = 1, .reusable = false}, SHIFT(634),
  [569] = {.count = 1, .reusable = true}, SHIFT(591),
  [571] = {.count = 1, .reusable = false}, SHIFT(591),
  [573] = {.count = 1, .reusable = true}, SHIFT(111),
  [575] = {.count = 1, .reusable = true}, SHIFT(611),
  [577] = {.count = 1, .reusable = false}, SHIFT(611),
  [579] = {.count = 1, .reusable = true}, SHIFT(418),
  [581] = {.count = 1, .reusable = true}, SHIFT(119),
  [583] = {.count = 1, .reusable = true}, SHIFT(597),
  [585] = {.count = 1, .reusable = false}, SHIFT(597),
  [587] = {.count = 1, .reusable = true}, SHIFT(738),
  [589] = {.count = 1, .reusable = true}, SHIFT(666),
  [591] = {.count = 1, .reusable = false}, SHIFT(666),
  [593] = {.count = 1, .reusable = true}, SHIFT(100),
  [595] = {.count = 1, .reusable = true}, SHIFT(618),
  [597] = {.count = 1, .reusable = false}, SHIFT(618),
  [599] = {.count = 1, .reusable = true}, SHIFT(78),
  [601] = {.count = 1, .reusable = true}, SHIFT(624),
  [603] = {.count = 1, .reusable = false}, SHIFT(624),
  [605] = {.count = 1, .reusable = true}, SHIFT(87),
  [607] = {.count = 1, .reusable = true}, SHIFT(613),
  [609] = {.count = 1, .reusable = false}, SHIFT(613),
  [611] = {.count = 1, .reusable = true}, SHIFT(436),
  [613] = {.count = 1, .reusable = true}, SHIFT(437),
  [615] = {.count = 1, .reusable = true}, SHIFT(623),
  [617] = {.count = 1, .reusable = false}, SHIFT(623),
  [619] = {.count = 1, .reusable = true}, SHIFT(402),
  [621] = {.count = 1, .reusable = true}, SHIFT(96),
  [623] = {.count = 1, .reusable = true}, SHIFT(598),
  [625] = {.count = 1, .reusable = false}, SHIFT(598),
  [627] = {.count = 1, .reusable = true}, SHIFT(90),
  [629] = {.count = 1, .reusable = true}, SHIFT(619),
  [631] = {.count = 1, .reusable = false}, SHIFT(619),
  [633] = {.count = 1, .reusable = true}, SHIFT(311),
  [635] = {.count = 1, .reusable = false}, SHIFT(311),
  [637] = {.count = 1, .reusable = true}, SHIFT(653),
  [639] = {.count = 1, .reusable = false}, SHIFT(653),
  [641] = {.count = 1, .reusable = true}, SHIFT(398),
  [643] = {.count = 1, .reusable = false}, SHIFT(398),
  [645] = {.count = 1, .reusable = true}, SHIFT(617),
  [647] = {.count = 1, .reusable = false}, SHIFT(617),
  [649] = {.count = 1, .reusable = true}, SHIFT(588),
  [651] = {.count = 1, .reusable = false}, SHIFT(588),
  [653] = {.count = 1, .reusable = true}, SHIFT(656),
  [655] = {.count = 1, .reusable = false}, SHIFT(656),
  [657] = {.count = 1, .reusable = true}, SHIFT(615),
  [659] = {.count = 1, .reusable = false}, SHIFT(615),
  [661] = {.count = 1, .reusable = true}, SHIFT(596),
  [663] = {.count = 1, .reusable = false}, SHIFT(596),
  [665] = {.count = 1, .reusable = true}, SHIFT(589),
  [667] = {.count = 1, .reusable = false}, SHIFT(589),
  [669] = {.count = 1, .reusable = true}, SHIFT(182),
  [671] = {.count = 1, .reusable = true}, SHIFT(654),
  [673] = {.count = 1, .reusable = false}, SHIFT(654),
  [675] = {.count = 1, .reusable = true}, SHIFT(392),
  [677] = {.count = 1, .reusable = false}, SHIFT(392),
  [679] = {.count = 1, .reusable = true}, SHIFT(391),
  [681] = {.count = 1, .reusable = false}, SHIFT(391),
  [683] = {.count = 1, .reusable = true}, SHIFT(397),
  [685] = {.count = 1, .reusable = false}, SHIFT(397),
  [687] = {.count = 1, .reusable = true}, SHIFT(393),
  [689] = {.count = 1, .reusable = false}, SHIFT(393),
  [691] = {.count = 1, .reusable = true}, SHIFT(394),
  [693] = {.count = 1, .reusable = false}, SHIFT(394),
  [695] = {.count = 1, .reusable = true}, SHIFT(395),
  [697] = {.count = 1, .reusable = false}, SHIFT(395),
  [699] = {.count = 1, .reusable = true}, SHIFT(396),
  [701] = {.count = 1, .reusable = false}, SHIFT(396),
  [703] = {.count = 1, .reusable = true}, SHIFT(599),
  [705] = {.count = 1, .reusable = false}, SHIFT(599),
  [707] = {.count = 1, .reusable = true}, SHIFT(486),
  [709] = {.count = 1, .reusable = false}, SHIFT(486),
  [711] = {.count = 1, .reusable = false}, SHIFT(689),
  [713] = {.count = 1, .reusable = true}, SHIFT(399),
  [715] = {.count = 1, .reusable = false}, SHIFT(399),
  [717] = {.count = 1, .reusable = true}, SHIFT(586),
  [719] = {.count = 1, .reusable = false}, SHIFT(586),
  [721] = {.count = 1, .reusable = true}, SHIFT(585),
  [723] = {.count = 1, .reusable = false}, SHIFT(585),
  [725] = {.count = 1, .reusable = true}, SHIFT(482),
  [727] = {.count = 1, .reusable = false}, SHIFT(482),
  [729] = {.count = 1, .reusable = true}, SHIFT(660),
  [731] = {.count = 1, .reusable = false}, SHIFT(660),
  [733] = {.count = 1, .reusable = true}, SHIFT(497),
  [735] = {.count = 1, .reusable = false}, SHIFT(497),
  [737] = {.count = 1, .reusable = true}, SHIFT(498),
  [739] = {.count = 1, .reusable = false}, SHIFT(498),
  [741] = {.count = 1, .reusable = true}, SHIFT(499),
  [743] = {.count = 1, .reusable = false}, SHIFT(499),
  [745] = {.count = 1, .reusable = true}, SHIFT(503),
  [747] = {.count = 1, .reusable = false}, SHIFT(503),
  [749] = {.count = 1, .reusable = true}, SHIFT(533),
  [751] = {.count = 1, .reusable = false}, SHIFT(533),
  [753] = {.count = 1, .reusable = true}, SHIFT(475),
  [755] = {.count = 1, .reusable = false}, SHIFT(475),
  [757] = {.count = 1, .reusable = true}, SHIFT(526),
  [759] = {.count = 1, .reusable = false}, SHIFT(526),
  [761] = {.count = 1, .reusable = true}, SHIFT(477),
  [763] = {.count = 1, .reusable = false}, SHIFT(477),
  [765] = {.count = 1, .reusable = true}, SHIFT(473),
  [767] = {.count = 1, .reusable = false}, SHIFT(473),
  [769] = {.count = 1, .reusable = true}, SHIFT(474),
  [771] = {.count = 1, .reusable = false}, SHIFT(474),
  [773] = {.count = 1, .reusable = true}, SHIFT(658),
  [775] = {.count = 1, .reusable = false}, SHIFT(658),
  [777] = {.count = 1, .reusable = false}, SHIFT(347),
  [779] = {.count = 1, .reusable = true}, SHIFT(199),
  [781] = {.count = 1, .reusable = false}, SHIFT(1172),
  [783] = {.count = 1, .reusable = true}, SHIFT(194),
  [785] = {.count = 1, .reusable = true}, SHIFT(198),
  [787] = {.count = 1, .reusable = false}, SHIFT(350),
  [789] = {.count = 1, .reusable = true}, SHIFT(251),
  [791] = {.count = 1, .reusable = true}, SHIFT(355),
  [793] = {.count = 1, .reusable = true}, SHIFT(1004),
  [795] = {.count = 1, .reusable = false}, SHIFT(355),
  [797] = {.count = 1, .reusable = true}, SHIFT(354),
  [799] = {.count = 1, .reusable = false}, SHIFT(354),
  [801] = {.count = 1, .reusable = true}, SHIFT(353),
  [803] = {.count = 1, .reusable = false}, SHIFT(353),
  [805] = {.count = 1, .reusable = true}, SHIFT(352),
  [807] = {.count = 1, .reusable = false}, SHIFT(352),
  [809] = {.count = 1, .reusable = true}, SHIFT(648),
  [811] = {.count = 1, .reusable = false}, SHIFT(648),
  [813] = {.count = 1, .reusable = true}, SHIFT(348),
  [815] = {.count = 1, .reusable = false}, SHIFT(348),
  [817] = {.count = 1, .reusable = true}, SHIFT(610),
  [819] = {.count = 1, .reusable = false}, SHIFT(610),
  [821] = {.count = 1, .reusable = true}, SHIFT(349),
  [823] = {.count = 1, .reusable = false}, SHIFT(349),
  [825] = {.count = 1, .reusable = true}, SHIFT(511),
  [827] = {.count = 1, .reusable = false}, SHIFT(511),
  [829] = {.count = 1, .reusable = true}, SHIFT(510),
  [831] = {.count = 1, .reusable = false}, SHIFT(510),
  [833] = {.count = 1, .reusable = true}, SHIFT(659),
  [835] = {.count = 1, .reusable = false}, SHIFT(659),
  [837] = {.count = 1, .reusable = true}, SHIFT(308),
  [839] = {.count = 1, .reusable = false}, SHIFT(308),
  [841] = {.count = 1, .reusable = true}, SHIFT(665),
  [843] = {.count = 1, .reusable = false}, SHIFT(665),
  [845] = {.count = 1, .reusable = true}, SHIFT(680),
  [847] = {.count = 1, .reusable = false}, SHIFT(680),
  [849] = {.count = 1, .reusable = true}, SHIFT(670),
  [851] = {.count = 1, .reusable = false}, SHIFT(670),
  [853] = {.count = 1, .reusable = true}, SHIFT(629),
  [855] = {.count = 1, .reusable = false}, SHIFT(629),
  [857] = {.count = 1, .reusable = true}, SHIFT(638),
  [859] = {.count = 1, .reusable = false}, SHIFT(638),
  [861] = {.count = 1, .reusable = true}, SHIFT(644),
  [863] = {.count = 1, .reusable = false}, SHIFT(644),
  [865] = {.count = 1, .reusable = true}, SHIFT(671),
  [867] = {.count = 1, .reusable = false}, SHIFT(671),
  [869] = {.count = 1, .reusable = true}, SHIFT(669),
  [871] = {.count = 1, .reusable = false}, SHIFT(669),
  [873] = {.count = 1, .reusable = true}, SHIFT(484),
  [875] = {.count = 1, .reusable = false}, SHIFT(484),
  [877] = {.count = 1, .reusable = true}, SHIFT(489),
  [879] = {.count = 1, .reusable = false}, SHIFT(489),
  [881] = {.count = 1, .reusable = true}, SHIFT(490),
  [883] = {.count = 1, .reusable = false}, SHIFT(490),
  [885] = {.count = 1, .reusable = true}, SHIFT(491),
  [887] = {.count = 1, .reusable = false}, SHIFT(491),
  [889] = {.count = 1, .reusable = true}, SHIFT(492),
  [891] = {.count = 1, .reusable = false}, SHIFT(492),
  [893] = {.count = 1, .reusable = true}, SHIFT(633),
  [895] = {.count = 1, .reusable = false}, SHIFT(633),
  [897] = {.count = 1, .reusable = true}, SHIFT(672),
  [899] = {.count = 1, .reusable = false}, SHIFT(672),
  [901] = {.count = 1, .reusable = true}, SHIFT(657),
  [903] = {.count = 1, .reusable = false}, SHIFT(657),
  [905] = {.count = 1, .reusable = true}, SHIFT(664),
  [907] = {.count = 1, .reusable = false}, SHIFT(664),
  [909] = {.count = 1, .reusable = true}, SHIFT(661),
  [911] = {.count = 1, .reusable = false}, SHIFT(661),
  [913] = {.count = 1, .reusable = true}, SHIFT(630),
  [915] = {.count = 1, .reusable = false}, SHIFT(630),
  [917] = {.count = 1, .reusable = false}, SHIFT(262),
  [919] = {.count = 1, .reusable = true}, SHIFT(264),
  [921] = {.count = 1, .reusable = false}, SHIFT(264),
  [923] = {.count = 1, .reusable = true}, SHIFT(496),
  [925] = {.count = 1, .reusable = false}, SHIFT(496),
  [927] = {.count = 1, .reusable = true}, SHIFT(649),
  [929] = {.count = 1, .reusable = false}, SHIFT(649),
  [931] = {.count = 1, .reusable = true}, SHIFT(351),
  [933] = {.count = 1, .reusable = false}, SHIFT(351),
  [935] = {.count = 1, .reusable = true}, SHIFT(270),
  [937] = {.count = 1, .reusable = false}, SHIFT(270),
  [939] = {.count = 1, .reusable = true}, SHIFT(502),
  [941] = {.count = 1, .reusable = false}, SHIFT(502),
  [943] = {.count = 1, .reusable = true}, SHIFT(581),
  [945] = {.count = 1, .reusable = false}, SHIFT(581),
  [947] = {.count = 1, .reusable = true}, SHIFT(635),
  [949] = {.count = 1, .reusable = false}, SHIFT(635),
  [951] = {.count = 1, .reusable = true}, SHIFT(265),
  [953] = {.count = 1, .reusable = false}, SHIFT(265),
  [955] = {.count = 1, .reusable = true}, SHIFT(268),
  [957] = {.count = 1, .reusable = false}, SHIFT(268),
  [959] = {.count = 1, .reusable = true}, SHIFT(267),
  [961] = {.count = 1, .reusable = false}, SHIFT(267),
  [963] = {.count = 1, .reusable = true}, SHIFT(266),
  [965] = {.count = 1, .reusable = false}, SHIFT(266),
  [967] = {.count = 1, .reusable = true}, SHIFT(582),
  [969] = {.count = 1, .reusable = false}, SHIFT(582),
  [971] = {.count = 1, .reusable = true}, SHIFT(601),
  [973] = {.count = 1, .reusable = false}, SHIFT(601),
  [975] = {.count = 1, .reusable = true}, SHIFT(583),
  [977] = {.count = 1, .reusable = false}, SHIFT(583),
  [979] = {.count = 1, .reusable = true}, SHIFT(590),
  [981] = {.count = 1, .reusable = false}, SHIFT(590),
  [983] = {.count = 1, .reusable = true}, SHIFT(655),
  [985] = {.count = 1, .reusable = false}, SHIFT(655),
  [987] = {.count = 1, .reusable = true}, SHIFT(310),
  [989] = {.count = 1, .reusable = false}, SHIFT(310),
  [991] = {.count = 1, .reusable = true}, SHIFT(668),
  [993] = {.count = 1, .reusable = false}, SHIFT(668),
  [995] = {.count = 1, .reusable = true}, SHIFT(312),
  [997] = {.count = 1, .reusable = false}, SHIFT(312),
  [999] = {.count = 1, .reusable = true}, SHIFT(313),
  [1001] = {.count = 1, .reusable = false}, SHIFT(313),
  [1003] = {.count = 1, .reusable = true}, SHIFT(314),
  [1005] = {.count = 1, .reusable = false}, SHIFT(314),
  [1007] = {.count = 1, .reusable = true}, SHIFT(636),
  [1009] = {.count = 1, .reusable = false}, SHIFT(636),
  [1011] = {.count = 1, .reusable = true}, SHIFT(647),
  [1013] = {.count = 1, .reusable = false}, SHIFT(647),
  [1015] = {.count = 1, .reusable = true}, SHIFT(662),
  [1017] = {.count = 1, .reusable = false}, SHIFT(662),
  [1019] = {.count = 1, .reusable = true}, SHIFT(606),
  [1021] = {.count = 1, .reusable = false}, SHIFT(606),
  [1023] = {.count = 1, .reusable = true}, SHIFT(652),
  [1025] = {.count = 1, .reusable = false}, SHIFT(652),
  [1027] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [1029] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [1031] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(1280),
  [1034] = {.count = 2, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), REDUCE(sym__expression, 1),
  [1037] = {.count = 1, .reusable = false}, SHIFT(42),
  [1039] = {.count = 1, .reusable = false}, SHIFT(18),
  [1041] = {.count = 1, .reusable = false}, SHIFT(16),
  [1043] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statement, 1),
  [1045] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statement, 1),
  [1047] = {.count = 1, .reusable = false}, SHIFT(1155),
  [1049] = {.count = 1, .reusable = false}, SHIFT(59),
  [1051] = {.count = 1, .reusable = false}, SHIFT(230),
  [1053] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 1),
  [1055] = {.count = 1, .reusable = false}, SHIFT(231),
  [1057] = {.count = 1, .reusable = false}, SHIFT(128),
  [1059] = {.count = 1, .reusable = false}, SHIFT(227),
  [1061] = {.count = 1, .reusable = false}, SHIFT(955),
  [1063] = {.count = 1, .reusable = false}, SHIFT(956),
  [1065] = {.count = 1, .reusable = false}, SHIFT(236),
  [1067] = {.count = 1, .reusable = false}, SHIFT(237),
  [1069] = {.count = 1, .reusable = false}, SHIFT(238),
  [1071] = {.count = 1, .reusable = false}, SHIFT(239),
  [1073] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2, .production_id = 21),
  [1075] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2, .production_id = 21),
  [1077] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 38),
  [1079] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 38),
  [1081] = {.count = 1, .reusable = false}, SHIFT(725),
  [1083] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1085] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1087] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2, .production_id = 22),
  [1089] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2, .production_id = 22),
  [1091] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 2),
  [1093] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 2),
  [1095] = {.count = 1, .reusable = true}, REDUCE(sym_index_expression, 4, .production_id = 55),
  [1097] = {.count = 1, .reusable = false}, REDUCE(sym_index_expression, 4, .production_id = 55),
  [1099] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 4),
  [1101] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 4),
  [1103] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 4),
  [1105] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 4),
  [1107] = {.count = 1, .reusable = true}, SHIFT(1182),
  [1109] = {.count = 1, .reusable = true}, SHIFT(75),
  [1111] = {.count = 1, .reusable = true}, SHIFT(230),
  [1113] = {.count = 1, .reusable = false}, SHIFT(250),
  [1115] = {.count = 1, .reusable = true}, SHIFT(130),
  [1117] = {.count = 1, .reusable = true}, SHIFT(146),
  [1119] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [1121] = {.count = 1, .reusable = true}, SHIFT(1179),
  [1123] = {.count = 1, .reusable = true}, SHIFT(1181),
  [1125] = {.count = 1, .reusable = false}, SHIFT(249),
  [1127] = {.count = 1, .reusable = true}, SHIFT(248),
  [1129] = {.count = 1, .reusable = false}, SHIFT(248),
  [1131] = {.count = 1, .reusable = true}, SHIFT(143),
  [1133] = {.count = 1, .reusable = true}, SHIFT(246),
  [1135] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 53),
  [1137] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 53),
  [1139] = {.count = 1, .reusable = true}, REDUCE(sym_selector_expression, 3, .production_id = 37),
  [1141] = {.count = 1, .reusable = false}, REDUCE(sym_selector_expression, 3, .production_id = 37),
  [1143] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 4, .production_id = 51),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 4, .production_id = 51),
  [1147] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 3),
  [1149] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 3),
  [1151] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 3),
  [1153] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 3),
  [1155] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 53),
  [1157] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 53),
  [1159] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [1161] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [1163] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [1165] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [1167] = {.count = 1, .reusable = true}, REDUCE(sym_type_assertion_expression, 5, .production_id = 69),
  [1169] = {.count = 1, .reusable = false}, REDUCE(sym_type_assertion_expression, 5, .production_id = 69),
  [1171] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1173] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [1177] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [1179] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 4, .production_id = 54),
  [1181] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 4, .production_id = 54),
  [1183] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [1185] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [1187] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 3),
  [1189] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 3),
  [1191] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5, .production_id = 70),
  [1193] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5, .production_id = 70),
  [1195] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5, .production_id = 71),
  [1197] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5, .production_id = 71),
  [1199] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .production_id = 24),
  [1201] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .production_id = 24),
  [1203] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 2),
  [1205] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 2),
  [1207] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 5),
  [1209] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 5),
  [1211] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .production_id = 23),
  [1213] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .production_id = 23),
  [1215] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 5),
  [1217] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 5),
  [1219] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 8, .production_id = 91),
  [1221] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 8, .production_id = 91),
  [1223] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 7, .production_id = 87),
  [1225] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 7, .production_id = 87),
  [1227] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 6, .production_id = 78),
  [1229] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 6, .production_id = 78),
  [1231] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 3, .production_id = 36),
  [1233] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 3, .production_id = 36),
  [1235] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [1237] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [1239] = {.count = 1, .reusable = true}, SHIFT(1215),
  [1241] = {.count = 1, .reusable = true}, SHIFT(926),
  [1243] = {.count = 1, .reusable = true}, SHIFT(700),
  [1245] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(1280),
  [1248] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), REDUCE(sym__expression, 1),
  [1251] = {.count = 1, .reusable = true}, SHIFT(171),
  [1253] = {.count = 1, .reusable = true}, SHIFT(37),
  [1255] = {.count = 1, .reusable = true}, SHIFT(1164),
  [1257] = {.count = 1, .reusable = true}, SHIFT(65),
  [1259] = {.count = 1, .reusable = true}, SHIFT(131),
  [1261] = {.count = 1, .reusable = true}, SHIFT(695),
  [1263] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1265] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1267] = {.count = 1, .reusable = false}, SHIFT(191),
  [1269] = {.count = 1, .reusable = false}, SHIFT(189),
  [1271] = {.count = 1, .reusable = true}, SHIFT(188),
  [1273] = {.count = 1, .reusable = false}, SHIFT(188),
  [1275] = {.count = 1, .reusable = true}, SHIFT(187),
  [1277] = {.count = 1, .reusable = true}, SHIFT(186),
  [1279] = {.count = 1, .reusable = false}, SHIFT(33),
  [1281] = {.count = 1, .reusable = false}, SHIFT(1211),
  [1283] = {.count = 1, .reusable = false}, SHIFT(66),
  [1285] = {.count = 1, .reusable = false}, SHIFT(154),
  [1287] = {.count = 1, .reusable = false}, SHIFT(155),
  [1289] = {.count = 1, .reusable = false}, SHIFT(141),
  [1291] = {.count = 1, .reusable = false}, SHIFT(157),
  [1293] = {.count = 1, .reusable = false}, SHIFT(158),
  [1295] = {.count = 1, .reusable = false}, SHIFT(159),
  [1297] = {.count = 1, .reusable = false}, SHIFT(160),
  [1299] = {.count = 1, .reusable = false}, SHIFT(735),
  [1301] = {.count = 1, .reusable = false}, SHIFT(1191),
  [1303] = {.count = 1, .reusable = true}, SHIFT(63),
  [1305] = {.count = 1, .reusable = true}, SHIFT(123),
  [1307] = {.count = 1, .reusable = true}, SHIFT(706),
  [1309] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 1, .production_id = 3),
  [1311] = {.count = 1, .reusable = false}, SHIFT(867),
  [1313] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 1, .production_id = 3),
  [1315] = {.count = 1, .reusable = false}, SHIFT(749),
  [1317] = {.count = 1, .reusable = false}, SHIFT(1230),
  [1319] = {.count = 1, .reusable = false}, SHIFT(101),
  [1321] = {.count = 1, .reusable = false}, SHIFT(736),
  [1323] = {.count = 1, .reusable = false}, SHIFT(97),
  [1325] = {.count = 1, .reusable = false}, SHIFT(1238),
  [1327] = {.count = 1, .reusable = false}, SHIFT(734),
  [1329] = {.count = 1, .reusable = false}, SHIFT(1242),
  [1331] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 2, .production_id = 7),
  [1333] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 2, .production_id = 7),
  [1335] = {.count = 1, .reusable = false}, SHIFT(113),
  [1337] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 3, .production_id = 10),
  [1339] = {.count = 1, .reusable = false}, SHIFT(776),
  [1341] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 3, .production_id = 10),
  [1343] = {.count = 1, .reusable = false}, SHIFT(594),
  [1345] = {.count = 1, .reusable = false}, SHIFT(1198),
  [1347] = {.count = 1, .reusable = false}, SHIFT(694),
  [1349] = {.count = 1, .reusable = false}, SHIFT(116),
  [1351] = {.count = 1, .reusable = false}, SHIFT(1156),
  [1353] = {.count = 1, .reusable = false}, SHIFT(10),
  [1355] = {.count = 1, .reusable = false}, SHIFT(1161),
  [1357] = {.count = 1, .reusable = false}, SHIFT(1297),
  [1359] = {.count = 1, .reusable = false}, SHIFT(712),
  [1361] = {.count = 1, .reusable = false}, SHIFT(1281),
  [1363] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 2, .production_id = 13),
  [1365] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 2, .production_id = 13),
  [1367] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2, .production_id = 13), SHIFT(1198),
  [1370] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 4, .production_id = 19),
  [1372] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 4, .production_id = 19),
  [1374] = {.count = 1, .reusable = false}, SHIFT(1175),
  [1376] = {.count = 1, .reusable = false}, SHIFT(76),
  [1378] = {.count = 1, .reusable = false}, SHIFT(162),
  [1380] = {.count = 1, .reusable = false}, SHIFT(215),
  [1382] = {.count = 1, .reusable = false}, SHIFT(126),
  [1384] = {.count = 1, .reusable = false}, SHIFT(216),
  [1386] = {.count = 1, .reusable = false}, SHIFT(217),
  [1388] = {.count = 1, .reusable = false}, SHIFT(218),
  [1390] = {.count = 1, .reusable = false}, SHIFT(219),
  [1392] = {.count = 1, .reusable = false}, SHIFT(821),
  [1394] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .production_id = 27),
  [1396] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .production_id = 27),
  [1398] = {.count = 1, .reusable = false}, SHIFT(1269),
  [1400] = {.count = 1, .reusable = false}, SHIFT(744),
  [1402] = {.count = 1, .reusable = false}, SHIFT(1263),
  [1404] = {.count = 1, .reusable = false}, SHIFT(1212),
  [1406] = {.count = 1, .reusable = false}, SHIFT(718),
  [1408] = {.count = 1, .reusable = false}, SHIFT(127),
  [1410] = {.count = 1, .reusable = false}, SHIFT(1203),
  [1412] = {.count = 1, .reusable = false}, SHIFT(1199),
  [1414] = {.count = 1, .reusable = false}, SHIFT(1300),
  [1416] = {.count = 1, .reusable = false}, SHIFT(715),
  [1418] = {.count = 1, .reusable = false}, SHIFT(1245),
  [1420] = {.count = 1, .reusable = false}, SHIFT(1126),
  [1422] = {.count = 1, .reusable = true}, SHIFT(1191),
  [1424] = {.count = 1, .reusable = true}, SHIFT(167),
  [1426] = {.count = 1, .reusable = true}, SHIFT(177),
  [1428] = {.count = 1, .reusable = false}, SHIFT(167),
  [1430] = {.count = 1, .reusable = false}, SHIFT(177),
  [1432] = {.count = 1, .reusable = true}, SHIFT(180),
  [1434] = {.count = 1, .reusable = false}, SHIFT(180),
  [1436] = {.count = 1, .reusable = true}, SHIFT(181),
  [1438] = {.count = 1, .reusable = false}, SHIFT(38),
  [1440] = {.count = 1, .reusable = true}, SHIFT(43),
  [1442] = {.count = 1, .reusable = false}, SHIFT(742),
  [1444] = {.count = 1, .reusable = false}, SHIFT(1239),
  [1446] = {.count = 1, .reusable = false}, SHIFT(106),
  [1448] = {.count = 1, .reusable = false}, SHIFT(1217),
  [1450] = {.count = 1, .reusable = false}, SHIFT(578),
  [1452] = {.count = 1, .reusable = true}, SHIFT(1207),
  [1454] = {.count = 1, .reusable = true}, SHIFT(52),
  [1456] = {.count = 1, .reusable = true}, SHIFT(232),
  [1458] = {.count = 1, .reusable = true}, SHIFT(176),
  [1460] = {.count = 1, .reusable = true}, SHIFT(138),
  [1462] = {.count = 1, .reusable = false}, REDUCE(sym_receive_statement, 1, .production_id = 77),
  [1464] = {.count = 1, .reusable = true}, SHIFT(175),
  [1466] = {.count = 1, .reusable = false}, SHIFT(176),
  [1468] = {.count = 1, .reusable = false}, SHIFT(175),
  [1470] = {.count = 1, .reusable = true}, SHIFT(174),
  [1472] = {.count = 1, .reusable = false}, SHIFT(174),
  [1474] = {.count = 1, .reusable = true}, SHIFT(173),
  [1476] = {.count = 1, .reusable = true}, SHIFT(172),
  [1478] = {.count = 1, .reusable = false}, SHIFT(84),
  [1480] = {.count = 1, .reusable = true}, REDUCE(sym_send_statement, 3, .production_id = 67),
  [1482] = {.count = 1, .reusable = false}, REDUCE(sym_send_statement, 3, .production_id = 67),
  [1484] = {.count = 1, .reusable = true}, SHIFT(183),
  [1486] = {.count = 1, .reusable = true}, REDUCE(sym_defer_statement, 2),
  [1488] = {.count = 1, .reusable = false}, REDUCE(sym_defer_statement, 2),
  [1490] = {.count = 1, .reusable = true}, REDUCE(sym_go_statement, 2),
  [1492] = {.count = 1, .reusable = false}, REDUCE(sym_go_statement, 2),
  [1494] = {.count = 1, .reusable = true}, SHIFT(745),
  [1496] = {.count = 1, .reusable = true}, SHIFT(523),
  [1498] = {.count = 1, .reusable = true}, SHIFT(72),
  [1500] = {.count = 1, .reusable = true}, SHIFT(1206),
  [1502] = {.count = 1, .reusable = true}, SHIFT(233),
  [1504] = {.count = 1, .reusable = true}, SHIFT(234),
  [1506] = {.count = 1, .reusable = false}, SHIFT(233),
  [1508] = {.count = 1, .reusable = false}, SHIFT(234),
  [1510] = {.count = 1, .reusable = true}, SHIFT(240),
  [1512] = {.count = 1, .reusable = false}, SHIFT(240),
  [1514] = {.count = 1, .reusable = true}, SHIFT(242),
  [1516] = {.count = 1, .reusable = true}, SHIFT(243),
  [1518] = {.count = 1, .reusable = true}, SHIFT(587),
  [1520] = {.count = 1, .reusable = true}, SHIFT(736),
  [1522] = {.count = 1, .reusable = true}, SHIFT(97),
  [1524] = {.count = 1, .reusable = true}, SHIFT(1242),
  [1526] = {.count = 1, .reusable = true}, SHIFT(367),
  [1528] = {.count = 1, .reusable = true}, SHIFT(61),
  [1530] = {.count = 1, .reusable = true}, SHIFT(68),
  [1532] = {.count = 1, .reusable = true}, SHIFT(407),
  [1534] = {.count = 1, .reusable = true}, SHIFT(53),
  [1536] = {.count = 1, .reusable = true}, SHIFT(449),
  [1538] = {.count = 1, .reusable = true}, SHIFT(67),
  [1540] = {.count = 1, .reusable = true}, SHIFT(1189),
  [1542] = {.count = 1, .reusable = true}, SHIFT(156),
  [1544] = {.count = 1, .reusable = true}, SHIFT(908),
  [1546] = {.count = 1, .reusable = true}, SHIFT(152),
  [1548] = {.count = 1, .reusable = false}, SHIFT(156),
  [1550] = {.count = 1, .reusable = false}, SHIFT(152),
  [1552] = {.count = 1, .reusable = true}, SHIFT(148),
  [1554] = {.count = 1, .reusable = false}, SHIFT(148),
  [1556] = {.count = 1, .reusable = true}, SHIFT(164),
  [1558] = {.count = 1, .reusable = true}, SHIFT(165),
  [1560] = {.count = 1, .reusable = true}, SHIFT(550),
  [1562] = {.count = 1, .reusable = true}, SHIFT(57),
  [1564] = {.count = 1, .reusable = true}, SHIFT(342),
  [1566] = {.count = 1, .reusable = true}, SHIFT(73),
  [1568] = {.count = 1, .reusable = true}, SHIFT(284),
  [1570] = {.count = 1, .reusable = true}, SHIFT(54),
  [1572] = {.count = 1, .reusable = false}, SHIFT(593),
  [1574] = {.count = 1, .reusable = true}, SHIFT(749),
  [1576] = {.count = 1, .reusable = true}, SHIFT(756),
  [1578] = {.count = 1, .reusable = true}, SHIFT(1254),
  [1580] = {.count = 1, .reusable = true}, SHIFT(699),
  [1582] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1584] = {.count = 1, .reusable = true}, SHIFT(161),
  [1586] = {.count = 1, .reusable = true}, SHIFT(764),
  [1588] = {.count = 1, .reusable = true}, SHIFT(1271),
  [1590] = {.count = 1, .reusable = true}, SHIFT(1190),
  [1592] = {.count = 1, .reusable = true}, REDUCE(sym_element, 1),
  [1594] = {.count = 1, .reusable = true}, SHIFT(56),
  [1596] = {.count = 1, .reusable = false}, SHIFT(1280),
  [1598] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6),
  [1600] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6), SHIFT(1233),
  [1603] = {.count = 1, .reusable = true}, SHIFT(746),
  [1605] = {.count = 1, .reusable = true}, SHIFT(754),
  [1607] = {.count = 1, .reusable = true}, SHIFT(1275),
  [1609] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3, .production_id = 68),
  [1611] = {.count = 1, .reusable = true}, SHIFT(548),
  [1613] = {.count = 1, .reusable = true}, SHIFT(1227),
  [1615] = {.count = 1, .reusable = true}, SHIFT(528),
  [1617] = {.count = 1, .reusable = true}, SHIFT(110),
  [1619] = {.count = 1, .reusable = true}, SHIFT(555),
  [1621] = {.count = 1, .reusable = true}, SHIFT(102),
  [1623] = {.count = 1, .reusable = true}, SHIFT(566),
  [1625] = {.count = 1, .reusable = true}, SHIFT(149),
  [1627] = {.count = 1, .reusable = true}, SHIFT(522),
  [1629] = {.count = 1, .reusable = true}, SHIFT(1289),
  [1631] = {.count = 1, .reusable = true}, SHIFT(751),
  [1633] = {.count = 1, .reusable = true}, SHIFT(758),
  [1635] = {.count = 1, .reusable = true}, SHIFT(757),
  [1637] = {.count = 1, .reusable = true}, SHIFT(301),
  [1639] = {.count = 1, .reusable = true}, SHIFT(212),
  [1641] = {.count = 1, .reusable = true}, SHIFT(450),
  [1643] = {.count = 1, .reusable = true}, SHIFT(1264),
  [1645] = {.count = 1, .reusable = true}, SHIFT(765),
  [1647] = {.count = 1, .reusable = true}, SHIFT(323),
  [1649] = {.count = 1, .reusable = true}, SHIFT(207),
  [1651] = {.count = 1, .reusable = true}, SHIFT(500),
  [1653] = {.count = 1, .reusable = true}, SHIFT(222),
  [1655] = {.count = 1, .reusable = true}, SHIFT(385),
  [1657] = {.count = 1, .reusable = true}, SHIFT(1266),
  [1659] = {.count = 1, .reusable = true}, SHIFT(447),
  [1661] = {.count = 1, .reusable = true}, SHIFT(134),
  [1663] = {.count = 1, .reusable = true}, SHIFT(572),
  [1665] = {.count = 1, .reusable = true}, SHIFT(244),
  [1667] = {.count = 1, .reusable = true}, SHIFT(356),
  [1669] = {.count = 1, .reusable = true}, SHIFT(92),
  [1671] = {.count = 1, .reusable = true}, SHIFT(423),
  [1673] = {.count = 1, .reusable = true}, SHIFT(210),
  [1675] = {.count = 1, .reusable = true}, SHIFT(426),
  [1677] = {.count = 1, .reusable = true}, SHIFT(1240),
  [1679] = {.count = 1, .reusable = true}, SHIFT(292),
  [1681] = {.count = 1, .reusable = true}, SHIFT(213),
  [1683] = {.count = 1, .reusable = true}, SHIFT(274),
  [1685] = {.count = 1, .reusable = true}, SHIFT(95),
  [1687] = {.count = 1, .reusable = true}, SHIFT(458),
  [1689] = {.count = 1, .reusable = true}, SHIFT(107),
  [1691] = {.count = 1, .reusable = true}, SHIFT(379),
  [1693] = {.count = 1, .reusable = true}, SHIFT(190),
  [1695] = {.count = 1, .reusable = true}, SHIFT(430),
  [1697] = {.count = 1, .reusable = true}, SHIFT(235),
  [1699] = {.count = 1, .reusable = true}, SHIFT(326),
  [1701] = {.count = 1, .reusable = true}, SHIFT(203),
  [1703] = {.count = 1, .reusable = true}, SHIFT(432),
  [1705] = {.count = 1, .reusable = true}, SHIFT(252),
  [1707] = {.count = 1, .reusable = true}, SHIFT(346),
  [1709] = {.count = 1, .reusable = true}, SHIFT(81),
  [1711] = {.count = 1, .reusable = true}, SHIFT(750),
  [1713] = {.count = 1, .reusable = true}, SHIFT(766),
  [1715] = {.count = 1, .reusable = true}, SHIFT(373),
  [1717] = {.count = 1, .reusable = true}, SHIFT(184),
  [1719] = {.count = 1, .reusable = true}, SHIFT(344),
  [1721] = {.count = 1, .reusable = true}, SHIFT(1282),
  [1723] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3),
  [1725] = {.count = 1, .reusable = true}, SHIFT(438),
  [1727] = {.count = 1, .reusable = true}, SHIFT(253),
  [1729] = {.count = 1, .reusable = true}, SHIFT(283),
  [1731] = {.count = 1, .reusable = true}, SHIFT(1234),
  [1733] = {.count = 1, .reusable = true}, SHIFT(527),
  [1735] = {.count = 1, .reusable = true}, SHIFT(224),
  [1737] = {.count = 1, .reusable = true}, SHIFT(445),
  [1739] = {.count = 1, .reusable = true}, SHIFT(428),
  [1741] = {.count = 1, .reusable = true}, SHIFT(737),
  [1743] = {.count = 1, .reusable = true}, SHIFT(462),
  [1745] = {.count = 1, .reusable = true}, SHIFT(719),
  [1747] = {.count = 1, .reusable = true}, SHIFT(732),
  [1749] = {.count = 1, .reusable = true}, SHIFT(24),
  [1751] = {.count = 1, .reusable = true}, SHIFT(744),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1233),
  [1755] = {.count = 1, .reusable = true}, SHIFT(125),
  [1757] = {.count = 1, .reusable = true}, SHIFT(718),
  [1759] = {.count = 1, .reusable = true}, SHIFT(127),
  [1761] = {.count = 1, .reusable = true}, SHIFT(1245),
  [1763] = {.count = 1, .reusable = true}, SHIFT(340),
  [1765] = {.count = 1, .reusable = true}, SHIFT(136),
  [1767] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 2, .production_id = 45),
  [1769] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 2, .production_id = 45),
  [1771] = {.count = 1, .reusable = true}, SHIFT(431),
  [1773] = {.count = 1, .reusable = true}, SHIFT(370),
  [1775] = {.count = 1, .reusable = true}, SHIFT(467),
  [1777] = {.count = 2, .reusable = true}, REDUCE(sym_function_type, 2, .production_id = 13), SHIFT(587),
  [1780] = {.count = 1, .reusable = false}, SHIFT(1197),
  [1782] = {.count = 1, .reusable = true}, SHIFT(708),
  [1784] = {.count = 1, .reusable = true}, SHIFT(114),
  [1786] = {.count = 1, .reusable = true}, SHIFT(14),
  [1788] = {.count = 1, .reusable = true}, SHIFT(1241),
  [1790] = {.count = 1, .reusable = true}, SHIFT(717),
  [1792] = {.count = 1, .reusable = true}, SHIFT(121),
  [1794] = {.count = 1, .reusable = true}, SHIFT(694),
  [1796] = {.count = 1, .reusable = true}, SHIFT(116),
  [1798] = {.count = 1, .reusable = true}, SHIFT(1281),
  [1800] = {.count = 1, .reusable = true}, SHIFT(424),
  [1802] = {.count = 1, .reusable = true}, REDUCE(sym_receive_statement, 3, .production_id = 66),
  [1804] = {.count = 1, .reusable = true}, SHIFT(541),
  [1806] = {.count = 1, .reusable = true}, SHIFT(568),
  [1808] = {.count = 1, .reusable = true}, SHIFT(570),
  [1810] = {.count = 1, .reusable = true}, SHIFT(506),
  [1812] = {.count = 1, .reusable = true}, SHIFT(368),
  [1814] = {.count = 1, .reusable = true}, SHIFT(372),
  [1816] = {.count = 1, .reusable = true}, SHIFT(495),
  [1818] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 2, .production_id = 64),
  [1820] = {.count = 1, .reusable = true}, SHIFT(23),
  [1822] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 4, .production_id = 82),
  [1824] = {.count = 1, .reusable = true}, SHIFT(316),
  [1826] = {.count = 1, .reusable = true}, SHIFT(709),
  [1828] = {.count = 1, .reusable = true}, SHIFT(91),
  [1830] = {.count = 1, .reusable = true}, SHIFT(512),
  [1832] = {.count = 1, .reusable = true}, SHIFT(300),
  [1834] = {.count = 1, .reusable = true}, SHIFT(331),
  [1836] = {.count = 1, .reusable = true}, SHIFT(299),
  [1838] = {.count = 1, .reusable = true}, SHIFT(271),
  [1840] = {.count = 1, .reusable = true}, SHIFT(10),
  [1842] = {.count = 1, .reusable = true}, SHIFT(9),
  [1844] = {.count = 1, .reusable = true}, SHIFT(13),
  [1846] = {.count = 1, .reusable = true}, SHIFT(1263),
  [1848] = {.count = 1, .reusable = true}, SHIFT(12),
  [1850] = {.count = 1, .reusable = true}, SHIFT(1174),
  [1852] = {.count = 1, .reusable = true}, SHIFT(11),
  [1854] = {.count = 1, .reusable = true}, SHIFT(713),
  [1856] = {.count = 1, .reusable = false}, SHIFT(1291),
  [1858] = {.count = 1, .reusable = false}, SHIFT(1279),
  [1860] = {.count = 1, .reusable = false}, SHIFT(1276),
  [1862] = {.count = 1, .reusable = false}, SHIFT(1224),
  [1864] = {.count = 1, .reusable = true}, SHIFT(691),
  [1866] = {.count = 1, .reusable = true}, SHIFT(720),
  [1868] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1870] = {.count = 1, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [1872] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1230),
  [1875] = {.count = 1, .reusable = false}, SHIFT(727),
  [1877] = {.count = 1, .reusable = false}, SHIFT(739),
  [1879] = {.count = 1, .reusable = true}, SHIFT(711),
  [1881] = {.count = 1, .reusable = true}, SHIFT(731),
  [1883] = {.count = 1, .reusable = true}, SHIFT(693),
  [1885] = {.count = 1, .reusable = false}, SHIFT(723),
  [1887] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 4),
  [1889] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 4),
  [1891] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 5),
  [1893] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 5),
  [1895] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3),
  [1897] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 3),
  [1899] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2),
  [1901] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 2),
  [1903] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1239),
  [1906] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2),
  [1908] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1293),
  [1911] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(811),
  [1914] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1067),
  [1917] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1068),
  [1920] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1069),
  [1923] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1031),
  [1926] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 1),
  [1928] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(230),
  [1931] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [1933] = {.count = 1, .reusable = true}, SHIFT(118),
  [1935] = {.count = 1, .reusable = true}, SHIFT(117),
  [1937] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1233),
  [1940] = {.count = 1, .reusable = true}, SHIFT(69),
  [1942] = {.count = 1, .reusable = true}, SHIFT(70),
  [1944] = {.count = 1, .reusable = true}, SHIFT(142),
  [1946] = {.count = 1, .reusable = true}, SHIFT(83),
  [1948] = {.count = 1, .reusable = true}, SHIFT(79),
  [1950] = {.count = 1, .reusable = true}, SHIFT(139),
  [1952] = {.count = 1, .reusable = true}, SHIFT(122),
  [1954] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1956] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1958] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2), SHIFT_REPEAT(1263),
  [1961] = {.count = 1, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 6),
  [1963] = {.count = 1, .reusable = false}, SHIFT(1270),
  [1965] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5),
  [1967] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5),
  [1969] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 4),
  [1971] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 4),
  [1973] = {.count = 1, .reusable = true}, REDUCE(sym_map_type, 5, .production_id = 62),
  [1975] = {.count = 1, .reusable = false}, REDUCE(sym_map_type, 5, .production_id = 62),
  [1977] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4, .production_id = 44),
  [1979] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4, .production_id = 44),
  [1981] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4),
  [1983] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4),
  [1985] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 3, .production_id = 25),
  [1987] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 3, .production_id = 25),
  [1989] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1991] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 3, .production_id = 28),
  [1993] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .production_id = 34),
  [1995] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .production_id = 34),
  [1997] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_type, 3),
  [1999] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_type, 3),
  [2001] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 5),
  [2003] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 5),
  [2005] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5, .production_id = 44),
  [2007] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5, .production_id = 44),
  [2009] = {.count = 1, .reusable = true}, REDUCE(sym_slice_type, 3, .production_id = 26),
  [2011] = {.count = 1, .reusable = false}, REDUCE(sym_slice_type, 3, .production_id = 26),
  [2013] = {.count = 1, .reusable = true}, REDUCE(sym_struct_type, 2),
  [2015] = {.count = 1, .reusable = false}, REDUCE(sym_struct_type, 2),
  [2017] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type, 2),
  [2019] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_type, 2),
  [2021] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 58),
  [2023] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 58),
  [2025] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 2),
  [2027] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 2),
  [2029] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [2031] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(154),
  [2034] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_type, 3, .production_id = 29),
  [2036] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_type, 3, .production_id = 29),
  [2038] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 17),
  [2040] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 17),
  [2042] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 2),
  [2044] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 2),
  [2046] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3),
  [2048] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3),
  [2050] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3, .production_id = 44),
  [2052] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3, .production_id = 44),
  [2054] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 3),
  [2056] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 3),
  [2058] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 4, .production_id = 39),
  [2060] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 4, .production_id = 39),
  [2062] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 2, .production_id = 14),
  [2064] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 2, .production_id = 14),
  [2066] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type, 2),
  [2068] = {.count = 1, .reusable = false}, REDUCE(sym_interface_type, 2),
  [2070] = {.count = 1, .reusable = false}, SHIFT(1153),
  [2072] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2074] = {.count = 1, .reusable = false}, SHIFT(1152),
  [2076] = {.count = 1, .reusable = true}, SHIFT(836),
  [2078] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2080] = {.count = 1, .reusable = true}, SHIFT(828),
  [2082] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3, .production_id = 15),
  [2084] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3, .production_id = 15),
  [2086] = {.count = 1, .reusable = false}, SHIFT(104),
  [2088] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1153),
  [2091] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1173),
  [2094] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1152),
  [2097] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2099] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1168),
  [2102] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(1057),
  [2105] = {.count = 1, .reusable = false}, SHIFT(1074),
  [2107] = {.count = 1, .reusable = false}, SHIFT(1073),
  [2109] = {.count = 1, .reusable = true}, SHIFT(807),
  [2111] = {.count = 1, .reusable = true}, SHIFT(824),
  [2113] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 2, .production_id = 8),
  [2115] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 2, .production_id = 8),
  [2117] = {.count = 1, .reusable = false}, SHIFT(120),
  [2119] = {.count = 1, .reusable = true}, REDUCE(sym_type_alias, 3, .production_id = 20),
  [2121] = {.count = 1, .reusable = false}, REDUCE(sym_type_alias, 3, .production_id = 20),
  [2123] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3, .production_id = 12),
  [2125] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3, .production_id = 12),
  [2127] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .production_id = 4),
  [2129] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .production_id = 4),
  [2131] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4, .production_id = 31),
  [2133] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4, .production_id = 31),
  [2135] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4, .production_id = 18),
  [2137] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4, .production_id = 18),
  [2139] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 2),
  [2141] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 2),
  [2143] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4, .production_id = 30),
  [2145] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4, .production_id = 30),
  [2147] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 4),
  [2149] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 4),
  [2151] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .production_id = 5),
  [2153] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .production_id = 5),
  [2155] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 2),
  [2157] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 2),
  [2159] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 1, .production_id = 2),
  [2161] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 1, .production_id = 2),
  [2163] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 2),
  [2165] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 2),
  [2167] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 5, .production_id = 46),
  [2169] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 5, .production_id = 46),
  [2171] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 3),
  [2173] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 3),
  [2175] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 3),
  [2177] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 3),
  [2179] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .production_id = 35),
  [2181] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .production_id = 35),
  [2183] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 6, .production_id = 50),
  [2185] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 6, .production_id = 50),
  [2187] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5, .production_id = 33),
  [2189] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5, .production_id = 33),
  [2191] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 3),
  [2193] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 3),
  [2195] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4, .production_id = 31),
  [2197] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4, .production_id = 31),
  [2199] = {.count = 1, .reusable = true}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [2201] = {.count = 1, .reusable = false}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [2203] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 2),
  [2205] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 2),
  [2207] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 2),
  [2209] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 2),
  [2211] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4, .production_id = 30),
  [2213] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4, .production_id = 30),
  [2215] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 4),
  [2217] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 4),
  [2219] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 5, .production_id = 46),
  [2221] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 5, .production_id = 46),
  [2223] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 1),
  [2225] = {.count = 1, .reusable = true}, SHIFT(895),
  [2227] = {.count = 1, .reusable = false}, SHIFT(895),
  [2229] = {.count = 1, .reusable = false}, REDUCE(aux_sym_source_file_repeat1, 1),
  [2231] = {.count = 1, .reusable = true}, REDUCE(sym_type_spec, 2, .production_id = 11),
  [2233] = {.count = 1, .reusable = false}, REDUCE(sym_type_spec, 2, .production_id = 11),
  [2235] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 3),
  [2237] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 3),
  [2239] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 4),
  [2241] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 4),
  [2243] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 3, .production_id = 12),
  [2245] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 3, .production_id = 12),
  [2247] = {.count = 1, .reusable = true}, SHIFT(1280),
  [2249] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [2251] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 40),
  [2253] = {.count = 1, .reusable = false}, SHIFT(1112),
  [2255] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2257] = {.count = 1, .reusable = false}, SHIFT(1006),
  [2259] = {.count = 1, .reusable = false}, SHIFT(802),
  [2261] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2263] = {.count = 1, .reusable = false}, SHIFT(1050),
  [2265] = {.count = 1, .reusable = false}, SHIFT(855),
  [2267] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2269] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2271] = {.count = 1, .reusable = false}, SHIFT(876),
  [2273] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(162),
  [2276] = {.count = 1, .reusable = true}, SHIFT(972),
  [2278] = {.count = 1, .reusable = true}, SHIFT(77),
  [2280] = {.count = 1, .reusable = true}, SHIFT(1283),
  [2282] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 60),
  [2284] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 60),
  [2286] = {.count = 1, .reusable = false}, SHIFT(1086),
  [2288] = {.count = 1, .reusable = false}, SHIFT(140),
  [2290] = {.count = 1, .reusable = false}, SHIFT(132),
  [2292] = {.count = 1, .reusable = true}, SHIFT(975),
  [2294] = {.count = 1, .reusable = true}, SHIFT(964),
  [2296] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [2298] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(741),
  [2301] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2304] = {.count = 1, .reusable = true}, SHIFT(968),
  [2306] = {.count = 1, .reusable = true}, SHIFT(969),
  [2308] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [2310] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 79),
  [2312] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2314] = {.count = 1, .reusable = true}, SHIFT(973),
  [2316] = {.count = 1, .reusable = true}, SHIFT(741),
  [2318] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [2320] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(77),
  [2323] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2326] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(17),
  [2329] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(17),
  [2332] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2334] = {.count = 1, .reusable = true}, SHIFT(978),
  [2336] = {.count = 1, .reusable = true}, SHIFT(49),
  [2338] = {.count = 1, .reusable = false}, SHIFT(946),
  [2340] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [2342] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 1),
  [2344] = {.count = 1, .reusable = false}, SHIFT(947),
  [2346] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [2348] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 1),
  [2350] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [2352] = {.count = 1, .reusable = true}, SHIFT(8),
  [2354] = {.count = 1, .reusable = false}, SHIFT(8),
  [2356] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 1),
  [2358] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 16),
  [2360] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 16),
  [2362] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2364] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2366] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2368] = {.count = 1, .reusable = false}, SHIFT(1097),
  [2370] = {.count = 1, .reusable = true}, SHIFT(7),
  [2372] = {.count = 1, .reusable = false}, SHIFT(7),
  [2374] = {.count = 1, .reusable = true}, SHIFT(991),
  [2376] = {.count = 1, .reusable = true}, SHIFT(993),
  [2378] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(232),
  [2381] = {.count = 1, .reusable = true}, SHIFT(990),
  [2383] = {.count = 1, .reusable = true}, SHIFT(989),
  [2385] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3, .production_id = 63),
  [2387] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3, .production_id = 63),
  [2389] = {.count = 1, .reusable = false}, SHIFT(996),
  [2391] = {.count = 1, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [2393] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(49),
  [2396] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(1283),
  [2399] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 44),
  [2401] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 44),
  [2403] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .production_id = 9),
  [2405] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .production_id = 9),
  [2407] = {.count = 1, .reusable = false}, SHIFT(1125),
  [2409] = {.count = 1, .reusable = true}, SHIFT(977),
  [2411] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_statement, 3, .production_id = 38),
  [2413] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_statement, 3, .production_id = 38),
  [2415] = {.count = 1, .reusable = true}, SHIFT(472),
  [2417] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2419] = {.count = 1, .reusable = true}, SHIFT(879),
  [2421] = {.count = 1, .reusable = true}, SHIFT(866),
  [2423] = {.count = 1, .reusable = true}, SHIFT(683),
  [2425] = {.count = 1, .reusable = true}, SHIFT(945),
  [2427] = {.count = 1, .reusable = true}, SHIFT(859),
  [2429] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2, .production_id = 47),
  [2431] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2, .production_id = 47),
  [2433] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2, .production_id = 47),
  [2435] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2, .production_id = 47),
  [2437] = {.count = 1, .reusable = true}, SHIFT(794),
  [2439] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 2, .production_id = 47),
  [2441] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 2, .production_id = 47),
  [2443] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [2445] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [2447] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 2, .production_id = 48),
  [2449] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 2, .production_id = 48),
  [2451] = {.count = 1, .reusable = true}, REDUCE(sym_inc_statement, 2),
  [2453] = {.count = 1, .reusable = false}, REDUCE(sym_inc_statement, 2),
  [2455] = {.count = 1, .reusable = true}, REDUCE(sym_dec_statement, 2),
  [2457] = {.count = 1, .reusable = false}, REDUCE(sym_dec_statement, 2),
  [2459] = {.count = 1, .reusable = true}, SHIFT(860),
  [2461] = {.count = 1, .reusable = true}, REDUCE(sym_fallthrough_statement, 1),
  [2463] = {.count = 1, .reusable = false}, REDUCE(sym_fallthrough_statement, 1),
  [2465] = {.count = 1, .reusable = true}, SHIFT(887),
  [2467] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 7, .production_id = 89),
  [2469] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 7, .production_id = 89),
  [2471] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 92),
  [2473] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 92),
  [2475] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6, .production_id = 89),
  [2477] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6, .production_id = 89),
  [2479] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6, .production_id = 85),
  [2481] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6, .production_id = 85),
  [2483] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 3, .production_id = 65),
  [2485] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 3, .production_id = 65),
  [2487] = {.count = 1, .reusable = true}, SHIFT(779),
  [2489] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5, .production_id = 14),
  [2491] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5, .production_id = 14),
  [2493] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 5, .production_id = 76),
  [2495] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 5, .production_id = 76),
  [2497] = {.count = 1, .reusable = true}, SHIFT(936),
  [2499] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5, .production_id = 85),
  [2501] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5, .production_id = 85),
  [2503] = {.count = 1, .reusable = true}, SHIFT(842),
  [2505] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 3),
  [2507] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 3),
  [2509] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 3),
  [2511] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 3),
  [2513] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .production_id = 49),
  [2515] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .production_id = 49),
  [2517] = {.count = 1, .reusable = true}, SHIFT(843),
  [2519] = {.count = 1, .reusable = true}, REDUCE(sym_short_var_declaration, 3, .production_id = 66),
  [2521] = {.count = 1, .reusable = false}, REDUCE(sym_short_var_declaration, 3, .production_id = 66),
  [2523] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2525] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [2527] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 80),
  [2529] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [2531] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [2533] = {.count = 1, .reusable = true}, SHIFT(788),
  [2535] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(683),
  [2538] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [2540] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 4),
  [2542] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 4),
  [2544] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4, .production_id = 14),
  [2546] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4, .production_id = 14),
  [2548] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4),
  [2550] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4),
  [2552] = {.count = 1, .reusable = true}, SHIFT(882),
  [2554] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 4, .production_id = 76),
  [2556] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 4, .production_id = 76),
  [2558] = {.count = 1, .reusable = true}, SHIFT(1003),
  [2560] = {.count = 1, .reusable = false}, SHIFT(1003),
  [2562] = {.count = 1, .reusable = false}, SHIFT(801),
  [2564] = {.count = 1, .reusable = false}, SHIFT(291),
  [2566] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2568] = {.count = 1, .reusable = true}, SHIFT(25),
  [2570] = {.count = 1, .reusable = true}, SHIFT(930),
  [2572] = {.count = 1, .reusable = true}, SHIFT(778),
  [2574] = {.count = 1, .reusable = true}, SHIFT(789),
  [2576] = {.count = 1, .reusable = false}, SHIFT(361),
  [2578] = {.count = 1, .reusable = false}, SHIFT(425),
  [2580] = {.count = 1, .reusable = true}, SHIFT(997),
  [2582] = {.count = 1, .reusable = false}, SHIFT(997),
  [2584] = {.count = 1, .reusable = false}, SHIFT(782),
  [2586] = {.count = 1, .reusable = true}, SHIFT(782),
  [2588] = {.count = 1, .reusable = false}, SHIFT(381),
  [2590] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2592] = {.count = 1, .reusable = true}, SHIFT(998),
  [2594] = {.count = 1, .reusable = false}, SHIFT(998),
  [2596] = {.count = 1, .reusable = false}, SHIFT(781),
  [2598] = {.count = 1, .reusable = true}, SHIFT(781),
  [2600] = {.count = 1, .reusable = true}, SHIFT(1014),
  [2602] = {.count = 1, .reusable = false}, SHIFT(1014),
  [2604] = {.count = 1, .reusable = false}, SHIFT(872),
  [2606] = {.count = 1, .reusable = true}, SHIFT(987),
  [2608] = {.count = 1, .reusable = false}, SHIFT(987),
  [2610] = {.count = 1, .reusable = false}, SHIFT(779),
  [2612] = {.count = 1, .reusable = false}, SHIFT(427),
  [2614] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2616] = {.count = 1, .reusable = true}, SHIFT(643),
  [2618] = {.count = 1, .reusable = true}, SHIFT(827),
  [2620] = {.count = 1, .reusable = false}, SHIFT(401),
  [2622] = {.count = 1, .reusable = true}, SHIFT(899),
  [2624] = {.count = 1, .reusable = true}, SHIFT(898),
  [2626] = {.count = 1, .reusable = true}, SHIFT(897),
  [2628] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(1085),
  [2631] = {.count = 2, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(1085),
  [2634] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2636] = {.count = 1, .reusable = true}, SHIFT(974),
  [2638] = {.count = 1, .reusable = true}, SHIFT(888),
  [2640] = {.count = 1, .reusable = true}, SHIFT(480),
  [2642] = {.count = 1, .reusable = true}, SHIFT(820),
  [2644] = {.count = 1, .reusable = true}, SHIFT(832),
  [2646] = {.count = 1, .reusable = false}, SHIFT(335),
  [2648] = {.count = 1, .reusable = true}, SHIFT(1033),
  [2650] = {.count = 1, .reusable = false}, SHIFT(295),
  [2652] = {.count = 1, .reusable = true}, SHIFT(995),
  [2654] = {.count = 1, .reusable = false}, SHIFT(409),
  [2656] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2658] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2660] = {.count = 1, .reusable = false}, SHIFT(1037),
  [2662] = {.count = 1, .reusable = false}, SHIFT(869),
  [2664] = {.count = 1, .reusable = true}, SHIFT(939),
  [2666] = {.count = 1, .reusable = false}, SHIFT(501),
  [2668] = {.count = 1, .reusable = true}, SHIFT(971),
  [2670] = {.count = 1, .reusable = false}, SHIFT(971),
  [2672] = {.count = 1, .reusable = false}, SHIFT(803),
  [2674] = {.count = 1, .reusable = false}, SHIFT(569),
  [2676] = {.count = 1, .reusable = false}, SHIFT(571),
  [2678] = {.count = 1, .reusable = true}, SHIFT(1028),
  [2680] = {.count = 1, .reusable = true}, SHIFT(881),
  [2682] = {.count = 1, .reusable = true}, SHIFT(858),
  [2684] = {.count = 1, .reusable = true}, SHIFT(688),
  [2686] = {.count = 1, .reusable = true}, SHIFT(976),
  [2688] = {.count = 1, .reusable = true}, SHIFT(986),
  [2690] = {.count = 1, .reusable = false}, SHIFT(345),
  [2692] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(480),
  [2695] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2697] = {.count = 1, .reusable = true}, SHIFT(838),
  [2699] = {.count = 1, .reusable = true}, SHIFT(877),
  [2701] = {.count = 1, .reusable = true}, SHIFT(800),
  [2703] = {.count = 1, .reusable = true}, SHIFT(851),
  [2705] = {.count = 1, .reusable = true}, SHIFT(850),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1045),
  [2709] = {.count = 1, .reusable = false}, SHIFT(1045),
  [2711] = {.count = 1, .reusable = false}, SHIFT(893),
  [2713] = {.count = 1, .reusable = true}, SHIFT(938),
  [2715] = {.count = 1, .reusable = false}, SHIFT(938),
  [2717] = {.count = 1, .reusable = false}, SHIFT(848),
  [2719] = {.count = 1, .reusable = true}, SHIFT(983),
  [2721] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2723] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2725] = {.count = 1, .reusable = false}, SHIFT(847),
  [2727] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1),
  [2729] = {.count = 1, .reusable = true}, SHIFT(935),
  [2731] = {.count = 1, .reusable = false}, SHIFT(935),
  [2733] = {.count = 1, .reusable = false}, SHIFT(896),
  [2735] = {.count = 1, .reusable = true}, SHIFT(872),
  [2737] = {.count = 1, .reusable = true}, SHIFT(1017),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1017),
  [2741] = {.count = 1, .reusable = false}, SHIFT(885),
  [2743] = {.count = 1, .reusable = false}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2745] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1047),
  [2748] = {.count = 1, .reusable = true}, SHIFT(885),
  [2750] = {.count = 1, .reusable = true}, SHIFT(944),
  [2752] = {.count = 1, .reusable = false}, SHIFT(944),
  [2754] = {.count = 1, .reusable = false}, SHIFT(866),
  [2756] = {.count = 1, .reusable = true}, SHIFT(863),
  [2758] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2760] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2762] = {.count = 1, .reusable = false}, SHIFT(863),
  [2764] = {.count = 1, .reusable = true}, SHIFT(869),
  [2766] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(999),
  [2769] = {.count = 2, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(999),
  [2772] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2774] = {.count = 1, .reusable = true}, SHIFT(963),
  [2776] = {.count = 1, .reusable = false}, SHIFT(963),
  [2778] = {.count = 1, .reusable = false}, SHIFT(879),
  [2780] = {.count = 2, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(643),
  [2783] = {.count = 1, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [2785] = {.count = 1, .reusable = true}, SHIFT(942),
  [2787] = {.count = 1, .reusable = false}, SHIFT(516),
  [2789] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2793] = {.count = 1, .reusable = true}, SHIFT(44),
  [2795] = {.count = 1, .reusable = true}, SHIFT(455),
  [2797] = {.count = 1, .reusable = true}, SHIFT(32),
  [2799] = {.count = 1, .reusable = true}, SHIFT(521),
  [2801] = {.count = 1, .reusable = true}, SHIFT(109),
  [2803] = {.count = 1, .reusable = true}, SHIFT(34),
  [2805] = {.count = 1, .reusable = true}, SHIFT(50),
  [2807] = {.count = 1, .reusable = true}, SHIFT(761),
  [2809] = {.count = 1, .reusable = true}, SHIFT(627),
  [2811] = {.count = 1, .reusable = true}, SHIFT(416),
  [2813] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2815] = {.count = 1, .reusable = true}, SHIFT(667),
  [2817] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2819] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2821] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 5, .production_id = 93),
  [2823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(710),
  [2826] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2),
  [2828] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 4, .production_id = 16),
  [2830] = {.count = 1, .reusable = true}, SHIFT(815),
  [2832] = {.count = 1, .reusable = true}, SHIFT(822),
  [2834] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 4, .production_id = 86),
  [2836] = {.count = 1, .reusable = true}, SHIFT(710),
  [2838] = {.count = 1, .reusable = true}, SHIFT(6),
  [2840] = {.count = 1, .reusable = true}, SHIFT(603),
  [2842] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 4, .production_id = 14),
  [2844] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2846] = {.count = 1, .reusable = true}, SHIFT(38),
  [2848] = {.count = 1, .reusable = true}, SHIFT(2),
  [2850] = {.count = 1, .reusable = true}, REDUCE(sym_default_case, 3),
  [2852] = {.count = 1, .reusable = true}, SHIFT(759),
  [2854] = {.count = 1, .reusable = true}, SHIFT(604),
  [2856] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 4),
  [2858] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4, .production_id = 72),
  [2860] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4, .production_id = 72),
  [2862] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(129),
  [2865] = {.count = 2, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(48),
  [2868] = {.count = 1, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2870] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(214),
  [2873] = {.count = 1, .reusable = true}, SHIFT(42),
  [2875] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 3, .production_id = 61),
  [2877] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 3, .production_id = 61),
  [2879] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(161),
  [2882] = {.count = 1, .reusable = true}, SHIFT(607),
  [2884] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [2886] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2888] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 59),
  [2890] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 59),
  [2892] = {.count = 1, .reusable = true}, SHIFT(62),
  [2894] = {.count = 1, .reusable = true}, SHIFT(281),
  [2896] = {.count = 1, .reusable = true}, SHIFT(99),
  [2898] = {.count = 1, .reusable = true}, SHIFT(47),
  [2900] = {.count = 1, .reusable = true}, SHIFT(282),
  [2902] = {.count = 1, .reusable = true}, SHIFT(41),
  [2904] = {.count = 1, .reusable = true}, SHIFT(58),
  [2906] = {.count = 1, .reusable = true}, SHIFT(103),
  [2908] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 57),
  [2910] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 57),
  [2912] = {.count = 1, .reusable = true}, SHIFT(94),
  [2914] = {.count = 1, .reusable = true}, SHIFT(40),
  [2916] = {.count = 1, .reusable = true}, SHIFT(28),
  [2918] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [2920] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [2922] = {.count = 1, .reusable = true}, SHIFT(51),
  [2924] = {.count = 1, .reusable = true}, SHIFT(64),
  [2926] = {.count = 1, .reusable = true}, SHIFT(133),
  [2928] = {.count = 1, .reusable = true}, SHIFT(33),
  [2930] = {.count = 1, .reusable = true}, SHIFT(46),
  [2932] = {.count = 1, .reusable = true}, SHIFT(547),
  [2934] = {.count = 1, .reusable = true}, SHIFT(546),
  [2936] = {.count = 1, .reusable = true}, SHIFT(98),
  [2938] = {.count = 1, .reusable = true}, SHIFT(36),
  [2940] = {.count = 1, .reusable = true}, SHIFT(451),
  [2942] = {.count = 1, .reusable = true}, SHIFT(452),
  [2944] = {.count = 1, .reusable = true}, SHIFT(137),
  [2946] = {.count = 1, .reusable = true}, SHIFT(124),
  [2948] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2950] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 43),
  [2952] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 41),
  [2954] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 41),
  [2956] = {.count = 1, .reusable = true}, SHIFT(29),
  [2958] = {.count = 1, .reusable = true}, SHIFT(55),
  [2960] = {.count = 1, .reusable = true}, SHIFT(602),
  [2962] = {.count = 1, .reusable = true}, SHIFT(27),
  [2964] = {.count = 1, .reusable = true}, SHIFT(519),
  [2966] = {.count = 1, .reusable = true}, SHIFT(115),
  [2968] = {.count = 1, .reusable = true}, SHIFT(93),
  [2970] = {.count = 1, .reusable = true}, SHIFT(412),
  [2972] = {.count = 1, .reusable = true}, SHIFT(85),
  [2974] = {.count = 1, .reusable = true}, SHIFT(327),
  [2976] = {.count = 1, .reusable = true}, SHIFT(82),
  [2978] = {.count = 1, .reusable = true}, SHIFT(30),
  [2980] = {.count = 1, .reusable = true}, SHIFT(329),
  [2982] = {.count = 1, .reusable = true}, SHIFT(753),
  [2984] = {.count = 1, .reusable = true}, SHIFT(625),
  [2986] = {.count = 1, .reusable = true}, SHIFT(45),
  [2988] = {.count = 1, .reusable = true}, SHIFT(39),
  [2990] = {.count = 1, .reusable = true}, SHIFT(386),
  [2992] = {.count = 1, .reusable = true}, SHIFT(80),
  [2994] = {.count = 1, .reusable = true}, SHIFT(387),
  [2996] = {.count = 1, .reusable = true}, SHIFT(89),
  [2998] = {.count = 1, .reusable = true}, SHIFT(31),
  [3000] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [3002] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(640),
  [3005] = {.count = 1, .reusable = true}, SHIFT(71),
  [3007] = {.count = 1, .reusable = true}, SHIFT(1166),
  [3009] = {.count = 1, .reusable = true}, SHIFT(1165),
  [3011] = {.count = 1, .reusable = true}, SHIFT(1180),
  [3013] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3015] = {.count = 1, .reusable = true}, SHIFT(279),
  [3017] = {.count = 1, .reusable = true}, SHIFT(696),
  [3019] = {.count = 1, .reusable = true}, SHIFT(948),
  [3021] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 3, .production_id = 32),
  [3023] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 3, .production_id = 15),
  [3025] = {.count = 1, .reusable = true}, SHIFT(594),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1036),
  [3029] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 1, .production_id = 9),
  [3031] = {.count = 1, .reusable = true}, SHIFT(378),
  [3033] = {.count = 1, .reusable = true}, SHIFT(726),
  [3035] = {.count = 1, .reusable = true}, REDUCE(sym_dot, 1),
  [3037] = {.count = 1, .reusable = true}, SHIFT(464),
  [3039] = {.count = 1, .reusable = true}, SHIFT(684),
  [3041] = {.count = 1, .reusable = true}, SHIFT(493),
  [3043] = {.count = 1, .reusable = true}, SHIFT(733),
  [3045] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 16),
  [3047] = {.count = 1, .reusable = true}, SHIFT(333),
  [3049] = {.count = 1, .reusable = true}, SHIFT(698),
  [3051] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 2, .production_id = 8),
  [3053] = {.count = 1, .reusable = true}, SHIFT(870),
  [3055] = {.count = 1, .reusable = true}, SHIFT(685),
  [3057] = {.count = 1, .reusable = true}, SHIFT(686),
  [3059] = {.count = 1, .reusable = true}, SHIFT(716),
  [3061] = {.count = 1, .reusable = true}, SHIFT(1167),
  [3063] = {.count = 1, .reusable = false}, SHIFT(1167),
  [3065] = {.count = 1, .reusable = true}, SHIFT(144),
  [3067] = {.count = 1, .reusable = true}, SHIFT(1030),
  [3069] = {.count = 1, .reusable = true}, SHIFT(958),
  [3071] = {.count = 1, .reusable = true}, SHIFT(918),
  [3073] = {.count = 1, .reusable = false}, SHIFT(918),
  [3075] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_argument, 2),
  [3077] = {.count = 1, .reusable = true}, SHIFT(538),
  [3079] = {.count = 1, .reusable = true}, SHIFT(743),
  [3081] = {.count = 1, .reusable = true}, SHIFT(403),
  [3083] = {.count = 1, .reusable = true}, SHIFT(703),
  [3085] = {.count = 1, .reusable = true}, SHIFT(578),
  [3087] = {.count = 1, .reusable = true}, SHIFT(687),
  [3089] = {.count = 1, .reusable = true}, SHIFT(1013),
  [3091] = {.count = 1, .reusable = true}, SHIFT(992),
  [3093] = {.count = 1, .reusable = true}, SHIFT(257),
  [3095] = {.count = 1, .reusable = true}, SHIFT(884),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1219),
  [3099] = {.count = 1, .reusable = false}, SHIFT(1219),
  [3101] = {.count = 1, .reusable = true}, SHIFT(443),
  [3103] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3105] = {.count = 1, .reusable = true}, SHIFT(440),
  [3107] = {.count = 1, .reusable = true}, SHIFT(697),
  [3109] = {.count = 1, .reusable = true}, SHIFT(534),
  [3111] = {.count = 1, .reusable = true}, SHIFT(563),
  [3113] = {.count = 1, .reusable = true}, SHIFT(288),
  [3115] = {.count = 1, .reusable = true}, SHIFT(752),
  [3117] = {.count = 1, .reusable = true}, SHIFT(690),
  [3119] = {.count = 1, .reusable = true}, SHIFT(363),
  [3121] = {.count = 1, .reusable = true}, SHIFT(777),
  [3123] = {.count = 1, .reusable = true}, SHIFT(278),
  [3125] = {.count = 1, .reusable = true}, SHIFT(286),
  [3127] = {.count = 1, .reusable = true}, SHIFT(150),
  [3129] = {.count = 1, .reusable = true}, SHIFT(560),
  [3131] = {.count = 1, .reusable = true}, SHIFT(702),
  [3133] = {.count = 1, .reusable = true}, SHIFT(760),
  [3135] = {.count = 1, .reusable = true}, SHIFT(444),
  [3137] = {.count = 1, .reusable = true}, SHIFT(724),
  [3139] = {.count = 1, .reusable = true}, SHIFT(748),
  [3141] = {.count = 1, .reusable = true}, SHIFT(487),
  [3143] = {.count = 1, .reusable = true}, SHIFT(205),
  [3145] = {.count = 1, .reusable = true}, SHIFT(728),
  [3147] = {.count = 1, .reusable = true}, SHIFT(112),
  [3149] = {.count = 1, .reusable = true}, SHIFT(108),
  [3151] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3, .production_id = 73),
  [3153] = {.count = 1, .reusable = true}, SHIFT(740),
  [3155] = {.count = 1, .reusable = true}, SHIFT(4),
  [3157] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 9, .production_id = 96),
  [3159] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 52),
  [3161] = {.count = 1, .reusable = true}, SHIFT(5),
  [3163] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 81),
  [3165] = {.count = 1, .reusable = true}, SHIFT(924),
  [3167] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4, .production_id = 83),
  [3169] = {.count = 1, .reusable = true}, SHIFT(864),
  [3171] = {.count = 1, .reusable = true}, SHIFT(1160),
  [3173] = {.count = 1, .reusable = true}, SHIFT(74),
  [3175] = {.count = 1, .reusable = true}, SHIFT(225),
  [3177] = {.count = 1, .reusable = true}, SHIFT(793),
  [3179] = {.count = 1, .reusable = true}, SHIFT(441),
  [3181] = {.count = 1, .reusable = true}, SHIFT(365),
  [3183] = {.count = 1, .reusable = true}, SHIFT(358),
  [3185] = {.count = 1, .reusable = true}, SHIFT(135),
  [3187] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 5, .production_id = 88),
  [3189] = {.count = 1, .reusable = true}, SHIFT(853),
  [3191] = {.count = 1, .reusable = true}, SHIFT(797),
  [3193] = {.count = 1, .reusable = true}, SHIFT(328),
  [3195] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 5, .production_id = 90),
  [3197] = {.count = 1, .reusable = true}, SHIFT(787),
  [3199] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3201] = {.count = 1, .reusable = true}, SHIFT(722),
  [3203] = {.count = 1, .reusable = true}, SHIFT(88),
  [3205] = {.count = 1, .reusable = true}, SHIFT(1287),
  [3207] = {.count = 1, .reusable = true}, SHIFT(890),
  [3209] = {.count = 1, .reusable = true}, SHIFT(721),
  [3211] = {.count = 1, .reusable = true}, SHIFT(338),
  [3213] = {.count = 1, .reusable = true}, SHIFT(3),
  [3215] = {.count = 1, .reusable = true}, SHIFT(105),
  [3217] = {.count = 1, .reusable = true}, SHIFT(531),
  [3219] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 7, .production_id = 94),
  [3221] = {.count = 1, .reusable = true}, REDUCE(sym__type_switch_header, 7, .production_id = 95),
  [3223] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [3225] = {.count = 1, .reusable = true}, SHIFT(532),
  [3227] = {.count = 1, .reusable = true}, SHIFT(915),
  [3229] = {.count = 1, .reusable = true}, SHIFT(1251),
  [3231] = {.count = 1, .reusable = true}, SHIFT(404),
  [3233] = {.count = 1, .reusable = true}, SHIFT(834),
  [3235] = {.count = 1, .reusable = true}, SHIFT(950),
  [3237] = {.count = 1, .reusable = true}, SHIFT(325),
  [3239] = {.count = 1, .reusable = true}, SHIFT(714),
  [3241] = {.count = 1, .reusable = true}, SHIFT(707),
  [3243] = {.count = 1, .reusable = true}, SHIFT(410),
  [3245] = {.count = 1, .reusable = true}, SHIFT(747),
  [3247] = {.count = 1, .reusable = true}, SHIFT(241),
  [3249] = {.count = 1, .reusable = true}, SHIFT(220),
  [3251] = {.count = 1, .reusable = true}, SHIFT(208),
  [3253] = {.count = 1, .reusable = true}, SHIFT(192),
  [3255] = {.count = 1, .reusable = true}, SHIFT(151),
  [3257] = {.count = 1, .reusable = true}, SHIFT(730),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
